/**
 * @파일명 : common_event.js
 * @작성자 : 최정동
 * @생성일 : 2018. 7. 07. 오전 11:21:00
 * @메뉴명 : 공통 이벤트 파일
 */
var commonEvent = {

	// 이전 버튼 클릭시
	btn_prev_click : function(){
		if($(".btn-back, .btn-prev").length > 0){ // 기존 btn_prev 변경 btn-back lhs
			$(document).on("click", ".btn-back, .btn-prev", function(){
				var homes = [PATH_MANAGER.KIA_RNW_110_0000.nameWithHtml, PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml, PATH_MANAGER.KIA_RNW_120_0000_2.nameWithHtml, PATH_MANAGER.KIA_RNW_120_0000_3.nameWithHtml];
				if (M.page.stack().length === 1) {//stack이 하나임
					if (!homes.includes(PGV.currentPage)) {
						COMMON_FUNCTION.TOOL.UI.openHome();
					}
				}else if(MStatus && typeof MStatus.onBack == "function"){
					MStatus.onBack();
				} else {
					if(PGV.currentPage == PATH_MANAGER.KIA_RNW_093_3000.nameWithHtml){ //2019.05.21 마케팅 동의여부 확인
						MPage.back({
						param : {
								popupFlag : "Y",
								selectVinNumber : PGV.vin || "",
								mkYn : PGV.adEvtCheck
							}
						});
					}else if((PGV.currentPage == PATH_MANAGER.KIA_RNW_212_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_245_1000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_245_2100.nameWithHtml) && !isEmpty(PGV.myCarInfoList)){
					    //[KIAVIK-105] vin 정보 획득을 못하는 경우가 있음.
					    var index = $("#carSelectBtn").attr("data-select-idx");
                        MPage.back({
                            param : {
                                popupFlag : "Y",
                                selectVinNumber : isEmpty(index) ? "" : (PGV.myCarInfoList[index].vin || "")
                                //selectVinNumber : PGV.myCarInfoList[$("#carSelectBtn").attr("data-select-idx")].vin || ""
                            }
                        });
					}else if(PGV.currentPage == PATH_MANAGER.KIA_RNW_411_1000.nameWithHtml){
						onBackNoSubmitEvt();		// 20201007 안전운전 이벤트 조건 뒤로가기 추가
					}else if(PGV.currentPage == PATH_MANAGER.KIA_RNW_810_0000.nameWithHtml){
					    PGV.evtCd = "";
                        MData.removeGlobal("autonPath");     // [KIAVIK-399] 오토앤 첫페이지 경로 삭제
                        MPage.back();
                    }else if(PGV.currentPage == PATH_MANAGER.KIA_RNW_223_0000.nameWithHtml){
                        MPage.back({
                            param : {
                                popupFlag : "Y",
                                selectVinNumber : PGV.vin || "",
                                isRefresh : "Y"
                            }
                        });
					}else{
						var _param = {
							popupFlag : "Y",
							selectVinNumber : PGV.vin || ""
						};
						if(M.page.stack().length===2){
							if(homes.includes(M.page.stack()[0])){
								_param.hasToHomeReload = true;
							}
						}
						MPage.back({
							param: _param
						});
					}
				}
			});
		}
	},

	// 전체 메뉴 클릭시
	total_menu_open : function(){
		$(document).on("click", ".btn-menu", function(){
			// 마케팅 동의 7일 기준 
			if(MData.global("mkrpopUpYn") == "Y"){
				mkrpopUpShow("menu");
				return;
			}
			screenViewGa(gaSendUrl[PATH_MANAGER.KIA_RNW_600_0000.name].pageNm);
			if(!$(".wrapper").hasClass("donemove")){
				$(".wrapper").addClass("donemove");
			};
			if(PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml){
				$(".btn-1dep").parent().parent().children().removeClass('on');
				$(".btn-1dep").parent().parent().children().eq(0).addClass('on');
			};
			if(!isEmpty(PGV.loginInfo)){
				if(!isEmpty(PGV.loginInfo.luxuryYn)){
					$("#luxuryMenu").removeClass('none'); // 고급차 메뉴 생성
				}
			}
			$("#totalMenuWrap").removeClass("none");
		});
	},

	// 전체 메뉴 닫기 버튼 클릭시
	total_menu_close : function(){
		$(document).on("click", ".btn-closemenu", function(){
			customPopup.addClass($("#totalMenuWrap"));
			//if((PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml) && PGV.popupYn == "Y"){
			//	PGV.popupYn = "N";
			//	if(MData.storage("notTodayYn") != moment().format("MMDD")){ //전체메뉴 닫았을때 팝업떠야 되는 경우 
			//		mainNewPopup();
			//	}
			//};
		});
	},

	// 전체메뉴에서 오토앤 URL 클릭시
	data_auton_click : function(){
		$(document).on("click", "[data-auton-url]", function(){
			var _url = CONSTANT.LINK_URL[$(this).attr("data-auton-url")].URL;
			var _path = CONSTANT.LINK_URL[$(this).attr("data-auton-url")].PATH; // 오토엔 페이지 이동 제어를 위해 
			var params = {};
			var pageUrl = $(this).attr("data-auton-url");
			if(_url != ""){
				screenViewGa(gaSendUrl[pageUrl].pageNm);
				//customPopup.addClass($("#totalMenuWrap"));
				// $(".btn-1dep").parent().parent().children().removeClass('on');
				// $(".btn-1dep").parent().parent().children().eq(0).addClass('on');
				// 테스트를 위해 
				//_url = 'https://testkia.auton.kr/m/index/productMall';
				//_path = 'https://testkia.auton.kr/m/index/productMall';
				// 테스트를 위해 

				if(PGV.currentPage != PATH_MANAGER.KIA_RNW_810_0000.nameWithHtml || PGV.rUrl != _url){
					MData.removeGlobal("autonPath");
					MData.global("autonPath", _path);
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_810_0000.path,
						param : {
							rUrl : _url
						}
					});
				}
			} else {
				MPopup.alert("서비스 준비중 입니다.");
			}
		});
	},
	
	// 전체메뉴에서 링크 URL 클릭시
	data_link_click : function(){
		$(document).on("click", "[data-link-url]", function(){
			var pageUrl = $(this).attr("data-link-url");
			var _returnUrl = CONSTANT.LINK_URL[$(this).attr("data-link-url")].URL;
			var params = {};
			// 20190225 메인 팝업 추가
			if($("#colorPopup").length > 0){
				customPopup.remove($("#colorPopup"));
				MData.removeGlobal("colorPopupYn");
				MData.global("colorPopupYn", "Y");
			};

			if(_returnUrl != ""){
				//customPopup.addClass($("#totalMenuWrap"));
				// $(".btn-1dep").parent().parent().children().removeClass('on');
				// $(".btn-1dep").parent().parent().children().eq(0).addClass('on');
				var loginFlag = checkLoginPage($(this));	//로그인이 필요한 페이지인지 체크
				screenViewGa(gaSendUrl[pageUrl].pageNm);
				if(loginFlag){ //필요하다면 로그인 페이지로
					if(pageUrl == "KIA_MOB_520_1201"){ //신차구매
						params.payCheck = "KIA_MOB_520_1201";
					}else if(pageUrl == "KIA_MOB_520_1202"){ //간편결제카드조회
						params.payCheck = "KIA_MOB_520_1202";
					}else{
						params.payCheck = "";
					}

					COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
				}else{
					// 간편결제 
					if(pageUrl == "KIA_MOB_520_1201"){ //신차구매
						getBluePay();
					}else if(pageUrl == "KIA_MOB_520_1202"){ //간편결제카드조회
						getMyPay();
					}else{
						if(isEmpty(params)){ //ios 13 버전 대응
							MPage.activity({
							className : "WebviewActivity",
							param : {
								method : CONSTANT.NET_MTHD.GET,
								requestURL : _returnUrl
							}
						});
						}else{
							MPage.activity({
							className : "WebviewActivity",
							param : {
								method : CONSTANT.NET_MTHD.GET,
								requestURL : _returnUrl,
								postData : params
							}
						});
						}
						
					}
				}
			} else {
				MPopup.alert("서비스 준비중 입니다.");
			}
		});
	},
	// 전체메뉴에서 링크 URL 클릭시 browser
	data_browser_click : function(){
		$(document).on("click", "[data-bro-url]", function(){
			var pageUrl = $(this).attr("data-bro-url");
			var _returnUrl = CONSTANT.LINK_URL[pageUrl].URL;
			var params = {};
			MApps.browser(_returnUrl);
		});
	},
	
	content_scroll : function(){ //LHS 스크롤 수정
		$(document).on("click", ".btn-goto", function(){
			//메인경우에만 LHS
			if(PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml){
				$(".pg-main .scroll-all").scrollTop(0);
			}else{
				if($(".content.scroll > .tab").length > 0){
					$(".content.scroll > div").scrollTop(0);
				}else{
					if($(".scroll-wrap").length > 0){
						$(".scroll-wrap").scrollTop(0);
					}else{
						$(".content.scroll").scrollTop(0);
					}
					
				}
			}
			
		});
	},
	
	top_btn_click : function(){
		if(PGV.currentPage == PATH_MANAGER.KIA_RNW_080_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_212_7000.nameWithHtml){ // 마이페이지 경우 버튼제거
			return;
		}else if(PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml || PGV.currentPage == PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml){
			$(".pg-main .scroll-all").on("scroll", function(event){ //메인경우에만 LHS
				if($(this).scrollTop() == 0){
					$(".btn-goto").addClass("none");
				} else{
					$(".btn-goto").removeClass("none");
				}
			});
		}else{
			$(".content.scroll, .tab ~ *").on("scroll", function(event){
				if($(this).scrollTop() == 0){
					$(".btn-goto").addClass("none");
				} else{
					$(".btn-goto").removeClass("none");
				}
			});
		}
		
	},
	// 화면 닫기 버튼 클릭시 	
	btn_close : function(){
		$(document).on("click", ".btn-close", function(e){

			if(MData.storage("wrongPwFlag") == 'Y'){ // 비밀번호 5회 틀렸을시 
				MData.storage("wrongPwFlag", 'N');

				MPage.html({
					url : PATH_MANAGER.KIA_RNW_060_0000.path,
					action : "CLEAR_TOP",
					animate : "MODAL_DOWN"
				});
				return;
			};

			if(MData.storage("resetPwFlag") == 'Y'){
				MPopup.confirm({
					message : '개인정보 보호를 위해 비밀번호 변경이 반드시 필요합니다.\n비밀번호를 변경하지 않을 경우 로그인 전 상태로 이동합니다.\n그래도 닫으시겠어요?',
					buttons : ["취소", "확인"],
					callback : function(idx){
						if(idx == 1){ // 확인 
							MData.storage("resetPwFlag", 'N');
							MPage.html({
								url : PATH_MANAGER.KIA_RNW_120_0000.path,
								action : "CLEAR_TOP",
								animate : "MODAL_DOWN"
							});
						}
					}
				});
				return;
			}
			var orientationFlag = "DEFAULT"; // 20190326 모토쇼를 위해 추가
			/*
			if(PGV.currentPage == "KIA_MOB_1000_1110.html"){
				orientationFlag = "PORTRAIT";
			}
			*/
			if(M.page.stack().length == 1){
				M.onBack();
			}else{
			    if(PGV.currentPage == "KIA_MOB_2000_1211.html"){
                    MStatus.onBack();        // 20211129 KIAVIK-947 이벤트 처리용(2000_1211 onBack() 활성화)
                }else{
					if(e.currentTarget.classList.contains('js-popup-close-btn')){
						var layerPop = $(e.target).closest('.popup-layer');
						//doNothing
						//todo ui_rnw와 로직이 분리됨..how_to.
						if(layerPop.length>0){
							console.log("do nothing");
						}
					}else{
						MPage.back({
							animate : "MODAL_DOWN",
							orientation : orientationFlag,
							param : {
								popupFlag : "Y",
								selectVinNumber : PGV.vin || ""
							}
						});
					}

                }
			}
		});	
	},
	// 아이디, 비밀번호 찾기 클릭 버튼
	btn_tg : function(){
		$(document).on("click", ".btn-tg", function(){
			var that = $(this);
			if(!that.hasClass("on")){
				$(".btn-tg").removeClass("on");
				that.addClass("on");
				this.scrollIntoView();
			}else{
				that.removeClass("on");
			}
		});	
	},
	//본인인증 휴대폰으로 찾기
	certifi_hp_btn : function(){
		$(document).on("click", ".type-phone", function(){
			var certifiId = $("#certifiId");
			var _url = CONSTANT.LINK_URL.KIA_MOB_810_1043.URL;
			//값없을시스트링으로 변경
			isNullVal(certifiId.val());

			if(certifiId.length > 0){ // id 입력창이 있으면
				var certifiIdVal = $.trim(certifiId.val());
				if(isEmpty(certifiIdVal.toString())){
					MPopup.alert('아이디를 입력 해 주세요.');
					certifiId.focus();
					return false;
				}else if(!emailCheck(certifiIdVal)){
					MPopup.alert('아이디를 확인 해 주세요.');
					certifiId.focus();
					return false;	
				}
			}
			MPage.activity({
				className : "WebviewActivity",
				param : {
					method : CONSTANT.NET_MTHD.POST,
					requestURL : _url,
					postData : {}
				}
			});
		});	
	},
	//본인인증 아이핀으로 찾기
	certifi_ipin_btn : function(){
		$(document).on("click", ".type-ipin", function(){
			var certifiId = $("#certifiId");
			var _url = CONSTANT.LINK_URL.KIA_MOB_810_1044.URL;
			//값없을시스트링으로 변경
			isNullVal(certifiId.val());

			if(certifiId.length > 0 && isEmpty(certifiId.val().toString())){ // id 입력창이 있으면
				MPopup.alert('아이디를 입력 해 주세요.');
				certifiId.focus();
				return false;
			}else if(certifiId.length > 0 && !emailCheck(certifiId.val())){
				MPopup.alert('아이디를 확인 해 주세요.');
				certifiId.focus();
				return false;				
			}

			MPage.activity({
				className : "WebviewActivity",
				param : {
					method : CONSTANT.NET_MTHD.POST,
					requestURL : _url,
					postData : {
						param_r1 : "idpwSearch",
						param_r2 : "",
						param_r3 : "MbOcMbrFacade.searchIdForIpin"
					}
				}
			});
		});	
	},
	// 메뉴에서 페이지 이동시
	data_link_page : function(){
		$(document).on("click", "[data-link-page]", function(){
			var _page = $(this).attr("data-link-page");
			var backFlag = $(this).attr("data-link-back");
			if(PGV.currentPage ==  _page + ".html" ){	//현재 열려있는 페이지 클릭시 전체메뉴 닫기 2018.11.23수정
				customPopup.addClass($("#totalMenuWrap"));
				return false;
			};
			// 20190225 메인 팝업 추가
			if($("#colorPopup").length > 0){
				customPopup.remove($("#colorPopup"));
				MData.removeGlobal("colorPopupYn");
				MData.global("colorPopupYn", "Y");
			}

			var _params = {};
			var pageInfo = PATH_MANAGER[_page];
			var _returnUrl =pageInfo.path;
			
			_params.needGc = 'Y'; // 사이드메뉴로 이동시 garbageCollector()를 사용하여 메인 페이지를 제외한 페이지 삭제
			if(_page != ""){
				var loginFlag = checkLoginPage($(this));	//로그인이 필요한 페이지인지 체크
				if("KIA_MOB_720_1000" == _page){
					_params.tab_emerg = "Y"
				}
				if(loginFlag){ //필요하다면 로그인 페이지로
					COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
				}else if(backFlag == "Y"){
					MPage.html({
						url : _returnUrl,
						param : {
							backFlag : "Y"
						}
					});
				}else{
				    if (PATH_MANAGER.KIA_RNW_412_1000.path == _returnUrl) {
                        var type = $(this).attr("data-id");
                        _params.evtType = type;
                    }
					MPage.html({
						url : _returnUrl,
						param : _params
					});
				}
			} else {
				MPopup.alert("서비스 준비중 입니다.");
			}
		});	
	},
	// 하단 클릭 이벤트
	bottom_evt : function(){
		// 채널기아
		$(document).on("click", "#snsChannelKia", function(){
			customPopup.get('KIA_MOB_000_1103.html', $('#channelPopUp'), function(item) {	//채널기아 팝업 띄우기
				screenViewGa(gaSendUrl["KIA_MOB_000_1103"].pageNm);
				var screenHtml = $('<div></div>');
				screenHtml.append(item);
				$('body').append(screenHtml.find('#channelPopUp'));
				$('[data-channel-url]').click(function() {	//버튼 이벤트
					customPopup.remove($('#channelPopUp')); //팝업삭제
					var _url = $(this).data('channelUrl');
					MPage.activity({
						className : "WebviewActivity",
						param : {
							method : CONSTANT.NET_MTHD.GET,
							requestURL : _url,
							headerName : "webview",
							postData : "arg=arg&arg2=arg2&arg3=arg3"
						}
					});
				});
				$("#closeChannelBtn").click(function(){
					customPopup.remove($('#channelPopUp')); //팝업삭제
				})
			});
		});
	}, 
	// 전체 메뉴에서 상단 메뉴 클릭
	total_top_menu : function(){
		var params = {};
		
		params.needGc = 'Y'; // 사이드메뉴로 이동시 garbageCollector()를 사용하여 메인 페이지를 제외한 페이지 삭제
		// 홈 아이콘 클릭
		$(document).on("click", ".btn-home", function(){
			customPopup.addClass($("#totalMenuWrap"));
						
			if(!isNull(PGV.loginInfo)){ // 로그인시
				if(PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml){
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_120_0000.path,
						action : 'CLEAR_TOP',
						animate : "SLIDE_RIGHT",
						param : {
							closePopup : "Y"
						}
					});
				}
			}else{ //미 로그인시
				if(PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml){
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_120_0000.path,
						action : 'CLEAR_TOP',
						animate : "SLIDE_RIGHT",
						param : {
							closePopup : "Y"
						}
					});
				}
			}
			
		});

        /*
		// 마이페이아이콘 클릭
		$(document).on("click", ".btn-mypage", function(){
			if(!isNull(PGV.loginInfo)){ // 로그인시
				// 마케팅 동의 7일 기준 
				if(MData.global("mkrpopUpYn") == "Y"){
					mkrpopUpShow("myPage");
				}else if(PGV.currentPage != PATH_MANAGER.KIA_RNW_080_0000.nameWithHtml){
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_080_0000.path,
						param : {}
					});
				}
			}else{ //미 로그인시
				var msg = "로그인 후 이용이 가능합니다.\n로그인 하시겠어요?"
				var _returnUrl = PATH_MANAGER.KIA_RNW_080_0000.path;
				var _params = {};
				MPopup.confirm({
					message : msg,
					buttons : ["취소", "로그인"],
					callback : function(idx){
						if(idx == 1){ // 로그인 눌렀을때
							var param = {
									returnLink : _returnUrl,
									returnParams : _params
								}
								ccspLogin(param);
							return false;
						}else{ 
							return false;
						}
					}

				});
			}
			
		});
		*/
        /*
		// 메세지 아이콘 클릭
		$(document).on("click", ".btn-alarm", function(){
			//customPopup.addClass($("#totalMenuWrap"));
			if(!isNull(PGV.loginInfo)){
				if(PGV.currentPage != PATH_MANAGER.KIA_RNW_091_0000.nameWithHtml){
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_091_0000.path,
						param : params
					});
				}
			}else{
				var msg = "로그인 후 이용이 가능합니다.\n로그인 하시겠어요?"
				var _returnUrl = PATH_MANAGER.KIA_RNW_091_0000.path;
				var _params = {};
				MPopup.confirm({
					message : msg,
					buttons : ["취소", "로그인"],
					callback : function(idx){
						if(idx == 1){ // 로그인 눌렀을때
							//ccsp로그인
							var param = {
									returnLink : _returnUrl,
									returnParams : _params
								}
								ccspLogin(param);
							return false;
						}else{ 
							return false;
						}
					}

				});
			}
		});
		*/
		// 설정 아이콘 클릭
		$(document).on("click", ".btn-set", function(){
			var $this = $(this);
			if($this.attr('id') == "mileageSetBtn" || $this.attr('id') == "distanceSetBtn"){
				return;
			}
			if(PGV.currentPage != PATH_MANAGER.KIA_RNW_093_3000.nameWithHtml){
				MPage.html({
					url : PATH_MANAGER.KIA_RNW_093_3000.path,
					param : params
				});
			}
		});
	},
	
	// 더보기가 필요한 부분에 scroll 끝까지 갔을 경우 scroll event 호출
	list_more_scroll : function(){ // 안드로이드 26버젼 이상일 경우 scrollTop값이 소수점 까지 계산됨으로 20190123 수정 
		if($(".scroll-loading").length > 0){
			$(".scroll-loading").scroll(function(event) {
				var elem = $(this); 
				var calScrollTop = elem[0].scrollHeight - elem.scrollTop(),
				offsetHeight = elem[0].offsetHeight;
				//[KIAVIK-369] sentry crash
				//이전화면으로 이동 중 scroll event수신.
				var device = MInfo.device();
				if (isEmpty(device)) {
				    return;
				}
				if(device.os.name == 'Android' && Number(device.os.version) >= 24){	//안드로이드 26버젼 이상일 경우 scrollTop값이 소수점 까지 계산됨으로
					calScrollTop = parseInt(elem[0].scrollHeight - elem.scrollTop());
					offsetHeight =  parseInt(elem[0].offsetHeight);
					if ( calScrollTop <= offsetHeight) {
						if(typeof selectMoreListData == "function"){
							selectMoreListData(event);
						}
					} 
				}else{
					if ( calScrollTop == offsetHeight) {
						if(typeof selectMoreListData == "function"){
							selectMoreListData(event);
						}
					} 
				}
			});
		}
	},
	
	kakao_advice_click : function(){
		$(document).on("click", ".btn-kakao, #kakaoAdviceBtn", function(){
			//KAKAO 이동 클릭
			screenViewGa(gaSendUrl["KIA_MOB_730_1002"].pageNm);
			var _os = MNavigator.os().toLowerCase();
			var _androidPackage = "com.kakao.talk";
			var _iosScheme = "kakaolink://";
			var _iosAppstoreId = "362057947";
			
			if(_os == "android"){
				if(MApps.info(_androidPackage).installed == false){
					MApps.store(_androidPackage);
					return;
				}
			} else if(_os == "ios"){
				if(MApps.info(_iosScheme).installed == false){
					MApps.store(_iosAppstoreId);
					return;
				}
			} else {
				MPopup.alert("PC 에뮬레이터에서는 카카오톡 상담하기를 지원하지 않습니다.");
				return;
			}
			
			var _url = CONSTANT.KAKAO_ADVICE_URL;
			MPage.activity({
				className : "WebviewActivity",
				param : {
					method : CONSTANT.NET_MTHD.GET,
					requestURL : _url
				}
			});
		});
	},
	
	stt_button_click : function(){
		$(document).on("click", ".btn-stt", function(){
			// navigator에 사용할 dat 파일 로드
			if(M.info.device().os.name != 'pc'){
				PGV.NoPopup = "Y"; // 팝업 안나오게 
			    M.plugin('page_navigator').load({
			        root : "",
			        callback:function(status, result){
				    	if(wnIf.device == DT_IOS){
				    	    customPopup.get('KIA_MOB_000_1500.html', $('#sttPopUp'), function(item) {	//STT 팝업 띄우기
				    	    	screenViewGa(gaSendUrl["KIA_MOB_000_1500"].pageNm);
								var screenHtml = $('<div></div>');
								screenHtml.append(item);
								$('body').append(screenHtml.find('#sttPopUp'));
								$('[data-button-type]').click(function() {	//버튼 이벤트
									switch($(this).data("button-type")){
										case "close" : 	//닫기 버튼
											customPopup.remove($('#sttPopUp')); //팝업삭제	
											M.plugin("stt_google").stop();
										break;
										case "retry" : 	//다시 시도
						    				$("[popup-div-type='ing']").removeClass("none");
						    				$("[popup-div-type='end']").addClass("none");
						    				
											callSttGoogle();
										break;
									}
								});
							});

							callSttGoogle();
				    	}else{
				    		M.plugin("stt_basic").start({
			    	            'callback' : doNavigator
				    		});
				    	}
			        }
			    });
			}
	    });
	},

	// 차량정보화면에서 스크롤 시 탭 영역이 top 보다 높아질 경우 상단 고정
	scroll_tab_top : function(){
		if($('.hiddentab').length > 0){
			$(".scroll-wrap").scroll(function (event) {
				var $height = $('.intab').offset().top;
				if(0 >= $height){
					$('.hiddentab').css('display','-webkit-box');
					$('.hiddentab').removeClass("none");
				}else{
					$('.hiddentab').addClass("none");
				}
			});
		}
	},

	// 전체메뉴에서 고객 이름 클릭시 정보 수정으로 이동
	total_cust_nm_click : function(){
		$(document).on("click", "#totalMenu_custNm > button", function(){
			$(".btn-closemenu").trigger("click");
			if(PGV.currentPage != PATH_MANAGER.KIA_RNW_0D3_1400.nameWithHtml){
				MPage.html({
					url : PATH_MANAGER.KIA_RNW_0D3_1400.path,
					param : {
						moveFlag : PATH_MANAGER.KIA_RNW_0D3_1300.path
					}
				});
			}
		});
	},

	// 전체메뉴에서 로그인 클릭시 로그인으로 이동
	total_login_btn_click : function(){
		$(document).on("click", "#totalMenu_loginBtn", function(){
			$(".btn-closemenu").trigger("click");
			if(PGV.currentPage != PATH_MANAGER.KIA_RNW_060_0000.nameWithHtml){
				// CCSP 개발 추가
				ccspLogin();
			}
		});
	},
	// 컨텐츠 내의 전화번호 클릭 시
	type_tel_click : function(){
		$(document).on("click", ".type-tel", function(){
			var that = $(this);
			var telNum = null;
			if(!isEmpty(that.attr("data-call-num"))){
				telNum = extractNumber(CONSTANT.CALL[that.attr("data-call-num")].NUM);

			}else{
				telNum = extractNumber(that.text());
			}

			MSys.call(telNum);
		});
	},
	//iframe 이벤트
	get_iframe_event : function(){
		window.addEventListener('message', function(e) {
			var data = e.data;


			switch(data.type){
			    case "app_browser":
			        MApps.browser(data.url)
			        break;
				case "carnlife_login" : 		//오토엔 로그인 이벤트
					if(isEmpty(PGV.loginInfo) == false){
						MData.param("requestAutonLogin", "Y");
						MData.param("rUrl", data.moveUrl);
						MStatus.onRestore();
					}else{
						PGV.carnlifeNeedLogin = true;
						//ccsp로그인
						var param = {
							needGc : 'Y', // 사이드메뉴로 이동시 garbageCollector()를 사용하여 메인 페이지를 제외한 페이지 삭제
							returnLink : PATH_MANAGER.KIA_RNW_810_0000.path,
							returnParams : {
								rUrl : data.moveUrl,
								requestAutonLogin : "Y"
							}
						}
						ccspLogin(param);

					}
				break;
				case "carnlife_kakaoNavi" : 		//오토엔 로그인 이벤트
				// {type: "carnlife_kakaoNavi", name: "OO지역", lat: "32.1234", lng: "32.1234"}
					callKakaoNavi(data.name, data.lat, data.lng);
				break;

				case "carnlife_webview" : 		//오토엔 새창 이벤트
					MPage.activity({
						className : "WebviewActivity",
						param : {
							method : CONSTANT.NET_MTHD.GET,
							requestURL : data.moveUrl
						}
					});
				break;

				case "vikkia_page_network" : 		//오토엔 첫페이지 여부
					var _pageInfo = data.pageInfo;
					PGV.firstPageYn = "N";
					if(isEmpty(MData.global("autonPath"))){     // [KIAVIK-399] 경로 없을경우 오토앤 첫페이지 경로 받아서 저장(기아브랜드관,오토앤이벤트)
					    MData.global("autonPath",_pageInfo.nowPageNm);
					}
					if((!isEmpty(PGV.evtCd) || _pageInfo.firstPageYn == "Y") && MData.global("autonPath") == _pageInfo.nowPageNm){
						PGV.firstPageYn = "Y";
						// MPopup.alert("카앤라이프 첫페이지입니다.");
					}else{
						PGV.firstPageYn = "N";
						// MPopup.alert("카앤라이프 첫페이지아닙니다.");
					}
				break;

				case "vikkia_event" :		// 통합앱 이벤트 페이지
					var _moveInfo = data.moveInfo;				// 이동 정보
					var _loginYn = _moveInfo.loginYn;			// 로그인 필요여부 //PGV.currentDate >= "2019062300" && PGV.currentDate < "2019062308"
					// if(PGV.eventType == "ing" && (PGV.evtNo == "25" || PGV.evtNo == "22") && PGV.currentDate >= "2019062300" && PGV.currentDate < "2019062308"){
					// 	warningLayerPop();
					// 	return;
					// }
					if(_loginYn == "Y"){		// 로그인이 필요한 이벤트인 경우
						if(PGV.loginInfo){
							if(_moveInfo.type == "WEB"){		// 외부로 이동

								if(isEmpty(_moveInfo.uniqNoKey) == false){
									// 회원고유번호 조회
									MNet.httpSendAsIs({
										path : inf.common.mbrUnqNo.url,
										sendData : {
											csetIfTypeCd : "04",							// 승인 IF 구분코드 (01:카드번호, 02:CI, 03:회원고유번호, 04:고객관리번호) 04로 고정!! 08/22 -lhs
											csetIfValue : PGV.loginInfo.csmrMgmtNo 		// 04:고객관리번호
										},
										callback : function(receivedData){
											exWNHideIndicator();
											var code = receivedData.resultCode;
											var msg = receivedData.resultMsg;

											if(code == "200"){
												var uniqNo = receivedData.mbrUnqNo;
												switch (_moveInfo.uniqNoType) {
//											case "encodeURIComponent":
//												uniqNo = encodeURIComponent(uniqNo);
//												break;
												case "base64" :
													uniqNo = encodeURIComponent(btoa(uniqNo));
													break;

												default:
													break;
												}

												var _reqUrl = _moveInfo.url + "&" +  _moveInfo.uniqNoKey + "=" + uniqNo
												MPage.activity({
													className : "WebviewActivity",
													param : {
														method : _moveInfo.webMethod,
														requestURL : _reqUrl
													}
												});
											}else{
												MPopup.alert("멤버십 카드 미보유시 포인트 적립 불가합니다.");
											}
										}
									});
								}else{
									MPage.activity({
										className : "WebviewActivity",
										param : {
											method : _moveInfo.webMethod,
											requestURL : _moveInfo.url
										}
									});
								}
							}else if(_moveInfo.type == "carnLife"){ // 카앤라이프 페이지 이동
								MPage.html({
									url : PATH_MANAGER.KIA_RNW_810_0000.path,
									param : {
										rUrl : CONSTANT.AUTON_URL_PREFIX + _moveInfo.url,
										evtYN : "Y"
									}
								});
							}else if(_moveInfo.type == "hotEvt"){ // 카앤라이프 페이지 이동
								MData.global("autonPath", "https://carnlife.auton.kr/product/category/product_view/" + _moveInfo.evtCd);
								MPage.html({
									url : PATH_MANAGER.KIA_RNW_810_0000.path,
									param : {
										rUrl : "https://carnlife.auton.kr/a/P000000",
										evtCd : _moveInfo.evtCd
									}
								});
							}else if(_moveInfo.type == "carnLifeEvt"){ // 카앤라이프 페이지 이동
								var _page = _moveInfo.page;
								var _url = CONSTANT.LINK_URL[_page].URL;
								var _path = CONSTANT.LINK_URL[_page].PATH; // 오토엔 페이지 이동 제어를 위해
								var params = {};
								var _code = _moveInfo.code;
								if(_url != ""){
									screenViewGa(gaSendUrl[_page].pageNm);
									MData.removeGlobal("autonPath");
									MData.global("autonPath", _path);
									MPage.html({
										url : PATH_MANAGER.KIA_RNW_810_0000.path,
										param : {
											rUrl : _url,
											evtYN : _code
										}
									});
								}
							}else if(_moveInfo.type == "browser"){ // 외부 브라우저 호춯
								MApps.browser(_moveInfo.url);
							}else if(_moveInfo.type == "carnLife_hotdeal") {
                                 carnlifeSubmitData(_moveInfo.url);
                            }else{		// 앱 내로 이동
								var _param = _moveInfo.appParam || {};
								var _evtNo =  {"evtNo" : PGV.evtNo};
								if(!isEmpty(_moveInfo.appParam)){
                                    _param = $.extend(_param, _evtNo);
                                }
								MPage.html({
									url : _moveInfo.url,
									action : _param.action || "NEW_SCR",
									param : _param
								});
							}

						}else{
							COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
                            /*
							MPopup.confirm({
								message : "이벤트 응모는 로그인 후 이용이 가능합니다.\n로그인 하시겠어요?",
								callback : function(idx){
									if(idx == 1){ // 로그인 눌렀을때
										var param = {
												backFlag : "Y",
												returnLink : "",
												returnParams : {}
											}
											ccspLogin(param);
										return;
									}else{
										return false;
									}
								}
							});
							*/
						}
					} else {		// 로그인이 필요없는 이벤트의 경우
						if(_moveInfo.type == "WEB"){
							MPage.activity({
								className : "WebviewActivity",
								param : {
									method : _moveInfo.webMethod,
									requestURL : _moveInfo.url
								}
							});
						}else if(_moveInfo.type == "carnLife"){ // 카앤라이프 페이지 이동 로그인 필요 없을시
							MPage.html({
								url : PATH_MANAGER.KIA_RNW_810_0000.path,
								param : {
									rUrl : CONSTANT.AUTON_URL_PREFIX + _moveInfo.url,
									evtYN : "Y"
								}
							});
						}else if(_moveInfo.type == "browser"){ // 외부 브라우저 호춯
								MApps.browser(_moveInfo.url);
						}else{
							var _param = _moveInfo.appParam || {};
							var _evtNo =  {"evtNo" : PGV.evtNo};
							if(!isEmpty(_moveInfo.appParam)){
                                _param = $.extend(_param, _evtNo);
                            }
							MPage.html({
								url : _moveInfo.url,
                                action : _param.action || "NEW_SCR",
								param : _param
							});
						}
					}


				break;

				case "vikkia_event_network" :		// 설문, 출석체크, 퀴즈이벤트 등 등록하여 서버와 통신해야되는 타입
					var _eventInfo = data.eventInfo;				// 이동 정보
					var _loginYn = _eventInfo.loginYn;			// 로그인 필요여부
					if(isEmpty(PGV.loginInfo) && _loginYn == "Y"){
					    COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();

					}else{
						var _sendData = {};
						var _requestPath = "";
						switch (_eventInfo.eventType) {
						case "quizReg":		// 퀴즈 참여 할 경우
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo;

							_requestPath = inf.quiz.quizReg.url;
							break;

						case "quizYn":		// 퀴즈 중복체크 할 경우
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo;

							_requestPath = inf.quiz.quizYn.url;
							break;

						case "getCheckDate":		// 출석체크 기간 및 출섹체크 한 날짜 조회
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo; // 출석체크
							_requestPath = inf.event.selectAttendance.url;
							break;

						case "checkReg":		// 출석체크 참여
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo; // 출석체크
							_requestPath = inf.event.attendanceEvent.url;
							break;

						case "repairReg":		// 쿠폰 할 경우
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo;

							_requestPath = inf.coupon.cponRepairReg.url;
							break;

						case "quizFinalYn":		// 응모이벤트 응모마감 확인 경우
							_sendData.evtNo = PGV.evtNo;

							_requestPath = inf.quiz.quizFinalYn.url;
							break;

						case "haveCard":		// 기아멤버스 회원여부
							_sendData.csetIfTypeCd = "02";
							_sendData.csetIfValue = PGV.loginInfo.ci;

							_requestPath = checkVerifyUrl(inf.card.cardList.url);
							break;

						case "checkMrkgRcpmYn":		// 마케팅 동의 여부
							_sendData.mbrId = PGV.loginInfo.mbrId;

							_requestPath = checkVerifyUrl(inf.setting.myInfo.url);
							break;

						case "endYn":		// 출석체크 참여
							if(PGV.eventType == "end"){
								$("#linkTypeWrap").get(0).contentWindow.postMessage({
									evtType : "endEvent",
									responseData : {}
								}, CONSTANT.IFRM_TGT_ASTR);
								/// 이벤트 점검 알림 20190610
							// }else if(PGV.eventType == "ing" && (PGV.evtNo == "25" || PGV.evtNo == "22") && PGV.currentDate >= "2019062300" && PGV.currentDate < "2019062308"){
							// 	warningLayerPop();
							}else{// 서버 시간 확인
								if(isEmpty(PGV.mainServerDate)){
									PGV.mainServerDate = moment().format("YYYYMMDDHH");
								}
								var mbrEnt = "";
								if(!isEmpty(PGV.loginInfo)){
									mbrEnt = PGV.loginInfo.mbrEntDtm;
								}
								$("#linkTypeWrap").get(0).contentWindow.postMessage({
									evtType : "serverTime",
									responseData : {
										tm : PGV.mainServerDate,
										mbrEntDtm : mbrEnt
									}
								}, CONSTANT.IFRM_TGT_ASTR);
							}
							return;

						case "nowTime":		// 출석체크 참여
							if(PGV.eventType == "end"){
								$("#linkTypeWrap").get(0).contentWindow.postMessage({
									evtType : "endEvent",
									responseData : {}
								}, CONSTANT.IFRM_TGT_ASTR);
							}else{// 서버 시간 확인
								$("#linkTypeWrap").get(0).contentWindow.postMessage({
									evtType : "nowTime",
									responseData : {
										tm : moment().format("YYYYMMDDHHmm")
									}
								}, CONSTANT.IFRM_TGT_ASTR);
							}
							return;

						case "chkEvent":		// 개인정보 동의
							MPage.html({
									url : "../320/KIA_MOB_320_1001.html",
									animate : "MODAL_UP",
									param : {}
								});
							return;
						case "chkAdr":		// 개인정보 변경 팝업
							MPage.html({
									url : PATH_MANAGER.KIA_RNW_0D3_1300.path,
									animate : "MODAL_UP",
									param : {
										baseBallData : {
											baseBallYn : "Y",
											baseEvtNo : PGV.evtNo
										}
									}
								});
							return;

                        case "checkApplyToday":     // 1일 1회 이벤트체크용 20200512
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;

                            _requestPath = inf.event.kiaStoryDtmSearch.url;

                            MNet.httpSendAsIs({
                                path : _requestPath,
                                sendData : _sendData,
                                callback : function(receivedData){
                                    exWNHideIndicator();
                                    if(receivedData.resultCode == "200"){
                                        $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                            evtType : _eventInfo.eventType,
                                            responseData : receivedData,
                                            callType : _eventInfo.sendData.callType
                                        }, CONSTANT.IFRM_TGT_ASTR);
                                    }else{
                                        //console.log("network error: code=" + receivedData.errorCode + ", msg=" + receivedData.errorMsg + ", path=" + _requestPath);
                                        MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
                                    }
                                }
                            });
                            return;
						case "reAutq":		// 오토큐 추천
							comSelectMbrRc();
							return;
						case "review":		// 리뷰이벤트 등록
							MPage.html({
									url : "../400/KIA_RNW_411_1100.html",
									animate : "MODAL_UP",
									param : {
										baseEvtNo : PGV.evtNo
									}
								});
							return;
						case "lukNum":		// 행운번호이벤트 등록 2020.04.07 추가
							MPage.html({
									url : "../320/KIA_MOB_320_1301.html",
									animate : "MODAL_UP",
									param : {
										baseEvtNo : PGV.evtNo
									}
								});
							return;

						case "drive":
                            _sendData = {
                                cont : _eventInfo.sendData.cont || "",		// 없음
                                csGbnCcd : _eventInfo.sendData.csGbnCcd,	// 리뷰이벤트 드라이빙캠페인 5번
                                hashTags : _eventInfo.sendData.hashTags || "",		// 해시태그
                                hpno : PGV.loginInfo.hpno,		// 핸드폰번호
                                mbrId : PGV.loginInfo.mbrId,		// 회원ID
                                mbrNm : PGV.loginInfo.mbrNm,		// 회원이름
                                title : _eventInfo.sendData.title,		// 이벤트 응모 주소
                                fileArray : [],
                                rank : "",
                                evtNo : PGV.evtNo //  참여 이벤트 번호
                            };

                            _requestPath = inf.event.reviewApply.url;
                        break;

                        case "driveCampaign":
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;

                            _requestPath = inf.quiz.quizYn.url;

                            MNet.httpSendAsIs({
                                path : _requestPath,
                                sendData : _sendData,
                                callback : function(receivedData){
                                    exWNHideIndicator();
                                    if(receivedData.resultCode == "200"){
                                        $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                            evtType : "quizYn",
                                            responseData : receivedData,
                                            callType : _eventInfo.sendData.callType
                                        }, CONSTANT.IFRM_TGT_ASTR);
                                    }else{
                                        MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
                                    }
                                }
                            });
                        return;

                        case "safeDrive":		// 안전운전인증이벤트 등록 2020.09.29 추가
                            MPage.html({
                                url : "../320/KIA_MOB_320_1302.html",
                                animate : "MODAL_UP",
                                param : {
                                    baseEvtNo : PGV.evtNo
                                }
                            });
                        return;

                        case "device":
                            $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                evtType : _eventInfo.eventType,
                                responseData : {
                                    deviceType : M.page.info("device.os"),
                                    appVersion : M.info.app().app.version
                                }
                            }, CONSTANT.IFRM_TGT_ASTR);
                        return;

						case "cancelYn":		//리뷰 이벤트 취소하기
							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo;
							_requestPath = inf.event.reviewCancel.url;
							break;

						case "kboEnroll":		//야구 이벤트 응모하기
							var _divi = _eventInfo.sendData.divi;
							var _episode = _eventInfo.sendData.episode;

							_sendData.mbrId = PGV.loginInfo.mbrId;
							_sendData.evtNo = PGV.evtNo;
							_sendData.hpno = PGV.loginInfo.hpno;
							_sendData.mbrNm = PGV.loginInfo.mbrNm;
							_sendData.divi = _divi;
							_sendData.episode = _episode;
							_requestPath = inf.event.kiaKboApply.url;
							break;

						case "selectJoin":		//mma 조회
							_sendData.evtNo = PGV.evtNo;
							_requestPath = inf.quiz.selectJoin.url;
							break;

					    case "pageClick":       // 20201221 페이지 보고왔는지 체크
					        var _evtNo = MData.global("pageClick").evtNo;
					        var _clickYn = (isEmpty(MData.global("pageClick")) ? "N" : "Y");
                            MData.removeGlobal("pageClick");
                            $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                evtType : _eventInfo.eventType,
                                responseData : {
                                    clickYn : _clickYn,
                                    evtNoYn : (PGV.evtNo == _evtNo ? "Y" : "N")
                                }
                            }, CONSTANT.IFRM_TGT_ASTR);
					        return;
                        case "checkCarnLifeHotDeal":
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;

                            ExAjax.ajax({
                                url : "http://akiaevent.auton.kr/resources/json/event.json",
                                body : "",
                                type     : CONSTANT.NET_MTHD.GET, // POST, GET
                                encoding : 'UTF-8', // UTF-8 , EUC-KR
                                header   : {},
                                success : function(data) {
                                    $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                        evtType : _eventInfo.eventType,
                                        responseData : data
                                        //responseData : '{"event":"N"}' // 품절 테스트 용
                                    }, CONSTANT.IFRM_TGT_ASTR);
                                },
                                fail : function(errorMsg) {
                                    $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                        evtType : _eventInfo.eventType,
                                        responseData : ""
                                    }, CONSTANT.IFRM_TGT_ASTR);
                                }
                            });
                            return;
                        case "isLoginYn" :      // 로그인 한 상태인지 확인
                            var loginYn = isEmpty(PGV.loginInfo) ? "N" : "Y";
                            console.log("loginYn : "+loginYn);
                            // N 대상으로 가입페이지 연결, Y 는 이벤트 대상자가 아니라는 팝업 띄우기
                            $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                evtType : _eventInfo.eventType,
                                responseData : {
                                    loginYn : loginYn
                                }
                            }, CONSTANT.IFRM_TGT_ASTR);
                            return;
                        case "showInstance" :       // instance 필요시
                            var instMsg = _eventInfo.sendData.message;
                            MPopup.instance(instMsg);
                            return;
                        case "benefitCheck" :
                            if(PGV.loginInfo == undefined){
                                return;
                            }
                            var selectCar = PGV.passData.car.selectCar;
                            _sendData.apiId = _API.SVR.EVENT.benefitCheck.apiId;
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;
                            _sendData.vin = selectCar.vin || "";
                            _requestPath = _API.SVR.EVENT.benefitCheck.url;
                            break;

                        case "benefitSend" :
                            var selectCar = PGV.passData.car.selectCar;
                            _sendData.apiId = _API.SVR.EVENT.benefitSend.apiId;
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;
                            _sendData.contNo = selectCar.contNo;
                            _sendData.ctcrNm = PGV.loginInfo.mbrNm;
                            _sendData.ctcrTel1 = PGV.loginInfo.hpno;
                            _sendData.contDt = selectCar.contYmd;
                            _sendData.oshpDt = selectCar.whotYmd;
                            _sendData.vin = selectCar.vin || "";
                            _requestPath = _API.SVR.EVENT.benefitSend.url;
                            break;

                        case "benefitReSend" :
                            var selectCar = PGV.passData.car.selectCar;
                            _sendData.apiId = _API.SVR.EVENT.benefitReSend.apiId;
                            _sendData.mbrId = PGV.loginInfo.mbrId;
                            _sendData.evtNo = PGV.evtNo;
                            _sendData.contNo = selectCar.contNo;
                            _sendData.ctcrNm = PGV.loginInfo.mbrNm;
                            _sendData.ctcrTel1 = PGV.loginInfo.hpno;
                            _sendData.vin = selectCar.vin || "";
                            _requestPath = _API.SVR.EVENT.benefitReSend.url;
                            break;
						default:
							break;
						}

						if(isEmpty(_eventInfo.sendData) == false){
							_sendData = $.extend(_sendData, _eventInfo.sendData);
						}
						if (_sendData.apiId == "RNW-KAS-2004") {
							var contYmds = PGV.passData.car.selectCar.contYmd; // 계약일
							var whotYmds = PGV.passData.car.selectCar.whotYmd; // 출고일
							contYmds = new Date(contYmds.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
							if(whotYmds != null) {
								whotYmds = new Date(whotYmds.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
							}
							var currDays = 24 * 60 * 60 * 1000;
							var watingDays = Number((whotYmds - contYmds) / currDays); //대기일
								watingDays = watingDays + 1;
							var compCode = "";
							if( 270 > watingDays && watingDays >= 180){
								compCode = "C-003940";
							}else if(366 > watingDays && watingDays >= 270) {
								compCode = "C-003941";
							}else if(watingDays >= 366){
								compCode = "C-003942";
							}else{
								compCode = "none";
							}
							MNet.httpSendAsIs({
								path: _API.SVR.EVENT.eventEligibilityYn.url,
								sendData: {
									mbrId: PGV.loginInfo.mbrId,
									campCode: compCode,
									apiId: _API.SVR.EVENT.eventEligibilityYn.apiId
								},
								callback: function (receivedData) {
									exWNHideIndicator();
									if (receivedData.resultCode == "200") {
										if (receivedData.eligYn == "Y") {
											MNet.httpSendAsIs({
												path: _requestPath,
												sendData: _sendData,
												callback: function (receivedData) {
													exWNHideIndicator();
													if (receivedData.resultCode == "200") {
														$("#linkTypeWrap").get(0).contentWindow.postMessage({
															evtType: _eventInfo.eventType,
															responseData: receivedData,
															selectCar: PGV.passData.car.selectCar || "",
															mbrNm: PGV.loginInfo.mbrNm || "고객"
														}, CONSTANT.IFRM_TGT_ASTR);
													} else {
														//console.log("network error: code=" + receivedData.resultCode + ", msg=" + receivedData.resultMsg + ", path=" + _requestPath);
														MPopup.instance(receivedData.resultMsg);
													}
												}
											});
										} else {
											if(whotYmds == null){
												MPopup.instance("출고일이 아직 시스템에 업데이트 되지 않았으니 조금만 더 기다려 주세요.");
											}else {
												MPopup.instance("Benefit Plus+ 대상자가 아닙니다.");
											}
										}
									} else {
										//console.log("network error: code=" + receivedData.resultCode + ", msg=" + receivedData.resultMsg + ", path=" + _requestPath);
										MPopup.instance(receivedData.resultMsg);
									}
								}
							});
						}else{
							MNet.httpSendAsIs({
								path: _requestPath,
								sendData: _sendData,
								callback: function (receivedData) {
									exWNHideIndicator();
									if (receivedData.resultCode == "200") {
										$("#linkTypeWrap").get(0).contentWindow.postMessage({
											evtType: _eventInfo.eventType,
											responseData: receivedData,
											selectCar: PGV.passData.car.selectCar || "",
											mbrNm: PGV.loginInfo.mbrNm || "고객"
										}, CONSTANT.IFRM_TGT_ASTR);
									} else {
										//console.log("network error: code=" + receivedData.resultCode + ", msg=" + receivedData.resultMsg + ", path=" + _requestPath);
										MPopup.instance(receivedData.resultMsg);
									}
								}
							});
						}
					}
				break;

				case "vikkia_event_back" :		// 이벤트에서 빠져나와서 이전 화면으로 가야하는 경우
					if(!isNull(PGV.loginInfo) && M.page.stack().length == 1 && (PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml && PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml)){ // 로그인시
						MPage.html({
							url : PATH_MANAGER.KIA_RNW_120_0000.path,
							action : 'CLEAR_TOP',
							animate : "SLIDE_RIGHT"
						});
					}else if(isNull(PGV.loginInfo) && M.page.stack().length == 1 && (PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml && PGV.currentPage != PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml)){ //미 로그인시
						MPage.html({
							url : PATH_MANAGER.KIA_RNW_120_0000.path,
							action : 'CLEAR_TOP',
							animate : "SLIDE_RIGHT"
						});
					}else{
							MPage.back();
					}
				break;

				case "vikkia_event_scroll_into_view" :
					if(MInfo.device().os.name.toLowerCase() == 'ios'){
						$(".iframe-wrap").get(0).scrollIntoView(true);
					}
					break;

				case "vikkia_event_call" : 		// 이벤트 전화걸기 시
					var _callNumber = extractNumber(data.callNumber);
					MSys.call(_callNumber);
					break;

				case "vikkia_daum_address" :		// 다음 주소 콜백시
					var addrInfo = data.addrInfo;
					MPage.back({
						param : {
							zipInfo : {
								zoneCode : addrInfo.zoneCode,
								fullAddr : addrInfo.fullAddr,
								buildingCode : addrInfo.buildingCode,
								extraAddr : addrInfo.extraAddr
							},
							searchType : MData.param("searchType")
						},
						animate : "MODAL_DOWN"
					});
				break;

				case "vikkia_daum_address_set_height" :		// 다음 주소 heigth 조절
					var height = data.height;
					$("iframe").height(height + "px");
				break;

				case "vikkia_img_download" :   //  ==== 파일 다운로드
				    var filePath = data.info.filePath;
                    // 이미지 다운로드 20200417
                    M.net.http.download({
                        url : CONSTANT.IMG_URL_PREFIX + filePath,
                        indicator : true,
                        overwrite : true,
                        directory : "ext://", //ext:외부저장소 doc:내부 app:앱 media:미디어
                        encoding : "UTF-8",
                        progress : function(total, current){},
                        finish : function(statusCode, header, fileInfo, status, error){
                            if(status == "SUCCESS"){
                               $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                   evtType : "imgDownload",
                                   responseData : {imgPath : fileInfo.source, resultMsg : "SUCCESS"}
                               }, CONSTANT.IFRM_TGT_ASTR);
                            }else{
                                //console.log("error");
                                $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                    evtType : "imgDownload",
                                    responseData : {imgPath : fileInfo.source, resultMsg : "FAIL"}
                                }, CONSTANT.IFRM_TGT_ASTR);
                            }
                        }
                    });
				break;

				case "vikkia_img_connect" : // 이미지 갤러리 추가
                    var filePath = data.info.filePath;
                    // 이미지 다운로드 20200417
                    M.media.album({     // 다운로드한 이미지 앨범에 연동(실물 디바이스 있어야 확인가능)
                        path : filePath,
                        onfinish : function(status, result, option){
                            getPushDataWhenNotMorpheusView();
                            if(status == "SUCCESS"){
                                //var photo_path = result.path;
                                //var photo_name = result.name;
                                $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                    evtType : "imgConnect",
                                    responseData : {imgPath : filePath, resultMsg : "SUCCESS"}
                                }, CONSTANT.IFRM_TGT_ASTR);
                            }else{
                                $("#linkTypeWrap").get(0).contentWindow.postMessage({
                                    evtType : "imgConnect",
                                    responseData : {imgPath : filePath, resultMsg : "FAIL"}
                                }, CONSTANT.IFRM_TGT_ASTR);
                            }
                        }
                    });
				break;
			}
		});
	},

	// 20200923 휴면계정이벤트 페이지 이동 체크
	move_page_evt_check : function(){
	    var pageArray = [PATH_MANAGER.KIA_RNW_120_0000.nameWithHtml];
        var _idx = pageArray.indexOf(PGV.currentPage);
        if(_idx > -1 && MData.param("evtNo")!="" && MData.param("evtType")=="sleep"){
            //var _sendData = {};
            //var _requestPath = "";
            //var evtType = MData.param("evtType");
            var evtPage = MData.param("evtPage");
            //PGV.evtNo = MData.param("evtNo");
            //MData.removeParam("evtNo");
            //MData.removeParam("evtType");
            //MData.removeParam("evtPage");

            // 20201223 이벤트수정
            moveTab(evtPage);
            /*
            _sendData.mbrId = PGV.loginInfo.mbrId;
            _sendData.evtNo = PGV.evtNo;

            _requestPath = inf.quiz.quizYn.url;

            MNet.httpSend({
               path : _requestPath,
               sendData : _sendData,
               callback : function(receivedData){
                   //exWNHideIndicator();
                   if(receivedData.resultCode == "200"){
                       // 참여안했을 경우 자동참여
                       if(receivedData.regYn == "N"){
                           MNet.httpSend({
                               path : inf.quiz.quizReg.url,
                               sendData : _sendData,
                               callback : function(receivedData){
                                   exWNHideIndicator();
                                   if(receivedData.resultCode == "200"){

                                       MData.global("quizReg", receivedData);

                                       var strBuff = "";
                                       strBuff += '<div class="popup-wrap" id="sleepEvtPopup">'
                                           strBuff += '<div class="popup-bg"></div>'
                                           strBuff += '<div class="popup-box">'
                                               strBuff += '<div class="popup-mid">'
                                                   strBuff += '<div class="popup pop-img">'
                                                       strBuff += '<div class="pop-body">'
                                                           strBuff += '<img src="../../img/popup-img/ev_pop_01.jpg" alt="참여가 완료되었습니다. 당첨되신 분들께는 이벤트 종료 시 개별 연락을 드립니다."/>'
                                                       strBuff += '</div>'
                                                       strBuff += '<div class="btn-wrap">'
                                                           strBuff += '<button type="button" class="btn-txt" id="popCloseBtn">닫기</button>'
                                                       strBuff += '</div>'
                                                   strBuff += '</div>'
                                               strBuff += '</div>'
                                           strBuff += '</div>'
                                       strBuff += '</div>'

                                       $("body").append(strBuff);

                                       // 닫기 버튼 클릭 시
                                       $("#popCloseBtn").on("click", function(){
                                           customPopup.remove($('#sleepEvtPopup'));
                                           if($(".popup-wrap").length == 0){
                                               $("#sleepEvtPopup").remove();
                                           }
                                       });


                                   }else{
                                       //console.log("network error: code=" + receivedData.errorCode + ", msg=" + receivedData.errorMsg + ", path=" + _requestPath);
                                       MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
                                   }
                               }
                           });
                       }
                   }else{
                       //console.log("network error: code=" + receivedData.errorCode + ", msg=" + receivedData.errorMsg + ", path=" + _requestPath);
                       MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
                   }
               }
            });
            */
        }
	}
};

// 20201223 리뉴얼이벤트2용
var moveTab = function(evtPage){
    if($("#mainContentWrap").children().length == 1 || isEmpty(PGV.homeWidget)){
        setTimeout(function(){
            moveTab(evtPage);
        },1000);
    }else{
        var _evtNo = MData.param("evtNo");
        var _sendData = {};
        _sendData = {
           regType : "pageClick",
           evtNo : _evtNo
        };
        MData.removeParam("evtNo");
        MData.removeParam("evtType");
        MData.removeParam("evtPage");
        MData.global("pageClick", _sendData);
        PGV.homeWidget.setEvtBtmTab(evtPage);
    }
}

