/**
 * 주의 영문자 "이엔씨" 사용금지(소스보안에서 걸림)
 * "*" , "GET","POST" ==> 소스보안에서 걸림으로 상수처리함
 * @파일명 : constant.js
 * @작성자 : 최정동
 * @생성일 : 2018. 7. 05. 오전 9:42:00
 * @메뉴명 : 상수값 정리 파일
 */

var CONSTANT = {
	NET_MTHD:{GET:"GET",POST:"POST"},
	IFRM_TGT_ASTR:"*",
	TOTAL_MENU_URL : PATH_MANAGER.KIA_RNW_600_0000.path,			// 전체메뉴 URL
	INDICATORTIMEOUT : 30000,
	RED_CRTEC_KEY : "REDMBTTAPP#TTAPPREDMBttapP#TTAPP",		// 기아멤버스 로그인 관련 암호화 키 값
	KIA_CRTEC_KEY : "KWCMS#KR#5DSW84HG19KH2B5KFPK93N4",		// 기아홈페이지 로그인 관련 암호화 키 값
	RED_IV_KEY : "MBTAPPRCPM201807",						// 기아멤버스 로그인 관련 iv 키 값
	KIA_IV_KEY : "KWCMS#KR#F75N8VF",					// 기아홈페이지 로그인 관련 iv 키 값
	PRI_CRTEC_KEY : "KConsierge#Innoc",               // 고급차 프리미엄케어예약 AES키
	PRI_IV_KEY : "KConsierge201705",					// 고급차 프리미엄케어예약 iv 키 값
	MAIN_MYCAR_URL : PATH_MANAGER.KIA_RNW_210_0000.path,        // 차량관리
	MAIN_MENU_URL : PATH_MANAGER.KIA_RNW_600_0000.path,			// 메뉴
	LOGIN_POPUP_MSG : "로그인이 필요한 메뉴입니다.\n로그인 하시겠어요?",
	DEFAULTS_LOCATION :{//현대기아자동차 양재 본사(헌릉로12)
		LAT :37.46415086779947,
		LNG :127.04241773781413
	},
	/** STraffic 암호화 키  */
	STRAFFIC_DEV_CRTEC_KEY : "STRAFFICApiServiceDevelop###2021",
	STRAFFIC_REAL_CRTEC_KEY : "KYLyC9Ou7fwsC6di+hanovHgtJgx2Bvj",
	STRAFFIC_DEV_IV_KEY : "STFService202106",
	STRAFFIC_REAL_IV_KEY : "kMN6T6A2/suIwbP+",


	/** Tmap API key */
	TMAP_API_DEV_KEY : 'l7xxb20b2c2509be4b05bcc0b06e04c5f51e',//'l7xx2c63c31fcc58403285c21f460df36a42',
	TMAP_API_REAL_KEY : 'l7xxb20b2c2509be4b05bcc0b06e04c5f51e',//'l7xx2c63c31fcc58403285c21f460df36a42',

	TMAP_SDK_YN : 'N',//'Y',

	/** DKC 암호화 키 */
//	DKC_ACCESS_KEY : "aaa51b134851400bb7ed30c8e4d1f822",
	DKC_ACCESS_KEY : "nCQzq0BwuP98wROxECty7RRkiAnEAYrJ",
	DKC_CRTEC_KEY : "7vhHGKciYKLMw3gvcQkcJECrBH5fEB5S",
	DKC_IV_KEY : "qGj8eHOYRA0qRsL1",

	/** ROUTO API key */
	ROUTO_MAP_CDN_ADDRESS : "maps/map",
	ROUTO_MAP_API_KEY : "75cda7f8-884a-418f-5298-7f244a904339",

	/* Kia Connect App Scheme (케이스마텍 추헌남) */
	UVO_APP_SCHEME : "muvo://",
	UVO_ANDROID_PACKAGE : "com.ubivelox.uvophone"
};

CONSTANT.IOS_STORE_ID = '1439546962'; //통합앱 ios 스토어 ID

//BuildMode ENABLE_CCSP와 동기화 되어야 함.
/**==============================<<!운영 서버 vs 개발서버 값 다름.>>==================================**/
CONSTANT.SEND_SERVER = "HTTP_REAL";
CONSTANT.SERVER_URL_PREFIX = M.info.app().manifest.network.http.HTTP_RESOURCE_UPDATE_REAL.address;
CONSTANT.SERVER_API_URL = M.info.app().manifest.network.http.HTTP_REAL.address;
CONSTANT.AUTON_URL_PREFIX = "https://carnlife.auton.kr";		// 오토엔 운영서버 URL
CONSTANT.IMG_URL_PREFIX = "http://vik.kia.com";				// 운영서버 URL
CONSTANT.RED_URL_PREFIX = "https://m.members.kia.com/";			// 기아멤버스 운영서버 URL
CONSTANT.RED_URL_OLD_PREFIX = "https://m.red.kia.com/";			// 기아멤버스 이전 운영서버 URL 2021.01.14 까지 사용.
CONSTANT.KIA_URL_PREFIX = "https://www.kia.com/";				// 기아홈페이지 운영서버 URL
//CONSTANT.KIA_LOGIN_URL_PREFIX = "https://api-kr.kia.com/:8003/";		// 기아홈페이지 운영서버 로그인 URL
//CONSTANT.KIA_LOGIN_URL_PREFIX = "https://kwp1.kia.com/";		// 기아홈페이지 운영서버 로그인 URL 운영에선 kwp1 이 아니라 www 로 변경?
CONSTANT.KIA_LOGIN_URL_PREFIX = "https://www.kia.com/";		// 기아홈페이지 운영서버 로그인 URL 운영에선 kwp1 이 아니라 www 로 변경?
CONSTANT.WEB_URL_PREFIX = "https://logon.kia.com/";		// 회원가입 웹 운영서버 URL
CONSTANT.KAKAO_JS_API_KEY = "111d72806b4f50803bbc03d2d5483410";		// 카카오(다음) 관련 운영 JAVASCRIPT API KEY
CONSTANT.KAKAO_REST_API_KEY = "fa6c531fabbe20d511ab3b0de453f7c5";		// 카카오(다음) 관련 운영 REST API KEY
CONSTANT.FIDO_SET_URL = "https://cmpass.kia.com//";
CONSTANT.FIDO_SITE_ID = "K101_MKV";
CONSTANT.GSW_URL = "https://ksw.kia.co.kr/inter/trf/rcpm.do"; // 스마트원스탑 서비스 운영
CONSTANT.BLUE_URL = "https://pg.bluewalnut.co.kr/kiaVik"; // 간편결제 운영 20190424추가
CONSTANT.BLUE_CARD_URL = "https://bpay.bluewalnut.co.kr/"; // 간편결제 개발 20190424추가
CONSTANT.BLUE_SHA_KEY = "K6kG4PvmOYbfY4eWUuEcDXXjBQ0g0Gw+JhRTxS5JmjjiitWNBLEj8J7x5zAcHrnTtvWcxO0STTk4eGvTAU+yCQ==";
CONSTANT.BLUE_AES_KEY = "K6kG4PvmOYbfY4eWUuEcDXXjBQ0g0Gw+";		// BLUE_AES_KEY 2019-04-26
CONSTANT.BLUE_CARD_AES_KEY = "5bzRusTfi5J0Xz/3dY7be7FHtc0g/U7/";		// BLUE_AES_KEY 2019-04-26
// 운영
CONSTANT.CCSP_LOGIN = "https://prd.kr-ccapi.kia.com/api/v1/user/oauth2/authorize?client_id=87cbd297-ce6b-4601-bee9-1f0433d94d96&redirect_uri=https://logon.kia.com/common/ccsp/redirect.do&response_type=code&state=test";
//"https://prd.kr-ccapi.kia.com/api/v1/user/oauth2/authorize?client_id=587d8f36-74db-4219-b267-ad474d80cd6f&redirect_uri=https://logon.kia.com/common/ccsp/redirect.do&response_type=code&state=test"  //운영 테스트
// https://prd.kr-ccapi.kia.com/api/v1/user/oauth2/authorize?client_id=87cbd297-ce6b-4601-bee9-1f0433d94d96&redirect_uri=https://logon.kia.com/common/ccsp/redirect.do&response_type=code&state=test //운영
CONSTANT.CCS_DATA_HUB = "https://prd.kr-ccapi.kia.com";
CONSTANT.EVT_NOI = "72"; //320_1010 11.14 화끈한빅
CONSTANT.EVT_NOF = "94"; //320_1011 11.14 큐프렌즈
CONSTANT.EVT_NOS = "105"; //320_1012 11.14 큐프렌즈 12월
CONSTANT.EVT_NOT = "179"; //320_1013 11.14 12월출첵 99 20년 4월 출첵 137 5월 145 6월 166 7월 170월 8월 179
// DKC 서비스
CONSTANT.DKC_SVC_INSTAWASH = "84d7f117-c132-4f67-8402-43963434ca69";    // 인스타워시
CONSTANT.DKC_SVC_YWMOBILE = "09f4217e-8dad-4835-b4ef-287029042488";     // YW 모바일
CONSTANT.OIL_JOIN_GSCT_LINK="";//GS칼텍스 회원가입 웹뷰
CONSTANT.IS_SVR_REF_MOCK = false;
CONSTANT.IS_HUB_REF_MOCK = false;
CONSTANT.IS_ROUTO_REF_MOCK = false;
CONSTANT.IS_HDOL_SVC_OPEN = true;
/**==============================<<운영 서버 vs 개발서버 값 다름.끝!>>==================================**/


CONSTANT.KAKAO_ADVICE_URL = "https://api.happytalk.io/api/kakao/chat_open?yid=%40%EA%B8%B0%EC%95%84%EC%9E%90%EB%8F%99%EC%B0%A8%EA%B3%A0%EA%B0%9D%EC%84%BC%ED%84%B0&site_id=4000000116&category_id=63962&division_id=63967";	// 카카오톡 상담하기 URL
CONSTANT.NETWORK_ERR_MSG = "통신상태가 원활하지 않아 접속이 지연되고 있습니다. 잠시 후 다시 시도 해 주세요.";
CONSTANT.NO_CAR_RGSTNO_MSG = "차량번호없음";
CONSTANT.MAX_STACK_LENGTH = 5;			// 스택 최대 크기
CONSTANT.MOTOR_SHOW_URL = "http://www.motorshow.or.kr/";			// 모터쇼 URL
CONSTANT.AR_VR_ANDROID_PACKAGE = "com.Tekville.KiaARManualKR";		// AR/VR 앱 ANDROID 패키지명
CONSTANT.AR_ANDROID_PACKAGE = "com.KIAMotors.PlayAR";		// AR/VR 앱 ANDROID 패키지명
CONSTANT.AR_VR_IOS_SCHEME = "vikkiaar://";		// AR/VR 앱 iOS 스키마
CONSTANT.AR_VR_IOS_STORE_ID = "1439577471";		// AR/VR 앱 iOS 스토어 ID
CONSTANT.AR_PLAY_IOS_STORE_ID = "1519204220";		// AR/VR PlayAR 앱 iOS 스토어 ID
CONSTANT.DEFAULT_AUTOQ_LONGITUDE = "127.042833";		// AUTO Q 기본 경도
CONSTANT.DEFAULT_AUTOQ_LATITUDE = "37.4643411";		// AUTO Q 기본 위도
CONSTANT.AUTOCAM_ID = "kkc7224";		// AUTOCAM ID
CONSTANT.AUTOCAM_PW = "kkc8601!@#";		// AUTOCAM PW
CONSTANT.AR_MANUAL_ANDROID_PACKAGE = "com.kia.mowners.p";		// 차세대 오너스 매뉴얼 앱 ANDROID 패키지명
CONSTANT.AR_MANUAL_IOS_SCHEME = "vikmanual://";		// 차세대 오너스 매뉴얼 앱 iOS 스키마
CONSTANT.AR_MANUAL_IOS_STORE_ID = "1485829909";		// 차세대 오너스 매뉴얼 앱 iOS 스토어 ID
CONSTANT.AR_MANUAL_INFO = "mowners";		// 차세대 오너스 매뉴얼 Info
CONSTANT.EPIT_MANUAL_URL = "https://m.post.naver.com/viewer/postView.naver?volumeNo=31347813&memberNo=53470528";

CONSTANT.KIAFLEX_ANDROID_PACKAGE = "com.kia.kiaflex";
CONSTANT.KIAFLEX_IOS_STORE_ID = "1537512016";
CONSTANT.UVO_ANDROID_PACKAGE = "com.ubivelox.uvophone";
CONSTANT.UVO_IOS_STORE_ID = "517642038";
CONSTANT.DIGITAL_KEY_ANDROID_PACKAGE = "com.kia.digitalcarkey1";
CONSTANT.DIGITAL_KEY_IOS_STORE_ID = ""; //ios 미지원
CONSTANT.KIAPAY_ANDROID_PACKAGE = "com.kia.icp";
CONSTANT.KIAPAY_IOS_STORE_ID = "1495615740";
CONSTANT.EON_ANDROID_PACKAGE = "com.ywmobile.app.eon";      // 이온 온디맨드 픽업충전 앱 ANDROID 패키지명
CONSTANT.EON_IOS_STORE_ID = "1558991392";       // 이온 온디맨드 픽업충전 앱 iOS 스토어 ID

CONSTANT.EPIT_ANDROID_PACKAGE = "com.hyundai.acteev";
CONSTANT.EPIT_IOS_STORE_ID = "1556412770";

CONSTANT.POPUP_ANIMATION_DURATION = 300;

CONSTANT.KIA_VIK_ANDROID_PACKAGE = "com.kia.red";
CONSTANT.KIA_VIK_IOS_STORE_ID = "1439546962";

CONSTANT.KIA_VIK_DEFAULT_CAR_IMG = "../../img/common/thumb_mycar_default.png";

// KIAVIK-940 EV시뮬레이터 다운로드 정보
CONSTANT.EV_SIMULATOR_PACKAGE = "com.kia.KESS";
CONSTANT.EV_SIMULATOR_IOS_STORE_ID = "1580513206";

//모의해킹 대응 Verify API 사용 기준 버전.
CONSTANT.USE_VERIFY_ANDROID_VERSION = 200; //UX 2.0
CONSTANT.USE_VERIFY_IOS_VERSION = 200; //UX 2.0

//CCS 대응 API 사용 기준 버전
CONSTANT.USE_CCS_ANDROID_VERSION = 205; //205
CONSTANT.USE_CCS_IOS_VERSION = 204; // 204

CONSTANT.UNREGISTERED_USER_ERROR = 4043;
CONSTANT.UNREGISTERED_VEHICLE_ERROR = 4101;
CONSTANT.CCS_NEVER_ACTIVATED = 4043; // UVO 가입후 차량 등록이 안된 경우.

CONSTANT.RETRY_LOGIN_TIMEOUT = 3000;

CONSTANT.MY_MENU = {
	MENU_1 : {
		NM : "차량관리",
		LINK_URL : "KIA_MOB_500_1000",
		IMG_CLASS : "btn-cusmn01",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "Y",
		DEFAULT : "1"
	},

	MENU_2 : {
		NM : "멤버십쇼핑몰",			// TODO : 2차 오픈시 정비예약으로 변경
		LINK_URL : "KIA_MOB_600_1002",
		IMG_CLASS : "btn-cusmn02",
		LINK_TYPE : "AUTON",		// LOCAL, WEB
		LOGIN_YN : "N"
	},

	MENU_3 : {
		NM : "내포인트",
		LINK_URL : "KIA_MOB_520_1000",
		IMG_CLASS : "btn-cusmn03",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "Y"
	},

	MENU_4 : {
		NM : "영업망안내",
		LINK_URL : "KIA_MOB_200_1400",
		IMG_CLASS : "btn-cusmn04",
		LINK_TYPE : "WEB",		// LOCAL, WEB
		LOGIN_YN : "N"
	},

	MENU_5 : {
		NM : "오토큐검색",
		LINK_URL : "KIA_MOB_510_1100",
		IMG_CLASS : "btn-cusmn05",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "N",
		DEFAULT : "2"
	},

	MENU_6 : {
		NM : "정비이력",
		LINK_URL : "KIA_MOB_500_1100",
		IMG_CLASS : "btn-cusmn06",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "Y",
	},

	MENU_7 : {
		NM : "온라인 견적",
		LINK_URL : "KIA_MOB_200_1000",
		IMG_CLASS : "btn-cusmn07",
		LINK_TYPE : "WEB",		// LOCAL, WEB
		LOGIN_YN : "N"
	},

	MENU_8 : {
		NM : "응급조치",
		LINK_URL : "KIA_MOB_720_1000",
		IMG_CLASS : "btn-cusmn08",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "N",
		DEFAULT : "3"
	},

	MENU_9 : {
		NM : "긴급출동",
		LINK_URL : "KIA_MOB_740_1000",
		IMG_CLASS : "btn-cusmn09",
		LINK_TYPE : "LOCAL",		// LOCAL, WEB
		LOGIN_YN : "N",
		DEFAULT : "4"
	}
};

CONSTANT.CALL = {

	CALL_1 : {
		NM : "컨시어지 서비스 종합상황실",
		NUM : "080-500-2000"
	},

	CALL_2 : {
		NM : "무상견인 종합상황실, 긴급출동 종합상황실, 고객상담 고객센터, KIA RED 고객센터, 과잉정비 보상 서비스",
		NUM : "080-200-2000"
	},

	CALL_3 : {
		NM : "Kia Connect 관련 문의",
		NUM : "1899-2121"
	},

	CALL_4 : {
		NM : "토탈예약센터 예약전화",
		NUM : "1899-0200"
	},

	CALL_5 : {
		NM : "The Membership 컨시어지",
		NUM : "080-500-2000"
	},

	CALL_6 : {
		NM : "EV 전담 컨시어지",
		NUM : "1899-0012"
	}

}
