/**

 @파일명 : KIA_RNW_0D3_1000.js
 @작성자 : 케이스마텍 추헌남
 @생성일 : 2022.03.17
 @메뉴명 : GNB_설정 탭
 @DESC : 권한 확인 중
 */
var CurrPage;
var KIA_RNW_0D3_1000 = {
    hasKiaMembersCards: false,
    init: function () {
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");
        CurrPage.setProfileSection();
        CurrPage.setInitialEachInputs();
        CurrPage.setEventListner();
        //CurrPage.checkAndSetInputStatus();

    },
    notiSetting: null,
    setEventListner: function () {
        //MPoint 동의 철회 팝업
        // _agrYn = "Y" - 동의 유지 "N" - 동의 철회
        // var notAgreeMpt = function(_agrYn){
        //     MNet.httpSend({
        //         path : inf.terms.updateMpointTerms.url,
        //         sendData : {
        //             agrYn : _agrYn,
        //             mbrId : PGV.loginInfo.mbrId,
        //             termsItmCd : "107",		// 107 : M 포인트 약관
        //             termsKndCcd : "104"		// 104 : M 포인트
        //         },
        //         callback : function(receivedData){
        //                 exWNHideIndicator();
        //                 // 800_1000인경우 얼럿 제공
        //                 if(PGV.currentPage == "KIA_MOB_810_1000.html"){
        //                     MPopup.alert("M포인트 조회 서비스\n동의 철회 정상적으로 처리되었습니다");
        //                     $("#mpointRejectWrap").addClass("none");
        //                     $("#mpointWrap").removeClass("none");
        //                 } 
        //             }
        //     });
        // };

        $('input[data-setting=enable-all-noti]').click(function (e) {
            e.preventDefault();
            e.stopPropagation();
            /* AS-IS 코드 */
            exWNMoveToSetting();
        })
        $('input[data-setting=new-info-noti]').click(function (e) {
            e.preventDefault();
            e.stopPropagation();
            var requestFunction = function(index){
                MNet.httpSendAsyncAsIs({
                    path: inf.setting.rcpmUpdate.url,
                    sendData: {
                        mbrId: PGV.loginInfo.mbrId,
                        mrkgRcpmYn: index === 1 ? "Y" : "N"
                    },
                })
                    .then(function(response){
                        if(response.resultCode === "200"){
                            var receiveNewNoti = response.mrkgRcpmYn;
                            if (receiveNewNoti === "Y"){
                                M.pop.alert({
                                    title: '알림',
                                    message: '신차소식/이벤트/혜택 알림 수신 상태로 변경되었습니다.\n\n(' + moment().format('YYYY년 MM월 DD일') + ')',
                                    buttons: ["확인"],
                                });
                                $('input[data-setting=new-info-noti]').prop('checked', true);
                            }
                            else{
                                M.pop.alert({
                                    title: '알림',
                                    message: '신차소식/이벤트/혜택 알림 수신 거부 상태로 변경되었습니다.\n\n(' + moment().format('YYYY년 MM월 DD일') + ')',
                                    buttons: ["확인"],
                                });
                                $('input[data-setting=new-info-noti]').prop('checked', false);
                            }
                            exWNHideIndicator();
                        }
                    })
            }
            var isChecked = $(this).prop("checked");
            if(!isChecked){
                M.pop.alert({
                    title: '알림',
                    message: '신차소식/이벤트/혜택 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n수신 거부 하시겠습니까?',
                    buttons: ['거부', '수신'],
                    callback: function (index) {
                        if(index === 1) return;
                        requestFunction(index);
                    }
                });
            }
            else{
                requestFunction(1);
            }
        })
        $('input[data-setting=midnight-noti]').click(function (e) {
            e.preventDefault();
            e.stopPropagation();
            var requestFunction = function(index){
                MNet.httpSendAsyncAsIs({
                    path: inf.setting.pushMidnYnUpdate.url,
                    sendData: {
                        mbrId: PGV.loginInfo.mbrId,
                        pushMidnYn: index === 1 ? "Y" : "N"
                    },
                })
                    .then(function(response){
                        if(response.resultCode === "200"){
                            var receiveMidnightNoti = response.pushMidnYn;
                            if (receiveMidnightNoti === "Y"){
                                M.pop.alert({
                                    title: '알림',
                                    message: '심야시간대 알림 수신 상태로 변경되었습니다.\n\n(' + moment().format('YYYY년 MM월 DD일') + ')',
                                    buttons: ["확인"],
                                });
                                $('input[data-setting=midnight-noti]').prop('checked', true);
                            }
                            else{
                                M.pop.alert({
                                    title: '알림',
                                    message: '심야시간대 알림 수신 거부 상태로 변경되었습니다.\n\n(' + moment().format('YYYY년 MM월 DD일') + ')',
                                    buttons: ["확인"],
                                });
                                $('input[data-setting=midnight-noti]').prop('checked', false);
                            }
                            exWNHideIndicator();
                        }
                    })
            }
            var isChecked = $(this).prop("checked");
            if(!isChecked){
                M.pop.alert({
                    title: '알림',
                    message: '심야시간대 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n그래도 수신 거부 하시겠어요?',
                    buttons: ['거부', '수신'],
                    callback: function (index) {
                        if(index === 1) return;
                        requestFunction(index);
                    }
                });
            }
            else{
                requestFunction(1);
            }

        })
        $('#mykia-setting-menus li').on("click", function () {
            var currentScreenId = $(this).data('screenid');
            var currentTwoDepthScreenId = $(this).data('twodepth-screenid');
            if (currentScreenId) {
                var htmlMetadata = { path: PATH_MANAGER[currentScreenId].path };
                if(currentTwoDepthScreenId){
                    var nextPageTitle = null;
                    switch(currentTwoDepthScreenId){
                        case "KIA_RNW_0D3_1300":
                            nextPageTitle = "추가정보 수정";
                            break;
                        case "KIA_RNW_0D3_1410":
                            nextPageTitle = "회원 탈퇴";
                            break;
                    }
                    htmlMetadata["param"] = {moveUrl: currentTwoDepthScreenId, currentTitle: nextPageTitle};
                }
                PATH_MANAGER[currentScreenId] && MPage.html(htmlMetadata);
            }
        })

        // 2024.04.18 HMG ID 내정보변경페이지 연동
        $('#myInfoChngPage').on("click", function(){
                var _appVersion = Number(PGV.appInfo.app.version.replace(/[^0-9]/g,"").replace(/(\d{3})(\d*)/, "$1"));	// 앱 버전
                var activityName = "WebviewActivity";

                MPage.activity({
                    className : activityName,
                    param: {
                        method: CONSTANT.NET_MTHD.GET,
                        requestURL: CONSTANT.LINK_URL.KIA_RNW_0D3_1010.URL,
                        setCookie : isEmpty(PGV.loginInfo) ? false : true
                    }
                });
        });
    },

    loadSettings: function () {
        var parentThis = this;
        return new Promise(function (resolve) {
            MNet.httpSendAsyncAsIs({
                path: checkVerifyUrl(inf.setting.myInfo.url),
                sendData: {
                    mbrId: PGV.loginInfo.mbrId
                },
            })
                .then(function (notiResponse) {
                    var defaultSetting = {
                        switch: {
                            "enable-all-noti": exWNSystemNotiCheck() === "Y",
                            'new-info-noti': true,
                            'midnight-noti': false,
                        }
                    };
                    var loadedSetting = null;
                    var code = notiResponse.resultCode;
                    var msg = notiResponse.resultMsg;
                    if (code == "200") {
                        var newInfoNoti = notiResponse.mrkgRcpmYn === "Y";
                        var midnightNoti = notiResponse.pushMidnYn === "Y";

                        loadedSetting = {
                            switch: {
                                "enable-all-noti": exWNSystemNotiCheck() === "Y",
                                "new-info-noti": newInfoNoti,
                                "midnight-noti": midnightNoti
                            }
                        }
                        parentThis.notiSetting = loadedSetting;
                        resolve(loadedSetting);
                    } else {
                        loadedSetting = defaultSetting;
                        MPopup.alert(msg);
                        resolve(loadedSetting);
                    }
                });
            // resolve({
            //     switch: {
            //         "enable-all-noti": exWNSystemNotiCheck() === "Y",
            //         "new-info-noti": true,
            //         "midnight-noti": false
            //     },
            //     "mpoint-agreed": false
            // })
        });
    },

    setProfileSection: function () {
        if (!isEmpty(PGV.loginInfo)) {
            $('#mykia-setting-username').text(PGV.loginInfo.mbrNm);
            $('#mykia-setting-email').text(PGV.loginInfo.mbrId);
        }
    },

    checkAndSetInputStatus: function () {
        this.setPushNotificationSwitchStatus();

        exWNHideIndicator();

        var parentThis = this;
        this.getMPointStatus().then(function(currentState){
            parentThis.setMPointReadState(currentState);
        })
        this.myCarAODYn().then(function (response) {
            if(response.tassYn == "Y") {
                parentThis.getTaaSStatus().then(function (currentState) {
                    parentThis.setTaaSReadState(currentState);
                })
            }
        })
    },

    setInitialEachInputs: function () {
        var parentThis = this;
        this.setPushNotificationSwitchStatus();

        this.loadSettings().then(function (loadedSetting) {
            var switchSettings = loadedSetting.switch || {};
            var switchSettingKeys = Object.keys(switchSettings);
            for (var i = 0; i < switchSettingKeys.length; i++) {
                var key = switchSettingKeys[i];
                var curNode = switchSettings[key];

                $('input[data-setting=' + key + ']').prop('checked', curNode);
            }
            exWNHideIndicator();
        })
            .catch(function(e){
                console.log("설정 로드 중 에러 발생");
            })

        this.getMPointStatus().then(function(currentState){
            parentThis.setMPointReadState(currentState);
        })

        this.myCarAODYn().then(function (response) {
            if(response.tassYn == "Y") {
                $('#AODterm').show();
                parentThis.getTaaSStatus().then(function (currentState) {
                    parentThis.setTaaSReadState(currentState);
                })
            }
        })
    },

    setMPointReadState: function (currentState) {
        var parentThis = this;
        var onClickMPointConnect = function(rsltCd){
            $('#mykia-setting-hyundai-mpoint-arrow').show();
            $('#mykia-setting-hyundai-mpoint-disconnect').hide();
            $("#mykia-setting-hyundai-mpoint").off("click").on("click", function(){
                if($(this).data("event-enable-yn") !== "Y") return;
                if(rsltCd === "0000"){
                    MPage.html({
                        path: PATH_MANAGER.KIA_RNW_0D3_1500.path
                    });
                }
                else{
                    M.pop.alert({
                        title: '알림',
                        message: '회원님께서는 전용카드 미 보유 고객입니다.\n전용카드를 보유한 경우에만 M포인트 조회가 가능합니다.',
                        buttons: ["확인"],
                    });
                }
            })
        }
        $("#mykia-setting-container-etc").removeClass("none");
        if (currentState.isMpointAgreed) {
            $('#mykia-setting-hyundai-mpoint-disconnect').show();
            $('#mykia-setting-hyundai-mpoint-arrow').hide();
            $('#mykia-setting-hyundai-mpoint').data("event-enable-yn", "N");
            $('#mykia-setting-hyundai-mpoint-disconnect').off("click").on("click", function(){
                MNet.httpSendAsIs({
                    path : inf.terms.updateMpointTerms.url,
                    sendData : {
                        agrYn : "N",
                        mbrId : PGV.loginInfo.mbrId,
                        termsItmCd : "107",		// 107 : M 포인트 약관
                        termsKndCcd : "104"		// 104 : M 포인트
                    },
                    callback : function(receivedData){
                        exWNHideIndicator();
                        $('#mykia-setting-hyundai-mpoint').data("event-enable-yn", "Y");
                        MPopup.alert("M포인트 조회 서비스\n동의 철회 정상적으로 처리되었습니다");
                        onClickMPointConnect(currentState.rsltCd);
                    }
                });
                // MPage.html({
                //     path: PATH_MANAGER.KIA_RNW_0D3_1600.path
                // });
            });
        }
        else {
            $('#mykia-setting-hyundai-mpoint').data("event-enable-yn", "Y");
            onClickMPointConnect(currentState.rsltCd);
        }
    },
    setTaaSReadState: function (currentState) {
        $("#mykia-setting-container-etc").removeClass("none");
        if (currentState.isTaaSAgreed == "N") {
            $('#TaaS-arrow').show();
            $('#TaaS-disconnect').hide();
            $("#TaaS-arrow").off("click").on("click", function(){
                MPage.html({
                    path: PATH_MANAGER.KIA_RNW_0D3_1800.path
                });
            })
        }
        else if(currentState.isTaaSAgreed == "Y"){
            $('#TaaS-disconnect').show();
            $('#TaaS-arrow').hide();
            $('#TaaS-disconnect').off("click").on("click", function(){
                MPage.html({
                    path: PATH_MANAGER.KIA_RNW_0D3_1820.path
                });
            });
        }else{
            $('#TaaS-arrow').show();
            $('#TaaS-disconnect').hide();
            $("#TaaS-arrow").off("click").on("click", function(){
                MPage.html({
                    path: PATH_MANAGER.KIA_RNW_0D3_1800.path
                });
            })
        }
    },
    setPushNotificationSwitchStatus: function () {
        /* AS-IS 코드 */
        var isNotificationEnabled = exWNSystemNotiCheck() === "Y";
        if (isNotificationEnabled) {
            $('input[data-setting=enable-all-noti]').prop('checked', true);
        } else {
            $('input[data-setting=enable-all-noti]').prop('checked', false);
        }
        this.setEachSwitchStateDependingOnPush();
    },

    setEachSwitchStateDependingOnPush: function () {
        var isPushInputChecked = $('input[data-setting=enable-all-noti]').prop('checked');
        if (isPushInputChecked) {
            $('input[data-setting=new-info-noti]').prop('disabled', false);
            $('input[data-setting=midnight-noti]').prop('disabled', false);
        }
        else {
            $('input[data-setting=new-info-noti]').prop('disabled', true);
            $('input[data-setting=midnight-noti]').prop('disabled', true);
        }
    },

    getMPointStatus: function(){
        var parentThis = this;
        return new Promise(function(resolve){
            /* !!! 케이스마텍 추헌남 - AS-IS 로직에 따라 먼저 기아멤버스 오프라인 회원 여부 체크  */
            MNet.httpSendAsyncAsIs({
                path: checkVerifyUrl(inf.card.cardList.url),
                sendData: {
                    csetIfTypeCd: "04",
                    csetIfValue: PGV.loginInfo.csmrMgmtNo
                }
            })
                .then(function(response){
                    var isMpointAgreed = false;
                    exWNHideIndicator();

                    /** 카앤라이프 호출 시, 글로벌 변수 저장하기 위함 **/
                    COMMON_FUNCTION.TOOL.DATA.setGlobalCardList(response);

                    if (response.resultCode == "200" && response.cardListResDto.length > 0) {
                        /* 기아 멤버스 카드가 최소 하나 이상 있는 경우 */
                        console.log("throwing : ", {
                            ci : PGV.loginInfo.ci,					// ci
                            mbrId : PGV.loginInfo.mbrId				// 로그인 아이디
                        })
                        /* MPoint 가입 여부 체크 */
                        MNet.httpSendAsyncAsIs({
                            path : inf.hyundai.selectMpoint.url,
                            sendData : {
                                ci : PGV.loginInfo.ci,					// ci
                                mbrId : PGV.loginInfo.mbrId				// 로그인 아이디
                            },
                            indicatorYn : "N"
                        })
                            .then(function(mpointResponse){
                                console.log(mpointResponse);
                                isMpointAgreed = mpointResponse.mPointAgreeYn === "Y";
                                resolve({
                                    isMpointAgreed: isMpointAgreed,
                                    rsltCd: mpointResponse.rsltCd
                                });
                            })
                    }
                    else{
                        resolve(false);
                    }
                });
        })
    },
    myCarAODYn: function(){
        return new Promise(function (resolve) {
            var options = {
                isMock: false,
                path: _API.SVR.CMM.mykia.mycar.mainCarList,
                sendData: {mbrId: PGV.loginInfo.mbrId},indicatorYn : "N"
            };
            MNet.httpSendAsync(options).then(
                function (response) {
                    var myCarList = response.myCarInfoListResDto;
                    var tassYn = "N";
                    var tassCar = (myCarList).find(function (car) {
                        return car.tassYn == "Y";
                    });
                    if (!isEmpty(tassCar)) {
                        tassYn = "Y";
                    }
                    resolve(
                        {tassYn: tassYn}
                    );
                }
            )
        })
    },
    getTaaSStatus: function(){
        var getCurrentScopeSelectCar = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();
        return new Promise(function(resolve){
            MNet.httpSendAsyncAsIs({
                path: _API.SVR.HOME.carinfo.TaaSOdometerNbattery,
                sendData: {
                    apiId : "RNW-HOM-8001",
                    mbrId : PGV.loginInfo.mbrId,
                    vin: getCurrentScopeSelectCar.vin
                },
                indicatorYn : "N"
            })
                .then(function(response){
                    var tagetVin = response.vin;
                    var selectVin = getCurrentScopeSelectCar.vin;
                    if (response.resultCode == "200" && tagetVin == selectVin) {
                        resolve({
                            isTaaSAgreed: response.agreeYn,
                            isCode: response.resultCode,
                            isMsg: response.resultMsg
                        });
                    }
                    else{
                        resolve({
                            isTaaSAgreed: response.agreeYn,
                            isCode: response.resultCode,
                            isMsg: response.resultMsg
                        });
                    }
                });
        })
    }
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        console.log("onReady page : " + PGV.currentPage);
        KIA_RNW_0D3_1000.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {
        KIA_RNW_0D3_1000.checkAndSetInputStatus();
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    onBack : function(){MPage.back()},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) {
        KIA_RNW_0D3_1000.checkAndSetInputStatus();
    }
};

/* AS-IS 코드 확인 용 붙여넣기, 작업 후 아래 코드는 지워야 합니다 */
/*
// 광고성 알림 조회
var selectAdCheck = function () {
    MNet.httpSend({
        path: checkVerifyUrl(inf.setting.myInfo.url),
        sendData: {
            mbrId: PGV.loginInfo.mbrId
        },
        callback: selectAdCheckCallback
    });
}
// 광고성 알림 조회 콜백
var selectAdCheckCallback = function (receivedData) {
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;
    var mrkgRcpmYn = receivedData.mrkgRcpmYn;
    var pushMidnYn = receivedData.pushMidnYn;
    if (code == "200") {
        PGV.adEvtCheck = mrkgRcpmYn;
        if (PGV.adEvtCheck == "Y") {
            //PGV.adEvtCheck = "Y"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', true);
        } else {
            //PGV.adEvtCheck = "N"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', false);
        }
        PGV.adMidCheck = pushMidnYn;
        if (PGV.adMidCheck == "Y") {
            //PGV.adMidCheck = "Y"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="pushMidnYn"]').prop('checked', true);
        } else {
            //PGV.adMidCheck = "N"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="pushMidnYn"]').prop('checked', false);
        }
        afterLoginState(true);
    } else {
        MPopup.alert(msg);
        return false;
    }

}
// 광고성 알림 동의
var adCheck = function () {
    MNet.httpSend({
        path: inf.setting.rcpmUpdate.url,
        sendData: {
            mbrId: PGV.loginInfo.mbrId,
            mrkgRcpmYn: PGV.adEvtCheck
        },
        callback: adCheckCallback
    });
}
// 광고성 알림 동의 콜백
var adCheckCallback = function (receivedData) {
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var errMsg = receivedData.resultMsg;
    var mrkgRcpmYn = receivedData.mrkgRcpmYn;

    if (code == "200") { // 인증 성공시
        PGV.adEvtCheck = mrkgRcpmYn;

        var title = "[MyKia]";
        var msg = "신차소식/이벤트/서비스 알림" + (mrkgRcpmYn == "Y" ? " 수신" : " 수신 거부") + " 상태로 변경되었습니다.\n" + "(" + moment().format("YYYY년 MM월 DD일") + ")";
        if (PGV.adEvtCheck == "Y") {
            //PGV.adEvtCheck = "Y"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', true);
        } else {
            //PGV.adEvtCheck = "N"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', false);
        }

        MPopup.alert({
            title: title,
            message: msg
        });
    } else {
        MPopup.alert(errMsg);
        if (PGV.adEvtCheck == "Y") {
            //PGV.adCheck = "N"
            PGV.adEvtCheck = "N"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', false);
        } else {
            //PGV.adEvtCheck = "Y"
            PGV.adEvtCheck = "Y"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="mrkgRcpmYn"]').prop('checked', true);
        }
        return false;
    }
};


// 광고성 알람 동의 안함
var adNoCheck = function () {
    if (PGV.appOS == 'ios') {
        MPopup.confirm({
            title: "알림",
            message: "신차소식/이벤트/서비스 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n그래도 수신 거부 하시겠어요?",
            buttons: ["수신", "거부"],
            callback: function (index) {
                if (index == 1) {
                    PGV.adEvtCheck = "N";
                    adCheck();
                } else {
                    PGV.adEvtCheck = "Y";
                    $('input[name="mrkgRcpmYn"]').prop('checked', true);
                    return false;
                }
            }
        });
    } else {
        MPopup.confirm({
            title: "알림",
            message: "신차소식/이벤트/서비스 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n그래도 수신 거부 하시겠어요?",
            buttons: ["거부", "수신"],
            callback: function (index) {
                if (index == 0) {
                    PGV.adEvtCheck = "N";
                    adCheck();
                } else {
                    PGV.adEvtCheck = "Y";
                    $('input[name="mrkgRcpmYn"]').prop('checked', true);
                    return false;
                }
            }
        });
    }

}

// 심야 푸시 설정 업데이트
var adMidCheck = function () {
    MNet.httpSend({
        path: inf.setting.pushMidnYnUpdate.url,
        sendData: {
            mbrId: PGV.loginInfo.mbrId,
            pushMidnYn: PGV.adMidCheck
        },
        callback: adMidCheckCallback
    });
}

// 심야 푸시 설정 콜백
var adMidCheckCallback = function (receivedData) {
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var errMsg = receivedData.resultMsg;
    var pushMidnYn = receivedData.pushMidnYn;

    if (code == "200") { // 인증 성공시
        PGV.adMidCheck = pushMidnYn;
        var title = "[MyKia]";
        var msg = "심야시간대 알림 설정" + (pushMidnYn == "Y" ? " 수신" : " 수신 거부") + " 상태로 변경되었습니다.\n" + "(" + moment().format("YYYY년 MM월 DD일") + ")";
        if (PGV.adMidCheck == "Y") {
            //PGV.adMidCheck = "Y"; // 심야 마케팅 동의 여부 2019.05.22
            $('input[name="pushMidnYn"]').prop('checked', true);
        } else {
            //PGV.adMidCheck = "N"; // 심야 마케팅 동의 여부 2019.05.22
            $('input[name="pushMidnYn"]').prop('checked', false);
        }

        MPopup.alert({
            title: title,
            message: msg
        });
    } else {
        MPopup.alert(errMsg);
        if (PGV.adMidCheck == "Y") {
            //PGV.adCheck = "N"
            PGV.adMidCheck = "N"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="pushMidnYn"]').prop('checked', false);
        } else {
            //PGV.adCheck = "Y"
            PGV.adMidCheck = "Y"; // 이벤트 마케팅 동의 여부 2019.05.21
            $('input[name="pushMidnYn"]').prop('checked', true);
        }
        return false;
    }
}

// 심야 푸시 설정 체크 안함
var adNoMidCheck = function () {
    if (PGV.appOS == 'ios') {
        MPopup.confirm({
            title: "알림",
            message: "심야시간대 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n그래도 수신 거부 하시겠어요?",
            buttons: ["수신", "거부"],
            callback: function (index) {
                if (index == 1) {
                    PGV.adMidCheck = "N";
                    adMidCheck();
                } else {
                    PGV.adMidCheck = "Y";
                    $('input[name="pushMidnYn"]').prop('checked', true);
                    return false;
                }
            }
        });
    } else {
        MPopup.confirm({
            title: "알림",
            message: "심야시간대 알림을 동의하지 않으시면, 기아에서 제공하는 다양한 소식 및 이벤트 정보를 받아보실 수 없습니다.\n\n그래도 수신 거부 하시겠어요?",
            buttons: ["거부", "수신"],
            callback: function (index) {
                if (index == 0) {
                    PGV.adMidCheck = "N";
                    adMidCheck();
                } else {
                    PGV.adMidCheck = "Y";
                    $('input[name="pushMidnYn"]').prop('checked', true);
                    return false;
                }
            }
        });
    }
}
*/