/**
 * @파일명 : KIA_MOB_000_1125.js / 리뉴얼 - KIA_RNW_0D3_1510.js
 * @작성자 : 최정동 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2022-03-25
 * @메뉴명 : 현대 M 포인트 약관 팝업
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
	selectTermsHistoryDetail();
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
	// screenViewGa(gaSendUrl["KIA_MOB_000_1125"].pageNm); //2020 공통으로 변경
	
};

var setEvent = function() {
};


/**
 * M포인트 약관 상세 조회
 */
var selectTermsHistoryDetail = function(){
	MNet.httpSendAsIs({
		path : inf.terms.selectTermsHistoryDetail.url,
		sendData : {
			rvsnDtm : "",
			termsItmCd: "107",
			termsKndCcd: "104"
		},
		callback : selectTermsHistoryDetailCallback
	});
};

/**
 * M포인트 약관 상세 조회 콜백
 */
var selectTermsHistoryDetailCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	if(code == "200"){
		$("#contentWrap").html(receivedData.termsItmCont);
	}else{
		MPopup.alert(msg); 
	}
};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};