/**
@파일명 : KIA_RNW_0D3_4200.js 
@작성자 : 케이스마텍 정목단
@생성일 : 2022.04.01
@메뉴명 : 서비스 이용 약관
@DESC : 권한 확인 중
*/

var KIA_RNW_0D3_4200 = {
    init: function () {
        var legacy= new this.legacyInit();
        legacy.pageInit();
    },
    legacyInit: function(){
        /**
         * @파일명 : KIA_MOB_000_1101.js
         * @작성자 : 이현석
         * @생성일 : 2018. 8. 10. 오후 1:32:20
         * @메뉴명 : 개인정보 처리 방침
         */
        this.pageInit =function(){
            /**
             * 초기화
             */

            /**
             * 화면 이벤트
             */
            PGV.dateList = [
                {title : "2021년 08월 03일 ~ 현재", value: "00"},
                {title : "2021년 04월 05일 ~ 2021년 08월 02일", value: "01"},
                {title : "2021년 01월 25일 ~ 2021년 04월 04일", value: "02"},
                {title : "2019년 03월 05일 ~ 2021년 01월 24일", value: "03"},
                {title : "2018년 11월 05일 ~ 2019년 03월 04일", value: "04"}

            ];
            $("#selectDateBtn").text("2021년 08월 03일 ~ 현재");
            PGV.selNum = 0;
            setEvent()

        };

        function setEvent() {
            $(document).on("click", "#selectDateBtn", function(){
                var $this = $(this);
                MPopup.listSingle({
                    list : PGV.dateList ,
                    title : "개인정보 처리 방침",
                    selected : PGV.selNum
                }, function(buttonIdx, rowInfo, setting){
                    if(buttonIdx == 1){
                        $this.text(rowInfo.title);
                        PGV.selNum = rowInfo.index;
                        modificationCheck(rowInfo.value)
                    }
                });
            });
        }
// 2019년 03월 06일 개인정보처리 방침 추가 요청
        var modificationCheck = function(num){
            switch(num){
                case "00":
                    $("#privacy_01").removeClass('none');
                    $("#privacy_02").addClass('none');
                    break;
                case "01":
                    $("#privacy_01").addClass('none');
                    $("#privacy_02").removeClass('none');

                    $("#privacy_02 > #modify_0").removeClass('none');
                    $("#privacy_02 > #modify_5").removeClass('none');
                    $("#privacy_02 > #modify_2").addClass('none');
                    $("#privacy_02 > #modify_1").addClass('none');
                    $("#privacy_02 > #modify_3").addClass('none'); //현대 M포인트 확인
                    $("#privacy_02 > #modify_4").removeClass('none'); //기아멤버스 전용카드 보유고객 대상 현대 M포인트 확인
                    break;
                case "02":
                    $("#privacy_01").addClass('none');
                    $("#privacy_02").removeClass('none');

                    $("#privacy_02 > #modify_0").removeClass('none');
                    $("#privacy_02 > #modify_2").removeClass('none');
                    $("#privacy_02 > #modify_5").addClass('none');
                    $("#privacy_02 > #modify_1").addClass('none');
                    $("#privacy_02 > #modify_3").addClass('none'); //현대 M포인트 확인
                    $("#privacy_02 > #modify_4").removeClass('none'); //기아멤버스 전용카드 보유고객 대상 현대 M포인트 확인
                    break;
                case "03":
                    $("#privacy_01").addClass('none');
                    $("#privacy_02").removeClass('none');

                    $("#privacy_02 > #modify_0").removeClass('none');
                    $("#privacy_02 > #modify_1").removeClass('none');
                    $("#privacy_02 > #modify_5").addClass('none');
                    $("#privacy_02 > #modify_2").addClass('none');
                    $("#privacy_02 > #modify_4").addClass('none');
                    $("#privacy_02 > #modify_3").removeClass('none');
                    break;
                case "04":
                    $("#privacy_01").addClass('none');
                    $("#privacy_02").removeClass('none');

                    $("#privacy_02 > #modify_0").addClass('none');
                    $("#privacy_02 > #modify_1").removeClass('none');
                    $("#privacy_02 > #modify_2").addClass('none');
                    $("#privacy_02 > #modify_5").addClass('none');
                    $("#privacy_02 > #modify_4").addClass('none');
                    $("#privacy_02 > #modify_3").removeClass('none');
                    break;
                // case "04":

                // break;
                // case "05":

                // break;
            }
        }

    }

}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        // console.log("onReady page : " + PGV && PGV.currentPage || "");
        KIA_RNW_0D3_4200.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {

    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
