/**
 @파일명 : KIA_RNW_120_0000_3.js
 @작성자 : 정목단
 @생성일 : 2022.01.26
 @메뉴명 : HOME 탭 (보유차량있음)
 @DESC : 전체메뉴노출[X], 접근권한( 로그인[O] 차량보유[O]   계약차량보유[O]   내연보유[O]   EV보유[O] )
 */



/****************
 *  ----------------------------------------------------------------------------------------
 *  */
var loginHome;
var intro_selectCar=null;//다른 페이지에서 차량을 선택했을 때,
var KIA_RNW_120_0000_3 = function () {
    var that = this;
    that.gVals = null;
    that.isCcsUpdated = false;
    that.init = function () {
        /**
         * 초기화function (values) {
         */
        that.gVals={};
        if(isEmpty(CMM_HOME))CMM_HOME = new cmmHome();
        that.gVals = CMM_HOME.homePgvObj;
        PGV.passData = {};
        intro_selectCar = MData.param("intro_selectCar");
        //4test MData.removeParam("intro_selectCar");
        var thenIndex=1;
        //베네핏 이벤트 대상 차종 127_0000 에도 존재
//        var benefitCars = new Array("DB","SU","NQ","GL","TM","MQ","KP","JR","CK","DL","DE","JA","JS","SG");

//        var getBenefitCheck = function (){
//            return new Promise(function(resolve){
//                var selectCar = that.gVals.car.selectCar;
//                var contYmds = selectCar.contYmd; // 계약일
//                var whotYmds = selectCar.whotYmd; // 출고일
//                if(!selectCar.isContract && !isEmpty(whotYmds)) {
//                    contYmds = new Date(contYmds.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
//                    whotYmds = new Date(whotYmds.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
//                    var currDays = 24 * 60 * 60 * 1000;
//                    var watingDays = Number((whotYmds - contYmds) / currDays); //대기일
//                        watingDays = watingDays + 1;
//                    var compCode = "";
//                    if (270 > watingDays && watingDays >= 180) {
//                        compCode = "C-003940";
//                    } else if (366 > watingDays && watingDays >= 270) {
//                        compCode = "C-003941";
//                    } else if (watingDays >= 366) {
//                        compCode = "C-003942";
//                    } else {
//                        compCode = "none";
//                    }
//                }else{
//                    compCode = "none";
//                }
//                MNet.httpSendAsIs({
//                    path : _API.SVR.EVENT.eventEligibilityYn.url,
//                    sendData : {
//                        mbrId: PGV.loginInfo.mbrId,
//                        campCode : compCode,
//                        apiId : _API.SVR.EVENT.eventEligibilityYn.apiId
//                    },
//                    callback : function(receivedData){
//                        if(receivedData.resultCode == "200"){
//                            if(receivedData.eligYn == "Y"){
//                                MNet.httpSendAsIs({
//                                    path : _API.SVR.EVENT.benefitCheck.url,
//                                    sendData : {
//                                        mbrId: PGV.loginInfo.mbrId,
//                                        vin: that.gVals.car.selectCar.vin,
//                                        evtNo : "492",
//                                        apiId : _API.SVR.EVENT.benefitCheck.apiId
//                                    },
//                                    callback : function(receivedData){
//                                        if(receivedData.resultCode == "200"){
//                                            resolve(receivedData.regYn);
//                                        }else{
//                                            resolve(false);
//                                        }
//                                    }
//                                });
//                            }else{
//                                resolve(false);
//                            }
//                        }else{
//                            resolve(false);
//                        }
//                    }
//                });
//            });
//        };

        eventLog("signedHomeCommonStart", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
        CMM_HOME.signedHomeCommonStart(intro_selectCar)/* 위치,날씨,홈로드검증 */
            .then(function(ownCarListInfo){
                eventLog("signedHomeCommonStart", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                return ownCarListInfo;
            })
            .then(CMM_HOME.verifySelectCarAndSetVariables)/* 선택차량 선정.*/
//            .then(getBenefitCheck)
           .then(/* 차량정보, 주행거리영역 콘트롤 */
               function(){
                   CMM_HOME.uiSelectCarInfo(that.gVals.car.selectCar,"#homeSelectedCarSection");

                   if(that.gVals.car.selectCar.isContract){
                       $("#homeSelectedCarMileageInfoSection").addClass("none");
                       $("#myContractCarInfoBtn").removeClass("none");
                   }else{
                       $("#myCarInfoBtn").removeClass("none");
                   }
                   $("section.section-01").removeClass("none");

//                    if(benefitCheck == "N"){
//                        var contYmd = that.gVals.car.selectCar.contYmd; // 계약일
//                        var whotYmd = that.gVals.car.selectCar.whotYmd; // 출고일
//                        if(!isEmpty(contYmd) && !isEmpty(whotYmd)) {
//                            contYmd = new Date(contYmd.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
//                            whotYmd = new Date(whotYmd.replace(/^(\d{4})(\d\d)(\d\d)$/, '$1-$2-$3'));
//                            var currDay = 24 * 60 * 60 * 1000;
//                            var nowDay = new Date(moment().format("YYYY-MM-DD"));
//                            var whotDay = Number((nowDay - whotYmd) / currDay); // 출고 일이 90일이 넘었는지 확인
//                            var watingDay = Number((whotYmd - contYmd) / currDay); //대기일
//                                watingDay = watingDay + 1;
//                            var benefitDay = new Date("2023-02-28"); // 이벤트 기준일
//                        }
//                        //차종이 대상인지 확인
//                        if(benefitCars.includes(that.gVals.car.selectCar.vehlRepnCd)){
//                            if(that.gVals.car.selectCar.isContract){
//                                //계약 차량일 경우 배네핏 대상 차량
//                                that.gVals.benefitCar.benefitYn = "Y";
//                            }else if(that.gVals.car.selectCar.memEvYn == "N" && that.gVals.car.selectCar.rdmYn == "N"){
//                                //대기 일수가 180일 이상 출고일이 2023년 3월 1일 이후 출고일이 90일 넘었는지 확인
//                                if(watingDay >= 180 && benefitDay < whotYmd && whotDay < 90 ) {
//                                    that.gVals.benefitCar.benefitYn = "Y";
//                                }else{
//                                    that.gVals.benefitCar.benefitYn = "N";
//                                }
//                            }else{
//                                that.gVals.benefitCar.benefitYn = "N";
//                            }
//                        }else{
//                            that.gVals.benefitCar.benefitYn = "N";
//                        }
//                    }else{
//                        if(benefitCars.includes(that.gVals.car.selectCar.vehlRepnCd)) {
//                            if (that.gVals.car.selectCar.isContract) {
//                                //계약 차량일 경우 배네핏 대상 차량
//                                that.gVals.benefitCar.benefitYn = "Y";
//                            }else{
//                                that.gVals.benefitCar.benefitYn = "N";
//                            }
//                        }else {
//                            that.gVals.benefitCar.benefitYn = "N";
//                        }
//                    }
               }
           )
            .then(processGetHomeInsight)
            .then(uiSliders)/** ui: slider */
            .then( // 여기까지진행후 ccs 해당없으면 바로 finally로 감.
                function () {
                    if(!isEmpty(that.gVals.display.ccs) && that.gVals.display.ccs.dataHub){
                        return uiCmmHubArea();//** 디지털키, 안전점수, 최근주행정보 영역 */
                    }else{
                        console.log("no ccs car no further process");
                    }
                }
            )
            .finally(
                function(e){
                    uiCmmArea()//소모품(ev 제외),정비,차계부,계약차마케팅 등 공통
                        .then(
                            function(){
                                var handler4TrvgDist = {
                                    set: function (target, property, value) {
                                        if (target.hasOwnProperty(property)
                                            && property == "trvgDist"
                                            && loginHome.gVals.car.distInfo.trvgDist !== value) {
                                            console.log("set:" + property);
                                            var _gv_disp_ccs = that.gVals.display.ccs;
                                            var _gv_ccs_data = that.gVals.ccs;
                                            if (!isEmpty(_gv_disp_ccs)
                                                && _gv_disp_ccs.dataHub
                                                && !isEmpty(_gv_ccs_data.odometer)
                                            ) {
                                                //DRIVING INSIGHT쪽일때는 하는 일은 없다.
                                            } else {//차계부 데이터를 바라볼때는
                                                // home 이외의 페이지에서 차계부 주행거리 입력시 홈으로 돌아올 때, 변경된 값으로 표출시키기 위해.
                                                // bottomNavigator 에서 가지고 있는 home html을 다시 설정해준다.
                                                that.uiCKBTrvgDist(value);
                                                MyKiaBottomTab.curNavMeta["home"].page["currentDOM"] = $('[data-tab-name=mykia-tab-home]');
                                                MyKiaBottomTab.curNavMeta["home"].page["htmlString"] = $('[data-tab-name=mykia-tab-home]').prop('outerHTML');
                                            }

                                            console.log("누적주행거리 : " + value);
                                        }
                                        target[property] = value;
                                    }
                                }
                                loginHome.gVals.car.distInfo = CMM_HOME.makeAuditObject(loginHome.gVals.car.distInfo,handler4TrvgDist);
                                var passData = toAddPassData(that.gVals);
                                MData.global("passData",passData);
                                PGV.passData = passData;
                                return;
                            }
                        )
                        .then(function(){
                            MyKiaBottomTab = new MyKiaBottomTabInit();
                        })
                        .then(CMM_HOME.initBottomTab)
                        .then(CMM_HOME.popupManage)/** 팝업콘트롤 */
                        .then(function (){CMM_HOME.alertUnDeliveryCarNews(that.gVals.car.unDeliveryCarInfoListResDto)})
                        .then(function(){
                            getPushDataWhenClosedApp();
                        }).
                        then(function(){
                            var deepLink = MData.global("DEEP_LINK");
                            var currentScopeSelectCar = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();

                            if(!isEmpty(deepLink)){
                                MData.removeGlobal("DEEP_LINK");
                                //Driving-Insight DeepLink 처리
                                if(deepLink.includes("driving-insight")){
                                    if(isEmpty(PGV.loginInfo)){
                                        ccspLogin();
                                        return;
                                    }

                                    var hasJoinedKiaConnect = !isEmpty(PGV.loginInfo.ccspId) &&
                                                              isAvailableDataHub(currentScopeSelectCar.carId) || false;
                                    var hasJoinedDataHub = isAvailableDataHub(currentScopeSelectCar.carId) ||
                                                           !isEmpty(PGV.passData) &&
                                                           !isEmpty(PGV.passData.ccs) &&
                                                           !isEmpty(PGV.passData.ccs.isMaster) &&
                                                           PGV.passData.ccs.isMaster && PGV.passData.ccs.carId || false;


                                    if(hasJoinedKiaConnect && hasJoinedDataHub){
                                        CMM_HOME.dynamicLink(deepLink , PGV.loginInfo.accessToken , PGV.loginInfo.ccspId, currentScopeSelectCar.carId);
                                    }
                                }
                            }

                        });
                }
            );
    };

    that.setEventListner= function(){
        CMM_HOME.setUiEventListner();
        //내 차 정보 클릭시
        if(!isEmpty($("#myCarInfoBtn"))||!isEmpty($("#myContractCarInfoBtn"))){

            $("#myCarInfoBtn, #myContractCarInfoBtn").off().on("click",function(){
                MPage.html({
                    path: PATH_MANAGER.KIA_RNW_127_0000.path,
                    param: {
                        passCar: that.gVals.car.selectCar
                    }
                })
            });
        }

//        $("#callBenefit").on("click",function (){
//            MPage.html({
//                url : PATH_MANAGER.KIA_RNW_411_1000.path,
//                param : {
//                    evtNo : "492",		// 이벤트 번호
//                    eventType : "ing"	// 이벤트 타입 (진행 : ing, 종료 : end)
//                }
//            });
//        });

        //소모품 현황 클릭시
        $("div.supplies-cont").find('div.div-item').on("click",function(e){
            COMMON_FUNCTION.TOOL.NAVIGATOR_TABULAR.openSubtabGlobally(MyKiaBottomTab, "mycar", 2);
        });

        //차계부 클릭시
        $("div.expense-cont").find('div.div-item').on("click",function(e){
            COMMON_FUNCTION.TOOL.NAVIGATOR_TABULAR.openSubtabGlobally(MyKiaBottomTab, "mycar", 1);
        });
        /*datahub 동의약관 web*/
        if(!isEmpty($("[data-link-hub-web]"))){
            $("[data-link-hub-web]").off("click").on("click",function(){
                var thisBtn = this;
                var pageName = $(thisBtn).data("linkHubWeb");
                var loginInfo =PGV.loginInfo;
                var carId = that.gVals.car.selectCar.carId;
                var _url = '';
                if(pageName=="KIA_RNW_121_1000"){
                    _url = _API.HUB.agreementsWeb.verifyUrl(loginInfo.accessToken, loginInfo.ccspId, carId);
                }
                else if(pageName=="KIA_RNW_121_4000"){
                    _url = _API.HUB.web.verifyUrl(loginInfo.accessToken, loginInfo.ccspId, carId);
                }
                else if(pageName=="KIA_RNW_121_4000_2"){
                    _url = _API.HUB.safeDriveWeb.verifyUrl(loginInfo.accessToken, loginInfo.ccspId, carId);//데이터허브 오류로 해결시 주석해제 아래줄 삭제
                    // _url = _API.HUB.agreementsWeb.verifyUrl(loginInfo.accessToken, loginInfo.ccspId, carId);
                }
                else if(pageName=="KIA_RNW_121_4000_3"){
                    _url = _API.HUB.safeDriveIntroduceWeb.verifyUrl(loginInfo.accessToken, loginInfo.ccspId, carId);
                }
                MPage.activity({
                    className : "WebviewActivity",
                    param : {
                        method : CONSTANT.NET_MTHD.GET,
                        requestURL : _url.path,
                        bottomLayer : "disable"
                    }
                });
                loginHome.isCcsUpdated=true;
            });
        }
        /* 슬라이더에 딸려있는 버튼에 대한 이벤트 */
        if(!isEmpty($(["data-page-link"]))) {
            $('[data-page-link]').off("click").on("click", function () {
                    var thisBtn = this;
                    var pageName = $(thisBtn).data("pageLink");
                    if (pageName == "KIA_RNW_590_0000") {//온디맨드픽업충전
                        var appOs = PGV.device.os.name.toLowerCase();
                        if (appOs == "android") {
                            // 설치되었으면 열기, 아니라면 설치화면
                            if (M.apps.info(CONSTANT.EON_ANDROID_PACKAGE).installed) {
                                M.apps.open(CONSTANT.EON_ANDROID_PACKAGE);
                            } else {
                                M.apps.store(CONSTANT.EON_ANDROID_PACKAGE);
                            }
                        } else {
                            M.apps.store(CONSTANT.EON_IOS_STORE_ID);
                            //}
                        }
                    } else if (pageName == "KIA_RNW_247_2000") { // 오토캠 시청V
                        //4TEST 오토캠 테스트
                        // var autoCapmInfo = {
                        //     atcmId: "skbuser1",//receivedData.atcmId,//
                        //     atcmEbc: "a1234567890",//receivedData.atcmEbc,//
                        //     camId: "49189",//receivedData.camId,//
                        //     viewCnt: "2",//receivedData.viewCnt,//
                        //     asnNm: "테스트지점",//receivedData.asnNm,//
                        //     vin: "테스트지점",//receivedData.vin,//
                        //     repnAsnCd: "MX0100",//receivedData.repnAsnCd,//
                        //     rgstLftCd: "01",//receivedData.rgstLftCd,//
                        //     trtmSn: "1",//receivedData.trtmSn,//
                        //     trtmYmd: "20171213"//receivedData.trtmYmd//
                        // }
                        // PGV.passData.main.homeInsight.autoCamInfo = autoCapmInfo;
                        COMMON_FUNCTION.TOOL.UI.openAutoCam(that.gVals.car.selectCar.vin, "home");
                    }
                    else {
                        var _url = PATH_MANAGER[pageName].path;
                        var _param = null;
                        switch (pageName) {
                            case "KIA_RNW_247_0000": // 정비 진행 현황 //TODO 페이지 작업전으로 파라미터 모름.
                                _param = {
                                    autoCapmInfo: PGV.passData.main.homeInsight.autoCamInfo
                                };
                                break;
                            case "KIA_RNW_122_0000": // 상세 고장 안내 v
                            case "KIA_RNW_580_0000": // 충전소 검색 v
                                break;
                            case "KIA_RNW_243_1000": // 정비 예약 v
                                _param = {
                                    carList: that.gVals.car,//전체 차량정보
                                    defaultSelectCar: that.gVals.car.selectCar,//홈에서 선택된 차
                                    currentScopeSelectCar: that.gVals.car.selectCar,//현재 내 차 관리 섹션에서 선택된 차=홈에서 선택된 차
                                };
                                break;
                            default:
                                break;
                        }
                        var options = {url: _url};
                        if (!isEmpty(_param)) options.param = _param;
                        MPage.html(options);
                    }
                }
            );

        }
    };

    /**
     * 공통부분
     * 판단요소 : 데이터유무,ev
     * @returns {Promise}
     */
    var uiCmmArea = function() {

        /**
         * 소모품영역
         * @returns {Promise}
         */
        var uiExchangeArea = function() {
            return new Promise(
                function (resolve,reject){

                    var dict = {
                        "emergency": {
                            "icoClass": "ico-status-emergency"
                            , "bedgeClass": "status-emergency"
                            , "bedgeText": "긴급"
                            , "msg": "개의 소모품 교체가 필요합니다."
                        }
                        , "important": {
                            "icoClass": "ico-status-important"
                            , "bedgeClass": "status-important"
                            , "bedgeText": "중요"
                            , "msg": "개의 소모품 교체를 권장드려요."
                        }
                        , "good": {
                            "icoClass": "ico-status-good"
                            , "bedgeClass": "status-good"
                            , "bedgeText": "양호"
                            , "msg": "관리가 잘 되고 있어요."
                        }
                    };
                    var car = that.gVals.car;
                    var ccs = that.gVals.ccs;
                    var trvgDist = 0; // default 값 0
                    if(ccs && !isEmpty(ccs.odometer) && ccs.odometer[0].value){ // dataHub 주행거리
                        trvgDist = ccs.odometer[0].value;
                    } else if(car && car.distInfo && car.distInfo.trvgDist){ // dataHub 주행거리 없을 시 차계부 데이터
                        trvgDist = car.distInfo.trvgDist;
                    }
                    var sendData = {
                        mbrId: PGV.loginInfo.mbrId,
                        vin: car.selectCar.vin,
                        trvgDist: trvgDist
                    }
                    CMM_NET_SVR.getInsightExpMgmt(sendData)
                        // CMM_NET_SVR.getCarExchCycle(sendData)
                        //     .then(
                        //         function(response){
                        //
                        //         }
                        //     )
                        .then(
                            function (response) {
                                if(response.resultCode==="200"){
                                    var uiData;
                                    if (!isNaN(Number(response.rplcRqrmCnt)) && Number(response.rplcRqrmCnt) > 0) {
                                        // 교체필요
                                        uiData = dict["emergency"];
                                        uiData.msg = response.rplcRqrmCnt + uiData.msg;
                                    } else {
                                        if (!isNaN(Number(response.rplcRcmdCnt)) && Number(response.rplcRcmdCnt) > 0) {
                                            //교체권장
                                            uiData = dict["important"];
                                            uiData.msg = response.rplcRcmdCnt + uiData.msg;
                                        } else {
                                            if (!isNaN(Number(response.goodCnt)) && Number(response.goodCnt) >= 0) {
                                                uiData = dict["good"];//양호
                                            }
                                        }
                                    }
                                    var html ='<div class="div-table">' +
                                        '                  <div class="div-table-cell cell-01">' +
                                        '                    <div class="ico-cont">' +
                                        '                      <i class="'+uiData.icoClass+'"></i>' +
                                        '                    </div>' +
                                        '                  </div>' +
                                        '                  <div class="div-table-cell cell-02">' +
                                        '                    <div class="text-title">' +
                                        '                      <em class="'+uiData.bedgeClass+'">'+uiData.bedgeText+'</em>' +
                                        '                      <h4 class="text-scale-04"><b>'+uiData.msg+'</b></h4>' +
                                        '                    </div>' +
                                        '                  </div>' +
                                        '                </div>';
                                    $(".section-05").find('div.div-item').prepend($(html));
                                    $(".section-05").removeClass("none");
                                    return true;
                                }
                                else{return false;}
                            }
                        )
                        .then(resolve);
                }
            );
        }
        /**
         * 정비영역
         * @returns {Promise}
         */
        var uiRepairArea = function() {
            return new Promise(function (resolve,reject){

                    var dict = {
                        "reservation": {
                            cd: "reservation",msgEl: "", badgeEl: "",
                            btns: [{text: "정비 예약 현황", screenid: "KIA_RNW_244_1000"},
                            ]
                        },
                        "info": {
                            cd: "info",msgEl: "", badgeEl: "",
                            btns: [{text: "정비 예약", screenid: "KIA_RNW_243_1000"},
                            ]
                        },
                        "left": {
                            cd: "left",msgEl: "", badgeEl: "",
                            btns: [{text: "정비 이력", screenid: "KIA_RNW_245_1000"},
                                {text: "정비 예약", screenid: "KIA_RNW_243_1000"}
                            ]
                        },
                        "over": {
                            cd: "over",msgEl: "", badgeEl: "",
                            btns: [{text: "정비 이력", screenid: "KIA_RNW_245_1000"},
                                {text: "정비 예약", screenid: "KIA_RNW_243_1000"}
                            ]
                        },
                        "exception": {cd: "exception"}
                    }
                    var car = that.gVals.car;
                    var sendData = {
                        mbrId: PGV.loginInfo.mbrId,
                        vin: car.selectCar.vin,
                        carRgstNo: car.selectCar.carRgstNo,
                        hpNo: PGV.loginInfo.hpno
                    };
                    CMM_NET_SVR.getRprInsight(sendData)
                        .then(
                            function (response) {
                                if(response.resultCode==="200"){
                                    var repairData={};
                                    /** case verify */
                                    if(!isEmpty(response.rprPrctCar)){//정비예약
                                        //case 당일기준 미래일에 정비 예약이 있는 경우
                                        repairData = dict["reservation"];
                                        repairData.msgEl ='<div class="div-table-cell cell-01">' +
                                            '           <div class="text-align-center">' +
                                            '            <h4 class="text-scale-04"><b>차량 정비 방문이 <span class="c-font-brand-point">'+response.rprPrctCar.rmnDt+'</span>일 남았습니다.</b></h4>' +
                                            '           </div>' +
                                            '          </div>';
                                    }else{
                                        if(!isEmpty(response.rprRcmmCar)){
                                            var rmnDt=response.rprRcmmCar.rmnDt.replace("D","").replace("d","");
                                            rmnDt= Number(rmnDt);
                                            if(!isNaN(rmnDt)){
                                                if(rmnDt<=0&&rmnDt>=-100){
                                                    //case D-100~당일 권장정비일이 남았다.
                                                    repairData = dict["left"];
                                                    repairData.badgeEl ='<span class="label-cont"><i class="ico-label-primary">' +
                                                        '           <em>D-'+Math.abs(rmnDt)+'</em>' +
                                                        '          </i></span>';
                                                }else if(rmnDt>0&&rmnDt<=31){
                                                    //case D+1~31이상 권장정비일이 지났다.
                                                    repairData = dict["over"];
                                                    repairData.badgeEl ='<span class="label-cont"><i class="ico-label-primary c-bg-brand-point">' +
                                                        '           <em>D+'+Math.abs(rmnDt)+'</em>' +
                                                        '          </i></span>';
                                                }else if(rmnDt>=31){
                                                    // case 정비이력이 없거나,권장정비일 D+32일 지나버린.
                                                    repairData = dict["info"];
                                                    repairData.msgEl ='<div class="div-table-cell cell-01">' +
                                                        '           <div class="text-align-center">' +
                                                        '            <h4 class="text-scale-04"><b>안전운전을 위해 주기적으로<br>정비서비스를 받아보세요.</b></h4>' +
                                                        '           </div>' +
                                                        '          </div>';
                                                }else{//rmnDt < -101
                                                    //no case
                                                    repairData = dict["exception"];
                                                }
                                                if(repairData.cd=="left"||repairData.cd=="over"){
                                                    var theDay = isNaN(response.rprRcmmCar.rcmdDt)?response.rprRcmmCar.rcmdDt:moment(response.rprRcmmCar.rcmdDt).format('YYYY년 MM월 DD일');
                                                    repairData.msgEl=
                                                        '<div class="div-table-cell cell-01">' +
                                                        '   <div class="ico-cont">' +
                                                        '       <i class="ico-report"></i>' +
                                                        '   </div>' +
                                                        '</div>' +
                                                        '<div class="div-table-cell cell-02">' +
                                                        '   <div class="text-title">' +
                                                        '       <em>차량 정비 권장일</em>' +
                                                        '       <h4 class="text-scale-04"><b>'+ theDay+'</b></h4>' +
                                                        '   </div>' +
                                                        '</div>';
                                                }
                                            }
                                        }
                                        else{
                                            // 모든데이터가 null일때(정비이력,정비권장) info 상태를 보여주면 된다.
                                            repairData = dict["info"];
                                            repairData.msgEl ='<div class="div-table-cell cell-01">' +
                                                '           <div class="text-align-center">' +
                                                '            <h4 class="text-scale-04"><b>안전운전을 위해 주기적으로<br>정비서비스를 받아보세요.</b></h4>' +
                                                '           </div>' +
                                                '          </div>';
                                        }
                                    }

                                    /**
                                     * 그리기
                                     * */
                                    if(isEmpty(repairData)){
                                        console.error("정비케이스 공백있다. rprPrctCar있으면서, rprRcmnCar이 존재할 수 있다.");
                                        return false;
                                    }else{
                                        //안내영역
                                        var msgAreaEl = '<div class="div-item"> ' +
                                            '           <div class="div-body"> ' +
                                            '               <div class="div-table"> ' + repairData.msgEl+ '</div> ' +
                                            repairData.badgeEl +
                                            '           </div> ' +
                                            '       </div>';
                                        $(".section-06").find("div.inner-cont").append($(msgAreaEl));
                                        //btn 영역
                                        var btnEl='';
                                        var btnLen = repairData.btns.length;
                                        if(btnLen===1){
                                            var btn = repairData.btns[0];
                                            btn.screenid = btn.screenid||'';
                                            btnEl += '<div class="btn-block">' ;
                                            btnEl +=   '<button type="button" class="btn-default" data-page-link="'+btn.screenid+'">' ;
                                            btnEl +=   '  <em>'+btn.text+'</em>'  ;
                                            btnEl +=   '</button>' ;
                                            btnEl += '</div>' ;
                                        }else{
                                            btnEl='<div class="btn-block d-flex">';
                                            for(var i=0;i<btnLen;i++){
                                                var btn = repairData.btns[i];
                                                btn.screenid = btn.screenid||'';
                                                btnEl +='<div class="col-'+btnLen+'">' ;
                                                btnEl +='         <button type="button" class="btn-default" data-page-link="'+btn.screenid+'">' ;
                                                btnEl +='          <em>'+btn.text+'</em>' ;
                                                btnEl +='         </button>' ;
                                                btnEl +='        </div>';
                                            }
                                            btnEl += '</div>';
                                        }
                                        $(".section-06").find("div.inner-cont").append($(btnEl));
                                        $(".section-06").removeClass("none");
                                        return true;
                                    }

                                }
                                else{return false;}
                            }
                        )
                        .then(resolve);
                }
            );
        }
        /**
         * 차계부영역
         * @returns {Promise}
         */
        var uiExpenseArea = function() {
            return new Promise(function (resolve,reject){
                    var sendData = {
                        mbrId: PGV.loginInfo.mbrId,
                        vin: that.gVals.car.selectCar.vin,
                    };
                    CMM_NET_SVR.getExpForDay(sendData)
                        .then(
                            function (response){
                                if(response.resultCode==="200"
                                    && !isEmpty(response.ckbMthSumRnwResDto)
                                    && !isEmpty(response.ckbMthSumRnwResDto.mthSum)
                                    && (!isNaN(response.ckbMthSumRnwResDto.mthSum)&&response.ckbMthSumRnwResDto.mthSum!=0)){
                                    var mthSum = comma.add(response.ckbMthSumRnwResDto.mthSum)||"0";
                                    $("#expMthSumTarget").html("<b>"+mthSum+"원</b>");
                                    $(".section-07").removeClass("none");
                                    return true;
                                }
                                else{
                                    $(".section-07").addClass("none");
                                    return false;}
                            }
                        )
                        .then(resolve);
                }
            );
        }

        /**
         * 계약차 마케팅 영역
         * @returns {Promise}
         */
        var uiContractCar = function(){
            return new Promise(
                function (resolve,reject){
                    var template = document.querySelector("#temp-home-contract-car-marketing");
                    var target = document.querySelector(".section-01 div.inner-cont");
                    target.appendChild(document.importNode(template.content, true));
                    $(".section-01").removeClass("none");
                    resolve();
                }
            );
        }

        /*******************************
         * (E)내부 사용함수
         * =============================================아래부터 로직
         *******************************/

        var uiFuncList = [];
        if(!isEmpty(that.gVals.car.selectCar)&&that.gVals.car.selectCar.isContract){
            uiFuncList =[uiContractCar()];
        }else{
            if(that.gVals.car.isEv){
                uiFuncList = [uiRepairArea(),uiExpenseArea()];
            }else{
                uiFuncList = [uiExchangeArea(),uiRepairArea(),uiExpenseArea()];
            }
        }
        return new Promise(function (resolve,reject){
            Promise.allSettled(uiFuncList)
                .then(function (values) {
                    var isLoadAll=true;
                    $.each(values, function (i, echResult) {
                        isLoadAll = isLoadAll  && (isLoadAll= echResult.status === "fulfilled" ? true : false);
                        console.log(echResult.status);
                    });
                    resolve();
                });
        });

    }

    /**
     * ccs연동차량인 경우에만 그린다.
     * 데이터허브 ui 공통부분
     * 판단요소 : 데이터유무
     * @returns {Promise}
     */
    var uiCmmHubArea = function() {
        /** 최근주행정보 그리기 */
        function uiRecentDriving() {
            if(!isEmpty(that.gVals.display.ccs) && that.gVals.display.ccs.recentDriving){

                $(".section-03").removeClass("none");
            }
            return;
        }
        /** digital key 영역 그리기 */
        function uiDigitalKey() {
            function getDigitalKeyItemHtml(imgUrl, svcNm, reserveStartDate) {
                var itemHtml =
                    '<div class="div-item">' +
                    ' <div class="div-table">' +
                    '   <div class="div-table-cell cell-01">' +
                    '     <img src="../../img/rnw/main/home/' + imgUrl + '" alt="">' +
                    '   </div>' +
                    '   <div class="div-table-cell cell-02">' +
                    '     <h5 class="text-scale-05"><b>' + svcNm + '</b></h5>' +
                    '     <dl>' +
                    '       <dt>예약일시</dt>' +
                    '       <dd>' + moment(reserveStartDate).format("YYYY.MM.DD HH:mm") + '</dd>' +
                    '     </dl>' +
                    '     <dl>' +
                    '       <dt>연동데이터</dt>' +
                    '       <dd>차량 도어 제어</dd>' +//productName
                    '     </dl>' +
                    '   </div>' +
                    ' </div>' +
                    '</div>';
                return itemHtml;
            }

            if (!isEmpty(that.gVals.display.ccs) && that.gVals.car.dkc.registerInfo.isRegistered) {
                var startDate = moment();
                var endDate = startDate.clone().add(7,'days');

                startDate = startDate.format("YYYYMMDDHHmm");
                endDate = endDate.format("YYYYMMDDHHmm");
                var mbrId = "";
                var vin = "";
                if(CONFIG.IS_DEV){
                    mbrId = "dev_kia_1@kia.com";
                    vin = "KNARF81BHMA050657";
                }else{
                    mbrId = PGV.loginInfo.mbrId;
                    vin = that.gVals.car.selectCar.vin;
                }
                CMM_NET_HUB.getDKCReserveData(mbrId, vin, startDate, endDate)
                    .then(
                        function(response){
                            if(!isEmpty(response.errorCode)){
                                return;
                            }else{
                                if(isEmpty(response.data)){
                                    var tmplDiv = document.querySelector("#temp-home-digitalKey-banner");
                                    var contentDiv = document.querySelector(".section-04");
                                    contentDiv.appendChild(document.importNode(tmplDiv.content, true));
                                }
                                else{
                                    that.gVals.ccs.dkc.reserveData = response.data;
                                    var tmplDiv = document.querySelector("#temp-home-digitalKey-cont");
                                    var contentDiv = document.querySelector(".section-04");
                                    contentDiv.appendChild(document.importNode(tmplDiv.content, true));
                                    // 활성화 상태는 status 1, 2, 4, 6, 최신순으로 3개까지 (예약조회일 기준 가까운순 > 미래)
                                    var data = _.filter(response.data, function(obj){
                                        //                    var current = new Date("2021-12-03");   // startDate
                                        //                    var rsvDate = new Date(obj.reserveStartDate);
                                        //
                                        //                    if (!((current.getTime() - rsvDate.getTime()) / (1000*60) > 0)) {
                                        if(obj.status == 1 || obj.status == 2 || obj.status == 4 || obj.status == 6){
                                            return true;
                                        }
                                        //                    }
                                    });
                                    var list = _.sortBy(data, "reserveStartDate");
                                    var index = list.length > 3 ? 3 : list.length;
                                    var _$target = $(contentDiv).find("div.div-body");
                                    for(var i=0; i < index; i++){
                                        // 예약내역 목록
                                        var obj = list[i];
                                        var imgUrl = '';
                                        var svcNm = '';
                                        switch(obj.serviceId){
                                            case CONSTANT.DKC_SVC_INSTAWASH :
                                                imgUrl = 'img_logo_service.png';
                                                //../../img/rnw/main/home/img_logo_service.png
                                                svcNm = '인스타워시';
                                                break;
                                            case CONSTANT.DKC_SVC_YWMOBILE :
                                                imgUrl = 'imgYWmobile.png';
                                                svcNm = 'YW 모바일';
                                                break;
                                            default :
                                                imgUrl = 'imgInstawash.png';
                                                svcNm = '인스타워시';
                                                break;
                                        }
                                        var itemHtml = getDigitalKeyItemHtml(imgUrl, svcNm, obj.reserveStartDate);
                                        _$target.append($(itemHtml));
                                    }
                                }
                                $("section.section-04").removeClass("none");
                            }
                        }
                    );
            }else{
                return;
            }
        }
        /**
         * ubi 데이터로 안전운전 점수 그리기
         */
        function uiSafeDrivingScore() {
            if (!isEmpty(that.gVals.display.ccs) && that.gVals.display.ccs.ubi) {
                var ubiData = that.gVals.ccs.ubi;
                var _$ubiDiv = $("section.section-02 div.drivingData-safety");
                var odometerObj = that.gVals.ccs.odometer[0];
                var unitStr = ({0: "feet", 1: "km", 2: "meter", 3: "miles"}[odometerObj.unit])||"km";
                var odometerVal = (odometerObj.value || 0);
                odometerVal = comma.add(convertDistanceToUnit(odometerObj.unit,odometerVal));
                _$ubiDiv.find("div.inner-important").html("<p>90일 간 "+ odometerVal+unitStr+" 주행 기준</p>");
                _$ubiDiv.find("div.div-title em.date").html(ubiData.scoreDate);
                var icoStatusClass = "";
                if(ubiData.safetyDrvScoreDiff<0) icoStatusClass = "down";
                if(ubiData.safetyDrvScoreDiff>0) icoStatusClass = "up";
                if(isEmpty(ubiData.safetyDrvScoreDiff)){ ubiData.safetyDrvScoreDiff = "-"};
                if(isEmpty(ubiData.distribution)){ubiData.distribution ="-"};
                if(isEmpty(ubiData.modelDistribution)){ubiData.modelDistribution ="-"};
                $("#echartsName").html('<p>전일대비 <span class="num">'+ubiData.safetyDrvScoreDiff+'</span>점<i class="ico-status '+icoStatusClass+'"></i></p>');

                _$ubiDiv.find("div.chart-info div dl dd").eq(0).text("상위 "+ubiData.distribution+"%");
                _$ubiDiv.find("div.chart-info div dl dd").eq(1).text("상위 "+ubiData.modelDistribution+"%");
                var msg = replaceBrTag(ubiData.insightMsg);
                $("#ubiInsightMsg").html(msg);
                return;
            }else{
                return;
            }
        }
        return new Promise(
            function (resolve, reject) {
                if (!isEmpty(that.gVals.display.ccs)) {
                    var uiControlFuncs = [];
                    if (that.gVals.display.ccs.dataHub) {
                        uiControlFuncs = [uiDigitalKey(), uiSafeDrivingScore(), uiRecentDriving()];
                    } else {
                        uiControlFuncs = [uiSafeDrivingScore(), uiRecentDriving()];
                    }
                    Promise
                        .allSettled(uiControlFuncs)
                        .then(function (values) {
                            $.each(values, function (i, echResult) {
                                console.log(echResult.status);
                            });
                            resolve();
                        });
                } else {
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk("CCS 해당차량이 아님");
                    reject();
                }
            });
    }
    /**
     * 차계부에서 받은 데이터로 누적 주행거리 표기.
     * @param trvgDist
     */
    this.uiCKBTrvgDist = function(trvgDist) {
        $("#homeSelectedCarMileageInfoSection").html("");
        odometer = comma.add(trvgDist) || "-";
        var remainValueHtml =
            '                   <div class="accrue-value">' +
            '                  <dl class="d-flex justify-content-between">' +
            '                    <dt>누적 주행거리</dt>' +
            '                    <dd><b>' + odometer + '</b>Km</dd>' +
            '                  </dl>' +
            '              </div>';
        $("#homeSelectedCarMileageInfoSection").html(remainValueHtml);
        $("#homeSelectedCarMileageInfoSection").removeClass("detail--multi");
        return ;
    }

    /**
     * temp-home-section01 ==> 주행 및 연료/충전 정보
     * 분기1 : datahub or not
     * 분기2 : datahub > 차량 타입(GN,EV,HEV,PHEV)
     * 분기3 : datahub > 차량 타입(GN,EV,HEV,PHEV) > 주행데이터 이상여부.
     * */
    var uiSelectCarMileage = function() {

        if (!isEmpty(that.gVals.car.selectCar)) {
            var selectCar = that.gVals.car.selectCar;
            var remainEnergy=0;
            var forwardDistance=0;
            var remainEnergyTitle="";
            var odometer=0;
            var carEnergyType ="";
            // datahub
            var _gv_disp_ccs = that.gVals.display.ccs;
            var _gv_ccs_data = that.gVals.ccs;
            var _gv_ccs_select_car = _gv_ccs_data.selectCar;
            if (!isEmpty(_gv_disp_ccs)
                && _gv_disp_ccs.dataHub
                && !isEmpty(_gv_ccs_data.odometer)
            ) {
                odometer = _gv_ccs_data.odometer[0].value;
                var unit = _gv_ccs_data.odometer[0].unit;
                if(unit!==1){
                    odometer = comma.add(convertDistanceToUnit(unit,odometer))||"-";
                }else{
                    odometer = comma.add(odometer)||"-";
                }
                var template;
                var targetDiv;
                //PHEV
                if(_gv_ccs_select_car.carType==="PHEV"){
                    template = document.querySelector("#temp-home-carInfo-carType-phev");
                    targetDiv = document.querySelector("#homeSelectedCarMileageInfoSection");
                    targetDiv.appendChild(document.importNode(template.content, true));

                    var carDtdData = _gv_disp_ccs.oil.dte;
                    var batteryForwardDistance;//주행가능거리 (배터리)
                    var enginForwardDistance=carDtdData.value;//주행가능거리 (엔진)
                    forwardDistance =carDtdData.phevTotalValue;//엔진+배터리 수행거리(총 주행가능거리)
                    if(!isEmpty(forwardDistance)&&!isEmpty(enginForwardDistance)){
                        batteryForwardDistance =(forwardDistance-enginForwardDistance).toFixed(1) ;
                        if(carDtdData.unit!==1){
                            forwardDistance = comma.add((convertDistanceToUnit(carDtdData.phevTotalUnit,forwardDistance)||0).toFixed(1));
                            enginForwardDistance = comma.add((convertDistanceToUnit(carDtdData.unit,enginForwardDistance)||0).toFixed(1));
                        }
                    }else{
                        batteryForwardDistance="-";
                        enginForwardDistance="-";
                        forwardDistance="-";
                    }

                    var totalForwardDistanceHtml =
                        '<dl class="d-flex justify-content-between">' +
                        '                <dt>총 주행가능거리</dt>' +
                        '                <dd><b>'+forwardDistance+'</b>Km</dd>' +
                        '            </dl>';
                    $(targetDiv).find('div.remain-value').append($(totalForwardDistanceHtml));
                    var otherForwardDistanceHtml =
                        '<div class="list-cont">' +
                        '                <dl class="d-flex justify-content-between align-items-center">' +
                        '                    <dt>주행가능거리 (엔진)</dt>' +
                        '                    <dd><b>'+enginForwardDistance+'</b>Km</dd>' +
                        '                </dl>' +
                        '                <dl class="d-flex justify-content-between align-items-center">' +
                        '                    <dt>주행가능거리 (배터리)</dt>' +
                        '                    <dd><b>'+batteryForwardDistance+'</b>Km</dd>' +
                        '                </dl>' +
                        '            </div>';
                    $(targetDiv).find('div.remain-value').append($(otherForwardDistanceHtml));
                    /** 누적 운행 거리 */
                    var accureValueHtml=
                        '<dl class="d-flex justify-content-between align-items-center">' +
                        '   <dt>누적 주행거리</dt>' +
                        '   <dd><b>'+ odometer +'</b>Km</dd>' +
                        '</dl>';
                    $(targetDiv).find('div.accrue-value').html(accureValueHtml);
                    $(targetDiv).find("div.none").removeClass("none");
                    $(targetDiv).addClass("phev");
                }
                //PHEV외
                else{
                    template = document.querySelector("#temp-home-carInfo-carType-others");
                    targetDiv = document.querySelector("#homeSelectedCarMileageInfoSection");
                    targetDiv.appendChild(document.importNode(template.content, true));
                    if (_gv_ccs_select_car.carType === "EV") {
                        carEnergyType = "elec";
                        remainEnergyTitle = "현재 충전량";
                        var evDatas = _gv_ccs_data.ev;
                        remainEnergy = evDatas.battery.soc || "-";

                        var dteType = 0;
                        if(isEmpty(evDatas.dte)){
                            forwardDistance = "-";
                        }else{
                            dteType = {0: "Min", 1: "Average", 2: "Max"}[evDatas.dte.type];
                            if (evDatas.dte.distance == undefined) {
                                forwardDistance = "-";
                            } else {
                                forwardDistance = evDatas.dte.distance.value || "-";
                                if (evDatas.dte.distance.unit !== 1) {
                                    forwardDistance = comma.add(convertDistanceToUnit(evDatas.dte.distance.unit, forwardDistance)) || "-";
                                }
                            }
                        }
                    } else {
                        carEnergyType = "fuel";
                        remainEnergyTitle = "잔여 연료량";
                        var oilDatas = _gv_ccs_data.oil;
                        remainEnergy = oilDatas.fuelLevel.fuelLevel || "-";
                        forwardDistance = oilDatas.dte.value || "-";
                        if (oilDatas.dte.unit !== 1) {
                            forwardDistance = comma.add(convertDistanceToUnit(oilDatas.dte.unit, forwardDistance)) || "-";
                        }
                    }


                    /**
                     * 조건에 맞게 그리기
                     * */
                    // if(true){//data이상 //4TEST 에너지데이터 오류 발생시
                    if(remainEnergy==="-"){//data이상
                        remainEnergyTitle="누적 주행거리";
                        /** 주행가능거리,누적 주행거리 */
                        var remainValueHtml =
                            '<dl>' +
                            '    <dt>주행 가능거리</dt>' +
                            '    <dd><b>'+ forwardDistance +'</b>Km</dd>' +
                            '</dl>' +
                            '<dl>' +
                            '    <dt>'+remainEnergyTitle+'</dt>' +
                            '    <dd><b>'+ comma.add(odometer) +'</b>Km</dd>' +
                            '</dl>';
                        $(targetDiv).find('div.remain-value').html(remainValueHtml);
                        $(targetDiv).find("div.remain-value").removeClass("none");
                        $(targetDiv).addClass("noRest");
                    }
                    else{
                        /** 배터리,주유잔량, 주행가능거리 */
                        if(that.gVals.AOD.aodYn == "Y" ){
                            if(that.gVals.AOD.agreeYn == "Y") {
                                var remainValueHtml =
                                    '<dl>' +
                                    '    <dt>' + remainEnergyTitle + '</dt>' +
                                    '    <dd><b>' + remainEnergy + '</b>%</dd>' +
                                    '</dl>' +
                                    '<dl>' +
                                    '    <dt>주행 가능거리</dt>' +
                                    '    <dd><b>' + forwardDistance + '</b>Km</dd>' +
                                    '</dl>';
                                $(targetDiv).find('div.remain-value').html(remainValueHtml);
                                /** 주유잔량 차트 */
                                var energyChartHtml = '<div class="js-progress-item">' +
                                    '                      <div class="progress js-progress-btn">' +
                                    '                        <div class="progress-bar ' + carEnergyType + '" style="width: ' + remainEnergy + '%;" id="remainProgressBar' + remainEnergy + '"></div>' +
                                    '                      </div>' +
                                    '                    </div>';
                                $(targetDiv).find('div.progress-cont').html(energyChartHtml);
                                /** 누적 운행 거리 */
                                var accureValueHtml =
                                    '<dl class="d-flex">' +
                                    '   <dt>누적 주행거리</dt>' +
                                    '   <dd><b>' + odometer + '</b>Km</dd>' +
                                    '</dl>';
                                $(targetDiv).find('div.accrue-value').html(accureValueHtml);
                                $(targetDiv).find("div.none").removeClass("none");
                            }
                        }else{
                            var remainValueHtml =
                                '<dl>' +
                                '    <dt>' + remainEnergyTitle + '</dt>' +
                                '    <dd><b>' + remainEnergy + '</b>%</dd>' +
                                '</dl>' +
                                '<dl>' +
                                '    <dt>주행 가능거리</dt>' +
                                '    <dd><b>' + forwardDistance + '</b>Km</dd>' +
                                '</dl>';
                            $(targetDiv).find('div.remain-value').html(remainValueHtml);
                            /** 주유잔량 차트 */
                            var energyChartHtml = '<div class="js-progress-item">' +
                                '                      <div class="progress js-progress-btn">' +
                                '                        <div class="progress-bar ' + carEnergyType + '" style="width: ' + remainEnergy + '%;" id="remainProgressBar' + remainEnergy + '"></div>' +
                                '                      </div>' +
                                '                    </div>';
                            $(targetDiv).find('div.progress-cont').html(energyChartHtml);
                            /** 누적 운행 거리 */
                            var accureValueHtml =
                                '<dl class="d-flex">' +
                                '   <dt>누적 주행거리</dt>' +
                                '   <dd><b>' + odometer + '</b>Km</dd>' +
                                '</dl>';
                            $(targetDiv).find('div.accrue-value').html(accureValueHtml);
                            $(targetDiv).find("div.none").removeClass("none");
                        }
                    }
                    if(isEmpty($(targetDiv).html())){
                        $("#homeSelectedCarMileageInfoSection").addClass("none");
                    }
                }
            }
            // datahub X
            else{
                if(that.gVals.display.name !== "HAS_CAR_CCS"){// 주행데이터 연동버튼을 보여주고, 주행은 안보여준다.
                    that.uiCKBTrvgDist(that.gVals.car.distInfo.trvgDist);
                }else{
                    $("#homeSelectedCarMileageInfoSection").addClass("none");
                }
            }

        }else{
            $("#homeSelectedCarMileageInfoSection").addClass("none");
        }
    }

    var uiSelectCarMileage_Tass = function(carStatus) {
        if(that.gVals.AOD.agreeYn == "N") {
            var html =
                '<div class="btn-block">' +
                '   <button type="button" class="btn-primary" data-screenid="KIA_RNW_0D3_1800">' +
                '       <em>주행 데이터 연동</em>' +
                '   </button>' +
                '</div>';
            $("#myCarInfoBtn").closest('div.btn-block').before($(html));
            $("#homeSelectedCarMileageInfoSection").addClass("none");
            return;
        }else if(that.gVals.AOD.agreeYn == "B"){
            var html =
                '<div class="div-item info">' +
                '  <div class="row">' +
                '    <h5 class="text-scale-05"><b>주행 데이터를 다시 연동해 주세요.</b></h5>' +
                '    <p>' +
                '      주행 데이터 연동에 필요한 약관 개정<br>' +
                '      되어 재 동의가 필요합니다.' +
                '    </p>' +
                '  </div>' +
                '  <button type="button" class="btn-arrow-right" data-link-hub-web="KIA_RNW_0D3_1800">' +
                '    <i class="ico-arrow-right"><em class="blind">AOD 약관 동의</em></i>' +
                '  </button>' +
                '</div>';
            $("#homeSelectedCarMileageInfoSection").html(html);
            return;
        }


        if (!isEmpty(that.gVals.car.selectCar)) {
            var selectCar = that.gVals.car.selectCar;
            var remainEnergy=0;
            var forwardDistance=0;
            var remainEnergyTitle="";
            var odometer=0;
            var carEnergyType ="";

            if (!isEmpty(carStatus)) {
                carEnergyType = "elec";
                remainEnergyTitle = "현재 충전량";
                remainEnergy = that.gVals.AOD.batteryStatus || "-";
                odometer = comma.add(that.gVals.AOD.odometer)||"-";
                COMMON_FUNCTION.TOOL.DEBUG.showTalk("주행가능거리 타입 - " + "min");

                if (isEmpty(that.gVals.AOD.drvDistance)) {
                    forwardDistance = "-";
                } else {
                    forwardDistance = that.gVals.AOD.drvDistance || "-";
                }

                /**
                 * 조건에 맞게 그리기
                 * */
                // if(true){//data이상 //4TEST 에너지데이터 오류 발생시

                template = document.querySelector("#temp-home-carInfo-carType-others");
                targetDiv = document.querySelector("#homeSelectedCarMileageInfoSection");
                targetDiv.appendChild(document.importNode(template.content, true));

                if(remainEnergy==="-"){//data이상
                    remainEnergyTitle="누적 주행거리";
                    /** 주행가능거리,누적 주행거리 */
                    var remainValueHtml =
                        '<dl>' +
                        '    <dt>주행 가능거리</dt>' +
                        '    <dd><b>'+ forwardDistance +'</b>Km</dd>' +
                        '</dl>' +
                        '<dl>' +
                        '    <dt>'+remainEnergyTitle+'</dt>' +
                        '    <dd><b>'+ comma.add(odometer) +'</b>Km</dd>' +
                        '</dl>';
                    $(targetDiv).find('div.remain-value').html(remainValueHtml);
                    $(targetDiv).find("div.remain-value").removeClass("none");
                    $(targetDiv).addClass("noRest");
                }
                else{
                    /** 배터리,주유잔량, 주행가능거리 */
                    var remainValueHtml =
                        '<dl>' +
                        '    <dt>' + remainEnergyTitle + '</dt>' +
                        '    <dd><b>' + remainEnergy + '</b>%</dd>' +
                        '</dl>' +
                        '<dl>' +
                        '    <dt>주행 가능거리</dt>' +
                        '    <dd><b>' + forwardDistance + '</b>Km</dd>' +
                        '</dl>';
                    $(targetDiv).find('div.remain-value').html(remainValueHtml);
                    /** 주유잔량 차트 */
                    var energyChartHtml = '<div class="js-progress-item">' +
                        '                      <div class="progress js-progress-btn">' +
                        '                        <div class="progress-bar ' + carEnergyType + '" style="width: ' + remainEnergy + '%;" id="remainProgressBar' + remainEnergy + '"></div>' +
                        '                      </div>' +
                        '                    </div>';
                    $(targetDiv).find('div.progress-cont').html(energyChartHtml);
                    /** 누적 운행 거리 */
                    var accureValueHtml =
                        '<dl class="d-flex">' +
                        '   <dt>누적 주행거리</dt>' +
                        '   <dd><b>' + odometer + '</b>Km</dd>' +
                        '</dl>';
                    $(targetDiv).find('div.accrue-value').html(accureValueHtml);
                    $(targetDiv).find("div.none").removeClass("none");

                }
                if(isEmpty($(targetDiv).html())){
                    $("#homeSelectedCarMileageInfoSection").addClass("none");
                }
            }
        }else{
            $("#homeSelectedCarMileageInfoSection").addClass("none");
        }
    }

    /** dataHub 동의 버튼, ubi 동의 버튼 */
    var uiActivateByDisplay = function() {
        /**
         * 참조 common_home.js dict.dispDetail
         * @param selector
         */
        var uiActivate = function(selector){
            switch(selector){
                case "dataHubLinkBanner":
                    var html =
                        '<div class="div-item info">' +
                        '  <div class="row">' +
                        '    <h5 class="text-scale-05"><b>주행 데이터를 다시 연동해 주세요.</b></h5>' +
                        '    <p>' +
                        '      주행 데이터 연동에 필요한 약관의 개정<br>' +
                        '      되어 재 동의가 필요합니다.' +
                        '    </p>' +
                        '  </div>' +
                        '  <button type="button" class="btn-arrow-right" data-link-hub-web="KIA_RNW_121_1000">' +
                        '    <i class="ico-arrow-right"><em class="blind">DRIVING INSIGHT 약관 동의</em></i>' +
                        '  </button>' +
                        '</div>';
                    $("#homeSelectedCarMileageInfoSection").html(html);
                    break;
                case "dataHubLinkBtn":
                    var html =
                        '<div class="btn-block">' +
                        '   <button type="button" class="btn-primary" data-screenid="KIA_RNW_121_0000">' +
                        '       <em>주행 데이터 연동</em>' +
                        '   </button>' +
                        '</div>';
                    $("#myCarInfoBtn").closest('div.btn-block').before($(html));
                    break;
                case "drivingLogLinkCntsAndBtn":
                    if(CMM_HOME.recentDrivingSeviceOn){
                        var template = document.querySelector("#temp-home-recent-driving-log-link-banner");
                        var target = document.querySelector(".section-03");
                        target.appendChild(document.importNode(template.content, true));
                        $(".section-03").removeClass("none");
                    }
                    break;

                //현재 사용 안함 최근주행거리 오픈 후 사용
                case "ubiAndDrivingLinkCntsAndBtn":
                    if(CMM_HOME.recentDrivingSeviceOn) {
                        var template = document.querySelector("#temp-home-ubi-n-driving-log-link-banner");
                        var target = document.querySelector(".section-03");
                        target.appendChild(document.importNode(template.content, true));
                        $(".section-03").removeClass("none");
                    }
                    break;

                case "newServceAgreements":
                    var html =
                        '<div class="div-item info">' +
                        '  <div class="row">' +
                        '    <h4 class="text-scale-05"><b><img class="logo-datahub" src="../../img/rnw/main/home/logo_datahub_black.svg" alt="datahub">신규 서비스 안내</b></h4>' +
                        '    <p>' +
                        '      신규 서비스 이용을 위한 약관 동의가<br>' +
                        '      필요합니다.' +
                        '    </p>' +
                        '  </div>' +
                        '  <button type="button" class="btn-arrow-right" data-link-hub-web="KIA_RNW_121_1000">' +
                        '    <i class="ico-arrow-right"><em class="blind">DRIVING INSIGHT 약관 동의</em></i>' +
                        '  </button>' +
                        '</div>';
                    $(".section-02 div.drivingData-safety div.div-item-01").before($(html));
                    break;
                case "ubiLinkCntsAndBtn":
                    var template = document.querySelector("#temp-home-ubi-link-banner");
                    var target = document.querySelector(".section-02");
                    target.appendChild(document.importNode(template.content, true));
                    $(".section-02").removeClass("none");
                    break;

                case "ubiInfo":
                    var template = document.querySelector("#temp-home-ubi");
                    var target = document.querySelector(".section-02");
                    target.appendChild(document.importNode(template.content, true));
                    $(".section-02").removeClass("none");
                    break;
                case "drivingLog"://TODO 최근주행 드라이빙데이터
                    if(CMM_HOME.recentDrivingSeviceOn) {
                        var template = document.querySelector("#temp-home-recent-driving-log");
                        var target = document.querySelector(".section-03");
                        target.appendChild(document.importNode(template.content, true));
                        $(".section-03").removeClass("none");
                    }
                    break;
                default:
                    break;
            }
        }
        var activeUiList = that.gVals.display.show;
        if(!isEmpty(activeUiList)){
            for(var i=0; i<activeUiList.length;i++){
                uiActivate(activeUiList[i]);
            }
        }
    }


    /**
     * 날씨슬라이더 + (정비/고장/충전)슬라이더
     * @param homeInsight
     */
    var uiSliders = function(homeInsight) {

        function createdBenefitSlider(){

            $('.main-visual-cont').addClass("main-visual-benefit");
            var msgHtml = '';
            msgHtml = '           <h1>장기 대기 고객을 위한<br>혜택을 확인 해주세요.</h1>';
            var url = "../../img/rnw/main/home/home_benefit.png";
            var html = '             <div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
            html += '                  <div class="main-visual-box"> ';
            html += '                    <div class="group-01"> ';
            html += msgHtml;
            html += '                    </div> ';
            html += '                    <div class="group-02"> ';
            /** 버튼이나 충전아이콘영역 */
            html += '                    <a href="javascript:void(0);" id="callBenefit">기아 베네핏 플러스 혜택 자세히 보기</a>';
            html += '                    </div> ';
            html += '                  </div> ';
            html += '                </div>';

            return html;
        }

        /** 날씨 슬라이더 html 생성  */
        function htmlWeatherSlider(homeInsight) {
            var weatherInfo = that.gVals.main.weatherInfo;
            var imgCount = isEmpty(weatherInfo)||isEmpty(weatherInfo.case)?3:weatherInfo.case.imgCount;
            var randNumSuffix = (getRandom(2) % imgCount) + 1;
            var imgName=(!isEmpty(weatherInfo)&&!isEmpty(weatherInfo.case))?weatherInfo.case.cd+"_"+randNumSuffix:"WEA006_"+ randNumSuffix;
            var html = "";
            var url = "";

            url = "../../img/rnw/main/home/" + imgName + ".jpg";
            html = '<div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
            html += CMM_HOME.htmlWeatherMainVisualBox(weatherInfo);
            // (S) 링크버튼 위치
            var personalLink = that.gVals.display.personalLink;
            if(that.gVals.AOD.aodYn == "Y" && that.gVals.AOD.agreeYn == "Y"){
                var p_link = "KIA_RNW_123_0000";
                var p_text = "내 차 위치";
                html +=
                    '                  <button type="button" class="btn-more" data-screenid="' + p_link + '">' +
                    '                    <em class="text-underline c-font-white">' + p_text + '</em>' +
                    '                  </button>';
            }else {
                if (!isEmpty(personalLink) && personalLink.show) {
                    html +=
                        '                  <button type="button" class="btn-more" data-screenid="' + personalLink.link + '">' +
                        '                    <em class="text-underline c-font-white">' + personalLink.text + '</em>' +
                        '                  </button>';
                }
            }

            // (E) button 링크버튼 위치
            html += '</div>';//swiper-slide"
            //(E) 슬라이더종료

            return html;
        };

        /** 정비/고장/충전 슬라이더 html 생성  */
        function htmlPersonalSlider(homeInsight) {
            /** 정비/고장/충전 슬라이더:하단버튼영역 생성  */
            function htmlPSliderBottomArea(additionalSlider) {
                var slider_bottom_area_html = '';
                if(that.gVals.AOD.aodYn == "Y" && that.gVals.AOD.agreeYn == "Y") {
                    if (that.gVals.AOD.batteryCharge == "Y") {
                        /** 충전중 */
                        var currentCargingPct = that.gVals.AOD.batteryStatus || "-";
                        var leftTime = that.gVals.AOD.remainTime || "-";
                        var unitText = "분";
                        slider_bottom_area_html = '<div class="charge-cont">' +
                            '                <ul class="d-flex justify-content-center align-items-center">' +
                            // '                    <li>' +
                            // '                        <i class="ico-combo"></i>' +
                            // '                        <span>DC콤보</span>' +
                            // '                    </li>' +
                            '                    <li>' +
                            '                        <span>' + currentCargingPct + ' %<br>충전 중</span>' +
                            '                    </li>' +
                            '                    <li>' +
                            '                        <span>약 ' + leftTime + ' ' + unitText + '<br>소요 예정</span>' +
                            '                    </li>' +
                            '                </ul>' +
                            '            </div>';
                    } else if (that.gVals.AOD.batteryStatus <= 20) {
                        slider_bottom_area_html =
                            '<div class="btn-block d-flex justify-content-between">' +
                            '  <div class="col-2">' +
                            '    <button type="button" class="btn-borderline size-s"  data-page-link="KIA_RNW_580_0000">' +
                            '      <em>충전소 검색</em>' +
                            '    </button>' +
                            '  </div>' +
                            '  <div class="col-2">' +
                            '    <button type="button" class="btn-borderline size-s"  data-page-link="KIA_RNW_590_0000">' +
                            '      <em>온디맨드 픽업충전</em>' +
                            '    </button>' +
                            '  </div>' +
                            '</div>';
                    }
                }else{
                    if(!isEmpty(additionalSlider)){
                        if (!isEmpty(additionalSlider.buttons)&&["MTA002", "MTA001", "CHR001"].includes(additionalSlider.cd)) {
                            if(additionalSlider.buttons.length==1){
                                slider_bottom_area_html =
                                    '<div class="btn-block">' +
                                    '    <button type="button" class="btn-borderline size-s" data-page-link="'+additionalSlider.buttons[0].link+'">' +
                                    '        <em>'+additionalSlider.buttons[0].text+'</em>' +
                                    '    </button>' +
                                    '</div>';
                            }
                            if(additionalSlider.buttons.length==2){
                                slider_bottom_area_html=
                                    '<div class="btn-block d-flex justify-content-between">' +
                                    '  <div class="col-2">' +
                                    '    <button type="button" class="btn-borderline size-s"  data-page-link="'+additionalSlider.buttons[0].link+'">' +
                                    '      <em>'+additionalSlider.buttons[0].text+'</em>' +
                                    '    </button>' +
                                    '  </div>' +
                                    '  <div class="col-2">' +
                                    '    <button type="button" class="btn-borderline size-s"  data-page-link="'+additionalSlider.buttons[1].link+'">' +
                                    '      <em>'+additionalSlider.buttons[1].text+'</em>' +
                                    '    </button>' +
                                    '  </div>' +
                                    '</div>';

                            }

                        }
                        if (additionalSlider.cd === 'CHR002') {
                            /** 충전중 */
                            var charging = that.gVals.ccs.ev.charging;
                            var currentCargingPct = charging.targetSOC.targetSOClevel;
                            var leftTime = charging.remainTime.value ;
                            var unitText = {0: "시간", 1: "분", 2: "msec", 3: "초"}[charging.remainTime.unit];
                            slider_bottom_area_html = '<div class="charge-cont">' +
                                '                <ul class="d-flex justify-content-center align-items-center">' +
                                // '                    <li>' +
                                // '                        <i class="ico-combo"></i>' +
                                // '                        <span>DC콤보</span>' +
                                // '                    </li>' +
                                '                    <li>' +
                                '                        <span>'+currentCargingPct+' %<br>충전 중</span>' +
                                '                    </li>' +
                                '                    <li>' +
                                '                        <span>약 '+leftTime+' '+unitText+'<br>소요 예정</span>' +
                                '                    </li>' +
                                '                </ul>' +
                                '            </div>';
                        }
                    }

                }
                return slider_bottom_area_html;
            };

            var gpsKor = (loginHome.gVals.location.state||"") + " " + (loginHome.gVals.location.city||"");
            var additionalSlider = that.gVals.main.additionalSlider;
            var malFuntionMsg = null;
            if (!isEmpty(that.gVals.ccs.dtcList) && !isEmpty(that.gVals.ccs.dtcList[0])) {
                malFuntionMsg = that.gVals.ccs.dtcList[0].dtcType;
                if (Number(that.gVals.ccs.dtcList.length - 1) > 0) {
                    malFuntionMsg += " 외 " + (that.gVals.ccs.dtcList.length - 1);
                }
                additionalSlider.msg=malFuntionMsg;
            }
            //4test : 정비중 버튼 노출 테스트시. 아래 블럭 주석처리
            if("MTA002"===additionalSlider.cd&& isEmpty(homeInsight.autoCamInfo)){//오토캠정보가 없어서
                additionalSlider.buttons = additionalSlider.buttons.slice(1,2);//정비진행현황만보임.
            }
            var htmlAdditionalSliderBottomArea = htmlPSliderBottomArea(additionalSlider);
            var personalLink = that.gVals.display.personalLink;
            var htmlPersonalLink='';
            if(that.gVals.AOD.aodYn == "Y" && that.gVals.AOD.agreeYn == "Y"){
                var p_link = "KIA_RNW_123_0000";
                var p_text = "내 차 위치";
                htmlPersonalLink =
                    '                  <button type="button" class="btn-more" data-screenid="' + p_link + '">' +
                    '                    <em class="text-underline c-font-white">' + p_text + '</em>' +
                    '                  </button>';
            }else {
                if (!isEmpty(personalLink) && !isEmpty(that.gVals.display.personalLink)) {
                    htmlPersonalLink =
                        '                  <button type="button" class="btn-more" data-screenid="' + personalLink.link + '">' +
                        '                    <em class="text-underline c-font-white">' + personalLink.text + '</em>' +
                        '                  </button>';
                }
            }
            if(that.gVals.AOD.aodYn == "Y" && that.gVals.AOD.agreeYn == "Y") {
                if (that.gVals.AOD.batteryCharge == "Y") {
                    var msgHtml = '';
                    msgHtml = '           <b>배터리 충전 중<br>조금 더 기다려 주세요</b>';
                    var imgName = "CHR002_" + ((getRandom(3) % 3) + 1);// random으로 한개 노출함.
                    var url = "../../img/rnw/main/home/" + imgName + ".jpg";
                    var html = '                <div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
                    html += '                  <div class="main-visual-box type--maintain"> ';
                    html += '                    <div class="group-01"> ';
                    html += '                       <div class="row text-align-right">';
                    html += '                         <button type="button" class="btn-gps">';
                    html += '                           <i class="ico-gps"></i><em>' + gpsKor + '</em>';
                    html += '                         </button>';
                    html += '                       </div>';
                    html += '                       <div class="row">';
                    html += '                         <h2 class="text-scale-02">';
                    html += msgHtml;
                    html += '                         </h2>';
                    html += '                       </div>';
                    html += '                    </div> ';
                    html += '                    <div class="group-02"> ';
                    html += '                      <span class="label-cont"> ';
                    html += '                        <i class="ico-label-status c-bg-brand-point"> ';
                    html += '                          <em>LIVE</em> ';
                    html += '                        </i> ';
                    html += '                      </span> ';
                    html += '                      <div class="info-text"> ';
                    html += '                        <span>배터리 충전 중입니다.</span> ';
                    html += '                      </div> ';
                    html += htmlAdditionalSliderBottomArea;
                    /** 버튼이나 충전아이콘영역 */
                    html += '                    </div> ';
                    html += '                  </div> ';
                    html += htmlPersonalLink;
                    /** 내차관리 링크 */
                    html += '                </div>';
                    return html;
                } else if (that.gVals.AOD.batteryStatus <= 20) {
                    var msgHtml = '';
                    msgHtml = '           <b>차량 주행 전 배터리<br>충전이 필요해요.</b>';
                    var imgName = "CHR001_" + ((getRandom(3) % 3) + 1);// random으로 한개 노출함.
                    var url = "../../img/rnw/main/home/" + imgName + ".jpg";
                    var html = '                <div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
                    html += '                  <div class="main-visual-box type--maintain"> ';
                    html += '                    <div class="group-01"> ';
                    html += '                       <div class="row text-align-right">';
                    html += '                         <button type="button" class="btn-gps">';
                    html += '                           <i class="ico-gps"></i><em>' + gpsKor + '</em>';
                    html += '                         </button>';
                    html += '                       </div>';
                    html += '                       <div class="row">';
                    html += '                         <h2 class="text-scale-02">';
                    html += msgHtml;
                    html += '                         </h2>';
                    html += '                       </div>';
                    html += '                    </div> ';
                    html += '                    <div class="group-02"> ';
                    html += '                      <span class="label-cont"> ';
                    html += '                        <i class="ico-label-status c-bg-brand-point"> ';
                    html += '                          <em>LIVE</em> ';
                    html += '                        </i> ';
                    html += '                      </span> ';
                    html += '                      <div class="info-text"> ';
                    html += '                        <span>배터리를 충전해 주세요</span> ';
                    html += '                      </div> ';
                    html += htmlAdditionalSliderBottomArea;
                    /** 버튼이나 충전아이콘영역 */
                    html += '                    </div> ';
                    html += '                  </div> ';
                    html += htmlPersonalLink;
                    /** 내차관리 링크 */
                    html += '                </div>';
                    return html;
                }
            }else {
                var msgHtml = '';
                if(isEmpty(homeInsight.rprInstMsg1)||isEmpty(homeInsight.rprInstMsg2)){
                    msgHtml = '          <b>' +PGV.loginInfo.mbrNm+'님' +'<br>오늘도 안전 운행 하세요.</b>';
                }else{
                    msgHtml ='           <b>' +homeInsight.rprInstMsg1 +'<br>' +homeInsight.rprInstMsg2+'</b>' ;
                }
                var imgName = additionalSlider.cd+"_"+((getRandom(3) % additionalSlider.imgCount)+1);// random으로 한개 노출함.
                var url ="../../img/rnw/main/home/"+ imgName+".jpg";
                var html='                <div class="swiper-slide" style="background-image:url(\''+url+'\');">';
                html += '                  <div class="main-visual-box type--maintain"> ' ;
                html += '                    <div class="group-01"> ' ;
                html += '                       <div class="row text-align-right">' ;
                html += '                         <button type="button" class="btn-gps">' ;
                html += '                           <i class="ico-gps"></i><em>'+gpsKor+'</em>' ;
                html += '                         </button>' ;
                html += '                       </div>' ;
                html += '                       <div class="row">' ;
                html += '                         <h2 class="text-scale-02">' ;
                html +=                             msgHtml ;
                html += '                         </h2>' ;
                html += '                       </div>' ;
                html += '                    </div> ' ;
                html += '                    <div class="group-02"> ' ;
                html += '                      <span class="label-cont"> ' ;
                html += '                        <i class="ico-label-status '+ additionalSlider.font_class +'"> ' ;
                html += '                          <em>'+additionalSlider.text+'</em> ' ;
                html += '                        </i> ' ;
                html += '                      </span> ' ;
                html += '                      <div class="info-text"> ' ;
                html += '                        <span>'+ additionalSlider.msg +'</span> ' ;
                html += '                      </div> ';
                html +=  htmlAdditionalSliderBottomArea  ;/** 버튼이나 충전아이콘영역 */
                html += '                    </div> ' ;
                html += '                  </div> ' ;
                html +=  htmlPersonalLink  ;/** 내차관리 링크 */
                html += '                </div>';
                return html;
            }
        };
        //----!! End of 내부함수


        if(isEmpty(homeInsight)){
            homeInsight = that.gVals.main.homeInsight;
        }
        var targetDiv = document.querySelector("#sliderTarget");
        // targetDiv.innerHTML = '';

        // 정비: homeInsight
        // homeInsight.rprInstCd="MTA002";//4test 정비중 슬라이더
        // homeInsight.rprInstCd="MTA001";//4test 고장코드감지 슬라이더(dct 값있어야 함. datahub)
        // homeInsight.rprInstCd="CHR002";//4test 충전중 슬라이더(전기차여야함)
        // homeInsight.rprInstCd="CHR001";//4test 충전필요 슬라이더(전기차여야함)
        if(that.gVals.AOD.aodYn == "Y" && that.gVals.AOD.agreeYn == "Y" && (that.gVals.AOD.batteryCharge == "Y" || that.gVals.AOD.batteryStatus <= 20)) {
            var htmlPersonalSliderDiv = htmlPersonalSlider(homeInsight);//정비/ev 개인화 영역
            $(targetDiv).append($(htmlPersonalSliderDiv));
        }else if (!isEmpty(homeInsight.rprInstCd)&&homeInsight.rprInstCd!=="REF001") {//주유에 관해서는 슬라이더 없음
            //슬라이드 template 하나 복제하기

            var P_INSIGHT = CMM_HOME.dict.insight.P_INSIGHT[homeInsight.rprInstCd];
            that.gVals.main.additionalSlider = P_INSIGHT;

            var htmlPersonalSliderDiv = htmlPersonalSlider(homeInsight);//정비/ev 개인화 영역
            $(targetDiv).append($(htmlPersonalSliderDiv));
        }
        // 날씨 슬라이더
        if(homeInsight.resultCode == "900"){
            homeInsight.genInstCd = "WEA006";
            MPopup.alert(homeInsight.resultMsg);
        }
        var W_INSIGHT = !isEmpty(homeInsight.genInstCd)?CMM_HOME.dict.insight.W_INSIGHT[homeInsight.genInstCd]:CMM_HOME.dict.insight.W_INSIGHT["WEA006"];
        var fcstResDto = !isEmpty(that.gVals.main.weatherInfo)?that.gVals.main.weatherInfo.fcstResDto:null;
        var weatherVerifyIcon=null;
        if(!isEmpty(fcstResDto)){
            weatherVerifyIcon = CMM_HOME.verifyWeatherCase((fcstResDto.pty||"x"), (fcstResDto.rn1||"x"), (fcstResDto.sky||"x"));
            W_INSIGHT.title = weatherVerifyIcon.title;
            W_INSIGHT.ico_class = weatherVerifyIcon.ico_class;
            that.gVals.main.weatherInfo.case = W_INSIGHT;
        }

        var htmlWeatherSliderDiv = htmlWeatherSlider(homeInsight);
        $(targetDiv).append($(htmlWeatherSliderDiv));
    }



    /**
     * 1. ccs 미가입 상태(HAS_CAR_ONLY) - isMaster:false
     * 2. datahub 미가입 상태(HAS_CAR_CCS) - isMaster:true, agreements:null or agreements 모든 동의값 미동의(0)
     * @returns {Promise}
     */
    var processGetHomeInsight = function() {
        /** DRIVING INSIGHT에 차량 등록 절차-> 서버에도 저장. */
        function doRegisterCcsLinkedCarId(param) {
            const flag = param.flag;
            const data = param.data;
            const prevCarId = that.gVals.car.selectCar.carId;

            return new Promise(
                function(resolve){
                    if (prevCarId === flag) {
                        return resolve(null);
                    }
                    if(flag === 'S' || flag === 'X'){
                         var regCarInfo = {
                            carId: flag,
                            mbrId: data.mbrId,
                            master: flag,
                            masterCarId: flag,
                            saleCarmdlEnNm: flag,
                            vin: data.vin
                         };
                        eventLog("postRegCarId", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                         CMM_NET_SVR.postRegCarId(regCarInfo).then(function(response){
                             eventLog("postRegCarId", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                            return resolve(null);
                         });
                    }
                    else{
                        eventLog("postRegisterVehicle", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                        CMM_NET_HUB.postRegisterVehicle(data.cars)/** 차량 등록 */
                        .then(/** 등록결과 DRIVING INSIGHT 조회==> 성공시 : DRIVING INSIGHT carId 조회 호출|| 실패시 : register-Resolve CMM_HOME.dict.disp.HAS_CAR_ONLY */
                            function (response) {
                                eventLog("postRegisterVehicle", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                if(!isEmpty(response) && !isEmpty(response.errorCode)){
                                    that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;// 차량 연동 불가.
                                    exWNShowIndicator();
                                    return null;

                                }else{
                                    eventLog("getCarIdInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                    return CMM_NET_HUB.getCarIdInfo(data.ccspId)
                                        .then(function(carIdInfo) {
                                            eventLog("getCarIdInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                            return carIdInfo;
                                        });
                                }
                            }
                        )
                        .then(/** 등록결과 서버 저장 ==> 성공시 :서버에 저장프로세스 호출 ||실패시 : register-Resolve CMM_HOME.dict.disp.HAS_CAR_ONLY */
                            function (carIdInfo) {
                                if (!isEmpty(carIdInfo)) {
                                    that.gVals.ccs.registerdCarsInfo = carIdInfo.cars;
                                    var registerdCar = carIdInfo.cars.find(function (car) {
                                        return car.masterCarId == data.cars[0].carId;
                                    });
                                    that.gVals.ccs.selectCar = registerdCar;
                                    if (!isEmpty(registerdCar)) {
                                        var regCarInfo = {
                                            carId: registerdCar.carId,
                                            //mbrId: data.mbrId, 값이 없음
                                            mbrId: PGV.loginInfo.mbrId,
                                            master: "Y",
                                            masterCarId: registerdCar.masterCarId,
                                            saleCarmdlEnNm: registerdCar.detailInfo.saleCarmdlEnNm,
                                            //vin: data.vin
                                            vin: registerdCar.vin
                                        }
                                        that.gVals.request.ccsCarRegisterToSeverRequest = regCarInfo;
                                        eventLog("postRegCarId", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                        return CMM_NET_SVR.postRegCarId(regCarInfo)
                                            .then(
                                                function(response){
                                                    eventLog("postRegCarId", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                                    if(response.resultCode==="200" && response.regYn==="Y"){
                                                        eventLog("setNewCarInfos", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                                        CMM_HOME.setNewCarInfos();
                                                        eventLog("setNewCarInfos", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                                    }
                                                    return response;
                                                }
                                            );
                                    } else {
                                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;
                                        return null;
                                    }
                                }
                                else {
                                    return null;
                                }
                            }
                        )
                        .then(/** 등록결과 서버 저장 결과 전역변수 값 수정.==> register-Resolve : CMM_HOME.dict.disp.HAS_CAR_CCS*/
                            function (regCarIdResult) {
                                if(!isEmpty(regCarIdResult)){
                                    var code = regCarIdResult.resultCode;
                                    var msg = regCarIdResult.resultMsg;
                                    const newCarId = that.gVals.request.ccsCarRegisterToSeverRequest.carId;
                                    const newMaster = that.gVals.request.ccsCarRegisterToSeverRequest.master
                                    const newMasterCarId = that.gVals.request.ccsCarRegisterToSeverRequest.masterCarId;
                                    if (code == "200") {
                                        var info = _.find(that.gVals.car.myCarInfoListResDto, {vin: that.gVals.car.selectCar.vin});
                                        info.carId = newCarId;
                                        info.master = newMaster;
                                        info.masterCarId = newMasterCarId;

                                        that.gVals.car.selectCar.carId = newCarId;
                                        that.gVals.car.selectCar.master = newMaster;
                                        that.gVals.car.selectCar.masterCarId = newMasterCarId;

                                        that.gVals.ccs.registerdCar = that.gVals.request.ccsCarRegisterToSeverRequest;
                                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_CCS;
                                        return newCarId;
                                    } else {
                                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_CCS_ENABLE;//가입가능상태로...
                                        return null;
                                    }
                                }else{
                                    return null;
                                }
                            }
                        )
                        .then(resolve)
                        .catch(
                            function (result) {
                                COMMON_FUNCTION.TOOL.DEBUG.showTalk(that.gVals.display);
                                resolve(that.gVals.display);
                                exWNShowIndicator();
                            }
                        )
                    }
                }
            );
        }
        /**
         * 1:동의함, 0: 동의필요함
         * 4자리 숫자스트링 ex)"0000"
         * 업데이트 약관 존재 | ccsSubAgreeYn | ubiSubAgreeYn&&ubiAgreeYn&&ubiSupportYn | 최근주행정보(미정)
         * 첫번째 "0"으로 시작시 업데이트 약관 존재함.
         * 두번째 "0"으로 시작, 즉 ccsSubAgreeYn 미동의 일때, 처리 동일(011,001,010)
         * @param agreements
         * @returns {*}
         */
        function verifyCcsAgreementsUpdated(agreements) {
            var agreementCode = "";
            var disp = that.gVals.display;
            var shellUpdate = "1"; //1동의함, 0동의필요함.
            var ccsSubAgreeYn = "0" //필수 CCS 데이터(누적 주행 거리, 주차 위치 등) 목적 외 동의 여부
            var ubiYn = "0"; //ubi 목적 외 동의 여부
            var ubiSupportYn = "0"; //ubi 지원 차량 여부

            if(!isEmpty(agreements)){
                disp = CMM_HOME.dict.disp.HAS_CAR_CCS;
                ccsSubAgreeYn = String(agreements.ccsSubAgreeYn);
                ubiYn = String(agreements.ubiSubAgreeYn);
                ubiSupportYn = String(agreements.ubiSupportYn);
                if (agreements.result == 0 && !isEmpty(agreements.created)) {//업데이트 필요시
                    shellUpdate="0";
                    if(!(ccsSubAgreeYn === "1" && ubiYn === "1" && true)){//todo 최근주행거리 조건 추가
                        if (ccsSubAgreeYn === "1") {
                            that.gVals.display.ccs.dataHub=false;
                        }
                    }
                }else{
                    shellUpdate="1";
                    if (ccsSubAgreeYn === "1") {
                        that.gVals.display.ccs.dataHub=true;
                        that.gVals.display.personalLink={
                            show : true,
                            text : "내 차 위치",
                            link : "KIA_RNW_123_0000",
                        };
                    }else{
                        that.gVals.display.ccs.dataHub=false;
                        that.gVals.display.personalLink={
                            show : false,
                            text : null,
                            link : null,
                        };
                    }
                }

                if (ubiSupportYn === "1" && ubiYn === "1") that.gVals.display.ccs.ubi=true;
                if(false){ //todo 최근주행정보==> 서비스 오픈후 정확한 컬럼명확인.
                    // if (agreements.drivingLog==="1") {
                    that.gVals.display.ccs.drivingLog=true;
                }
            }

            // 홈화면 UI 구성 정보 설정
            agreementCode = shellUpdate + ccsSubAgreeYn + ubiYn + ubiSupportYn + "0" //최근주행정보 api 미개발로 무조건 0으로 셋팅함.

            var disp_detail = CMM_HOME.dict.dispDetail[agreementCode] || [];
            disp.show = disp_detail;
            disp.agreementCode = agreementCode;
            return disp;
        }
        /** 차량보유일때,
         * homeInsight 데이터까지 조회한다. ccs동의,등록, DRIVING INSIGHT data, ui컨트롤 포함하고 있다.
         * isMaster(true) or 서버등록된 carId 존재 시 ==> DRIVING INSIGHT 미가입상태로 변경. 그다음 상태는 agreement로 판단
         *
         * @returns {Promise , homeInsight}
         */
        function getCCSAgreements() {
            var loginInfo = PGV.loginInfo;
            var selectCar = that.gVals.car.selectCar;

            function registerCcsCar(carIdFlag) {
                return new Promise(function (resolve){

                    if (!isEmpty(carIdFlag)) {
                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;
                        that.gVals.ccs.isMaster = null;
                        return doRegisterCcsLinkedCarId({
                            flag: carIdFlag,
                            data: {
                                mbrId: loginInfo.mbrId,
                                vin: selectCar.vin

                            }
                        }).then(resolve);
                    }
                    else {
                        eventLog("getCarMasterInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                        CMM_NET_HUB.getCarMasterInfo(selectCar.vin)/** 등록 가능 유무조회 */
                            .then(function (response){
                                eventLog("getCarMasterInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");

                                // ccs.ismater 의 response null 또는 master 가 false 또는 errorCode 가 존재하는 경우 -> 아무것도 하지 않고 넘어감
                                if (isEmpty(response) || !response.master || !isEmpty(response.errorCode)) {//연동불가
                                    //CCS 미연동 ONLY 차량 보유
                                    that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;
                                    that.gVals.ccs.isMaster = null;
                                    return resolve(null);
                                }/** 등록가능 한 경우 차량등록 하기*/
                                else {
                                    that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_CCS;
                                    that.gVals.ccs.isMaster = response;
                                    return {
                                        flag: response.carId,
                                        data: {
                                            ccspId: loginInfo.ccspId,
                                            cars: [{
                                                carId: response.carId,
                                                carGrantType: 2,
                                                carName: selectCar.mdlNm,
                                            }]
                                        }
                                    };
                                }
                            })
                            .then(function (param){
                                if(!isEmpty(param)){
                                    doRegisterCcsLinkedCarId(param)
                                        .then(function (carId) {
                                            if (that.gVals.display.name === "HAS_CAR_ONLY" || !carId) {
                                                resolve(null);
                                            } else {
                                                eventLog("getAgreements", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                                CMM_NET_HUB.getAgreements(loginInfo.ccspId, carId, loginInfo.accessToken).then(resolve);
                                                eventLog("getAgreements", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                            }
                                        });
                                }
                            })
                    }
                });
            }
            return new Promise(
                function(resolve){
                    const savedCarId = selectCar.carId;
                    // 2024.04.17 ccsYn 컬럼 사용 중단
                    // const savedCcsYn = selectCar.ccsYn;

                    // 2024.04.17 carId가 X 일 경우도 registerCcsCar() 호출 - 사유: 앱 최초 로그인 이후에 뒤늦게 DI 가입 할 수 있기 때문
                    // if (savedCarId === 'X') {
                    //     return resolve(null);
                    // } else if(isEmpty(savedCarId) || savedCarId === 'N' || savedCarId === 'S'){
                    if(isEmpty(savedCarId) || ['X','N','S'].includes(savedCarId)){
                        return registerCcsCar().then(resolve);
                    }else{
                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_CCS;

                        eventLog("getCarIdInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                        CMM_NET_HUB.getCarIdInfo(PGV.loginInfo.ccspId)
                            .then(
                                function(response){
                                    eventLog("getCarIdInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                    if(!isEmpty(response.errorCode)){
                                        that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;
                                        that.gVals.ccs.isMaster = null;
                                        return null;
                                    }

                                    that.gVals.ccs.registerdCarsInfo = response.cars;

                                    if(isEmpty(response.cars)){
                                        // 2024.04.17 response.cars 가 null 인 경우 ->  우리서버에 registerCar 의 flag X 로 하여 저장
                                        return registerCcsCar("X");
                                    }else{
                                        var registerdCar = response.cars.find(function (car) {
                                            return car.carId === that.gVals.car.selectCar.carId;
                                        });
                                        that.gVals.ccs.selectCar = registerdCar;
                                        if(isEmpty(registerdCar)){
                                            // 2023.10.31 마이기아 DB와 데이터허브의 carId 값이 다를 경우 데이터허브 값으로 update
                                            // 2024.04.17 response.cars 내 현재 차량 정보가 없는 경우 -> 우리서버에 registerCar 의 flag X 로 하여 저장
                                            return registerCcsCar("X");
                                            // that.gVals.display = CMM_HOME.dict.disp.HAS_CAR_ONLY;
                                            // that.gVals.ccs.isMaster = null;
                                            // return null;
                                        }else{
                                            eventLog("getAgreements", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                            return CMM_NET_HUB.getAgreements(loginInfo.ccspId, selectCar.carId, loginInfo.accessToken)
                                                .then(function(agreements){
                                                    eventLog("getAgreements", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                                    return agreements;
                                                });
                                        }
                                    }
                                }
                            )
                            .then(resolve)
                            .catch(function(){
                                resolve(null);
                            });
                    }

                }
            );
        }

        /**
         * 홈 인사이트 정보 요청을 위해 request body  만들고 전역에 저장함.
         * @returns {Error|*}
         */
        function getHomeInsightReq() {
            // 선택차량 차량이 선택됨에 따라
            var insightRequest = that.gVals.request.insightRequest;
            insightRequest.lat = that.gVals.location.lat || CONSTANT.DEFAULTS_LOCATION.LAT;
            insightRequest.lng = that.gVals.location.lng || CONSTANT.DEFAULTS_LOCATION.LNG;
            insightRequest.fltCndYn = !isEmpty(that.gVals.ccs.dtcList)?"Y":"N";// 고장상태여부
            var evCharging = that.gVals.ccs.ev.charging;
            if(!isEmpty(evCharging)){
                if (evCharging.soc !== undefined && evCharging.soc != null && evCharging.soc <= 20) {
                    insightRequest.btryChrg20Yn = "Y";
                }
                if (evCharging.batteryCharge) {
                    insightRequest.btryChrgYn = "Y";
                }
            }
            var selectedCar=that.gVals.car.selectCar;
            insightRequest.vin = selectedCar.vin;
            insightRequest.carRgstNo = selectedCar.carRgstNo;
            insightRequest.evCarDivCd = selectedCar.memEvYn != "N" ? "EV":"OL";

            that.gVals.request.insightRequest = insightRequest;
            if (that.gVals.request.insightRequest) {
                var req = JSON.parse(JSON.stringify(that.gVals.request.insightRequest));//proxy  to pojo
                if(!isEmpty(selectedCar)&&selectedCar.isContract){
                    if (req.mbrId && req.hpNo) {
                        return CMM_NET_SVR.getHomeInsight(req);
                    } else {
                        return new Error("home insight 필수 항목 누락");
                    }
                }else {
                    if (req.mbrId && req.vin && req.carRgstNo && req.hpNo) {
                        return CMM_NET_SVR.getHomeInsight(req);
                    } else {
                        return CMM_NET_SVR.getHomeInsight(req);
                    }
                }

            }
        }
        /** DRIVING INSIGHT에 고장코드,누적주행거리,ubi데이터 조회 */
        var collectHubDatas = function (display) {
            /**  digitalKey 가입 여부 확인 */
            var verifyDigitalKeyRegisterd = function(receivedData) {
                var code = receivedData.resultCode;
                var msg = receivedData.resultMsg;
                var isRegisterd=false;
                if(code == "200"){
            var dkcAgreeInfo = exWNDecryptString(receivedData.data, CONSTANT.DKC_CRTEC_KEY, CONSTANT.DKC_IV_KEY);
                    if(!isEmpty(dkcAgreeInfo)){
                        dkcAgreeInfo = JSON.parse(dkcAgreeInfo);
                    }
                    that.gVals.car.dkc.registerInfo = dkcAgreeInfo;
                    if(!isEmpty(dkcAgreeInfo) && dkcAgreeInfo.resultCode == "200"){
                        switch(dkcAgreeInfo.data) {  // data.data / "03"
                            case "00" :
                            case "01" :
                            case "02" :
                                isRegisterd = false;
                                break;
                            case "03" :
                            case "10" :
                                isRegisterd = true;
                            default :
                                break;
                        }
                    }else{
                        isRegisterd = false;
                    }
                }else{
                    isRegisterd = false;
                    // 597 : data : null 로 넘어오는 경우 서버에서 최대 10번 재호출
                    // 10번 이후로도 null 이 나오면 597로 '응답결과데이타가 존재하지 않습니다.' 메세지 출력
                }
                that.gVals.car.dkc.registerInfo.isRegistered = isRegisterd;
                return isRegisterd;
            }
            if (isEmpty(display)) {
                display = that.gVals.display;
            }
            var phase=0;
            return new Promise(
                function (resolveSub, rejectSub) {

                    eventLog("getResCheckService", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                    /** 디지털 키 */
                    CMM_NET_SVR.getResCheckService()
                        .then(verifyDigitalKeyRegisterd);
                    eventLog("getResCheckService", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                    var carId = that.gVals.car.selectCar.carId;
                    if((that.gVals.display.ccs.dataHub && that.gVals.display.ccs.ubi)){
                        eventLog("Dtc_Odometer_UbiDetail", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                        Promise
                            .allSettled([CMM_NET_HUB.getDtc(carId)
                                ,CMM_NET_HUB.getOdometer(carId)
                                ,CMM_NET_HUB.getUbiDetail(carId)])
                            .then(
                                function(values){
                                    eventLog("Dtc_Odometer_UbiDetail", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                    var dtc = values[0].status==="fulfilled"?values[0].value:null;
                                    var odometer = values[1].status==="fulfilled"?values[1].value:null;
                                    var ubiDetail = values[2].status==="fulfilled"?values[2].value:null;
                                    that.gVals.ccs.dtcList = dtc.dtcList;
                                    that.gVals.ccs.odometer = odometer.odometers;
                                    that.gVals.ccs.ubi = ubiDetail;
                                }
                            ).then(resolveSub);
                    }else{
                        if(that.gVals.display.ccs.dataHub){
                            eventLog("Dtc_Odometer", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                            Promise
                                .allSettled([CMM_NET_HUB.getDtc(carId)
                                    ,CMM_NET_HUB.getOdometer(carId)])
                                .then(
                                    function(values){
                                        eventLog("Dtc_Odometer", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                        var dtc = values[0].status==="fulfilled"?values[0].value:null;
                                        var odometer = values[1].status==="fulfilled"?values[1].value:null;
                                        that.gVals.ccs.dtcList = dtc.dtcList;
                                        that.gVals.ccs.odometer = odometer.odometers;
                                        resolveSub();
                                    }
                                );
                        }
                        if(that.gVals.display.ccs.ubi){
                            eventLog("getUbiDetail", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                            CMM_NET_HUB.getUbiDetail(carId)
                                .then(
                                    function(ubiDetail){
                                        eventLog("getUbiDetail", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                        that.gVals.ccs.ubi = ubiDetail;
                                        resolveSub();
                                    }
                                );
                        }
                    }
                }
            );
        }
        /** DRIVING INSIGHT에  ev차 데이터 조회 */
        function collectHubEvData(display) {
            if (isEmpty(display)) {
                display = that.gVals.display;
            }
            var phase=0;
            return new Promise(
                function(resolve){
                    eventLog("EvCharging_EvBattery_Dte", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                    Promise
                        .allSettled([CMM_NET_HUB.getEvCharging(that.gVals.car.selectCar.carId), // 전기차 배터리 잔량 조회
                            CMM_NET_HUB.getEvBattery(that.gVals.car.selectCar.carId),// 전기차 충전 상태 조회
                            // 2023.12.18 주행가능 거리 조회 api 변경
                            // CMM_NET_HUB.getEvStatus(that.gVals.car.selectCar.carId),//전기차량 상태 조회(GET)
                            CMM_NET_HUB.getDte(that.gVals.car.selectCar.carId),//차량의 주행 가능 거리, 차량의 데이터는 조회 불가(GET)
                        ])
                        .then(
                            function (values) {
                                eventLog("EvCharging_EvBattery_Dte", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                var evCharging = values[0].status==="fulfilled"?values[0].value:null;
                                var evBattery = values[1].status==="fulfilled"?values[1].value:null;
                                var evDte = values[2].status==="fulfilled"?values[2].value:null;

                                that.gVals.ccs.ev.charging = evCharging;
                                that.gVals.ccs.ev.battery = evBattery;
                                //that.gVals.ccs.ev.dte = evDte; //deprecated api(dte)전용
                                // 2023.12.18 주행가능 거리 조회 api 변경
                                that.gVals.ccs.ev.dte.distance = {value: evDte.value, unit: evDte.unit};
                                var _ediDate = moment().format('YYYYMMDDhhmmss');

                                if(!isEmpty(evCharging.errCode)){
                                    that.gVals.ccs.ev.charging.batteryPlugin = 0;
                                    that.gVals.ccs.ev.charging.batteryCharge = false;
                                    that.gVals.ccs.ev.charging.soc = 100;
                                    that.gVals.ccs.ev.charging.timestamp = _ediDate;
                                    that.gVals.ccs.ev.charging.msgId = "";
                                }

                                if(!isEmpty(evBattery.errCode)){
                                    that.gVals.ccs.ev.battery.soc = 100;
                                    that.gVals.ccs.ev.battery.timestamp = _ediDate;
                                    that.gVals.ccs.ev.battery.msgId = "";
                                }

                                if(!isEmpty(evDte.errCode)){
                                    that.gVals.ccs.ev.dte.type = 0;
                                }

                                resolve(true);
                            }
                        )
                        .catch(resolve);
                }
            );
        }
        /** DRIVING INSIGHT에  oil차 데이터 조회 */
        function collectHubOilData(display) {
            if (isEmpty(display)) {
                display = that.gVals.display;
            }
            var phase=0;
            return new Promise(
                function(resolve){
                    eventLog("FuelLevel_Dte", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                    Promise
                        .allSettled([CMM_NET_HUB.getFuelLevel(that.gVals.car.selectCar.carId), //  내연차 주유 잔량 조회
                            CMM_NET_HUB.getDte(that.gVals.car.selectCar.carId)]) // 내연차 주행가능 거리
                        .then(
                            function (values) {
                                eventLog("FuelLevel_Dte", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                var olFuelLevel = values[0].status==="fulfilled"?values[0].value:null;
                                var olDte = values[1].status==="fulfilled"?values[1].value:null;
                                that.gVals.ccs.oil.fuelLevel = olFuelLevel;
                                that.gVals.ccs.oil.dte = olDte;

                                if (!isEmpty(olFuelLevel.errCode) || !isEmpty(olDte.errCode)) {
                                    if (olFuelLevel.errCode == CONSTANT.UNREGISTERED_USER_ERROR) {
                                        // reject(olFuelLevel);
                                        COMMON_FUNCTION.TOOL.DEBUG.showTalk(olFuelLevel.errCode);
                                    }
                                    if (olDte.errCode == CONSTANT.UNREGISTERED_USER_ERROR) {
                                        COMMON_FUNCTION.TOOL.DEBUG.showTalk(olDte.errCode);
                                        // reject(olDte);
                                    }
                                }
                                resolve(true);
                            }
                        )
                        .catch(resolve);
                }
            );
        }

        function getTaaSStatus (targetVin){
            return new Promise(function(resolve){
                eventLog("TaaSOdometerNbattery", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                MNet.httpSendAsyncAsIs({
                    path: _API.SVR.HOME.carinfo.TaaSOdometerNbattery,
                    sendData: {
                        apiId : "RNW-HOM-8001",
                        mbrId : PGV.loginInfo.mbrId,
                        vin: targetVin
                    },
                    indicatorYn : "N"
                })
                    .then(function(response){
                        eventLog("TaaSOdometerNbattery", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                        if (response.resultCode == "200") {
                            resolve(response);
                        }else{
                            resolve(response);
                        }
                    });
            })
        }

        var selectCar = that.gVals.car.selectCar;

        if(selectCar.tassYn=="Y"){
            return new Promise(
                function(resolve){
                    getTaaSStatus(selectCar.vin)
                    .then(
                        function (carStatus) {
                            if(carStatus.resultCode == "200") {
                                that.gVals.AOD = carStatus;
                                that.gVals.AOD.aodYn = "Y";
                                that.gVals.AOD.batteryStatus = parseInt(that.gVals.AOD.batteryStatus);
                                eventLog("uiSelectCarMileage_Tass", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                uiSelectCarMileage_Tass(carStatus);/** 주행거리섹션 ui */
                                eventLog("uiSelectCarMileage_Tass", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                            }else{
                                that.gVals.AOD = carStatus;
                                that.gVals.AOD.aodYn = "N";
                            }

                            eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                            return getHomeInsightReq()
                                .then(
                                    function (homeInsight) {
                                        eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end")
                                        that.gVals.main.homeInsight = homeInsight;
                                        resolve(homeInsight);
                                    }
                                );
                        }
                    )

                }
            );
        }else{
            return new Promise(function(resolve){
                var loginInfo = PGV.loginInfo;
                var selectCar = that.gVals.car.selectCar;
                eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                if(selectCar.isContract){
                    return getHomeInsightReq()
                        .then(
                            function (homeInsight) {
                                eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                resolve(homeInsight);
                            }
                        );
                }else{
                    getCCSAgreements()
                        .then(
                            function (hubAgreements) {/**  화면분기*/
                                if (!isEmpty(that.gVals.ccs.selectCar)) {
                                    that.gVals.car.selectCar.carType = that.gVals.ccs.selectCar.carType;
                                }
                                // hubAgreements=null;//4test 아래코드실행시  (ccs 가입상태, datahub 미가입상태)
                                if (!isEmpty(hubAgreements)
                                    && isEmpty(hubAgreements.errorCode)
                                    && (hubAgreements.status).toLowerCase() === 'success'
                                    && !isEmpty(hubAgreements.data)) {
                                    var agreements = hubAgreements.data;
                                    var display = verifyCcsAgreementsUpdated(agreements);
                                    that.gVals.display = display;
                                    that.gVals.ccs.agreements = agreements;
                                    return;
                                } else {
                                    // if(false){//4test 임시코드(false : ccs 미가입상태 isMaster false, HAS_CAR_ONLY)
                                    if (that.gVals.display.name === "HAS_CAR_CCS") {
                                        var disp_detail = CMM_HOME.dict.dispDetail["10000"];
                                        that.gVals.display.show = disp_detail;
                                    }
                                    return;
                                }
                            }
                        )
                        .then(
                            /** ccs select car 정리 */
                            function () {
                                var ccsRegisterdCars = that.gVals.ccs.registerdCarsInfo;
                                if(!isEmpty(ccsRegisterdCars)){
                                    var theSelectedCar = ccsRegisterdCars.find(function (car) {
                                        return car.carId === that.gVals.car.selectCar.carId;
                                    });
                                    that.gVals.ccs.selectCar=theSelectedCar;
                                }
                            }
                        )
                        .then(
                            function () {
                                if (!isEmpty(that.gVals.display.ccs)
                                    && (that.gVals.display.ccs.dataHub || that.gVals.display.ccs.ubi)) {/** DRIVING INSIGHT */

                                    return collectHubDatas(that.gVals.display);
                                } else {
                                    if (that.gVals.display.name !== "HAS_CAR_CCS") {
                                        eventLog("getDistInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                        return CMM_NET_SVR.getDistInfo({
                                            mbrId: loginInfo.mbrId,
                                            vin: that.gVals.car.selectCar.vin
                                        })
                                            .then(
                                                function (distInfo) {
                                                    eventLog("getDistInfo", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                                    if (!isEmpty(distInfo) && distInfo.resultCode == "200") {
                                                        that.gVals.car.distInfo = distInfo.carTrvgDistRnwResDto;
                                                    }
                                                }
                                            );
                                    } else {
                                        return;
                                    }
                                }

                            }
                        )
                        .then(uiActivateByDisplay)
                        .then(
                            function () {
                                if (!isEmpty(that.gVals.display.ccs)&& that.gVals.display.ccs.dataHub) {
                                    // if (true) {//4test 임시코드 : 전기차유무
                                    if (that.gVals.car.isEv) {
                                        return collectHubEvData(that.gVals.display);
                                    } else {
                                        return collectHubOilData(that.gVals.display);
                                    }
                                } else {
                                    return;
                                }
                            }
                        )
                        .finally(
                            function () {
                                // CMM_HOME.uiSelectCarInfo(that.gVals.car.selectCar,"#homeSelectedCarSection");
                                uiSelectCarMileage();/** 주행거리섹션 ui */
                                eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
                                return getHomeInsightReq()
                                    .then(
                                        function (homeInsight) {
                                            eventLog("getHomeInsightReq", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                                            that.gVals.main.homeInsight = homeInsight;
                                            resolve(homeInsight);
                                        }
                                    );
                            }
                        );
                    }
                }
            );
        }
    }

    /***
     * 사용하지 않음.
     * 체인닝 되어 있지 않고, 우선순위에 따라 한꺼번에 노출됨.
     * @returns {Promise}
     * @private
     */
    that.popupManage_back = function () {
        /* 실운행자등록 팝업 */
        function popRealDriver() {
            return CMM_NET_SVR.getCarAgreeStandBy()
                .then(
                    function (response){
                        //4test: 실운행자 데이터 동적세팅 오래걸림. 개발동안.
                        response.carAgreeStandByListRnwResDto = [
                            {
                                "vin": "KNAGS411BJA233710",
                                "rdmStateCcd": null,
                                "ownerCsmrMgmtNo": "A202203220000003",
                                "mbrId": "munju.kim@ksmartech.com",
                                "mbrNm": "김문주",
                                "carRgstNo": "12가3333",
                                "mdlNm": "K5",
                                "rdmRelCcd": "36"
                            },
                            {
                                "vin": "KNAB1212BHT001122",
                                "rdmStateCcd": null,
                                "ownerCsmrMgmtNo": "A201706290000753",
                                "mbrId": "mtest@test.com",
                                "mbrNm": "강민영",
                                "carRgstNo": "12가1234",
                                "mdlNm": "EV6",
                                "rdmRelCcd": "99"
                            }
                        ]
                        if (response.resultCode === "200"&&!isEmpty(response.carAgreeStandByListRnwResDto)) {
                            var driverList = response.carAgreeStandByListRnwResDto;
                            MData.param("driverList",driverList);
                            var pagefunction = function(item){
                                var driverInfos = MData.param("driverList");

                                if($("#popup_0B0_0000").length < 1){
                                    var driverInfo = driverInfos[0];
                                    var screenHtml = $("<div></div>");
                                    screenHtml.append(item);
                                    $('body').append(screenHtml.find('#popup_0B0_0000'));
                                    var _$target = $("#popup_0B0_0000_contents")
                                    var contentsHtml = '';
                                    contentsHtml += '<p>';
                                    contentsHtml += driverInfo.mbrNm+'님이 '+PGV.loginInfo.mbrNm+'님에게<br>';
                                    contentsHtml += '실운행자 등록을 요청하셨습니다.<br>';
                                    contentsHtml += '실운행자 등록에 동의하시겠습니까?';
                                    contentsHtml += '</p>';
                                    var _$content = $(contentsHtml);
                                    _$target.append(_$content);
                                    _$target.data("registInfo",driverInfo);
                                    exWNHideIndicator();
                                    //확인버튼 클릭시
                                    $("#popup_0B0_0000").find("[data-regist-agree-yn]").off("click").on("click",function(){
                                        var agreeYn = $(this).data("registAgreeYn");
                                        var registInfo=$("#popup_0B0_0000").find("div.popup-body div.group-01").data("registInfo");
                                        var sendData = {
                                            mbrId: PGV.loginInfo.mbrId,
                                            chmbCrorAgrYn: agreeYn, //실행운행자동의여부
                                            vin: registInfo.vin, //차대번호
                                            rdmRelCd: registInfo.rdmRelCcd, //관계코드
                                            ownCsmrMgmtNo: registInfo.ownerCsmrMgmtNo, //차주고객관리번호
                                            ownMbrId: registInfo.mbrId, //차주아이디
                                        };
                                        //4test: 실운행자 데이터 동적세팅 오래걸림. 개발동안.
                                        if (response.resultCode === "200" && !isEmpty(response.registYn) && response.registYn=="Y") {
                                            $("#popup_0B0_0000").find("div.popup-body div.group-01").html("");
                                            var driverInfos = MData.param("driverList");
                                            var newList = !isEmpty(driverInfos)?driverInfos.splice(1,driverInfos.length):[];
                                            MData.param("driverList",newList);
                                            if(isEmpty(driverInfos)){
                                                MData.removeParam("driverList");//마지막에 삭제
                                                customPopup.remove($("#popup_0B0_0000"));
                                            }else{
                                                var driverInfo=driverInfos[0];
                                                var html = '';
                                                html += '<p>';
                                                html += driverInfo.mbrNm+'님이 '+PGV.loginInfo.mbrNm+'님에게<br>';
                                                html += '실운행자 등록을 요청하셨습니다.<br>';
                                                html += '실운행자 등록에 동의하시겠습니까?';
                                                html += '</p>';
                                                $("#popup_0B0_0000").find("div.popup-body div.group-01").html(html);
                                                $("#popup_0B0_0000").find("div.popup-body div.group-01").data("registInfo",driverInfo);

                                                if(agreeYn=="Y"){
                                                    //차량 정보 재조회==> gVals.car.차량 정보 업데이트.
                                                    CMM_HOME.collectCarListInfo().then(function(){
                                                        exWNHideIndicator();
                                                        MPopup.instance(registInfo.mdlNm+"("+registInfo.carRgstNo+") 차량에 대한 실운행자로 등록되었습니다.")
                                                        if(isEmpty(newList)){
                                                            MData.removeParam("driverList");//마지막에 삭제
                                                            customPopup.remove($("#popup_0B0_0000"));
                                                        }
                                                    });
                                                }
                                            }

                                        }
                                        //4test 후 단위 테스트시에 아래 주석 해제.
                                        // CMM_NET_SVR.postRealDriverAgreeYn(sendData)//1. 실운행자등록
                                        //     .then(function (response) {
                                        //         if (response.resultCode === "200" && !isEmpty(response.registYn) && response.registYn=="Y") {
                                        //             $("#popup_0B0_0000").find("div.popup-body div.group-01").html("");
                                        //             var driverInfos = MData.param("driverList");
                                        //             var newList = !isEmpty(driverInfos)?driverInfos.splice(1,driverInfos.length):[];
                                        //             MData.param("driverList",newList);
                                        //             if(isEmpty(driverInfos)){
                                        //                 MData.removeParam("driverList");//마지막에 삭제
                                        //                 customPopup.remove($("#popup_0B0_0000"));
                                        //             }else{
                                        //                 var driverInfo=driverInfos[0];
                                        //                 var html = '';
                                        //                 html += '<p>';
                                        //                 html += driverInfo.mbrNm+'님이 '+PGV.loginInfo.mbrNm+'님에게<br>';
                                        //                 html += '실운행자 등록을 요청하셨습니다.<br>';
                                        //                 html += '실운행자 등록에 동의하시겠습니까?';
                                        //                 html += '</p>';
                                        //                 $("#popup_0B0_0000").find("div.popup-body div.group-01").html(html);
                                        //                 $("#popup_0B0_0000").find("div.popup-body div.group-01").data("registInfo",driverInfo);
                                        //
                                        //                 if(agreeYn=="Y"){
                                        //                     //차량 정보 재조회==> gVals.car.차량 정보 업데이트.
                                        //                     CMM_HOME.collectCarListInfo().then(function(){
                                        //                         exWNHideIndicator();
                                        //                         MPopup.instance(registInfo.mdlNm+"("+registInfo.carRgstNo+") 차량에 대한 실운행자로 등록되었습니다.")
                                        //                         if(isEmpty(newList)){
                                        //                             MData.removeParam("driverList");//마지막에 삭제
                                        //                             customPopup.remove($("#popup_0B0_0000"));
                                        //                         }
                                        //                     });
                                        //                 }
                                        //             }
                                        //
                                        //         }
                                        //     })
                                        //     .then();
                                    });
                                };
                                RNW_UI.popupLayer({selId : '#popup_0B0_0000'});
                            };
                            customPopup.get(PATH_MANAGER.KIA_RNW_0B0_0000.path, $("#popup_0B0_0000"), pagefunction);
                            return  true;
                        }
                        else{
                            return null;
                        }
                    }
                );
        }
        /* 주유내역등록 팝업 */
        function popOilTopUpRegist() {
            return new Promise(function (resolve){
                var isSmsEnabled = M.data.storage("enable_receive_payment_info");
                //4test
                // if(true){
                if(exWNcheckNotificationPermission()&&isSmsEnabled){
                    return CMM_NET_SVR.getPropSearch()
                        .then(//sever 결과 확인후 , 키워드 저장
                            function (response) {
                                if (response.resultCode === "200") {
                                    M.data.storage("payment_push_keyword", (response.value || ""));
                                    return !isEmpty(response.value);
                                } else {
                                    return false;
                                }
                            }
                        )
                        .then(//새로저장(rule: 3일전 데이터 삭제, 최대 10개만 저장)
                            function (hasKeywords) {
                                if(hasKeywords){
                                    var smsList = M.data.storage("payment_info_list");
                                    //4test
                                    // smsList=[{date:"2022050111",price:"10000"},{date:"2022050611",price:"7000"},{date:"2022050711",price:"9000"}]
                                    var lastSmsList;
                                    if(!isEmpty(smsList)){
                                        var day3BeforeNow = moment().add(-3, 'day').format('YYYYMMDD');
                                        var filteredList = smsList.filter(function (item) {
                                            var itemDate = (item.date).substr(0,8);
                                            return itemDate>=day3BeforeNow;
                                        });//대표차량

                                        var lastSmsList = filteredList.splice(0, 9);

                                        M.data.storage("payment_info_list",lastSmsList);
                                        return (lastSmsList||[]);
                                    }
                                    else{
                                        return null;
                                    }
                                }else{
                                    return null;
                                }
                            }
                        )
                        .then(//팝업 function 리턴
                            function (smsList) {
                                if(!isEmpty(smsList)){
                                    MData.param("smsList",smsList);
                                    var pagefunction = function(item){
                                        var smsInfos = MData.param("smsList");
                                        MData.removeParam("smsList");
                                        if($("#popup_128_0000").length < 1){
                                            var screenHtml = $("<div></div>");
                                            screenHtml.append(item);
                                            $('body').append(screenHtml.find('#popup_128_0000'));
                                            var _$target = $("#popup_128_0000 div.popup-body div.group-01 p b")
                                            _$target.text(smsInfos.length+"건");

                                            exWNHideIndicator();
                                            $("#popup_128_0000 #popDetailBtn").off("click").on("click",function(){
                                                MPage.html({url : PATH_MANAGER.KIA_RNW_224_3700.path});
                                                customPopup.remove("#popup_128_0000");
                                            });

                                            $("#popup_128_0000 button.js-popup-close-btn").off("click").on("click",function(){
                                                M.data.storage("payment_info_list",null);// 삭제
                                            });

                                        }
                                        RNW_UI.popupLayer({selId : '#popup_128_0000'});
                                    };

                                    customPopup.get(PATH_MANAGER.KIA_RNW_128_0000.path, $("#popup_128_0000"), pagefunction);
                                    resolve(true);
                                }else{
                                    resolve(null);
                                }
                            }
                        );
                }
                else{
                    resolve(null);
                }
            });

        }
        /* 마케팅 팝업 */
        function popMarketing() {
            var sendData;
            if(!isEmpty(PGV.loginInfo)){
                sendData={
                    mbrId : PGV.loginInfo.mbrId,
                    lgnCd : "LI"
                };
            }else{
                sendData={
                    lgnCd : "LO"
                };
            }
            return CMM_NET_SVR.getMarketingPopup(sendData)
                .then(
                    function (response){
                        //4test only
                        // response.mktPopRnwResDto=[];
                        // response.mktPopRnwResDto[0] = {
                        //     "popNm": "마케팅 팝업",
                        //     "dispNo": "1",
                        //     "strtDtm": "202202231200",
                        //     "endDtm": "202203311200",
                        //     "imgUrl": "imgUrl",
                        //     "lnkCd": "O",
                        //     "lnkUrl": "http://www.kia.com",
                        //     "dtlCont": "상세내용",
                        // };
                        // response.mktPopRnwResDto[1] = {
                        //     "popNm": "마케팅 팝업",
                        //     "dispNo": "2",
                        //     "strtDtm": "202202231200",
                        //     "endDtm": "202203311200",
                        //     "imgUrl": "imgUrl",
                        //     "lnkCd": "i",
                        //     "lnkUrl": "KIA_RNW-127_000",
                        //     "dtlCont": "상세내용-2번째 슬라이드",
                        // };
// body에 붙여넣은후 동적으로 넣기. target 다시 잡기.
                        if (response.resultCode === "200"&&!isEmpty(response.mktPopRnwResDto)) {
                            var popList = sortJsonArrayList(response.mktPopRnwResDto,"dispNo");
                            MData.param("mktPopList",popList);
                            var pagefunction = function(item){
                                var popInfos = MData.param("mktPopList");
                                MData.removeParam("mktPopList");
                                if($("#popup_129_0000").length < 1){
                                    var screenHtml = $("<div></div>");
                                    screenHtml.append(item);
                                    $('body').append(screenHtml.find('#popup_129_0000'));
                                    var html ='';
                                    var _$target = $("#popSliderTarget");
                                    $.each(popInfos, function (i, mktPopInfo) {
                                        var imgUrl = mktPopInfo.imgUrl;
                                        var lnkCd = mktPopInfo.lnkCd;
                                        var dataLinkStr =''
                                        if(lnkCd.toLowerCase()==="o"){
                                            dataLinkStr=' data-webview-link-direct="'+mktPopInfo.lnkUrl+'" ';
                                        }
                                        else if(lnkCd.toLowerCase()==="i"){
                                            dataLinkStr=' data-screenid="'+mktPopInfo.lnkUrl+'" ';
                                        }
                                        console.log(mktPopInfo);
                                        html += '<div class="swiper-slide"'+dataLinkStr +'>';
                                        html +=     '<div class="img-box">';
                                        html +=         '<img src="'+ imgUrl+'" alt="">';
                                        html +=     '</div>';
                                        html += '</div>';
                                    });
                                    _$target.append($(html));
                                    exWNHideIndicator();
                                    //오늘하루보지않기 체크박스
                                    $("#popup_129_0000").find("#chkOption-day").parent('div.chk-cont').off("click").on("click",function(){
                                        var that = this;
                                        $(that).find("input[type=checkbox]").prop("checked",function(){
                                            return !$(this).prop('checked');
                                        });
                                    });
                                    //확인버튼 클릭시
                                    $("#popup_129_0000").find("#popDetailBtn").off("click").on("click",function(){
                                        var isChecked = $("#popup_129_0000").find("#chkOption-day").prop("checked");
                                        if(isChecked){
                                            var dayAfter = moment().add(1, 'day').format('YYYYMMDD');
                                            CMM_POP_MNG.modifyShowable("129_0000", true, dayAfter);
                                        }
                                        customPopup.remove($("#popup_129_0000"));
                                    });
                                }
                                RNW_UI.popupLayer({selId : '#popup_129_0000'});
                                var _sliderVisual = new Swiper('.slider-pop-visual', {
                                    slidesPerView: 1,
                                    loop: false,
                                    speed: 300,
                                    touchRatio: $('.slider-pop-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
                                    pagination: {
                                        el: '.pop-visual-cont .swiper-pagination',
                                        clickable: true,
                                    },
                                });
                            };

                            customPopup.get(PATH_MANAGER.KIA_RNW_129_0000.path, $("#popup_129_0000"), pagefunction);
                            return true;
                        }
                        else{
                            return null;
                        }
                    }
                );

        }
        return new Promise(
            function (resolve) {
                var jobs = [];
                if(CMM_POP_MNG.isShowable("129_0000")) {
                    jobs.push(popMarketing());
                }//오늘하루보지않기 점검
                jobs.push(popRealDriver());
                if (!isEmpty(that.gVals.car.myCarInfoListResDto)) {
                    var oilCars = (that.gVals.car.myCarInfoListResDto).find(function (car) {
                        return car.memEvYn == "N";
                    });
                    if (!isEmpty(oilCars)) {
                        jobs.push(popOilTopUpRegist());
                    }
                    Promise.allSettled(jobs)
                        .then(
                            function (values) {
                                $.each(values, function (i, echResult) {
                                    console.log(echResult.status);
                                });
                                // debugger;

                                var _$dims = $("html.rnw .popup-layer .dim");
                                var loadCounter = 0;
                                if (values.length > 0) {
                                    var checkDims = setInterval(function () {
                                        loadCounter++;
                                        if (loadCounter === 100) {
                                            clearInterval(checkDims);
                                            return;
                                        }
                                        try {
                                            _$dims = $("html.rnw .popup-layer .dim");
                                            if (!isEmpty(_$dims) && _$dims.length == values.length) {
                                                _$dims.each(function (idx, el) {
                                                    if (idx>0) {
                                                        $(el).css("opacity", 0);
                                                    }
                                                });
                                                clearInterval(checkDims);
                                                return;
                                            }
                                        } catch (e) {
                                            COMMON_FUNCTION.TOOL.DEBUG.showTalk(e);
                                        }
                                    }, 100);
                                }

                            }
                        )
                        .then(resolve);
                }
            }
        );
    }
}

// function initBottomTab() {
//     var parentThis = this;
//     var tab = MyKiaBottomTab;
//     return MyKiaBottomTab.activate({
//         beforeOpeningTheTab: function(tabName){
//             return new Promise(function(resolve){
//                 if(tabName === "EV"){
//                     CMM_HOME.evAuthCheck()
//                     .then(function(){
//                         resolve(true);
//                     })
//                 }else{
//                     resolve(true);
//                 }
//             })
//         },
//         afterInit: function () {
//             exWNHideIndicator();
//             COMMON_FUNCTION.TOOL.UI.enableWebviewLinkListeners();
//             COMMON_FUNCTION.TOOL.UI.enableScreenIdListeners();
//             COMMON_FUNCTION.TOOL.GNB.setEventListeners();
//             COMMON_FUNCTION.TOOL.UI.ringTheBells();
//             // CMM_HOME.uiBottomMenu();
//             loginHome.setEventListner();
//         },
//         afterOpenedTheTab: function () {
//
//             try{
//                 if(MyKiaBottomTab.currentPage==="home"){
//                     var openNewPage = MData.param("hasToHomeReload")=="true";
//                     // MData.removeParam("openNewPage");
//                     var changeSelectCar = MData.param("changeSelectCar") || null;
//                     if(openNewPage&&!isEmpty(changeSelectCar)){
//
//                         var _path = PATH_MANAGER.KIA_RNW_120_0000_3.path;
//                         if (changeSelectCar.contNo && isEmpty(loginHome.gVals.car.myCarInfoListResDto)) {
//                             _path= PATH_MANAGER.KIA_RNW_120_0000_2.path;
//                         }else if(isEmpty(loginHome.gVals.car.myCarInfoListResDto)&&isEmpty(loginHome.gVals.car.unDeliveryCarInfoListResDto)){
//                             _path= PATH_MANAGER.KIA_RNW_120_0000.path;
//                         }
//                         var options = {path: _path};
//                         if(!isEmpty(changeSelectCar)){
//                             options.param={};
//                             options.param.intro_selectCar = changeSelectCar;
//                         }
//                         MPage.html(options);
//                     }
//                 }
//             }
//             catch(e){
//                 COMMON_FUNCTION.TOOL.DEBUG.showTalk("error @home-afterOpenedTheTab : " + e);
//             }
//             finally {
//                 exWNHideIndicator();
//                 $(window).off("scroll");
//                 $('body').removeClass('js-filter-list-fixed');
//                 $(".wrapper").removeClass("donemove");
//                 customPopup.remove($("div.popup-layer"));
//                 console.log("heyyy afterInit");
//                 COMMON_FUNCTION.TOOL.UI.enableWebviewLinkListeners();
//                 COMMON_FUNCTION.TOOL.UI.enableScreenIdListeners();
//                 COMMON_FUNCTION.TOOL.GNB.setEventListeners();
//                 // CMM_HOME.uiBottomMenu();
//                 loginHome.setEventListner();
//             }
//         }
//     });
// }

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MyKiaBottomTab = null;
var CMM_HOME = null;
var MStatus = {
    onReady: function (event) {
        exWNShowIndicator();
        //KIA_RNW_120_0000.init();
        CMM_HOME = new cmmHome();
        CMM_HOME.checkRedMemberJoin();
        loginHome = new KIA_RNW_120_0000_3();
        loginHome.init();
        COMMON_FUNCTION.TOOL.DATA.setMyKiaRenewalStorage();
        garbageAllRmv(); // 2024.04.11 HOME 로딩 시 garbage stack 제거
    }, onHide: function (event) {
    }, onRestore: function (event) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("home" + PGV.currentPage+" RESTORE");

        var deepLink = getQueryStringObject(MData.global("DEEP_LINK"));
        if (!isEmpty(deepLink) ) {
            console.log("onRestore deepLink:" + deepLink);
            MData.removeGlobal("DEEP_LINK");
            this.onReady(event);
            return;
        }

        var taasYn = MData.global("taasYn");
        MData.removeGlobal("taasYn");
        if(taasYn == "taasY" || taasYn == "taasN" ){
            M.page.html({url:PATH_MANAGER[PGV.currentPage.split('.')[0]].path});
        }

        if(loginHome.isCcsUpdated||(MData.param("isCcsUpdated")=="true")){
            M.page.html({url:PATH_MANAGER[PGV.currentPage.split('.')[0]].path});
        }
        var hasToHomeReload = (((MData.param("hasToHomeReload")).toLowerCase() === 'true') || false);
        // MData.removeParam("hasToHomeReload");
        if(hasToHomeReload){
            exWNShowIndicator();

            var isUserCarsChanged = MData.param("isUserCarsChanged")=="true";
            if(isUserCarsChanged){
                var options = {
                    url : PATH_MANAGER[PGV.currentPage.split('.')[0]].path
                }
                var intro_selectCar = MData.param("intro_selectCar") || null;
                if(!isEmpty(intro_selectCar)){
                    options.param={}
                    options.param.intro_selectCar=intro_selectCar;
                }
                MPage.html(options);
            }else{
                var changeSelectCar = MData.param("changeSelectCar") || null;
                // MData.removeParam("changeSelectCar");
                loginHome.gVals.car.selectCar =changeSelectCar;
                MyKiaBottomTab.open("home",hasToHomeReload);

            }
        }

        var tabLevel1 = MData.param("tabLevel1") || null;// 메뉴이동 뎁스 1,
        MData.removeParam("tabLevel1");
        var tabLevel2 = MData.param("tabLevel2") || 0;
        MData.removeParam("tabLevel2");
        if (!isEmpty(tabLevel1)) {
            COMMON_FUNCTION.TOOL.NAVIGATOR_TABULAR.openSubtabGlobally(MyKiaBottomTab, tabLevel1, tabLevel2);
        }
        var trveDistChangedTo = MData.param("trvgDistChangedTo");
        if(!isEmpty(trveDistChangedTo)){
            if(isEmpty(loginHome.gVals.ccs.odometer)||isEmpty(loginHome.gVals.ccs.odometer)){
                loginHome.gVals.car.distInfo.trvgDist=trveDistChangedTo;
                var passData = toAddPassData(loginHome.gVals);
                MData.global("passData",passData);
                PGV.passData = passData;
                loginHome.uiCKBTrvgDist(trveDistChangedTo);
            }
        }
        var readNoti = MData.param("readNoti") || null;// 메뉴이동 뎁스 1,
        MData.removeParam("readNoti");
        if(!isEmpty(readNoti)&&readNoti=="Y") COMMON_FUNCTION.TOOL.UI.ringTheBells();
        getPushDataWhenNotMorpheusView();
        COMMON_FUNCTION.TOOL.MStatusControl.runMStatusFunctions("onRestore");
    }, // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) {
    }, onPause: function (event) {
    }, onResume: function (event) {
        COMMON_FUNCTION.TOOL.MStatusControl.runMStatusFunctions("onResume");
    }
}
