/**

@파일명 :  KIA_RNW_122_0000.js
@작성자 : 케이스마텍 정목단
@생성일 : 2022.04.12
@메뉴명 : 상세 고장 안내 팝업
@DESC : 로그인[O]	차량보유[O]
*/ 
var CurrPage; 
var KIA_RNW_122_0000 ={
    doCheckedCar:null,
    dictList:null,
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START");
        var passedCarParam = MData.param('doCheckedCar');
        CurrPage.doCheckedCar =  isEmpty(passedCarParam)?PGV.passData.car.selectCar:passedCarParam;
        CurrPage.uiDictList().finally(CurrPage.setEventListner);
    },
    setEventListner: function(){
        $("#goRepairReservationBtn").off("click").on("click", function(e){
            MPage.html({
                path: PATH_MANAGER.KIA_RNW_243_1000.path,
                param:{
                    "carList" : PGV.passData.car,
                    "defaultSelectCar" : CurrPage.doCheckedCar
                }
            });
        });
    } ,
    uiDictList: function () {
        return new Promise(function(resolve){
            if(isEmpty(PGV.passData.ccs.dtcList)){
                var options = {
                    isMock: false, indicatorYn: "N", path: _API.HUB.dtc.verifyUrl(CurrPage.doCheckedCar.carId).path, method: "GET",
                };
                resolve(MNet_Hub.httpSendAsync(options));
            }else{
                resolve(PGV.passData.ccs.dtcList);
            }
           
        }).then(function (response) {
            var target = $("#dictItemList");
            target.html("");
            if (!isEmpty(response.errorCode)) {//통신응답오류
                MPopup.alert("네트워크 통신 에러 : "+response.errorCode);
                target.append("");
            }
            else{
                CurrPage.dictList = response;
                for(var i=0;i<response.length;i++){
                    var html =
                        '               <dl>' +
                        '                  <dt>'+response[i].dtcType+'</dt>' +
                        '                  <dd>'+response[i].description+'</dd>' +
                        '               </dl>';
                    target.append($(html));
                }
            }

        });
    },
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
          KIA_RNW_122_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
