/**

@파일명 : KIA_RNW_224_1000.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : 기타 항목 입력 
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/ 
var CurrPage; 
var KIA_RNW_224_1000 ={
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START"); 

        CurrPage.setEventListner();
    }, 
    setEventListner: function(){

        //항목 선택 이벤트
        $(".expendDetail-cont button").on("click",function(){

            if($(this).hasClass('active')){
                //다음 버튼 활성화
                $("#nextBtn").removeClass('disabled');
            }else{
                //다음 버튼 비활성화
                $("#nextBtn").addClass('disabled');

            }
        });

        //다음 버튼 이벤트
        $("#nextBtn").on("click",function(){

            //선택 항목의 기타(일반)/보험/할부를 구분하기 위함
            var itemBtnClass = $(".expendDetail").find('.active');

            //기타(일반)/보험/할부 일 때, 해당 페이지 진입하기 위함
            if(!$(this).hasClass('disabled')){

                //기타(일반)
                if(itemBtnClass.hasClass('normal')){
                    //메뉴명,소분류코드를 담기 위함
                    var svcSmlNm = $(itemBtnClass).find('em').text();
                    var svcSmlCd = $(itemBtnClass).data('sml-cd');
                    var param = {svcSmlNm: svcSmlNm, svcSmlCd: svcSmlCd};

                    MPage.html({url: PATH_MANAGER.KIA_RNW_224_2400.path, param: param});
                }else if(itemBtnClass.hasClass('insurance')){
                    //보험
                    MPage.html({url: PATH_MANAGER.KIA_RNW_224_2500.path});
                }else if(itemBtnClass.hasClass('division')){
                    //할부
                    MPage.html({url: PATH_MANAGER.KIA_RNW_224_2600.path});
                }
            }
        })
    }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_224_1000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
