/**

@파일명 : KIA_RNW_231_0000.js 
@작성자 : 박민기
@생성일 : 2022.01.26 
@메뉴명 :  
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/ 
var CurrPage; 
var KIA_RNW_231_0000 ={ 
    chcd: {},
    itemList : {},
    currentSelectCarVin: {}, // 소모품 탭의 선택 차량 vin
    dateTarget : null,
    init: function(){
        CurrPage = this;
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START");

        CurrPage.chcd = MData.param("selectedChCd");
        MData.removeParam("selectedChCd");
        CurrPage.itemList =  MData.param("itemList");
        MData.removeParam("itemList");
        CurrPage.currentSelectCarVin =  MData.param("currentSelectCarVin");
        MData.removeParam("currentSelectCarVin");

        CurrPage.setEventListner();
    }, 
    search: function()
    {   
        var sendData;

        sendData = {
            mbrId: PGV.loginInfo.mbrId,
            vin: CurrPage.currentSelectCarVin,
            viewStrtDt : moment( $("#pgexch #datepicker1").val(), "YYYY.MM.DD").format("YYYYMMDD"),
            viewEndDt : moment( $("#pgexch #datepicker2").val(), "YYYY.MM.DD").format("YYYYMMDD"),
            // trvgDist :trvgDist
        };

        if( CurrPage.chcd != "0")
        {
            COMMON_FUNCTION.TOOL.DEBUG.showTalk("selectedchcd : " + CurrPage.chcd );
            sendData.exchCd=  CurrPage.chcd;
        }

        COMMON_FUNCTION.TOOL.DEBUG.showTalk( "search : " + sendData );

        COMMON_FUNCTION.TOOL.DEBUG.showTalk( JSON.stringify(sendData) );
        MNet.httpSendAsync({
                    path: _API.SVR.MYCAR.ckb.exchCycleDtl,
                    sendData : sendData,
                    indicatorYn:"Y",
                    isMock: false
            }).then(
                function(response){
                    exWNHideIndicator();
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk( JSON.stringify(response));
                    if(response.resultCode==="200") {
                        if( isEmpty(response.ckbExchCycleDtlListRnwResDto) )
                        {
                            M.pop.instance("교체된 소모품 내역이 없습니다.");
                            CurrPage.showDtlList(null);
                        }
                        else CurrPage.showDtlList(response.ckbExchCycleDtlListRnwResDto);
                    }
                    else{
                        M.pop.instance( !isEmpty(response.resultMsg)? response.resultMsg:response.errorMessage );
                        CurrPage.showDtlList(null);
                    }
                }
            ).catch(function(){
                exWNHideIndicator();
                CurrPage.showDtlList(null);
            });
    },
    showDtlList: function(datas)
    {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDtlList");
        var _target = $("#pgexch #dtlList");
        _target.html('');
        if( datas != null )
        datas.forEach(function (data,idx){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("itms");
            var _item = CurrPage.getExchItem(data);
            _target.append(_item);
        });
    },
    getExchItem: function (data) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("_231_0000_Func> _$getExchItem : "+data);
        var exchDt = moment(data.exchDt, "YYYYMMDD").format("YYYY.MM.DD");
        var html = '<tr><td>'+exchDt+'</td><td class="text-align-left">'+data.exchNm+'</td>';
        <!-- s:[20230808] 버튼 추가 -->
            html += '<td class="no-space">'
            html +=     '<button class="btn-trash" name="btn-trash" value="'+data.rowPkey+'">'
            html +=          '<i class="ico-trash-enabled"></i>'
            html +=     '</button>'
            html += '</td>'
            html += '</tr>';
        <!-- e:[20230808] 버튼 추가 -->
        return html;
    },
    popup : {
        btnClose: '#pgexch .dim, #pgexch .js-popup-close-btn'
    },
    showDatePicker: function(inOption, obj, min, max) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDatePicker : " + min + ", " + max);
        /** inOption
         * {
         * 	selId : Layer Selector
         * }
         */
        var $target;
        var $layer = $(inOption.selId);
        var $layerCloseBtn = CurrPage.popup.btnClose;
        var type = inOption.type;
        var inputDate;

        $layer.fadeIn('fast');

        // ------------------------------
        // 	Datepicker
        // ------------------------------

        //setDefaults
        // var $j = jQuery.noConflict();
        // $.datepicker
        $('#pgexch .js-datepicker').datepicker( {
            setDate: new Date(),
            dateFormat: 'yy.mm.dd',
            prevText: '이전 달',
            nextText: '다음 달',
            monthNames: ['01월', '02월', '03월', '04월', '05월', '06월', '07월', '08월', '09월', '10월', '11월', '12월'],
            monthNamesShort: ['01월', '02월', '03월', '04월', '05월', '06월', '07월', '08월', '09월', '10월', '11월', '12월'],
            dayNames: ['일', '월', '화', '수', '목', '금', '토'],
            dayNamesShort: ['일', '월', '화', '수', '목', '금', '토'],
            dayNamesMin: ['일', '월', '화', '수', '목', '금', '토'],
            showMonthAfterYear: true,
            yearSuffix: '년',
            minDate : min, 
            maxDate : max,
            onSelect: function(dateText, inst) {
                COMMON_FUNCTION.TOOL.DEBUG.showTalk('dateText', dateText)
                COMMON_FUNCTION.TOOL.DEBUG.showTalk('inst', inst)

                // 선택 날짜 화면 노출
                // if($target){
                // var hTime = moment().format('HH');
                var tagTxt;

                // todo : date에서 moment로 바로 변환은 deprecate 예정이라고 함
                tagTxt = moment(dateText,"YYYY.MM.DD").format("YYYY.MM.DD");
                // $target.data('date', dateText + hTime);
                CurrPage.dateTarget.val(tagTxt); //.val( tagTxt);moment("2019.06.03").format("YYYY.MM.DD")

                // 3년이상 차이가 나면 3년으로 자동 변경
                if( CurrPage.dateTarget.attr('id') == "datepicker2")
                {
                    var date1 = moment( $("#pgexch #datepicker1").val(), "YYYY.MM.DD");//.diff(
                    var date2 = moment( $("#pgexch #datepicker2").val(), "YYYY.MM.DD");//,"years" );
                    var diff = date2.diff(date1,"years");
                    if( diff >= 3 ) 
                    {
                        $("#pgexch #datepicker1").val( date2.subtract('3','years').format("YYYY.MM.DD"));
                    }
                }

                // 날짜가 선택되면 팝업이 닫힌다.
                $layer.fadeOut('fast');
                $('body').removeClass('js-overflow-hidden');
            }

        });

        //datepicker 생성
        $('#pgexch .js-datepicker').datepicker( {
            minDate : min, //moment(min,"YYYY.MM.DD").toDate(),
            maxDate : max // moment(max,"YYYY.MM.DD").toDate()
        }  );
        
        $('#pgexch .js-datepicker').datepicker( 'change', {
            minDate : min, //moment(min,"YYYY.MM.DD").toDate(),
            maxDate : max // moment(max,"YYYY.MM.DD").toDate()
        }  );



        //obj가 존재하는 경우 해당 일자로 노출시키기 위함
        if(obj){

            $target = obj;
            //val 값에 대해 숫자만 추출
            var tmpStr = obj.val(); //.val();
            //inputDate = tmpStr.replace(/[^0-9]/g, "");

            $('#pgexch .js-datepicker').datepicker("setDate", tmpStr);
        }

        // ------------------------------
        // ------------------------------

        $('body').addClass('js-overflow-hidden');
        $('body .dim').off("click").on("click",
        // $layer.find($layerCloseBtn).click(
            function(e) {
            e.preventDefault();

            $layer.fadeOut('fast');	
            $('body').removeClass('js-overflow-hidden');
        });			

    },
    trashEndPopupOpen: function (rowPkey) {
        var strtDt = moment( $("#pgexch #datepicker1").val(), "YYYY.MM.DD").format("YYYYMMDD");
        var endDt = moment( $("#pgexch #datepicker2").val(), "YYYY.MM.DD").format("YYYYMMDD");

        MNet.httpSendAsync({
            path: _API.SVR.MYCAR.ckb.delExchCycleDtl,
            indicatorYn: "N",
            isMock: false,
            sendData: {
                apiId: "RNW-EXC-1005",
                mbrId: PGV.loginInfo.mbrId,
                vin: CurrPage.currentSelectCarVin,
                viewStrtDt: strtDt,
                viewEndDt: endDt,
                exchCd: CurrPage.chcd,
                rowPkey: rowPkey
            }
        })
            .then(
                function (response) {
                    if (response.resultCode == "200") {
                        if(response.delYn == "Y") {
                            var popFunc = function (item) {
                                var popId = "#popup_231_2000";
                                if ($(popId).length < 1) {
                                    var screenHtml = $("<div></div>");
                                    screenHtml.append(item);
                                    $('body').append(screenHtml.find(popId));
                                }
                                RNW_UI.popupLayer({selId: popId});
                                $(".btn-primary").click(function () {
                                    $("#popup_231_2000").remove();
                                    CurrPage.search();
                                });
                            };
                            $.get(PATH_MANAGER.KIA_RNW_231_2000.path, popFunc);
                        }else{
                            MPopup.alert("소모품 교체 내역 삭제를 실패하였습니다.");
                            return;
                        }
                    }else{
                        MPopup.instance(response.resultMsg);
                        return;
                    }
                });
    },
    setEventListner: function(){
        // do something.. 

        $("#btnSearchExch").off("click").on("click", function(){
            CurrPage.search();
        });

        // $("#selDateFrom").data("srchDt", moment().format("YYYYMM"));
        $("#pgexch #datepicker1").val(moment().subtract('1','years').format("YYYY.MM.DD"));
        $("#pgexch #datepicker2").val(moment().format("YYYY.MM.DD"));

        $("#pgexch #selDateFrom").off("click").on("click", function(){
            var max = $("#pgexch #datepicker2").val(); //moment(, "YYYY.MM.DD");
            CurrPage.dateTarget = $("#pgexch #datepicker1");
            CurrPage.showDatePicker({selId:'#pgexch #popup_0C0_0000'},  $("#pgexch #datepicker1"),  moment(max,"YYYY.MM.DD").subtract(3,"years").format("YYYY.MM.DD"), max );
        });

        $("#pgexch #selDateTo").off("click").on("click", function(){
            var min = $("#pgexch #datepicker1").val();
            CurrPage.dateTarget = $("#pgexch #datepicker2");
            CurrPage.showDatePicker({selId:'#pgexch #popup_0C0_0000'}, $("#pgexch #datepicker2"), min, moment().format("YYYY.MM.DD") );
        });

        var itemListHtml = "";

        CurrPage.itemList.forEach(function(item){
            itemListHtml += '<li><button type="button" class="btn-link" data-chcd="'+item.exchCd+'">'+item.exchNm+'</button></li>';
        });

        $('#pgexch .select-list:last').html(itemListHtml);

        var listClick = function(nm,cd){

            var chnm = nm;//$(this).find('button').text();
            var chcd = cd;//$(this).find('button').data('chcd');

            COMMON_FUNCTION.TOOL.DEBUG.showTalk( "selected : " + chnm + ", " +chcd);

            CurrPage.chcd = chcd;
            $("#pgexch #popup_0E0_0000 .text-scale-04").text(chnm);
            $("#selectedName").val(chnm);
            // $("#carRgstNo").val(carRgstNo);
            // $("#carRgstNo").data('vin', vin);

            //팝업닫기
            $("#pgexch #popup_0E0_0000").fadeOut('fast');
            $("#pgexch #popup_0E0_0000").find('.popup-wrap').removeClass('is-ani');
            $('body').removeClass('js-overflow-hidden');
        };

        $("#pgexch #popup_0E0_0000 .select-list li").off("click").on("click", function(){
            listClick($(this).find('button').text(),$(this).find('button').data('chcd'));
        });
        $(document).on("click", "button[name='btn-trash']", function (e) {
            var rowPkey = $(this).val();
            var popFunc = function (item) {
                var popId = "#popup_231_1000";
                if ($(popId).length < 1) {
                    var screenHtml = $("<div></div>");
                    screenHtml.append(item);
                    $('body').append(screenHtml.find(popId));
                }
                RNW_UI.popupLayer({selId: popId});
                $(".btn-default").click(function(){
                    $("#popup_231_1000").remove();
                    CurrPage.trashEndPopupOpen(rowPkey);
                });
                $(".btn-primary").click(function () {
                    $("#popup_231_1000").remove();
                });
            };
            $.get(PATH_MANAGER.KIA_RNW_231_1000.path, popFunc);
        });
        CurrPage.itemList.forEach(function(item){
           if( item.exchCd == CurrPage.chcd ) listClick( item.exchNm, CurrPage.chcd );
        });

        // $("#expTargetCar").show();
        
    } 
} 

// KIA_RNW_231_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_231_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(event){},
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
