/**

@파일명 : KIA_RNW_232_0000.js 
@작성자 : 박민기
@생성일 : 2022.04.12
@메뉴명 :  
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/

var CurrPage; 
var KIA_RNW_232_0000 ={ 
    // chcd: {},
    // cycleList : {},
    cycleChangeList : {},
    currentSelectCarVin: {}, // 소모품 탭의 선택 차량 vin
    init: function(){ 
        // todo 키보드 엔터키 등에 대한 처리
        CurrPage = this; 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START"); 

        // CurrPage.chcd = MData.param("selectedChCd");
        // MData.removeParam("selectedChCd");
        CurrPage.cycleList = MData.param("cycleList");
        MData.removeParam("cycleList");

        CurrPage.cycleChangeList = JSON.parse(JSON.stringify(CurrPage.cycleList));
        CurrPage.showDtlList( CurrPage.cycleChangeList );

        // CurrPage.cycleChangeList.forEach(function(e){
        //     e.checked false;

        // });

        CurrPage.currentSelectCarVin =  MData.param("currentSelectCarVin");
        MData.removeParam("currentSelectCarVin");

        CurrPage.setEventListner();
    }, 
    showDtlList: function(datas)
    {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDtlList");
        var html = '';
        var _target = $(".supplyRegister-cont .chk-form-list")[0];
        
        datas.forEach(function (data,idx){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("itms");
            data.checked = false;
            data["expAmt"] = "";
            var _item = CurrPage.getExchItem(data);
            html += _item;
        });

        _target.innerHTML = html;
    },
    comma: function(str) {
        str = String(str);
        return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
    },
    uncomma: function(str) {
        str = String(str);
        str = str.replace(/[^\d]+/g, '');
        if( !str.trim() ) str = str.trim(); // 빈값은 그대로 둠
        else str = Number(str).toString(); // leading zero 제거
        return str;
    },
    // inputNumberFormat: function(obj) {
    //     obj.value = CurrPage.comma(CurrPage.uncomma(obj.value));
    // },
    // inputOnlyNumberFormat: function(obj) {
    //     obj.value = CurrPage.onlynumber(CurrPage.uncomma(obj.value));
    // },
    onlynumber: function(str) {
	    str = String(str);
	    return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g,'$1');
	},
    validateInput: function(str) {
        str = CurrPage.comma(CurrPage.uncomma(str));
        // if( str == "" ) str = "0";
        // str = CurrPage.comma(Number(CurrPage.uncomma(str)).toString());
        return str;
    },
    // saveChange: function(chcd, str) {
    //     for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
    //     {
    //         if( CurrPage.cycleChangeList[i].exchCd == chcd )
    //         {
    //             CurrPage.cycleChangeList[i].itcgCyclScnCd = "3";
    //             CurrPage.cycleChangeList[i].exchDist = CurrPage.uncomma(str);
    //             return;
    //         }
    //     }
    // },
    checkChanged: function()
    {
        // 빈값 체크
        var checked = false;
        var count = 0;
        for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
        {
            if( CurrPage.cycleChangeList[i].checked )
            {
                count++;
            }
        }
        $('.supplyRegister-cont .c-font-brand-point')[0].innerText = count;

        for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
        {
            if( CurrPage.cycleChangeList[i].checked )
            {
                checked = true;
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk(" CurrPage.cycleChangeList[i].expAmt",  CurrPage.cycleChangeList[i].expAmt);
                if( CurrPage.cycleChangeList[i].expAmt == "" )
                {
                    // 체크가 되었는데 빈 값이면 false
                    $('.supplyRegister #btnNext')[0].className = "btn-primary disabled";
                    // COMMON_FUNCTION.TOOL.DEBUG.showTalk("checkChanged", false);
                    return false;
                }
            }
        }

        // 체크된 게 없어도 다음으로 못 넘어감
        if( checked ) $('.supplyRegister #btnNext')[0].className = "btn-primary";
        else $('.supplyRegister #btnNext')[0].className = "btn-primary disabled";

        // COMMON_FUNCTION.TOOL.DEBUG.showTalk("checkChanged", checked);

        // c-font-brand-point
        return checked;
    },
    getExchItem: function (data) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("_232_0000_Func> _$getExchItemDiv : "+data);

        var html = 
        '<dl class="js-chk-form-item" code="'+data.exchCd+'">' +
        '<dt>' +
        '    <div class="form-field">' +
        '        <div class="chk-cont chk-size-m">' +
        '            <input type="checkbox" name="chkOption'+data.exchCd+'" id="chkOption'+data.exchCd+'">' +
        '            <label for="chkOption'+data.exchCd+'">' +
        '                <span>'+data.exchNm+'</span>' +
        '            </label>' +
        '        </div>' +
        '    </div>' +
        '</dt>' +
        '<dd>' +
        '    <div class="form-field">' +
        '        <div class="input-cont js-input--clear">' +
        '            <input type="text" id="expAmt" placeholder="금액을 입력해주세요" value="" inputmode="numeric" maxlength="10" pattern="[0-9]*">' +
        '            <button type="button" class="btn-input-clear js-input-clear-btn">' +
        '                <i class="ico-input-clear"></i>' +
        '            </button>' +
        '            <span class="unit">원</span>' +
        '        </div>' +
        '    </div>' +
        '</dd>' +
        '</dl>';
        // var html = '<tr><td>'+data.exchDt+'</td><td class="text-align-left">'+data.exchNm+'</td>';
		return html;
        // return $('<tr></div>').html(html);
    },
    setEventListner: function(){

        // $(document).on("click", ".btn-prev", function(){
        //     COMMON_FUNCTION.TOOL.DEBUG.showTalk("prev");
        //     MPage.back();
        //     // {
        //     //     animate : "MODAL_DOWN"
        //     // }
        // });

        var $chkFormItem = $('.supplyRegister-cont .js-chk-form-item');

        $chkFormItem.each(function(idx, item) {
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk('item', item);
            $(item).find('input[type="checkbox"]').off("click").on('click', function(e) {
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk('idx', idx);
                if ($(this).is(':checked')) {
                    $(this).closest('dt').next('dd').show();
                    CurrPage.cycleChangeList[idx].checked = true;
                }
                else {
                    $(this).closest('dt').next('dd').hide();
                    CurrPage.cycleChangeList[idx].checked = false;
                }
                CurrPage.checkChanged();
            });

            $(item).find('input[type="text"]').off("click").on('input paste', function(e) {

                if( typeof e.target.oldval == "undefined" ) e.target["oldval"] = 0;
 
                var cursor = e.target.value.length - e.target.selectionEnd; // 현재 커서 위치, 뒤에서부터

                if( cursor < 0 ) cursor = 0;
                if( e.target.oldval.length-1 == e.target.value.length &&
                    CurrPage.uncomma(e.target.oldval) == CurrPage.uncomma(e.target.value) )
                {
                    var str1 = e.target.oldval;
                    var str2 = e.target.value;
                    // 쉼표가 지워진 경우
                    var pos = 0;
                    for( ; pos < str2.length; pos++ )
                    {
                        if( str1.charAt(pos) !=str2.charAt(pos) ) break;
                    }
                    
                    e.target.value = str2.slice(0,pos-1) + str2.slice(pos);
                }
            
                e.target.value = CurrPage.validateInput(e.target.value);
                if( e.type == "input")
                {
                    cursor = e.target.value.length-cursor;
                    if( cursor < 0 ) cursor = 0;
                    e.target.setSelectionRange( cursor, cursor );
                }

                CurrPage.cycleChangeList[idx].expAmt = e.target.value;

                CurrPage.checkChanged();

                e.target.oldval = e.target.value;
            });
		});

        $(".supplyRegister #btnNext").off("click").on("click", function(e){
            if( !e.target.className.includes("disabled"))
            {
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk("goNext");
                var param = {
                    trvgDist : MData.param("trvgDist"),
                    cycleList:[],
                    currentSelectCarVin: CurrPage.currentSelectCarVin
                };

                CurrPage.cycleChangeList.forEach(function(e){
                    if( e.checked )
                    {
                        param.cycleList.push( { exchCd : e.exchCd, exchNm : e.exchNm, expAmt : e.expAmt,
                        partTrtmYn: e.partTrtmYn, exchDist: e.exchDist, itcgCyclScnCd:e.itcgCyclScnCd } );
                    }
                });
        
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_232_1000.path,
                    animate : 'SLIDE_LEFT',
                    param : param
                });
            }
        });
    } 
} 

// KIA_RNW_232_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_232_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
