/**

@파일명 : KIA_RNW_232_1000.js 
@작성자 : 박민기
@생성일 : 2022.04.11
@메뉴명 :  
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/

var CurrPage; 
var KIA_RNW_232_1000 ={ 
    // chcd: {},
    cycleList : {},
    cycleChangeList : {},
    dateTarget : null,
    trvgDist : 0,
    currentSelectCarVin: {}, // 소모품 탭의 선택 차량 vin
    init: function(){ 
        // todo 서버에는 시간표기까지 하지만 화면설계상에는 시간 입력은 없음
        // todo 키보드 엔터키 등에 대한 처리
        CurrPage = this; 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START"); 

        COMMON_FUNCTION.TOOL.DEBUG.showTalk("trvgDist : " + MData.param("trvgDist") + ", " + ( typeof MData.param("trvgDist")));

        CurrPage.trvgDist = Number(MData.param("trvgDist"));

        CurrPage.cycleList =  MData.param("cycleList");
        MData.removeParam("cycleList");

        CurrPage.currentSelectCarVin =  MData.param("currentSelectCarVin");
        MData.removeParam("currentSelectCarVin");

        console.log("MData.param(\"trvgDist\") == >> "+MData.param("trvgDist"));
        var trvgDist = parseInt(CurrPage.trvgDist);
        $("#trvgDist").val(comma.add(CurrPage.trvgDist));

        COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(CurrPage.cycleList));

        $('.supplyRegister-cont .c-font-brand-point')[0].innerText = CurrPage.cycleList.length;

        // CurrPage.cycleChangeList = JSON.parse(JSON.stringify(CurrPage.cycleList));

        CurrPage.showDtlList( CurrPage.cycleList );

        CurrPage.setEventListner();
    }, 
    showDtlList: function(datas)
    {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDtlList");
        var _target = $("#cycleList");
        // _target.html('');
        datas.forEach(function (data,idx){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("itms");
            var _item = CurrPage.getExchItem(data);
            _target.append(_item);
        });
    },
    comma: function(str) {
        str = String(str);
        return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
    },
    uncomma: function(str) {
        str = String(str);
        str = str.replace(/[^\d]+/g, '');
        if( !str.trim() ) str = str.trim(); // 빈값은 그대로 둠
        else str = Number(str).toString(); // leading zero 제거
        return str;
    },
    // inputNumberFormat: function(obj) {
    //     obj.value = CurrPage.comma(CurrPage.uncomma(obj.value));
    // },
    // inputOnlyNumberFormat: function(obj) {
    //     obj.value = CurrPage.onlynumber(CurrPage.uncomma(obj.value));
    // },
    onlynumber: function(str) {
	    str = String(str);
	    return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g,'$1');
	},
    validateInput: function(str) {
        str = CurrPage.comma(CurrPage.uncomma(str));
        // if( str == "" ) str = "0";
        // str = CurrPage.comma(Number(CurrPage.uncomma(str)).toString());
        return str;
    },
    checkChanged: function()
    {
        var changed = false;
     
        return changed;
    },
    doEnd: function(refresh)
    {
        var pagelist = MInfo.stack();
        MPage.remove(pagelist[pagelist.length-2].key);
        if( isEmpty(refresh) ) MPage.back();
        else MPage.back({param: {"isRefresh": refresh}});
    },
    getExchItem: function (data) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("_232_1000_Func> _$getExchItemDiv : "+data);

        var html =
        '<dd id="item'+data.exchCd+'">'+
        '<div class="d-flex justify-content-between">'+
        '    <span>'+data.exchNm+'</span>'+
        '    <span>'+data.expAmt+'원</span>' +
        // '<button type="button" class="btn-delete" code='+data.exchCd+' >'
        // '<i class="ico-delete"></i>'+
        // '<em class="blind">삭제</em>'+
        // '</button></span>'+
        '</div>'+
        '</dd>'
        ;
        // var html = '<tr><td>'+data.exchDt+'</td><td class="text-align-left">'+data.exchNm+'</td>';
		return html;
        // return $('<tr></div>').html(html);
    },
    getDefault:function(exchCd)
    {
        var exchDist = 0;
        switch(exchCd){
            case "0001":
            exchDist = 10000;
            break;
            case "0002":
            exchDist = 40000;
            break;
            case "0003":
            exchDist = 15000;
            break;
            case "0004":
            exchDist = 100000;
            break;
            case "0005":
            exchDist = 100000;
            break;
            case "0006":
            exchDist = 40000;
            break;
            case "0007":
            exchDist = 40000;
            break;
            case "0008":
            exchDist = 40000;
            break;
            case "0009":
            exchDist = 40000;
            break;
            case "0010":
            exchDist = 40000;
            break;
            case "0011":
            exchDist = 60000;
            break;
            case "0012":
            exchDist = 10000;
            break;
            case "0013":
            exchDist = 80000;
            break;
            case "0014":
            exchDist = 70000;
            break;
            default:
            break;
        }
        return exchDist;
    },
    sendReg:function()
    {
        var trvgDist = Number(CurrPage.uncomma($("#trvgDist")[0].value));
        if( trvgDist == 0 ) trvgDist = CurrPage.trvgDist;
        var sendData = {
            mbrId: PGV.loginInfo.mbrId,
            vin: CurrPage.currentSelectCarVin,
            exchList : CurrPage.cycleList,
            rgstDt :
            moment( $("#rgstDt").val(), 'YYYY년 MM월 DD일').format('YYYYMMDDHH'),
            trvgDist : trvgDist.toString(),
            firmNm : $("#firmNm")[0].value
        };

        sendData.exchList.map(function(item){
            delete item.partTrtmYn;
            delete item.exchDist;
            delete item.itcgCyclScnCd;
            item.expAmt = CurrPage.uncomma(item.expAmt);
            return item;
        });

        COMMON_FUNCTION.TOOL.DEBUG.showTalk("regExpInfoGods : " + JSON.stringify(sendData));
        
        MNet.httpSendAsync({
            path: _API.SVR.MYCAR.ckb.regExpInfoGods,
            sendData : sendData,
            indicatorYn:"Y",
            isMock: false
        }).then(
            function(response){
                exWNHideIndicator();
                COMMON_FUNCTION.TOOL.DEBUG.showTalk(response);
                if(response.resultCode==="200")
                {
                    // M.pop.instance( '설정이 완료되었습니다.');
                    CurrPage.doEnd("Y");
                }
                else
                {
                    M.pop.instance( '설정에 실패하였습니다.' );
                    CurrPage.doEnd();
                }
            }
        ).catch(function(){
            exWNHideIndicator();
            M.pop.instance( '설정에 실패하였습니다.');
            CurrPage.doEnd();
        });
    },
    showDatePicker: function(inOption, obj, min, max) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDatePicker : " + min + ", " + max);
        /** inOption
         * {
         * 	selId : Layer Selector
         * }
         */
        var $target;
        var $layer = $(inOption.selId);
        // var $layerCloseBtn = CurrPage.popup.btnClose;
        var type = inOption.type;
        var inputDate;

        $layer.fadeIn('fast');

        // ------------------------------
        // 	Datepicker
        // ------------------------------

        $('#pgexchreg .js-datepicker').datepicker( {
            setDate: new Date(),
            dateFormat: 'yy.mm.dd',
            prevText: '이전 달',
            nextText: '다음 달',
            monthNames: ['01월', '02월', '03월', '04월', '05월', '06월', '07월', '08월', '09월', '10월', '11월', '12월'],
            monthNamesShort: ['01월', '02월', '03월', '04월', '05월', '06월', '07월', '08월', '09월', '10월', '11월', '12월'],
            dayNames: ['일', '월', '화', '수', '목', '금', '토'],
            dayNamesShort: ['일', '월', '화', '수', '목', '금', '토'],
            dayNamesMin: ['일', '월', '화', '수', '목', '금', '토'],
            showMonthAfterYear: true,
            yearSuffix: '년',
            minDate : min, 
            maxDate : max,
            onSelect: function(dateText, inst) {
                COMMON_FUNCTION.TOOL.DEBUG.showTalk('dateText', dateText)
                COMMON_FUNCTION.TOOL.DEBUG.showTalk('inst', inst)

                var tagTxt;

                // todo : date에서 moment로 바로 변환은 deprecate 예정이라고 함
                tagTxt = moment(dateText,"YYYY.MM.DD").format("YYYY년 MM월 DD일");
                CurrPage.dateTarget.val(tagTxt);

                // 날짜가 선택되면 팝업이 닫힌다.
                $layer.fadeOut('fast');
                $('body').removeClass('js-overflow-hidden');
            }

        });

        //datepicker 생성
        $('#pgexchreg .js-datepicker').datepicker( {
            minDate : min, //moment(min,"YYYY.MM.DD").toDate(),
            maxDate : max // moment(max,"YYYY.MM.DD").toDate()
        }  );
        
        $('#pgexchreg .js-datepicker').datepicker( 'change', {
            minDate : min, //moment(min,"YYYY.MM.DD").toDate(),
            maxDate : max // moment(max,"YYYY.MM.DD").toDate()
        }  );

        //obj가 존재하는 경우 해당 일자로 노출시키기 위함
        if(obj){
            $target = obj;
            var tmpStr = //obj.val(); //.val();
            moment( obj.val(), "YYYY년 MM월 DD일" ).format("YYYY.MM.DD");
            $('#pgexchreg .js-datepicker').datepicker("setDate", tmpStr);
        }

        // ------------------------------
        // ------------------------------

        $('body').addClass('js-overflow-hidden');
        $('body .dim').off("click").on("click",
        // $layer.find($layerCloseBtn).click(
            function(e) {
            e.preventDefault();

            $layer.fadeOut('fast');	
            $('body').removeClass('js-overflow-hidden');
        });			

    },
    setEventListner: function(){
        
        // $(document).on("click", ".btn-prev", function(){
        //     CurrPage.doEnd();
        // });

        $("#btnCancel").off("click").on("click", function(){
            COMMON_FUNCTION.TOOL.DEBUG.showTalk("cancel");
            CurrPage.doEnd();
            // MPage.html({
            //     url: PATH_MANAGER.KIA_RNW_230_0000.path,
            //     action : "CLEAR_TOP",
            //     animate : "SLIDE_RIGHT"
            // });
        });

        $("#btnSave").off("click").on("click", function(){
            COMMON_FUNCTION.TOOL.DEBUG.showTalk("save");

            if( Number(CurrPage.uncomma($("#trvgDist")[0].value)) == 0 && CurrPage.trvgDist == 0 )
            {
                M.pop.instance( '누적주행거리를 입력해주세요.');
                // MPage.back();
            }
            else
            //if( $("#trvgDist")[0].value != "" /*&& $("#firmNm")[0].value != ""*/ )
            {
                MPopup.confirm({
                    message: "입력하신 소모품의 교체 등록을 하시겠습니까?\n\n소모품 교체가 등록되면 수정이 불가하며 삭제는 \"소모품 탭 > 교체 내역\"에서 가능합니다.\n* 교체된 소모품의 지출내역은 \"내 차 관리 > 차계부 탭\"에서 확인 가능합니다.",
                    buttons: [ "예",  "아니오" ],
                    callback: function (idx){
                        if(idx == 0){
                            var passData = !isEmpty(PGV.passData)?PGV.passData:MData.param("passData");

                            // 서버 수정이 이루어져서 그냥 등록해도 업데이트 잘 됨
                            CurrPage.sendReg();

                            // // partTrtmYn이 N인 경우,
                            // // 교환주기설정API로 해당 값을 Y로 변경 후 교체등록을 해야 퍼센트가 정상 반영됨
                            // // (ASIS서버 설계 미스)
                            // var sendData = {
                            //     mbrId: PGV.loginInfo.mbrId,
                            //     vin: passData.car.selectCar.vin,
                            //     exchCycleList : []
                            // };

                            // CurrPage.cycleList.map(function(item){
                            //     if( item.partTrtmYn == "N" )
                            //     sendData.exchCycleList.push({
                            //         exchCd : item.exchCd,
                            //         exchDist : CurrPage.uncomma(item.itcgCyclScnCd=="3"?item.exchDist:CurrPage.getDefault(item.exchCd)),
                            //         partTrtmYn : "Y", 
                            //         itcgCyclScnCd : item.itcgCyclScnCd
                            //     });

                            //     return item;
                            // });

                            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("insertCycle : " + JSON.stringify(sendData));

                            // if( sendData.exchCycleList.length == 0 )
                            // {
                            //     // 모두 Y인 경우 partTrtmYn을 변경할 필요 없이 등록
                            //     CurrPage.sendReg();
                            // }
                            // else
                            // {
                            //     MNet.httpSendAsync({
                            //         path: _API.SVR.MYCAR.ckb.insertCycle,
                            //         sendData : sendData,
                            //         indicatorYn:"Y",
                            //         isMock: false
                            //     }).then(
                            //         function(response){
                            //             exWNHideIndicator();
                            //             COMMON_FUNCTION.TOOL.DEBUG.showTalk(response);
                            //             if(response.resultCode==="200")
                            //             {
                            //                 CurrPage.sendReg();
                            //             }
                            //             else
                            //             {
                            //                 M.pop.instance('설정에 실패하였습니다.');
                            //                 CurrPage.doEnd();
                            //             }
                            //         }
                            //     ).catch(function(){
                            //         exWNHideIndicator();
                            //         M.pop.instance('설정에 실패하였습니다.');
                            //         CurrPage.doEnd();
                            //     });
                            // }
                        }
                        else
                        {
                            // 아니오 선택시 등록 안하고 종료
                            CurrPage.doEnd();
                        }
                    }
                });
            }
        });

        $("#rgstDt").val( moment().format("YYYY년 MM월 DD일"));

        //검색 연월 팝업
        $("#supplyCal").off("click").on("click", function(){
            // var min = $("#pgexchreg #datepicker1").val();
            CurrPage.dateTarget = $("#rgstDt");
            CurrPage.showDatePicker({selId:'#pgexchreg #popup_0C0_0000'}, $("#rgstDt"), 
                moment().add('-10','years').format('YYYY.MM.DD'),
                moment().format("YYYY.MM.DD") );
            
            // COMMON_FUNCTION.TOOL.UI.showCalendarPopup("#supplyCal");
            // var minDt = moment().add('-12','M').format('YYYYMMDD');
            // var maxDt = moment().format("YYYYMMDD");
            // var options = {
            //     type: "YMD",
            //     initDate: moment( $("#rgstDt").val(), 'YYYY년 MM월 DD일').format('YYYYMMDD'),
            //     startDate: minDt,
            //     endDate: maxDt,
            //     minDate: minDt,
            //     maxDate: maxDt
            // };
            // MPopup.date(options, function(result, setting){

            //     //"{"yyyy":"2021","MM":"03","status":"SUCCESS"}"
            //     if(result.status == 'SUCCESS')
            //     {
            //         COMMON_FUNCTION.TOOL.DEBUG.showTalk( JSON.stringify(result));
            //         $("#rgstDt").val( result.yyyy + "년 "+result.MM+"월 " +result.dd+"일");
            //         // //조회월 변경 시, 문구 변경 및 조회월 데이터 조회
            //         // $("#selDate").data("srchDt", result.yyyy+result.MM);
            //         // $("#selDate > b").text(result.yyyy + "년 "+result.MM+"월");
        
            //         // CurrPage.expendList();
            //     }
            // });
        });


        // $('.btn-delete').on('input',function(e){
        //     COMMON_FUNCTION.TOOL.DEBUG.showTalk("delete ", e.target.attr('code'));
        //     // e.target.value = CurrPage.validateInput(e.target.value);
        //     // CurrPage.saveChange( e.target.getAttribute('code'), e.target.value);
        // });

        $('#trvgDist').off('input paste').on('input paste', function(e) {
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("input,paste");

            if( typeof e.target.oldval == "undefined" ) e.target["oldval"] = 0;
 
            var cursor = e.target.value.length - e.target.selectionEnd; // 현재 커서 위치, 뒤에서부터

            if( cursor < 0 ) cursor = 0;
            if( e.target.oldval.length-1 == e.target.value.length &&
                CurrPage.uncomma(e.target.oldval) == CurrPage.uncomma(e.target.value) )
            {
                var str1 = e.target.oldval;
                var str2 = e.target.value;
                // 쉼표가 지워진 경우
                var pos = 0;
                for( ; pos < str2.length; pos++ )
                {
                    if( str1.charAt(pos) !=str2.charAt(pos) ) break;
                }
                
                e.target.value = str2.slice(0,pos-1) + str2.slice(pos);
            }
        
            e.target.value = CurrPage.validateInput(e.target.value);
            if( e.type == "input")
            {
                cursor = e.target.value.length-cursor;
                if( cursor < 0 ) cursor = 0;
                e.target.setSelectionRange( cursor, cursor );
            }

            e.target.oldval = e.target.value;
        });

        // $(document).on("click", ".btn-primary", function(){
        //     
        // });
    } 
} 

// KIA_RNW_233_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_232_1000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
