/**
 * @파일명 : KIA_MOB_500_1300.js
 * @작성자 : 이현석
 * @생성일 : 2018. 8. 13. 오후 4:39:39
 * @메뉴명 : 오토캠
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
	PGV.autoCapmInfo = MData.param("autoCapmInfo");
	MData.removeParam("autoCapmInfo");
	// screenViewGa(gaSendUrl["KIA_MOB_500_1300"].pageNm); // 오토캠 //2020 공통으로 변경
	if(!isEmpty(PGV.autoCapmInfo.vin)){
		PGV.autoVin = PGV.autoCapmInfo.vin;
		$("#asnNmTxt").text(PGV.autoCapmInfo.asnNm);
        updateViewCount();
		if(parseInt(PGV.autoCapmInfo.viewCnt) <= 2){
			//$("#showAutoCam").removeClass("none");
			$('#mykia-mycar-autocam-state-text').html('<b>오토캠 시청이 <span id="mykia-mycar-autocam-state-count">-</span>회 남았습니다.</b>');
		}else{
			//$("#finishAutoCam").removeClass("none");
			$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
			$('#mykia-mycar-autocam-play-button').addClass("disabled");
		}
		setAutoQStationDetail(PGV.autoCapmInfo.repnAsnCd);
	}else{
		//$("#finishAutoCam").removeClass("none");
		$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
		$('#mykia-mycar-autocam-play-button').addClass("disabled");
		$("#asnNmTxt").text("-");
		$("#viewCntTxt").text("-");
	}
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
	
};

var setEvent = function() {

	// 오토캠 시작
	$(document).on("click", "#mykia-mycar-autocam-play-button", function(){
		if(isEmpty(PGV.autoCapmInfo)){
			// api 시청 조회
			if(!isEmpty(PGV.autoVin)){
				MNet.httpSendAsync({
					path: _API.SVR.MYCAR.autocam.autoCamViewCnt,
					isMock: true,
					sendData: {
						mbrId: PGV.loginInfo.mbrId,
						asnCd: PGV.autoCapmInfo.asnCd,
						trtmYmd: PGV.autoCapmInfo.trtmYmd,
						trtmSn: PGV.autoCapmInfo.trtmSn,
						rgstLftCd: PGV.autoCapmInfo.rgstLftCd
					}
				})
				.then(function(response){
					if(response.resultCode === "200"){
						if(response.incYn === "Y"){
							autoCamCheck();
							autoCamPlay(CONSTANT.AUTOCAM_ID, CONSTANT.AUTOCAM_PW, PGV.autoCapmInfo.camId, autoCamCallBack);
						}
					}
				})
			}else{
				// $("#showAutoCam").addClass("none");
				// $("#finishAutoCam").removeClass("none");
				$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
				$('#mykia-mycar-autocam-play-button').addClass("disabled");
			} 
			return;
		}else{
			// $("#asnNm").text(PGV.autoCapmInfo.asnNm);
			// $("#autoCt").text(PGV.autoCapmInfo.viewCnt+"/3");
			// $("#autoPop").removeClass("none");
			$('#mykia-mycar-autocam-state-count').text(PGV.autoCapmInfo.viewCnt);
		}
		
	});
	// 오토캠 시청
	/*
	* id : "kkc7224" pw : "kkc8601!@#" 오토캠 계정은 하기 계정으로 다른 오토큐 지점을 얀결함
	* 추가로 오토캠을 연결하는 경우 홍민기 Manager nostril2@sk.com /  010-7184-1702 를 통해 
	* 확인 후 등록
	*/
	$(document).on("click", "#playMv", function(){
		$("#autoPop").addClass("none"); 
		autoCamPlay(CONSTANT.AUTOCAM_ID, CONSTANT.AUTOCAM_PW, PGV.autoCapmInfo.camId, autoCamCallBack);
	});

	$(document).on("click", "#closeMv", function(){
		$("#autoPop").addClass("none"); 
	});
};

// 네이티브 화면이 끝나고 나서 
/*
* code 0 실패 (영상 네트워크 오류) 1 성공 2 로그인 실패 3 영상 URL 받아오기 실패 4 sk 오류 (네이티브 확인 필요)
* 추가로 오토캠을 연결하는 경우 홍민기 Manager nostril2@sk.com /  010-7184-1702 를 통해 
* 확인 후 등록
*/
var autoCamCallBack = function(code, msg, endYn){
		exWNHideIndicator();
		// var cameraList = JSON.parse(camList);
		if(endYn == "Y") { 
			PGV.autoCapmInfo.viewCnt = parseInt(PGV.autoCapmInfo.viewCnt) +1;
            updateViewCount();
			if(parseInt(PGV.autoCapmInfo.viewCnt) <= 3){
				//$("#showAutoCam").removeClass("none");
				$('#mykia-mycar-autocam-state-text').html('<b>오토캠 시청이 <span id="mykia-mycar-autocam-state-count">-</span>회 남았습니다.</b>');
				autoCamUpdate();
			}else{
				//$("#showAutoCam").addClass("none");
				//$("#finishAutoCam").removeClass("none");
				$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
				$('#mykia-mycar-autocam-play-button').addClass("disabled");
			}
		}else{
			if(code != "0"){
				MPopup.alert("지속적으로 문제 발생 시 고객센터(080-200-2000)로\n문의해 주시기 바랍니다.");
			}else{
				MPopup.alert("오토캠 네트워크 통신 오류가 발생했습니다.\n다시 시도해 주세요.");
			}
			
		};
	};

/**
 * 오토캠 개발 2020.03.09 
 * API update 호출
 */
var autoCamUpdate = function(){
	$("#autoCamBtn").addClass("none");

	MNet.httpSend({
		path : inf.autoCam.autoCamViewCnt.url,
		sendData : {
			repnAsnCd: PGV.autoCapmInfo.repnAsnCd,
		    rgstLftCd: PGV.autoCapmInfo.rgstLftCd,
		    trtmSn: PGV.autoCapmInfo.trtmSn,
		    trtmYmd: PGV.autoCapmInfo.trtmYmd,
		    viewCnt: PGV.autoCapmInfo.viewCnt
		},
		callback : autoCamUpdateCallback
	});
};

/**
 * 오토캠 개발 2020.03.09 
 * API update 콜백 호출
 */

var autoCamUpdateCallback = function(receivedData) {
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	if(code == "200"){
		if(PGV.autoCapmInfo.viewCnt >= 3){
			//$("#showAutoCam").addClass("none");
			//$("#finishAutoCam").removeClass("none");
			$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
			$('#mykia-mycar-autocam-play-button').addClass("disabled");
		}
		PGV.autoCapmInfo = null;
		autoCamCheck();
	}else{
		MPopup.alert(msg);
	}
	
}

/**
 * 오토캠 개발 2020.03.09 
 * API 호출
 */
var autoCamCheck = function(){
	var _vin = PGV.autoVin; 
	MNet.httpSend({
		path : inf.autoCam.autoCamPwdInfo.url,
		sendData : {
			vin : _vin, //KNAPN813BJK359700
			hpno : PGV.loginInfo.hpno
		},
		callback : autoCamCheckCallback
	});
};

/**
 * 오토캠 개발 2020.03.09 
 * AOS만 가능 안드로이드 버전 23이상 부터 가능
 */

var autoCamCheckCallback = function(receivedData) {
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	if(code == "200"){
		PGV.autoCapmInfo = {
				atcmId : receivedData.atcmId,//"skbuser1",
				atcmEbc : receivedData.atcmEbc,//"a1234567890",
				camId : receivedData.camId,//"49189",
				viewCnt : receivedData.viewCnt,//"2",
				asnNm : receivedData.asnNm,//"테스트지점"
				repnAsnCd : receivedData.repnAsnCd,//"MX0100",
				rgstLftCd : receivedData.rgstLftCd,//"01",
				trtmSn : receivedData.trtmSn,//"1",
				trtmYmd : receivedData.trtmYmd//"20171213"
			} 
	}else{
		// MPopup.alert(msg);
		//$("#showAutoCam").addClass("none");
		//$("#finishAutoCam").removeClass("none");
		$("#mykia-mycar-autocam-state-text").html("<b>오토캠 시청 횟수를 모두 사용하셨습니다.</b>");
		$('#mykia-mycar-autocam-play-button').addClass("disabled");
	}
	
};

var updateViewCount = function() {
    //$("#viewCntTxt").text(PGV.autoCapmInfo.viewCnt+"회");
	//$("#mykia-mycar-autocam-play-button").text('오토캠 영상보기 ('+PGV.autoCapmInfo.viewCnt+'/3)');
	$('#mykia-mycar-autocam-state-count').text(PGV.autoCapmInfo.viewCnt);
};

function setAutoQStationDetail (currentAutoQStationCode) {
	// partLigCd: partName, 부품 코드 (필수 아님)
	// 01 직영서비스, 02 마스터 오토큐, 03 K9/스팅어, 04 친환경 전문, 08 판금, null 전체검색
	// A 전시간대, B 오전시간대, C 오후시간대 (설계서상 A로 고정)
	MNet.httpSendAsync({
		path: _API.SVR.MYCAR.carService.nearAutoqInfoList,
		isMock: true,
		sendData: {
			mbrId: PGV.loginInfo.mbrId,
			asnCd: currentAutoQStationCode
		}
	})
	.then(function (response) {
		console.log(response);
		if (response.resultCode === "200") {
			var stationList = response.carSvcNearAutoqRnwResListDto;
			console.log(stationList);
			var stationListContainerView = $('#mykia-mycar-autocam-autoq-detail');
			if (stationList && stationList.length > 0) {
				$('#mykia-mycar-find-autoq-station-list .div-item').remove();
				$('#mykia-mycar-find-autoq-station-list #no-data').addClass("none");
				var stationListElementsContainer = [];
				for (var i = 0; i < stationList.length; i++) {
					var curNode = stationList[i];
					var stationCode = curNode.asnCd;
					var stationName = curNode.asnNm;
					var stationCoordinate = { lat: parseFloat(curNode.mapXcooNm), lng: parseFloat(curNode.mapYcooNm) };
					var stationDistance = curNode.distance;
					var stationAddress = curNode.pbzAdr;
					var stationPhoneNo = COMMON_FUNCTION.TOOL.DATA.getFormattedPhoneNo(curNode.repnTn || "");
					var stationIsReserveAvailable = curNode.reSerVeYn; //"Y" "N"
					var stationStartTime = curNode.bizStrtCtm;
					var stationEndTime = curNode.bizFnhCtm;
					var stationSpecificNote = curNode.specifics &&
											  typeof curNode.specifics === "string" &&
											  _.map(curNode.specifics.split("\n"), function(element){
													return COMMON_FUNCTION.TOOL.SECURITY.cleanXSS(element);
												}).join("<br>") || "";

					var htmlString =
						'<div class="div-item">' +
							'<dl>' +
								'<dt id="mykia-mycar-find-autoq-station-detail">' +
									'<div class="d-flex">' +
										'<b class="c-font-brand-point">' + stationDistance + 'm </b><em>전문서비스</em>' +
									'</div>' +
									'<h4 class="text-scale-04">' +
										'<b>' + stationName + '</b>' +
										'<button type="button" class="btn-arrow-right">' +
											'<i class="ico-arrow-right"></i>' +
										'</button>' +
										(myAutoQStationCode === stationCode && 
											'<div class="div-label">' +
												'<em class="c-font-brand-secondary-02">전담</em>' +
											'</div>' || "") +
									'</h4>' +
								'</dt>' +
								'<dd>' +
									'<div class="div-table">' +
										'<div class="div-table-cell cell-01">' +
											'<div class="row-01">' +
												'<p id="mykia-mycar-find-autoq-station-address">' + stationAddress + ' <button type="button" class="btn-copy" id="mykia-mycar-find-autoq-station-copy-address"></button></p>' +
											'</div>' +
											'<div class="row-02">' +
												'<span class="text-underline c-font-primary" id="mykia-mycar-find-autoq-station-phone">' + stationPhoneNo + '</span>' +
												'<span>' + stationStartTime + '~' + stationEndTime + '</span>' +
												(stationSpecificNote &&
													'<p class="text-underline c-font-primary" id="mykia-mycar-find-autoq-station-view-note">예약 특이사항</p>' || "") +
											'</div>' +
										'</div>' +
										'<div class="div-table-cell cell-02">' +
											'<button type="button" class="btn-send" id="mykia-mycar-find-autoq-station-send-location">' +
												'<em>위치전송</em>' +
											'</button>' +
										'</div>' +
									'</div>' +
								'</dd>' +
							'</dl>' +
						'</div>';
					var currentJQueryObject = $(htmlString);
					(function (jqueryObject, stationCode, myAutoQStationCode, stationName, stationSpecificNote, stationCoordinate, curNode) {
						jqueryObject.find('#mykia-mycar-find-autoq-station-detail').on("click", function () {
							MPage.html({
								path: PATH_MANAGER.KIA_RNW_242_2000.path,
								param: {
									currentScopeSelectCar: parentThis.currentScopeSelectCar,
									targetStationInfo: curNode,
								}
							})
						});
						jqueryObject.find('#mykia-mycar-find-autoq-station-copy-address').on("click", function () {
							COMMON_FUNCTION.TOOL.UI.copyToClipboard(jqueryObject.find('#mykia-mycar-find-autoq-station-address'), true);
						});
						jqueryObject.find('#mykia-mycar-find-autoq-station-phone').on("click", function () {
							MSys.call($(this).text());
						});
						jqueryObject.find('#mykia-mycar-find-autoq-station-view-note').on("click", function () {
							M.pop.alert({
								title: '예약 특이사항',
								message: stationSpecificNote,
								buttons: ['확인']
							});
						});
						jqueryObject.find('#mykia-mycar-find-autoq-station-send-location').on("click", function () {
							COMMON_FUNCTION.TOOL.POPUP.toggle(PATH_MANAGER.KIA_RNW_242_1000.path, function () {
								var parentThis = this;
								var closePopup = function (e, parentThis) {
									e.preventDefault();

									parentThis.fadeOut('fast');
									parentThis.find('.popup-wrap').removeClass('is-ani');

									$('body').removeClass('js-overflow-hidden');
								}
								this.find("ul li").off("click").on("click", function (e) {
									var targetApp = $(this).data('target-app');
									switch(targetApp){
										case "kakaomap":
											COMMON_FUNCTION.TOOL.GPS.callNavigationApp('k', stationName, stationCoordinate.lng, stationCoordinate.lat);
											break;
										case "tmap":
											COMMON_FUNCTION.TOOL.GPS.callNavigationApp('t', stationName, stationCoordinate.lng, stationCoordinate.lat);
											break;
										case "kia-connect":
											COMMON_FUNCTION.TOOL.GPS.callNavigationApp('kc', stationName, stationCoordinate.lng, stationCoordinate.lat);
											break;
									}
									closePopup(e, parentThis);
								})
								this.find('#mykia-close-popup').off("click").on("click", function (e) {
									closePopup(e, parentThis);
								})
							})
						});
					})(currentJQueryObject, stationCode, myAutoQStationCode, stationName, stationSpecificNote, stationCoordinate, curNode);
					stationListElementsContainer.push(currentJQueryObject);
				}
				stationListContainerView.append(stationListElementsContainer);
				exWNHideIndicator();
			}
			else {
				$('#mykia-mycar-find-autoq-station-list #no-data').removeClass("none");
				M.pop.instance('검색결과가 없습니다.');
				exWNHideIndicator();
			}
		}
	})
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};