/**

@파일명 : KIA_RNW_300_0000.js 
@작성자 : 케이스마텍 정목단 - 박민기
@생성일 : 2022.03.16
@메뉴명 : Kia 차량 구매 탭
@DESC : 전체메뉴노출	[O]
*/ 
var CurrPage;
var KIA_RNW_300_0000 ={ 
    // todo 탭 스크롤 고정
    tPos: 0,
    limit: 0,
    init: function(){ 
        
        CurrPage = this;
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + "KIA_RNW_300_0000" + "initiolizing START");
        // exWNHideIndicator();

        CurrPage.gnbButtons();
        CurrPage.getNewCars(); 
        // CurrPage.getPopCars();  

        $("#kiatab01:last .btn-primary").off('click').on('click',function(e){
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_311_0000.path
            });
        });
        var lis = $("#kiatab01:last").find('li');
        lis.each( function( idx )
        {
            $(this).off('click').on('click',function(e){
               
                //if( idx == 0 ) CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_312_0000.URL);
                //if( idx == 1 ) CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_313_0000.URL);
                if( idx == 0 ) CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_314_0000.URL);
                if( idx == 1 ) CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_315_0000.URL);
            });
        });

        lis = $("#kiatab02:last").find('button');
        lis.each( function( idx )
        {
            $(this).off('click').on('click',function(e){
                if( idx == 0 ){
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_321_0000.path
                    });
                } 
                if( idx == 1 ) CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_322_0000.URL);
            });
        });

        lis = $("#kiatab03:last").find('.div-item');
        lis.each( function( idx )
        {
            $(this).off('click').on('click',function(e){
                if( idx == 0 )
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_370_0000.path,
                });
                if( idx == 1 )
                    var _appVersion = Number(PGV.appInfo.app.version.replace(/[^0-9]/g,"").replace(/(\d{3})(\d*)/, "$1"));	// 앱 버전
                    var activityName = "WebviewActivity";

                    MPage.activity({
                        className: activityName,
                        param: {
                            method: CONSTANT.NET_MTHD.GET,
                            requestURL: CONSTANT.LINK_URL.KIA_RNW_331_8001.URL,
                            setCookie : isEmpty(PGV.loginInfo) ? false : true
                        }
                    });

                if( idx == 2 )
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_331_0000.path,
                });

                if( idx == 3){
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_332_0000.path,
                    });
                }
            });
        });

        $(".btn-mang").off('click').on("click",function()
        {
            CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_340_0000.URL);
        });
        $(".btn-testdrive").off('click').on("click",function()
        {
            CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_350_0000.URL);
        });
        $(".btn-carfind").off('click').on("click",function()
        {
            CurrPage.openWeb(CONSTANT.LINK_URL.KIA_RNW_360_0000.URL);
        });

        /* 초기화
         */
        //todo 탭셋팅하고 거의 모든 클래스에  'none' 클래스가 입혀져 화면 출력되지 않음. 퍼블 나오면 적용해보기
        // CurrPage.activateMyCarTabularNavBar();

        CurrPage.setTabs();
        
        CurrPage.setEventListner();
    }, 
    gnbButtons: function () {/*  미사용 각 페이지의 스크롤 이벤트 리스너 등록과 관계있음. 실행후에 스크롤 이벤트 실행되어야 함.*/
        // return new Promise(function (resolve) {
        var _$targetHeader = $('#mykia-tab-carbuy .header').last();
        _$targetHeader.find('.main-logo').siblings().remove();
        if (isEmpty(PGV) || isEmpty(PGV.loginInfo)) {
            var html = '';
            html += '<div class="div-login">';
            html += '<button type="button" class="btn-login" id="mykia-main-login">';
            html += '<em class="text-underline">로그인</em>';
            html += '</button>';
            html += '</div>';
            _$targetHeader.find('div.inner-cont').append($(html));
            // resolve();
        } else {
            var html = '';
            html += '<div class="pull-right">';
            html += '    <ul>';
            html += '        <li><button type="button" class="btn-barcode">바코드</button></li>';
            html += '        <li><button type="button" class="btn-alarm">알람</button></li><!-- .btn-alarm.on : 알람 활성화 -->';
            html += '        <li><button type="button" class="btn-mypage">마이페이지</button></li>';
            html += '    </ul>';
            html += '</div>';
            _$targetHeader.find('div.inner-cont').append($(html));
            // resolve();
        }

        COMMON_FUNCTION.TOOL.GNB.setEventListeners();
        COMMON_FUNCTION.TOOL.UI.ringTheBells();
        // });
    },
    sendOptionProvider: function(path, isMock){
        var sendOption = {
            path: path,
            indicatorYn:"N",
            isMock: isMock
        }

        if(typeof PGV === "object" && typeof PGV.loginInfo ==="object" && !isNull(PGV.loginInfo)){
            sendOption["sendData"] = {mbrId: PGV.loginInfo.mbrId};
        }
        else
        {
            sendOption["sendData"] = {};
        }

        return sendOption;
    },
    getNewCars:function()
    {
        exWNShowIndicator();
        COMMON_FUNCTION.TOOL.OPTIMIZE.memoize.httpSendAsync(CurrPage.sendOptionProvider(_API.SVR.CMM.main.newCarList, false))
            .then(
            function(data){
                // exWNHideIndicator();
                COMMON_FUNCTION.TOOL.DEBUG.showTalk(data);
                if(data.resultCode==="200"){
                    var newCars = data.newCarListRnwResDto;
                    var displayedCar = null;
                    CurrPage.setNewCarList(newCars);
                }else{
                    // exWNHideIndicator();
                    CurrPage.setNewCarList(null);
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk("신차가 없는 케이스");
                    // M.pop.instance( !isEmpty(data.resultMsg)? data.resultMsg:data.errorMessage );
                    return;
                }
            }
        ).catch(function(e){
            CurrPage.setNewCarList(null);
            // exWNHideIndicator();
        }).finally(function(){
            CurrPage.getPopCars();
        });
    },
    getPopCars:function()
    {
        COMMON_FUNCTION.TOOL.OPTIMIZE.memoize.httpSendAsync(CurrPage.sendOptionProvider(_API.SVR.BUY.main.populCarList, false)).then(
            function(data){
                // exWNHideIndicator();
                COMMON_FUNCTION.TOOL.DEBUG.showTalk("populCarList response",JSON.stringify(data));
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk(data);
                if(data.resultCode==="200"){
                    var populCarList = data.populCarListRnwResDto;
                    CurrPage.setPopulCarList(populCarList);
                }else{
                    CurrPage.setPopulCarList(null);
                    // M.pop.instance( data.resultMsg );
                    // 2024.01.10 불필요한 인스턴스 메세지 출력 제거
                    // M.pop.instance( !isEmpty(data.resultMsg)? data.resultMsg:data.errorMessage );
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk("없는 케이스");
                    return;
                }
            }
        )
        .catch(function(e){
            CurrPage.setPopulCarList(null);
            // exWNHideIndicator();
        }).finally(function(){
            exWNHideIndicator();
        });
    },
    setTabs:function()
    {
        // $(document).ready(function() {  
            CurrPage.tPos = $('.tabs-cont')[0].offsetTop;
            CurrPage.tabFixControl();

            var lis = $("#carbuytab:first > li");
            lis.each( function( idx )
            {
                $(this).off('click').on('click',function(e){
                    // COMMON_FUNCTION.TOOL.DEBUG.showTalk(idx);
                    $("#carbuytab:first > li").removeClass("active");
                    $("#carbuytab:first > li").eq(idx).addClass("active");
    
                    if( idx == 0 )
                    {
                        $("#kiatab01").show();
                        $("#kiatab02").hide(); 
                        $("#kiatab03").hide();
                        CurrPage.tabFixControl();
                    }
                    else if( idx == 1 )
                    {
                        $("#kiatab01").hide();
                        $("#kiatab02").show();;
                        $("#kiatab03").hide();
                        CurrPage.tabFixControl();
                    }
                    else
                    {
                        $("#kiatab01").hide();
                        $("#kiatab02").hide();
                        $("#kiatab03").show();
                        CurrPage.tabFixControl();
                    }
                });
            });
    
            // $("#kiatab02").height($("#kiatab01").height());
            // $("#kiatab03").height($("#kiatab01").height());
    
            // $(window).scroll(function(e) {
            //     var nowTop = $(this).scrollTop();
            //     var limit =  CurrPage.tPos;// - $(".header").last().outerHeight(); 
            //     $homeHeader = $('.tabs-cont').last();
                
            //     if( !$homeHeader.hasClass('top-fixed-area') 
            //     && nowTop >= limit /*- $(".header").last().outerHeight()*/  ) $homeHeader.addClass('top-fixed-area');
            //     if( $homeHeader.removeClass('top-fixed-area') &&
            //     nowTop < limit /* - $(".header").last().outerHeight()*/ - $homeHeader.outerHeight() ) $homeHeader.removeClass('top-fixed-area');
            //     // COMMON_FUNCTION.TOOL.DEBUG.showTalk( nowTop + ' ' + limit  );
            // });
        // });

    },
    setNewCarList: function(newCars)
    {
        var $list = $('#newCarList')[0];

        var html = "";

        if( !isEmpty(newCars) && newCars.length > 0  )
        {
            $(".content-carbuy").find('.main-visual-cont').css("display","block");

            html += '<div class="slider-main-visual swiper-container" ><div class="swiper-wrapper">';
            
            newCars.forEach(function(displayedCar){
                var imgPath = CONSTANT.IMG_URL_PREFIX+displayedCar.savedFilePath+displayedCar.savedFileNm;
                console.log("imgPath == >> "+imgPath);
                var prExp1 = !displayedCar.prExp1 ?  "" : displayedCar.prExp1
                html +=
                // <!-- 220428 버튼 독립적으로 변경 퍼블리싱 반영 -->
                '<div class="swiper-slide" style="background-image:url(\''+imgPath+'\');">' +
                    '<div class="main-visual-box">' +
                    '    <div class="group-01">' +
                    '        <h2 class="text-scale-02">' +
                    '            <b>' + prExp1 + '<br>' + displayedCar.prExp2 + '<br>' + displayedCar.prExp3 +
                    '            </b>' +
                    '        </h2>' +
                    '    </div>' +
                    '</div>' +
                    '<div class="main-visual-btn">' +
                    '</br></br><button type="button" class="btn-default btn-size-m" adUrl="'+displayedCar.linkUrl+'" cust="mykia-edit-insight">' +
                    '        <em>자세히 보기</em>' +
                    '    </button>' +
                    '</div>' +
                '</div>';
            });

            html += '</div></div><div class="swiper-pagination"></div>';

            $list.innerHTML = '';
            $list.innerHTML = html;

            $('#newCarList').find('button[cust="mykia-edit-insight"]').off('click').on("click", function(e){
                COMMON_FUNCTION.TOOL.DEBUG.showTalk( e.target.getAttribute('adUrl') );
                // var that = $(this);
                var adUrl = e.target.getAttribute('adUrl');
            CurrPage.openWeb(adUrl);
            });

            CurrPage.createMainVisualBoxLoopSwiperSlider();
        }
        else
        {
            $(".content-carbuy").find('.main-visual-cont').css("display","none");
        }

        // displayedCar= newCars[0];
        // displayedCar = newCars.find(function (car) {
        //     return car.dispNo==="0";
        // });
        // if(isEmpty(displayedCar)) {
        //     displayedCar= newCars[0];
        // }else{
        //     if(displayedCar.length>1){
        //         displayedCar= displayedCar[0];
        //     }
        // }
        // var imgPath = CONSTANT.IMG_URL_PREFIX+displayedCar.savedFilePath+displayedCar.savedFileNm;
        // $("#newCarImgTarget").attr("scr",imgPath);
        // $("#newCarImgTarget").attr("alt",displayedCar.adTitle);
        // $("#newCarDetailLinkBtn").data("adUrl",displayedCar.adUrl);
    },
    clickPopItem:function(target)
    {
        // COMMON_FUNCTION.TOOL.DEBUG.showTalk( $(target).html() );
        var irs = $(target).attr("irs");
        var url = $(target).attr("url");

        if( url != "" )
        {
            switch ( irs ) {
                case "Y":		// 내부
                    MPage.activity({
                        className : "WebviewActivity",
                        param : {
                            method : "GET",
                            requestURL : url
                        }
                    });
                    break;
                case "N":		// 외부
                    MApps.browser(url);
                    break;
                default:
                    // 내외부 판단이 플래그가 없으면 동작 안함
                    break;
            }
        }
    },
    setPopulCarList:function(populCarList)
    {
        var $list = $('#populCarList')[0];
      
        var html = "";

        if( !isEmpty(populCarList) && populCarList.length > 0 )
        {
            $(".content-carbuy").find('.bestKia-cont').css("display","block");

            html += '<div class="slider-middle-visual swiper-container"><div class="swiper-wrapper">';
            populCarList.forEach(function(car){
                var fuel = "";
                if( car.gasYn && car.gasYn == "Y" )  { if( fuel != "" ) fuel +=","; fuel = "휘발유"; }
                if( car.elecYn && car.elecYn == "Y" ) { if( fuel != "" ) fuel +=","; fuel += "전기"; }
                if( car.dieselYn && car.dieselYn == "Y" )  { if( fuel != "" ) fuel +=","; fuel += "경유"; }
                if( car.lpgYn && car.lpgYn == "Y" )  { if( fuel != "" ) fuel +=","; fuel += "LPG"; }
                var imgPath = CONSTANT.IMG_URL_PREFIX+car.savedFilePath+car.savedFileNm;
                var args = "";
                if( car.linkUrl )
                {
                    if( car.irsLinkYn ) args += " irs='"+car.irsLinkYn+"' ";
                    else args += " irs='' ";
                    args += " url='" + car.linkUrl + "' ";
                }
                else{
                    args += " irs='' url='' ";
                }
                html +=
                '<div class="swiper-slide">'+
                '     <div class="middle-visual-box" '+ args +' onclick="KIA_RNW_300_0000.clickPopItem(this)">'+
                '         <div class="group-01">'+
                '             <h2 class="text-scale-02">'+
                '                 <b>'+car.mdlNm+'</b>'+
                '                 <span>'+car.mdlGbnCcd+'</span>'+
                '             </h2>'+
                '             <ul>'+
                '                 <li>'+fuel+'</li>'+
                '                 <li>'+car.displacement+'cc</li>'+
                '             </ul><ul>'+
                '                 <li>복합연비'+car.mileage+'km/l</li>'+
                '             </ul>'+
                '         </div>'+
                '         <div class="group-02">'+
                '             <img src=\''+imgPath+'\' alt="" >'+
                '         </div>'+
                '     </div>'+
                '</div>';
            });
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk(html);

            html += '</div></div><div class="swiper-pagination"></div>';

            $list.innerHTML = '';
            $list.innerHTML = html;

            CurrPage.createMiddleVisualBoxLoopSwiperSlider();
        }
        else
        {
            $(".content-carbuy").find('.bestKia-cont').css("display","none");
        }
        
        // "prContNm": "더 뉴 카니발",
        // "dispNo": 1,
        // "linkUrl": "https://www.naver1.com",
        // "irsLinkYn": "N",
        // "mdlCd": "21",
        // "mdlGbnCcd": "RV",
        // "mdlNm": "더 뉴 카니발",
        // "displacement": "1",
        // "mileage": "1",
        // "gasYn": "Y",
        // "elecYn": "N",
        // "dieselYn": "N",
        // "orgnFileNm": "2021081114425923.png",
        // "savedFileNm": "2021081114425923.png",
        // "savedFilePath": "/uploadFiles/tempImage/2021/8/11/14/"
    },
    /**
     * 루프하는 Main Visual Box Swiper Slider 생성
    */
    createMainVisualBoxLoopSwiperSlider: function () {
        return new Promise(function(resolve){
            var _sliderVisual = new Swiper('.content-carbuy .slider-main-visual', {
                slidesPerView: 1,
                // loop: $('.content-carbuy .slider-main-visual .swiper-slide').length > 1 ? true : false, // 하나면 루프 빼야 사용자가 안 헷갈림 / 박민기
                loop:false,//슬라이더 링크이동 오류로 루프중지합니다.
                speed: 300,
                //grabCursor:true,
                touchRatio: $('.content-carbuy .slider-main-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
                pagination: {
                    el: '.content-carbuy .main-visual-cont .swiper-pagination',
                    clickable: true,
                },
                // autoplay: {
                //     delay: 4000,
                //     disableOnInteraction: false, // 사용자가 슬라이드 수동전환 하는경우 자동재생 멈추게 한다:true
                // },
            });
            resolve(_sliderVisual);
        })
    },
    createMiddleVisualBoxLoopSwiperSlider: function () {
        return new Promise(function(resolve){
            var _sliderVisual = new Swiper('.content-carbuy .slider-middle-visual', {
                slidesPerView:'auto',
                loop:false, // $('.content-carbuy .slider-middle-visual .swiper-slide').length > 1 ? true : false, // 하나면 루프 빼야 사용자가 안 헷갈림 / 박민기
                speed:300,
                //grabCursor:true,
                touchRatio: $('.content-carbuy .slider-middle-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
                pagination: {
                    el: '.content-carbuy .middle-visual-cont .swiper-pagination',
                    clickable: true,
                },
                // autoplay: {
                // 	delay:4000,
                // 	disableOnInteraction: false, // 사용자가 슬라이드 수동전환 하는경우 자동재생 멈추게 한다:true
             
            });	
            resolve(_sliderVisual);
        })
    },
    openWeb: function(url){
        MPage.activity({
            className : "WebviewActivity",
            param : {
                method : CONSTANT.NET_MTHD.GET, 
                requestURL : url
            }
        });
    },
    tabFixControl: function(){
        // var $nowTop = $(window).scrollTop();
        // var $homeHeader = $('#mykia-tab-carbuy .header').last();
        // var tab = $('#mykia-tab-carbuy .tabs-cont').last();
        // var el = $('#mykia-tab-carbuy .bestKia-cont').last();
        
        // if ($nowTop > 20 /*$homeHeaderHeight*/) { // 20이 제일 자연스러움
        //     $homeHeader.addClass('js-home-header-fixed');
        // }
        // else {
        //     $homeHeader.removeClass('js-home-header-fixed');
        // }

        // if( CurrPage.limit == 0 ) CurrPage.limit = 10000;

        // var limit = el.offset().top + el.outerHeight()  - $homeHeader.outerHeight() ; 
        // if( limit > 100 && limit < CurrPage.limit) CurrPage.limit = limit;
            
        // if( $nowTop >= CurrPage.limit )
        // { 
        //     $('body').addClass('js-mycar-tabs-fixed');
        //     el.css("margin-bottom", tab.outerHeight());
        // }
        // else if( $nowTop < CurrPage.limit )
        // {
        //     $('body').removeClass('js-mycar-tabs-fixed');
        //     el.css("margin-bottom",0);
        // }
    },
    setEventListner: function(){
        // 탭 고정하지 않음
        $('body').removeClass('js-mycar-tabs-fixed');
     
        $(window).off("scroll").scroll(function(e) {

            var $nowTop = $(window).scrollTop();

            // homeheader
            var $homeHeader = $('#mykia-tab-carbuy .header').last();
            var $homeHeaderHeight = $homeHeader.outerHeight();
            
            if ($nowTop > $homeHeaderHeight) {
                $homeHeader.addClass('js-home-header-fixed');
            }
            else {
                $homeHeader.removeClass('js-home-header-fixed');
            }

            $winTop = $nowTop;
            // 메인홈 header활성화
        });
    },
    getTabsMeta: function(){
        var tabsMeta = [
            {
                page: {//Kia 차량
                    pathManager: PATH_MANAGER.KIA_RNW_300_0000_2,
                    loadScript: false,
                    isMain: true
                }
            },
            {
                page: {//Kia EV
                    pathManager: PATH_MANAGER.KIA_RNW_300_0000_3,
                    loadScript: false,
                    isMain: false
                }
            },
            {
                page: {//Kia 상품
                    pathManager: PATH_MANAGER.KIA_RNW_300_0000_4,
                    loadScript: false,
                    isMain: false
                }
            }
        ];
      return  tabsMeta;
    },
    activateMyCarTabularNavBar:function(){
        var tabsMeta = CurrPage.getTabsMeta();
        COMMON_FUNCTION.TOOL.NAVIGATOR_TABULAR.init({
            tabWrapperQueryString: "section",
            tabs: $('.tabs').children(),
            tabsMeta: tabsMeta,
            viewerArea:$('#inner-tab-wrap'),
            addEventListeners: true
        });
    },
}
KIA_RNW_300_0000.init();
/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
// var MStatus = {
//     onReady : function(event){
//         COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage);
//         KIA_RNW_300_0000.init();
//     },
//     onHide : function(event){},
//     onRestore : function(event){},
//     // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//     // onBack : function(){},
//     onDestroy : function(event){},
//     onPause : function(event){},
//     onResume : function(event){}
// };
