/**

@파일명 : KIA_RNW_332_0000.js 
@작성자 : 케이스마텍 추헌남 - 박민기
@생성일 : 2022.02.28 
@메뉴명 : kia Flex 
@DESC : 전체메뉴노출	[O]   계약차량보유	[O]   내연보유	[O]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_332_0000 ={ 
    init: function(){ 
        CurrPage = this; 
        var pageInit = function(){
            /**
             * 초기화
             */
        
            // 전체 메뉴 스택정리
            var backFlag = MData.param("backFlag");
            if(backFlag != "Y"){
                garbageCollector();
            }
            setEvent();
        };
        
        var setEvent = function() {
            $(document).on("click", "#appInstallBtn", function(){
                var appOs = PGV.device.os.name.toLowerCase();
                if (appOs == "android") {
                    M.apps.store(CONSTANT.KIAFLEX_ANDROID_PACKAGE);
                } else {
                    M.apps.store(CONSTANT.KIAFLEX_IOS_STORE_ID);
                }
            });
        };

        pageInit();
        CurrPage.setEventListner();
    }, 
    setEventListner: function(){
        // do something.. 
        $("button[data-link-url2]").on("click", function(){
			// var pageUrl = $(this).attr("data-link-url");
			var _returnUrl = CONSTANT.LINK_URL[$(this).attr("data-link-url2")].URL;
			MPage.activity({
                className : "WebviewActivity",
                param : {
                    method : CONSTANT.NET_MTHD.GET,
                    requestURL : _returnUrl
                }
            });
		});
    } 
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_332_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
