/**

@파일명 : KIA_RNW_411_1100.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 :  
@DESC : 전체메뉴노출	[O]   계약차량보유	[O]   내연보유	[O]   EV보유	[O] ) 
*/ 
var CurrPage;
var KIA_RNW_411_1100 ={
    init: function(){
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");

        var pageInit = function(){
        	/**
        	 * 초기화
        	 */

        	PGV.evtNo = MData.param("evtNo"); //  상세 페이지 불러 오기
        	PGV.eventType = MData.param("eventType") || "ing"; //  이벤트 타입 (진행 : ing, 종료 : end, 당첨자 : pick)
        	PGV.currentDate = moment().format("YYYYMMDDHH");
        	PGV.quizYn = "N";
            PGV.loginYn = "N";

        	if(PGV.eventType == "ing"){
        		$("#evtTitleText").text("진행중인 이벤트");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1010"].pageNm); //진행중인
        	}else if(PGV.eventType == "end"){
        		$("#evtTitleText").text("종료 이벤트");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1110"].pageNm); //종료
        	}else if(PGV.eventType == "msg"){
        		$("#evtTitleText").text("");
        	}else{
        		$("#evtTitleText").text("당첨자 발표");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1210"].pageNm); //당첨자
        	}
        	evtChk();
        	selectDetailEvent();

        	/**
        	 * 화면 이벤트
        	 */
        	setEvent();
        };


        var setEvent = function() {

        };

        var evtChk = function(){
        	MNet.httpSend({
        		path : inf.event.getEventDate.url,
        		sendData : {
        		},
        		callback : evtChkCallback
        	});
        }

        var evtChkCallback = function(receivedData){
        	exWNHideIndicator();
        	var code = receivedData.resultCode;
        	var msg = receivedData.resultMsg;
        	if(code == "200"){
        		var serverTime = receivedData.curDtm;
        		if(serverTime.length == 14){ //.slice(0,10)
        			PGV.currentDate = serverTime.slice(0,10);
        		}else{
        			PGV.currentDate = moment().format("YYYYMMDDHH");
        		}
        	}else{
        		PGV.currentDate = moment().format("YYYYMMDDHH");
        	}
        };

        /**
         * 상세 이벤트 조회
         */
        var selectDetailEvent = function(){
        	var _inf = inf.event.detailEvent.url;
        	if(PGV.eventType == "pick"){
        		_inf = inf.event.pickdetailEvent.url;
        	}

        	MNet.httpSend({
        		path : _inf,
        		sendData : {
        			evtNo : PGV.evtNo
        		},
        		callback : selectDetailEventCallback
        	});
        };

        /**
         * 상세 이벤트 조회 콜백
         */
        var selectDetailEventCallback = function(receivedData){
        	exWNHideIndicator();
        	var code = receivedData.resultCode;
        	var msg = receivedData.resultMsg;

        	if(code == "200"){
        		var startTime = receivedData.evtStartDtm.split(" ")[0];
        		var endTime = receivedData.evtEndDtm.split(" ")[0];
        		$("#titleHtml").html(receivedData.evtNm);
        		$("#dateHtml").html(startTime+' ~ '+endTime);
                $("#htmlTypeWrap").remove();
                $("#linkTypeWrap").remove();
                $("#eventDeatail").removeClass("fix").addClass("scroll");
        		var nowTm = moment(PGV.currentDate).format("YYYYMMDD");
        		var chkEndTm = moment(endTime).format("YYYYMMDD");
        		if(nowTm >= chkEndTm && PGV.eventType == "msg"){
        			PGV.eventType = "end";
        			$("#evtTitleText").text("종료 이벤트");
        			screenViewGa(gaSendUrl["KIA_MOB_320_1110"].pageNm); //종료
        		}else if(PGV.eventType != "end"){
        			PGV.eventType = "ing";
        			$("#evtTitleText").text("진행중인 이벤트");
        			screenViewGa(gaSendUrl["KIA_MOB_320_1010"].pageNm); //진행중인
        		};
                setIosEvt();

        	}else{
        		MPopup.alert(msg);
        	}
        };

        var setIosEvt = function(){
            $("#inwrapDiv").removeClass("none");
            if(PGV.eventType == "ing"){
                $("#submitBtn").data("endYn", "N");
                qfYnEvent();
            }else{
                $("#submitBtn").data("endYn", "Y");
            }

            $("#submitBtn").on("click", function(){
                var $this = $("#submitBtn");
                if(isEmpty(PGV.loginInfo)){
                    COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
                    return;
                }else if($this.data("endYn") == "Y"){ // 종료
                    $("#quizLayerPopWrap").removeClass("none");
                    $("#quizPop4").removeClass("none");
                    return;
                }else if($this.data("qfYn") == "Y"){ //중복 체크
                    $("#quizLayerPopWrap").removeClass("none");
                    $("#quizPop2").removeClass("none");
                    return;
                }else if($this.data("qfYn") == "Z"){ //로그인여부 체크
                    qfYnEvent();
                    return;
                }else if($("#ipt01").val() == "" || $("#ipt02").val() == ""){ // 코드 입력 안했을시
                    $("#quizLayerPopWrap").removeClass("none");
                    $("#quizPop5").removeClass("none");
                    return;
                }else{ // 코드에 뭐라도 입력했을시
                    var coddeNm = $("#ipt01").val() +" - "+ $("#ipt02").val();
                    $("#codeNm").text(coddeNm);
                    $("#quizLayerPopWrap").removeClass("none");
                    $("#quizPop3").removeClass("none");
                    return;
                }


            });

            $("[data-action-back]").on("click", function(){
                var $this = $(this)
                if($this.data('actionBack') == "evetPopBtn"){
                    $("#quizLayerPopWrap").addClass("none");
                    $("#quizPop1").addClass("none");
                    $("#quizPop2").addClass("none");
                    $("#quizPop3").addClass("none");
                    $("#quizPop4").addClass("none");
                    $("#quizPop5").addClass("none");
                }else if($this.data('actionBack') == "subBtn"){
                    $("#quizLayerPopWrap").addClass("none");
                    $("#quizPop1").addClass("none");
                    $("#quizPop2").addClass("none");
                    $("#quizPop3").addClass("none");
                    $("#quizPop4").addClass("none");
                    $("#quizPop5").addClass("none");
                    var carNo =$("#ipt01").val();
                    var mbrDt =$("#ipt02").val();
                    qfRegEvent(carNo, mbrDt);

                }
            });

        }
        // 이벤트 등록
        function qfRegEvent(_carNo, mbrDt){
            MNet.httpSend({
                path : inf.quiz.qfReg.url,
                sendData : {
                    mbrId : PGV.loginInfo.mbrId,
                    evtNo : PGV.evtNo,
                    carNo : _carNo,
                    mbrLeaveDt : mbrDt
                },
                callback : function(receivedData){
                    exWNHideIndicator();
                    var code = receivedData.resultCode;
                    var msg = receivedData.resultMsg;

                    if(code == "200"){
                        if(receivedData.regResult == "200"){
                            $("#submitBtn").data("qfYn", "Y");
                            $("#quizLayerPopWrap").removeClass("none");
                            $("#quizPop1").removeClass("none");
                            return;
                        }
                    }
                }
            });
        };

        // 중복 체크
        function qfYnEvent(){
            if(isEmpty(PGV.loginInfo)){
                COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
                return;
            }
            MNet.httpSend({
                path : inf.quiz.qfYn.url,
                sendData : {
                    mbrId : PGV.loginInfo.mbrId,
                    evtNo : PGV.evtNo
                },
                callback : function(receivedData){
                    exWNHideIndicator();
                    var code = receivedData.resultCode;
                    var msg = receivedData.resultMsg;

                    if(code == "200"){
                        if(receivedData.regYn == "Y"){
                            $("#submitBtn").data("qfYn", "Y");
                        }else if(receivedData.regYn == "N"){
                            $("#submitBtn").data("qfYn", "N");
                        }
                    }
                }
            });
        };

        pageInit();
    },
     setEventListner: function(){
         // do something..
     }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_411_1100.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){
        if(!isEmpty(PGV.loginInfo)){
            if(PGV.loginYn != "Y"){
                qfYnEvent();
            }
        }
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
