/**
 * @파일명 : KIA_MOB_550_1314.js
 * @작성자 : 최정동
 * @생성일 : 2018. 10. 29. 오후 4:28:33
 * @메뉴명 : 수리 전, 후 사진 조회 
 */
var pageInit = function(){
	/**
	 * 초기화
	 */	
	PGV.myCarInfo = MData.param("myCarInfo");
	PGV.carInfo = MData.param("carInfo");
	MData.removeParam("myCarInfo");
	MData.removeParam("carInfo");
	// screenViewGa(gaSendUrl["KIA_MOB_550_1314"].pageNm); //2020 공통으로 변경
	photosListInit();
	/**
	 * 화면 이벤트
	 */
	setEvent();
};

var setEvent =function() {
	
};
var photosListInit = function(){
	PGV.currentPageNo = 1;			// 현재 페이지 번호
	PGV.pageSize = 5;				// 받은 페이지의 총 개수
	PGV.totCnt = null;

	selectWhsnPhotoList();	
};

/**
 * 진행중 이벤트 목록 조회
 */
var selectWhsnPhotoList = function(){
	MNet.httpSend({
		path : inf.smart.whsnPhotoInfoList.url,
		sendData : {
			asnCd : PGV.myCarInfo.asnCd, //"AX0230", 
			carNo : PGV.carInfo.carNo, //"43마9174",  
			nowPage : String(PGV.currentPageNo),
			whsnDt : PGV.myCarInfo.whsnDt,//"20150320"
			pageSize : String(PGV.pageSize)
		},
		callback : selectwhsnPhotoListCallBack
	});
};

var selectwhsnPhotoListCallBack = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	if(code == '200'){
		appendList(receivedData.whsnPhotoInfoListResDto);

		if(PGV.currentPageNo == 1){
			PGV.photcount = parseInt(receivedData.whsnPhotoInfoListResDto.length);
		}else{
			PGV.photcount = PGV.photcount + parseInt(receivedData.whsnPhotoInfoListResDto.length);
		}
		
		PGV.totCnt  = parseInt(receivedData.totCnt); // 사진 총 갯수 
	}else {
		$(".no-data").removeClass("none");
		$("#photoList").addClass("none");
	}
};

var appendList = function(list){
	var photoList = "";
	if(list.length > 0){
		for(var i=0; i< list.length; i++){
			var obj = list[i];
			photoList +=	'<li>';
			photoList +=		'<img src='+obj.imgPathAdr+' alt="">'; // 현재 
			photoList +=	'</li>';
		}
	}else{
		$(".no-data").removeClass("none");
		$("#photoList").addClass("none");
	}
	
	$("#photoList").append(photoList);

}

/**
 * 하단 스크롤시 더보기 이벤트
 */
var selectMoreListData = function(){
	if(PGV.totCnt > PGV.photcount){
		PGV.currentPageNo = PGV.currentPageNo + 1;
		selectWhsnPhotoList();
	}
};
/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};