/**

@파일명 : KIA_RNW_530_0000.js 
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : QR 생성 팝업 
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_530_0000 ={ 
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START"); 

        var pageInit = function(){
            qrCreate();
            setEvent();
        };

        var setEvent =function() {

            $(".btn-close").on("click", function(e){
                MPage.back({
                    animate : "SLIDE_RIGHT"
                });
            });

            $(".animate-area div a").click(function(){
                $(".machineAnimate").toggleClass("on");
                $(".cardAnimate").toggleClass("on");
                if($(".cardAnimate").hasClass("on")){
                    $(".animate-area div a").text("가이드 보기");
                }else{
                    $(".animate-area div a").text("가이드 닫기");
                }
            });

        };

        /**
        * 기능 : Qrcode 생성
        * 작성자 : 강보경
        * 작성일시 : 2021.06.10
        */
        var qrCreate = function(){

        //    //-----test start-----
        //    console.log(JSON.stringify(PGV.loginInfo));
        //    new QRCode(document.getElementById("qrImg"), '2055101200003878');
        //    return;
        //    //-----test end-----

            // 파라미터 암호화
            var encCi = CONFIG.IS_DEV? exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_DEV_CRTEC_KEY, CONSTANT.STRAFFIC_DEV_IV_KEY)
                        : exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_REAL_CRTEC_KEY, CONSTANT.STRAFFIC_REAL_IV_KEY);
            var param = {ci : encCi };

            // [STraffic] STraffic 회원 카드 정보 조회 (EV-교통카드 번호)
            evCardKey(param, function(receivedData1){
                param = { evTrafficCardNo : receivedData1.evTrafficCardNo};

                // [STraffic] OTP QR 생성
                createOtpQr(param, function(receivedData2){
                    new QRCode(document.getElementById("qrImg"), {
                                text: receivedData2.otpQrNo,
                                width: 224,
                                height: 224
                                });

                    /*
                    -----create qr option-----
                    var qrcode = new QRCode("test", {
                        text: "http://jindo.dev.naver.com/collie",
                        width: 128,
                        height: 128,
                        colorDark : "#000000",
                        colorLight : "#ffffff",
                        correctLevel : QRCode.CorrectLevel.H
                    });
                    qrcode.clear(); // clear the code.
                    qrcode.makeCode("http://naver.com"); // make another code.
                    */

                }, function(code, msg){
                     MPopup.confirm({
                         title : '알림',
                         message : msg+"("+code+")",
                         buttons : ['닫기'],
                         callback : function(idx){
                             MPage.back({
                                 animate : "SLIDE_RIGHT",
                             });
                         }
                     });
                 });
            }, function(code, msg){
                MPopup.confirm({
                    title : '알림',
                    buttons : ['닫기'],
                    message : msg+"("+code+")",
                    callback : function(idx){
                        MPage.back({
                            animate : "SLIDE_RIGHT",
                        });
                    }
                });
            });
        }

        pageInit();
    }, 
    setEventListner: function(){
        // do something..

    } 
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_530_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    onBack : function(){
        MPage.back({
            animate : "SLIDE_RIGHT"
        });
    },
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
