/**

@파일명 : KIA_RNW_583_5000.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : 충전 예약 완료 
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_583_5000 ={
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START");

        //set evt
        CurrPage.setEventListner();

        //넘어온 파라미터 화면에 노출
        CurrPage.setDataInit();
    },
    setEventListner: function(){

        //예약 내역
        $(".btn-text").on("click", function(){
            MPage.html({url : PATH_MANAGER.KIA_RNW_540_0000.path});
        });

        //확인 버튼
        $(".btn-primary").on("click", function(){
            //20220421 EV 홈으로 돌아가서 새로고침하기 위함
            garbageAll();

            MPage.back();
        });
    },
    setDataInit: function(){
        var name = MData.param('name');
        var dAddr = MData.param('dAddr');
        var visitDate = MData.param('visitDate');
        var cid = MData.param('cid');

        $("#name").text(name);
        $("#dAddr").text(dAddr);
        $("#visitDate").text(visitDate);
        $("#cid").text(cid);

        //충전기 타입 코드에 따라 아이콘 활성화
        var arrType = MData.param('type').split(",");
        arrType.forEach(function(type){
            if(type == "01"){
                $(".ico-charge2").addClass('active');
            }else if(type == "02"){
                $(".ico-charge4").addClass('active');
            }else if(type == "03"){
                $(".ico-charge2, .ico-charge3").addClass('active');
            }else if(type == "04"){
                $(".ico-charge1").addClass('active');
            }else if(type == "05"){
                $(".ico-charge1, .ico-charge2").addClass('active');
            }else if(type == "06"){
                $(".ico-charge1, .ico-charge2, .ico-charge3").addClass('active');
            }else if(type == "07"){
                $(".ico-charge3").addClass('active');
            }
        });
    }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_583_5000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
