/**

@파일명 : KIA_RNW_5A0_0000.js
@작성자 :
@생성일 : 2022.01.26
@메뉴명 : E-pit 가입 안내
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] )
*/
var CurrPage;
var KIA_RNW_5A0_0000 ={
    init: function(){
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");

        var pageInit = function(){
        	/**
        	 * 초기화
        	 */
        	setEvent();
        };

        var setEvent = function(){
            // E-Pit 가입 안내
            $(document).on("click", "#epitManual", function(){
                MPage.activity({
                    className : "WebviewActivity",
                    param : {
                        method : CONSTANT.NET_MTHD.GET,
                        requestURL : CONSTANT.EPIT_MANUAL_URL
                    }
                });
            });

            // E-pit 브랜드 영상
            $(document).on("click", "#youtubeShowBtn", function(){
                _url = "https://www.youtube.com/watch?v=_-tC0Bo4ybA&t=2s";
                //MApps.browser(_url);
                MPage.activity({
                    className : "WebviewActivity",
                    param : {
                        method : CONSTANT.NET_MTHD.GET,
                        requestURL : _url
                    }
                });
            });

            // E-Pit APP 다운로드
            $(document).on("click", "[name='app-install']", function(){
                var scheme = "";
                var appOs = PGV.device.os.name.toLowerCase();
                if (appOs == "android") {
                    // 설치되었으면 열기, 아니라면 설치화면
                    if(M.apps.info(CONSTANT.EPIT_ANDROID_PACKAGE).installed){
                        M.apps.open(CONSTANT.EPIT_ANDROID_PACKAGE);
                    }else{
                        M.apps.store(CONSTANT.EPIT_ANDROID_PACKAGE);
                    }
                } else {
                        M.apps.store(CONSTANT.EPIT_IOS_STORE_ID);
                }
            });
        };

        pageInit();
    },
    setEventListner: function(){
        // do something..
    }
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady : function(event){
        console.log("onReady page : "+PGV.currentPage);
        KIA_RNW_5A0_0000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
