/**

@파일명 : KIA_RNW_5E0_0000.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : SSCharger 충전카드 발급 팝업
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_5E0_0000 ={
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START"); 

        var pageInit = function(){
        	/**
        	* 초기화
        	*/
        	$("#chkAll").change(function(){     //전체동의 체크 시 개별 동의
                if($("#chkAll").is(":checked")) {
                    $(".agRad").prop("checked", true);
                    setBtn(true);
                } else {
                    $("input:radio").prop("checked", false);
                    setBtn(false);
                }
            });

            $(".daRad").on("click", function(){     //동의하지 않음 선택 시
                $("#chkAll").prop("checked", false);
                setBtn(false);
            });

            $(".agRad").on("click", function(){     //개별 모두 동의 시 전체동의 체크
                var isChk = true;
                $(".agRad").each(function(){
                    isChk = isChk && $(this).is(":checked");
                });
                $("#chkAll").prop("checked", isChk);
                setBtn(isChk);
            });

            $("#confirmBtn").on("click", function(){    //확인버튼
                var _param = {};
                if(!isEmpty(MData.param("isChgCard"))){
                    _param = $.extend(_param, {isChgCard : MData.param("isChgCard")});
                }
                if(!isEmpty(MData.param("evtYn"))){
                    _param = $.extend(_param, {evtYn : MData.param("evtYn")});
                }

                //기가입자의 경우, 약관 재동의 후 웹뷰 노출
                if(!isEmpty(MData.param("isChgAgree"))){

                    CurrPage.regSscAgree()
                    .then(function(){
                        MPage.html({url: PATH_MANAGER.KIA_RNW_5F2_0000.path});
                    });


                //EV홈 > nfc,qr,충전서비스설정 클릭 시, 약관이 변경되었다면 재동의 후 back()
                }else if(!isEmpty(MData.param("justTerms"))){

                    CurrPage.regSscAgree()
                    .then(function(){

                        var justTerms = MData.param("justTerms");

                        MPage.back({
                            animate : "MODAL_DOWN",
                            param: {
                                flag: justTerms
                            }
                        });
                    });

                }else{
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_5E1_0000.path,
                        param : _param
                    });
                }
            });
        };

        /**
         * 약관 체크 시 확인버튼 활성화
         */
        var setBtn = function(isChk){
            $(".btn-txt").attr("disabled", !isChk);
        };

        pageInit();

    }, 
    setEventListner: function(){
        // do something.. 
    },
    regSscAgree: function(){
        return new Promise(function (resolve) {
            regEvMng(function(receivedData){
                exWNHideIndicator();
                var code = receivedData.resultCode;
                var msg = receivedData.resultMsg;

                if(code == "200"){
                    PGV.loginInfo.evMemRegYn = "Y";
                    MData.global('loginInfo', PGV.loginInfo);

                    resolve();

                }else{
                    // 실제 sscharge에 카드는 있지만 vik에 가입여부업데이트 오류
                    console.log("evMngReg error code=" + code + ", msg=" + msg);
                    MPopup.confirm({
                        title : '알림',
                        message : CONSTANT.NETWORK_ERR_MSG,
                        buttons : ["확인"]
                    });
                }
            });
        })
    }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_5E0_0000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
