/**
 * @파일명 : AS-IS : KIA_MOB_700_1000.js / RENEWAL : KIA_RNW_611_0000.js
 * @작성자 : 이현석, (리뉴얼) 케이스마텍 추헌남
 * @생성일 : 2022.03.17
 * @메뉴명 : FAQ
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
	// 전체 메뉴 스택정리
	var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}

	// faq 초기화 및 조회
	faqListInit();

	// 검색 목록 정의
	PGV.listGbn = null;
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
	//screenViewGa(gaSendUrl["KIA_MOB_700_1000"].pageNm);//2020 공통으로 변경

	//1:1상담 전화번호
	$("#telKia .btn-numtxt").text(CONSTANT.CALL.CALL_2.NUM);
	$("#telUvo .btn-numtxt").text(CONSTANT.CALL.CALL_3.NUM);
	$("#telConcierge .btn-numtxt").text(CONSTANT.CALL.CALL_5.NUM);
	$("#telEv .btn-numtxt").text(CONSTANT.CALL.CALL_6.NUM);	
};

function setEvent() {
/*
	// 상단 탭 클릭 시
	$("#tabList > button").on("click", function(){
		var $that = $(this);
		if($that.hasClass("on") == false){
			$("#tabList > button").removeClass("on");
			$that.addClass("on");
			
			faqListInit();
		}
	});
*/
	$(document).on("click", "[name='faqtype']", function(){
        var $that = $(this);
        if($that.hasClass("on") == false){
            //$("#tabList > button").removeClass("on");
            //$that.addClass("on");

            faqListInit();
        }
    });

/*
	// FAQ 클릭 시 상세 화면으로 이동
	$(document).on("click", ".btn-faq", function(){
		var _faqSn = $(this).parent().attr("data-faq-no");

		if($(this).hasClass('faq-tab-on')){
		    $(this).removeClass('faq-tab-on');
		    var faqanswer = $(this).siblings('.faq-ans');
            faqanswer.remove();
		}else{
		    var faqanswer = $(this).parent().siblings();
		    faqanswer.find('.faq-q').removeClass('faq-tab-on');
            faqanswer.find('.faq-ans').remove();
		    if($(this).parent().data('detailType') == "tab"){
		        $('#faq-searchbox-top').data('target','tab');
		    }else if($(this).parent().data('detailType') == "search"){
		        $('#faq-searchbox-top').data('target','search');
		        $(this).parent().parent().parent().siblings().find('.faq-q').removeClass('faq-tab-on');
		        $(this).parent().parent().parent().siblings().find('.faq-ans').remove();
		    }
		    MNet.httpSendAsIs({
                path : inf.faq.detail.url,
                sendData : {
                    faqSn : _faqSn
                },
                callback : selectFaqDetailCallback
            });
		}
	});
*/
    //검색창
    $(document).on('click','#faq-searchbox-top',function(){
        //$('.search-pop').addClass('on');
        $("#faqMain").addClass("none");
        $("#noSearchResult").removeClass("none");
        $('#searchResultPopup').removeClass('on');
        $('#searchResultPopup').removeClass('none');
        
        /* !!! 케이스마텍 추헌남 - 문제 해결을 위한 임시 스타일 삽입 */
        $(".faq-close").attr("style", "width:5.2rem;height:5.2rem;margin:0;position:absolute;right:0;padding:1.8rem;");

        //[KIAVIK-311]
        // ios에서만 발생 focus 변경이 안되어 timer 처리.
        setTimeout(function(){
            $('#faq-searchbox').focus();
        }, 0);

        //$('#faq-searchbox').focus();
    });

    //검색 input
    $('#faq-searchbox').keyup(function(){
        $('.faq-close').addClass("on");
        if($(this).val() == ''){
            $('.faq-close').removeClass("on");
        }
    });

    //검색 input 내용 초기화
    $('.faq-close').on('click',function(){
        $('#faq-searchbox').val('');
        $('#faq-searchbox').focus();
        $('.faq-close').removeClass('on');
    });

    //취소버튼 클릭
    $('.popup-btn-back').on('click',function(){
        //$('.search-pop').removeClass('on');
        $('#faq-searchbox-top').val('');
        $('#faq-searchbox').val('');
        $('.faq-close').removeClass('on');
        //$('#searchResultPopup').removeClass('on');
        $('#searchResultBox').find('.faq-result').remove();
        $('#searchResultBox').addClass('none');
        $('#noSearchResult').removeClass('none');
        $("#searchResultPopup").addClass("none");
        $("#faqMain").removeClass("none");
    });

    //취소버튼 클릭
    $("#searchResultPopup .btn-prev").off("click").on("click", function(e){
        e.stopPropagation();
        e.preventDefault();
        //$('.search-pop').removeClass('on');
        $('#faq-searchbox-top').val('');
        $('#faq-searchbox').val('');
        $('.faq-close').removeClass('on');
        //$('#searchResultPopup').removeClass('on');
        $('#searchResultBox').find('.faq-result').remove();
        $('#searchResultBox').addClass('none');
        $('#noSearchResult').removeClass('none');
        $("#searchResultPopup").addClass("none");
        $("#faqMain").removeClass("none");
    })

	// FAQ 검색 시
	$(document).on("keydown","#faq-searchbox",function(event){
	    if(event.keyCode == 13){
	        if($(this).val()==""){ alert("검색어를 입력하세요."); return; }
            PGV.currentPageNo = 1;			// 현재 페이지 번호
            PGV.pageSize = 10;				// 받은 페이지의 총 개수
            PGV.totCnt = null;
            PGV.pageStart = null;
            PGV.pageEnd = null;
	        $('.hrs-list').find('.faq-q').removeClass('faq-tab-on');
	        $('.hrs-list').find('.faq-ans').remove();
	        $('#searchResultBox').find('.faq-result').remove();
	        $('.keyword-result').addClass('none');
	        $('#faq-searchbox').data('srchKwrd',$(this).val());
	        searchFaq($(this).val());
	    }
	});

	// 고객 상담하기 버튼 클릭 시
	$(document).on("click",'[name="cstmCnsl"]',function(){
	    MPage.html({
            url : PATH_MANAGER.KIA_RNW_612_0000.path,
			param : {},
			animate : "MODAL_UP"
	    });
	});

	// 추가지원(차량구매정보/정비서비스, 멤버십서비스) 클릭 시
	$(document).on("click", "#addSupport1Btn", function(){
		var _url = CONSTANT.LINK_URL.KIA_MOB_700_1001.URL;
		MPage.activity({
			className : "WebviewActivity",
			param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, _url)
		});
	});
	
	$(document).on("click", "#addSupport2Btn", function(){
		var _url = CONSTANT.LINK_URL.KIA_MOB_700_1002.URL;
		MPage.activity({
			className : "WebviewActivity",
			param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, _url)
		});
	});

    $(".function-tab li button").on("click", function(){
        // 탭 클래스 변경
        $(".function-tab li button").parent().removeClass("on");
        var type = $(this).attr('data-tab-type');
        $('[data-tab-type="' + type + '"]').parent().addClass("on");
        type == "faq" ? screenViewGa(PATH_MANAGER.KIA_RNW_611_0000.screenName) : screenViewGa(PATH_MANAGER.KIA_RNW_612_0000.screenName) ;
        //하단 컨텐츠 변경
        $("[data-content-type]").addClass("none");
        $('[data-content-type="' + type + '"]').removeClass("none");
    });

    //탭 콘텐츠 펼침
    $(document).on('click', '.accordion .title', function(){
        if($(this).parent('.accordion').hasClass('on')){
            $(this).parent('.accordion').removeClass('on');
        }
        else {
            $('.accordion').removeClass('on');
            $(this).parent('.accordion').addClass('on');
            var _faqNo = $(this).parent().attr("data-faq-no");
            MNet.httpSendAsIs({
                path : inf.faq.detail.url,
                sendData : {
                    faqSn : _faqNo
                },
                callback : selectFaqDetailCallback
            });
        }
    });


    //FAQ 아코디언 자동 스크롤
    $(document).on('click', '.type-faq .accordion', function(){
        var x = $(this).offset();
        var now=$('.tab-box').scrollTop();
        // console.log("--" + x.top + ' - -' + now + ' 헤더' + top);
        $('.tab-box').animate({scrollTop : (x.top - 110 + now)}, 300);
    });

};

var faqListInit = function(){
	PGV.currentPageNo = 1;			// 현재 페이지 번호
	PGV.pageSize = 10;				// 받은 페이지의 총 개수
	PGV.totCnt = null;
	PGV.pageStart = null;
	PGV.pageEnd = null;
	
	$("#faqList").empty();

	//selectFaqCcdCnt();    // 탭 갯수
	selectFaqList();
};

/**
* FAQ 탭 카운트 조회
*/
var selectFaqCcdCnt = function(){
    MNet.httpSendAsIs({
        path : inf.faq.faqCcdCnt.url,
        sendData : {},
        callback : selectFaqCcdCntCallback
    });
}

/**
* FAQ 탭 카운트 조회 콜백
*/
var selectFaqCcdCntCallback = function(receivedData){
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;

    if(code == "200"){
        console.log(receivedData);
    }
}


/**
 * FAQ 목록 조회
 */
var selectFaqList = function(){
	//var gbnCcd = $("#tabList > button.on").attr("data-faq-cd");
	var gbnCcd = $("[name='faqtype']:checked").val();

	MNet.httpSendAsIs({
		path : inf.faq.select.url,
		sendData : {
			currentPageNo : PGV.currentPageNo,
			faqGbnCcd : gbnCcd,
			pageSize : PGV.pageSize
		},
		callback : selectFaqListCallback
	});
};

/**
 * FAQ 목록 조회 콜백 함수
 */
var selectFaqListCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	
	if(code == "200"){
		appendFaqList(receivedData.faqListResDto);
		
		PGV.totCnt  = receivedData.totCnt;
		PGV.pageStart = receivedData.pageStart;
		PGV.pageEnd = receivedData.pageEnd;
	} else {
		$(".no-data").removeClass('none');
		$("#faqList").addClass('none');
		MPopup.alert(msg);
	}
};

/**
*   FAQ 목록 리스트
*/
var appendFaqList = function(list){
	var strBuff = "";
	
	if(list.length > 0){
		$(".no-data").addClass('none');
		$("#faqList").removeClass('none');
		$(".type-faq-title").removeClass('none');
		$(".type-faq-title").text(getQuestionType($("#tabList > button.on").attr("data-faq-cd")));
	}else{
		$(".no-data").removeClass('none');
		$("#faqList").addClass('none');
		$(".type-faq-title").addClass('none');
		return;
	}

	for(var i=0; i<list.length; i++){
		if(list[i].useYn == "Y"){
/*
			strBuff += '<li data-detail-type="tab" data-faq-no="' + list[i].faqSn + '">';
			strBuff += '    <button type="button" class="btn-faq faq-arrowimg faq-q">';
			//strBuff += '        <span class="cate-txt">' + getQuestionType(list[i].faqGbnCcd) + '</span>';
			strBuff += '        <span class="lst-ttl">' + list[i].qst + '</span>';
			strBuff += '    </button>';
			strBuff += '</li>';
*/
            strBuff += '<li>';
            strBuff += '   <div class="btn-faq accordion" data-faq-no="' + list[i].faqSn + '">';
            strBuff += '       <div class="title">';
            strBuff += '           <p class="faq-tit">'+list[i].qst+'</p>';
            strBuff += '       </div>';
            strBuff += '       <div class="inbox">';
            strBuff += '           <div class="accordion-wrap">';
            strBuff += '               <div class="faq-answrap" name="' + list[i].faqSn+'">';
            /*
            strBuff += '                   <p class="faq-ans">';
            strBuff += '                   </p>';
            strBuff += '                   <button class="link" type="button" id="cstmCnsl">고객상담 하기</button>';
            */
            strBuff += '               </div>';
            strBuff += '           </div>';
            strBuff += '       </div>';
            strBuff += '   </div>';
            strBuff += '</li>';
		}
	}
	
	$("#faqList").append(strBuff);
};

/**
 * FAQ 상세 내용 콜백
 */
var selectFaqDetailCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;

	if(code == "200"){
	    var faqDetail = "";

        faqDetail += '    <p class="faq-ans">';
        faqDetail += receivedData.ans;
        faqDetail += '    </p>';
        faqDetail += '    <button class="link" type="button" name="cstmCnsl">고객상담 하기</button>';

	    $('[name="'+this.sendData.faqSn+'"]').html(faqDetail);

	    /*
		//console.log(receivedData);
        var faqDetail = "";
		if(receivedData.ans.indexOf("tag-jumping") > -1){
			console.log($("#faqType").text() + " -> " + $("#faqQuestion").text());
		}
		faqDetail += '<div class="ev-body type-faq faq-ans faq-tab-on">';
        faqDetail += '    <div class="ev-txt">';
        faqDetail += receivedData.ans;
        faqDetail += '    </div>';
        faqDetail += '    <div class="btn-wrap red mt40">';
        faqDetail += '        <button type="button" class="btn-txt red" id="cstmCnsl">고객 상담하기</button>';
        faqDetail += '    </div>';
        faqDetail += '</div>';

        // 탭과 검색 같은 데이터 둘 다 펼쳐지지 않도록 분기처리
        if($('#faq-searchbox-top').data('target') == 'tab'){
            $('[data-detail-type="tab"][data-faq-no=' + receivedData.faqSn + ']').find('.faq-q').addClass('faq-tab-on');
            $('[data-detail-type="tab"][data-faq-no=' + receivedData.faqSn + ']').append(faqDetail);
        }else if($('#faq-searchbox-top').data('target') == 'search'){
            $('[data-detail-type="search"][data-faq-no=' + receivedData.faqSn + ']').find('.faq-q').addClass('faq-tab-on');
            $('[data-detail-type="search"][data-faq-no=' + receivedData.faqSn + ']').append(faqDetail);
        }
        */
        //$('[data-faq-no=' + receivedData.faqSn + ']').append(faqDetail);
        /*
        if($("li").attr("data-faq-no") == receivedData.faqSn){
            console.log("faqSn : " + receivedData.faqSn);
            $(this).find('.faq-q').addClass('faq-tab-on');
        	$(this).append(faqDetail);
        }
        */
	}else{
		MPopup.alert(msg);
	}
};


/**
* FAQ 검색
*/
var searchFaq = function(value){
    MNet.httpSendAsIs({
        path : inf.faq.search.url,
        sendData : {
            currentPageNo : PGV.currentPageNo,
            pageSize : PGV.pageSize,
            qst : value
        },
        callback : searchFaqCallback
    });
}

/**
* FAQ 검색 콜백
*/
var searchFaqCallback = function(receivedData){
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;
    var faqQst = receivedData.faqQst;
    var faqTotCnt = receivedData.totCnt;
    var faqList = receivedData.faqListResDto;
    var pageCnt = 0;

    if(code == "200"){
        //console.log(receivedData);
        PGV.totCnt  = receivedData.totCnt;
        PGV.pageStart = receivedData.pageStart;
        PGV.pageEnd = receivedData.pageEnd;

        if (faqList.length > 0){
            pageCnt = PGV.pageEnd - (PGV.pageSize*(PGV.currentPageNo-1));

            var listGbn = new Array(7);
            for(var i = 0; i < listGbn.length; i++){
                listGbn[i] = new Array();
            }

            for(var i = 0; i < pageCnt; i++){
                var pattern = new RegExp(faqQst, "g");
                var qst = faqList[i].qst;
                var matchArray;
                var resultString = "";
                var first = 0;
                var last = 0;

                // 검색 텍스트 강조
                while((matchArray = pattern.exec(qst)) != null){
                    last = matchArray.index;
                    resultString += qst.substring(first, last);
                    resultString += '<em class="search-keyword">'+matchArray[0]+'</em>';
                    first = pattern.lastIndex;
                }
                resultString += qst.substring(first, qst.length);

                faqList[i].qst = resultString;

                switch(faqList[i].faqGbnCcd){
                    case "10000":
                        listGbn[0].push(faqList[i]);
                        break;
                    case "10002":
                        listGbn[1].push(faqList[i]);
                        break;
                    case "10003":
                        listGbn[2].push(faqList[i]);
                        break;
                    case "10004":
                        listGbn[3].push(faqList[i]);
                        break;
                    case "10005":
                        listGbn[4].push(faqList[i]);
                        break;
                    case "10006":
                        listGbn[5].push(faqList[i]);
                        break;
                    case "10007":
                        listGbn[6].push(faqList[i]);
                        break;
                    default:
                        break;
                }
            }

            searchFaqListAppend(listGbn);

            //console.log(listGbn);
        }else{
            $("#noSearchResult").removeClass("none");
            $("#searchResultBox").addClass("none");
        }


    }else{
        MPopup.alert(msg);
    }
}


/**
* FAQ 검색 목록 출력
*/
var searchFaqListAppend = function(list){

    // 기존 검색과 다르다면 초기화
    if(!(PGV.currentPageNo > 1)){
       PGV.listGbn = new Array(7);
    }

    for(var i = 0; i < PGV.listGbn.length; i++){
        if(!(PGV.currentPageNo > 1)){
            PGV.listGbn[i] = new Array();
        }
        if(list[i].length > 0){
            for(var j = 0; j < list[i].length; j++){
                PGV.listGbn[i].push(list[i][j]);
            }
        }
    }

    // 추가검색
    if(PGV.pageEnd < PGV.totCnt){
        selectMoreListData();
    }else{
        var strBuff = "";
        /*
        for(var i = 0; i < PGV.listGbn.length; i++){
            if(PGV.listGbn[i].length > 0){
                strBuff += '<div class="mg-box faq-result">';
                strBuff += '    <p class="type-faq-title">'+getQuestionType(PGV.listGbn[i][0].faqGbnCcd)+' '+PGV.listGbn[i].length+'건'+'</p>';
                strBuff += '    <ul class="hrs-list ">';
                for(var j = 0; j < PGV.listGbn[i].length; j++){
                    strBuff += '     <li data-detail-type="search" data-faq-no="' + PGV.listGbn[i][j].faqSn + '">';
                    strBuff += '         <button type="button" class="btn-faq faq-arrowimg faq-q">';
                    strBuff += '        <span class="lst-ttl">' + PGV.listGbn[i][j].qst + '</span>';
                    strBuff += '    </button>';
                    strBuff += '</li>';
                }
                strBuff += '    </ul>';
                strBuff += '</div>';
            }
        }
        */
        for(var i = 0; i < PGV.listGbn.length; i++){
            if(PGV.listGbn[i].length > 0){
                strBuff += '    <div class="section faq-result-wrap">';
                strBuff += '        <p class="sub16">'+getQuestionType(PGV.listGbn[i][0].faqGbnCcd)+'('+PGV.listGbn[i].length+')'+'</p>';
                strBuff += '        <ul class="type-faq">';
                    for(var j = 0; j < PGV.listGbn[i].length; j++){
                    strBuff += '        <li>';
                    strBuff += '            <div class="btn-faq accordion" data-faq-no="' + list[i][j].faqSn + '">';
                    strBuff += '                <div class="title">';
                    strBuff += '                    <p class="faq-tit">'+list[i][j].qst+'</p>';
                    strBuff += '                </div>';
                    strBuff += '                <div class="inbox">';
                    strBuff += '                    <div class="accordion-wrap">';
                    strBuff += '                        <div class="faq-answrap" name="' + list[i][j].faqSn+'">';
                    /*
                    strBuff += '                   <p class="faq-ans">';
                    strBuff += '                   </p>';
                    strBuff += '                   <button class="link" type="button" id="cstmCnsl">고객상담 하기</button>';
                    */
                    strBuff += '                        </div>';
                    strBuff += '                    </div>';
                    strBuff += '                </div>';
                    strBuff += '            </div>';
                    strBuff += '        </li>';
                    }
                strBuff += '        </ul>';
                strBuff += '    </div>';
            }
        }

        $("#searchResultBox").find('div').remove();
        $("#searchResultBox").append(strBuff);
        $(".keyword-result").html('<em class="point-txt">'+$('#faq-searchbox').data('srchKwrd')+'</em> 검색결과 <em class="point-txt">'+zeroPad(PGV.totCnt,2)+'</em>건');
        $('.keyword-result').removeClass('none');
        $("#noSearchResult").addClass("none");
        $("#searchResultBox").removeClass("none");
    }
}


/**
 * 하단 스크롤시 더보기 이벤트
 */
var selectMoreListData = function(){
	var totalPageCnt = Math.ceil(PGV.totCnt/PGV.pageSize);	// 전체 페이지 수
	
	if(totalPageCnt > PGV.currentPageNo){
		PGV.currentPageNo = PGV.pageEnd/PGV.pageSize + 1;
		if($('#searchResultPopup').hasClass('on')){
		    searchFaq($('#faq-searchbox').data('srchKwrd'));
		}else{
		    selectFaqList();
		}
	}
};

var getQuestionType = function(typeCd){
	var returnStr = "";
	switch (typeCd) {
	case "10000":
        returnStr = "TOP 10";
        break;
	case "10002":
		returnStr = "영업 및 구입";
		break;
	case "10003":
		returnStr = "차량사양/옵션";
		break;
	case "10004":
		returnStr = "차량";
		break;
	case "10005":
		returnStr = "멤버십";
		break;
	case "10006":
		returnStr = "앱 관련 문의";
		break;
    case "10007":
        returnStr = "회원";
        break;

	default:
		break;
	}
	
	return returnStr;
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};
