/**
 * @파일명 : AS-IS : KIA_MOB_710_1010.js / RENEWAL : KIA_RNW_620_0000_2.js
 * @작성자 : 최정동, (리뉴얼) 케이스마텍 추헌남
 * @생성일 : 2022.03.17
 * @메뉴명 : 공지사항 상세
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
//	$("#notiTitle").html(MData.param("notiTitle"));			// 공지사항 제목
//	$("#notiDate").html(MData.param("notiDate"));			// 공지사항 날짜
	
	selectNotificationDetail();
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
	//screenViewGa(gaSendUrl["KIA_MOB_710_1010"].pageNm);//2020 공통으로 변경
	
};

function setEvent() {
	// 컨텐츠내의 a태그 return;
	$(document).on("click", "a", function(e){
		e.preventDefault();
		return false;
	});
	
	// 컨텐츠 내의 URL 클릭 시
	$(document).on("click", ".tag-url", function(){
		var _url = $(this).text();
		MPage.activity({
			className : "WebviewActivity",
			param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, _url)
		});
	});

	$(document).on("click", "a", function(){
		var _url = $(this).attr("href");
		MPage.activity({
			className : "WebviewActivity",
			param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, _url)
		});
	});
};

/**
 * 공지사항 상세 내용 조회
 */
var selectNotificationDetail = function(){
	MNet.httpSend({
		path : inf.notification.detail.url,
		sendData : {
			notiNo : MData.param("notiNo")
		},
		callback : selectNotificationDetailCallback
	});
};

/**
 * 공지사항 상세 내용 콜백
 */
var selectNotificationDetailCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;

	if(code == "200"){
		$("#notiTitle").html(receivedData.title);					// 공지사항 제목
		$("#notiDate").html(DateUtil.getYMD(receivedData.creDtm));	// 공지사항 날짜
		$("#notiContWrap").html(receivedData.cont);					// 내용
	}else{
		MPopup.alert(msg);
	}
};


/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};