/**
 * @파일명 : KIA_MOB_750_1000.js / 리뉴얼 - KIA_RNW_741_0000.js
 * @작성자 : 이현석 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2022-03-25
 * @메뉴명 : 컨시어지 서비스
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
	 var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}
	/**
	 * 화면 이벤트
	 */
	//전화번호
	$("#tel_con").text(CONSTANT.CALL.CALL_5.NUM);
	$("#tel_ev").text(CONSTANT.CALL.CALL_6.NUM);

	setEvent();
};

function setEvent() {
    // 탭 변경
    $(document).on("click", "[data-tab-type]", function(){
        if($(this).parent().hasClass('on')) return;
        // 탭 클래스 변경
        $(".function-tab li button").parent().removeClass("on");
        PGV.tabType = $(this).data('tabType');
        $('[data-tab-type="' + PGV.tabType + '"]').parent().addClass("on");

        //ty1 : ing, ty2 : end
    	if(PGV.tabType == "ty1"){
//    		screenViewGa(gaSendUrl["KIA_MOB_520_1030"].pageNm);
    	    $('[data-content-type="ty2"]').addClass('none');
    	    $('[data-content-type="ty1"]').removeClass('none');

    	    $('#btn_con').removeClass('none');
    	    $('#btn_ev').addClass('none');
    	}else{
//    		screenViewGa(gaSendUrl["KIA_MOB_520_1031"].pageNm);
    	    $('[data-content-type="ty1"]').addClass('none');
            $('[data-content-type="ty2"]').removeClass('none');

            $('#btn_con').addClass('none');
            $('#btn_ev').removeClass('none');
    	}
    });
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};