/**
 * @파일명 : KIA_MOB_750_1200.js / 리뉴얼 - KIA_RNW_941_1000.js
 * @작성자 : 양동호 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2022-03-25
 * @메뉴명 : UVO & KIA Pay
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */

	// 전체 메뉴 스택정리
	var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}
	setEvent();
	// screenViewGa(gaSendUrl["KIA_MOB_400_1000"].pageNm);//2020 공통으로 변경
	/**
	 * 화면 이벤트
	 */
};


var setEvent = function() {

    $(".function-tab li button").on("click", function(){
        var type = $(this).attr('data-tab-type');

        if ($(this).parent().hasClass("on")) {
            return;
        }

        if ( type == "ty1") {
            screenViewGa(gaSendUrl["KIA_MOB_750_1201"].pageNm);
        } else {
            screenViewGa(gaSendUrl["KIA_MOB_750_1401"].pageNm);
        }
        // 탭 클래스 변경
        $(".function-tab li button").parent().removeClass("on");
        $('[data-tab-type="' + type + '"]').parent().addClass("on");

        //하단 컨텐츠 변경
        $("[data-content-type]").addClass("none");
        $('[data-content-type="' + type + '"]').removeClass("none");
    });

    $(document).on("click", "[name='app-install']", function(){
        var type = $(this).data("type")
        var scheme = "";
        var appOs = PGV.device.os.name.toLowerCase();
        if (appOs == "android") {
            scheme = ((type == "uvo") ? CONSTANT.UVO_ANDROID_PACKAGE : CONSTANT.KIAPAY_ANDROID_PACKAGE);
        } else {
            scheme = ((type == "uvo") ? CONSTANT.UVO_IOS_STORE_ID : CONSTANT.KIAPAY_IOS_STORE_ID);
        }
        if (!isEmpty(scheme)) {
            M.apps.store(scheme);
        }
	});
};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};