/**
 * @파일명 : KIA_MOB_750_1300.js
 * @작성자 : 양동호
 * @생성일 : 2020. 11. 20.
 * @메뉴명 : KIA Digital Key
 */
 var pageInit = function(){
	// 전체 메뉴 스택정리
	var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}
	if (PGV.device.os.name.toLowerCase() == "android") {
	    $("#appInstallBtn").removeClass("none");
	}
	setEvent();
};


var setEvent = function() {
	$(document).on("click", "#appInstallBtn", function(){
        M.apps.store(CONSTANT.DIGITAL_KEY_ANDROID_PACKAGE);
	});

	$(document).on("click", "#digitalKeyYoutubeBtn", function(){
	    _url = "https://www.youtube.com/embed/P5kLXlhy2T4";
        //MApps.browser(_url);
        MPage.activity({
            className : "WebviewActivity",
            param : {
                method : "GET",
                requestURL : _url
            }
        });
	});
};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};