/* 내차관리_정비 파일의 응답은 저장되지 않음 */

var _MOCK_COMMON_HEAD = {
    "action": "0000",
    "app_id": "com.kia.red",
    "app_name": "com.kia.red",
    "app_version": "1.0",
    "appid": "com.kia.red",
    "callback_function": "N",
    "callback_request_data_flag": "0000",
    "device_id": "UNKNOWN",
    "device_md": "SMG960N",
    "p_key": "YXM0bXpFOXlYUGJMNGtoQXF2VWdxdzFwMjc5elFJcGhYZDdsUU1sdHJNVT0%3D",
    "phone_no": "01012341234",
    "result_code": "0000",
    "result_msg": "Success",
    "screen_id": "0",
    "service_id": "0000",
    "system_name": "Android",
    "system_version": "26"
}


var _MOCK_RES = {
    /* 공통_앱버전조회 */
    "RNW-CMM-1001": {
        response: {
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "vinVer": "02.00.00",
                "binVerStr": "2.0.0",
                "platCd": "10",
                "platNm": "안드로이드",
                "dplyVer": "000311"
            },
            "head": _MOCK_COMMON_HEAD
        }
    },

    /* 공통_날씨정보 */
    "RNW-CMM-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "weatherFcstResDto": {
                    "basDtm": "202202071330",
                    "gridX": "59",
                    "gridY": "126",
                    "fcstDtm": "202202071400",
                    "t1h": "17",
                    "sky": "1",
                    "reh": "30",
                    "pty": "0",
                    "rn1": "1.0mm 미만",
                    "areaNm": "서울특별시 용산구 원효로제2동"
                },
                "weatherSnrsResDto": {
                    "dayCd": "D"
                },
                "weatherAirPltnResDto": {
                    "msrNm": "용산구",
                    "msrDtm": "202202071300",
                    "pm10Grd": "3",
                    "pm25Grd": "4"
                }
            }
        },
    },

    /* 공통_알림정보 */
    "RNW-CMM-3001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "msgCnt": 4
            }
        }
    },
    "RNW-CMM-3002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "rspCd": null,
                "rspMessage": null,
                "reqUnqNo": null,
                "pageStart": 1,
                "pageEnd": 4,
                "currentPageNo": 1,
                "totCnt": 4,
                "pageSize": 10,
                "msgInfoListRnwResDto": [
                    {
                        "pushMsgNo": "940",
                        "sndDtm": "202104221021",
                        "msgTitle": "제목만있음",
                        "msg": null,
                        "oldPushClsCcd": "00",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10004",
                        "menuPath": null,
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "941",
                        "sndDtm": "202104221021",
                        "msgTitle": "제목 + 링크, 내용은 없음",
                        "msg": null,
                        "oldPushClsCcd": "00",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10003",
                        "menuPath": "http://www.kia.com",
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "942",
                        "sndDtm": "202104221021",
                        "msgTitle": "제목 + 내용, 링크는 없음",
                        "msg": "알찬내용",
                        "oldPushClsCcd": "00",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10004",
                        "menuPath": null,
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "943",
                        "sndDtm": "202104221021",
                        "msgTitle": "다있음, 제목,내용,링크",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "00",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10003",
                        "menuPath": "http://www.kia.com",
                        "relEvtNo": null,
                        "recYn": "N",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "944",
                        "sndDtm": "202104221021",
                        "msgTitle": "이벤트",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "PEVE",
                        "pushClsCcd": "PEVE",//event
                        "pushStateCcd": "10003",
                        "menuPath": null,
                        "relEvtNo": "1",
                        "recYn": "N",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "945",
                        "sndDtm": "202104221021",
                        "msgTitle": "쿠폰",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "11",//쿠폰
                        "pushClsCcd": "PCOU",
                        "pushStateCcd": "10003",
                        "menuPath": "../000/KIA_RNW_0D3_3100",
                        "relEvtNo": "../100/KIA_RNW_220_0000",
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    }, {
                        "pushMsgNo": "946",
                        "sndDtm": "202104221021",
                        "msgTitle": "전체사용자111",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "PCOU",//쿠폰
                        "pushClsCcd": "PCOU",
                        "pushStateCcd": "10003",
                        "menuPath": "KIA_RNW_0D3_3100",
                        "relEvtNo": null,
                        "recYn": "N",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "947",
                        "sndDtm": "202104221021",
                        "msgTitle": "차계부",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "PACC",//내차관리-차계부
                        "pushClsCcd": "PACC",
                        "pushStateCcd": "10004",
                        "menuPath": "KIA_RNW_220_0000",
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "947",
                        "sndDtm": "202104221021",
                        "msgTitle": "차계부",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "PACC",//내차관리-소모품
                        "pushClsCcd": "PACC",
                        "pushStateCcd": "10004",
                        "menuPath": "KIA_RNW_230_0000",
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "948",
                        "sndDtm": "202104221021",
                        "msgTitle": "충전",
                        "msg": "(광고)전체사용자111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "PCHR",//충전
                        "pushClsCcd": "PCHR",
                        "pushStateCcd": "10004",
                        "menuPath": "KIA_RNW_5B0_0000 ",
                        "relEvtNo": null,
                        "recYn": "Y",
                        "data": "{\"asnCd\":\"203000\", \"carNo\":\"42우2591\",\"vin\":\"KNAKV815DEA463409\",\"whsnDt\":\"20190905\"}"
                    },
                    {
                        "pushMsgNo": "938",
                        "sndDtm": "202104220856",
                        "msgTitle": "타겟팅111111",
                        "msg": "(광고)타겟팅111111\n수신거부 : 설정 > 푸시 알림 설정 변경\n고객센터 : 080-200-2000",
                        "oldPushClsCcd": "00",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10003",
                        "menuPath": "http://www.kia.com",
                        "relEvtNo": null,
                        "recYn": "N",
                        "data": null
                    },
                    {
                        "pushMsgNo": "917",
                        "sndDtm": "202104141331",
                        "msgTitle": "테스트구매혜택",
                        "msg": "(정보)테스트구매혜택1\n테스트구매혜택2\n테스트구매혜택3\n@#%#$@%\n#$#$%@#$11\n\n",
                        "oldPushClsCcd": "04",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10003",
                        "menuPath": null,
                        "relEvtNo": null,
                        "recYn": "N",
                        "data": null
                    },
                    {
                        "pushMsgNo": "913",
                        "sndDtm": "202104081400",
                        "msgTitle": "sdfsdf",
                        "msg": "(정보)sdfsdfsd\n\n",
                        "oldPushClsCcd": "14",
                        "pushClsCcd": "PNOR",
                        "pushStateCcd": "10004",
                        "menuPath": null,
                        "relEvtNo": "111",
                        "recYn": "Y",
                        "data": null
                    }
                ]
            }

        }
    },
    "RNW-CMM-3003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다."
            }
        }
    },
    "RNW-CMM-3004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다."
            }
        }
    },
    "RNW-CMM-3011": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "pushIdEqualYn": "N"
            }
        }
    },
    "RNW-CMM-3012": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다."
            }
        }
    },

    /* 공통_메뉴정보 */
    "RNW-CMM-4001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "screenListRnwResDto": [
                    {
                        "scrnId": "CMM-1000",
                        "upScrnId": "0000",
                        "scrnNm": "앱버전",
                        "scrnTypCd": "WL",
                        "scrnImplCd": "WV",
                        "lvlNo": "2",
                        "dispYn": "Y",
                        "ownMbrAuthYn": "Y",
                        "ctrctMbrAuthYn": "Y",
                        "novhMbrAuthYn": "Y",
                        "nolgMbrAuthYn": "Y",
                        "engMbrAuthYn": "Y",
                        "evMbrAuthYn": "Y",
                        "oprMbrAuthYn": "Y",
                        "lnkUri": "http://"
                    }
                ]
            }
        }
    },

    /* 공통_차량동기화및조회 */
    "RNW-CMM-5001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
            }
        }
    },

    "RNW-CMM-5002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "myCarInfoListResDto": [
                    {
                        "vin": "KNAE251ABJS000687",
                        "vehlRepnCd": "CK",
                        "carRgstNo": "01너4277",
                        "mdlNm": "CK",
                        "carAlias": "애칭인가1",
                        "dispNo": 1,
                        "carOwnGbnCcd": "01",
                        "outerColorCd": "UD",
                        "outerColorNm": null,
                        "carImgUri": "http://www.url5Y.com",
                        "repCarImgUri": "http://www.url5Y.com",
                        "ownerNm": "강민영",
                        "ownerID": "mtest@test.com",
                        "agreeYn": null,
                        "rdmYn": "N",
                        "csmrMgmtNo": "A201706290000753",
                        "memEvYn": "N",
                        "luxuryYn": "Y",
                        "freeCareYn": "Y",
                        "contNo": null,
                        "contYmd": null,
                        "whotYmd": "20200513",
                        "master": null,
                        "carId": null,
                        "masterCarId": null,
                        "saleCarmdlEnNm": null
                    },
                    {
                        "vin": "KNAB1212BHT001122",
                        "vehlRepnCd": "PS",
                        "carRgstNo": "12가1234",
                        "mdlNm": "EV6",
                        "carAlias": null,
                        "dispNo": 2,
                        "carOwnGbnCcd": "01",
                        "outerColorCd": null,
                        "outerColorNm": null,
                        "carImgUri": null,
                        "repCarImgUri": null,
                        "ownerNm": "강민영",
                        "ownerID": "mtest@test.com",
                        "agreeYn": null,
                        "rdmYn": "N",
                        "csmrMgmtNo": "A201706290000753",
                        "memEvYn": "Y",
                        "luxuryYn": "N",
                        "freeCareYn": "N",
                        "contNo": null,
                        "contYmd": null,
                        "whotYmd": "20210520",
                        "master": null,
                        "carId": null,
                        "masterCarId": null,
                        "saleCarmdlEnNm": null
                    },
                    {
                        "vin": "KNAS2418BKS002001",
                        "vehlRepnCd": "JR",
                        "carRgstNo": "50나1111",
                        "mdlNm": "K9",
                        "carAlias": null,
                        "dispNo": 3,
                        "carOwnGbnCcd": "01",
                        "outerColorCd": null,
                        "outerColorNm": null,
                        "carImgUri": null,
                        "repCarImgUri": "http://www.url9Y.com",
                        "ownerNm": "강민영",
                        "ownerID": "mtest@test.com",
                        "agreeYn": null,
                        "rdmYn": "N",
                        "csmrMgmtNo": "A201706290000753",
                        "memEvYn": "N",
                        "luxuryYn": "Y",
                        "freeCareYn": "Y",
                        "contNo": null,
                        "contYmd": null,
                        "whotYmd": "20200411",
                        "master": "Y",
                        "carId": "B",
                        "masterCarId": "A",
                        "saleCarmdlEnNm": "EV6"
                    }
                ],
                "unDeliveryCarInfoListResDto": [{
                    "contNo": "strting",
                    "vin": "strting",
                    "vehlRepnCd": "strting",
                    "krspcNm": "strting",
                    "repCarImgUri": "http://www.url5Y.com",
                    "contYmd": "strting",
                    "whotYmd": "strting",
                    "outerColorCd": "strting",
                    "outerColorNm": "strting",
                    "carImgUri": "strting",
                    "carAmt": "strting",
                    "optAmt": "strting",
                    "basAmt": "strting",
                    "hbAmt": "strting",
                    "totSalAmt": "strting",
                    "empNm": "strting",
                    "empNo": "strting",
                }],
            }
        }
    },
    "RNW-CMM-5003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "regYn": "Y"
            }
        }
    },
    /* 공통_실운행자동의요청 */
    "RNW-CMM-6001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carAgreeStandByRnwResDto": [{
                    "vin": "string",
                    "rdmStateCcd": "string",
                    "ownerCsmrMgmtNo": "string",
                    "mbrId": "string",
                    "mbrNm": "string",
                    "carRgstNo": "string",
                    "mdlNm": "string",
                    "rdmRelCcd": "string",
                }]

            }
        }
    },
    "RNW-CMM-6002": {
        response: {
            "body": {
                "mbrId": "string",
                "chmbCrorAgrYn": "Y",
                "vin": "string",
                "rdmRelCd": "01",
                "ownCsmrMgmtNo": "string",
                "ownMbrId": "string",
            },
            "head": _MOCK_COMMON_HEAD
        }
    },

    /* 공통_바코드 */
    "RNW-CRD-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "cardMemberRnwResDto": [{
                    "milgMbrNo": "0123456789012345",
                    "crdKind": "string",
                    "aredSel": "string",
                    "iTypeCd": "string",
                    "mbrTypeCd": "string",
                    "credScnCd": "string",
                    "cardImgUrl": "string",
                    "crdTypeCd": "string",
                    "redPoint": "23412",
                }],
                "hyundaiMpointRnwResDto": [{
                    "prsnRemPnt": "string",
                    "prsnUsePnt": "string",
                    "prsnExtcPnt": "string",
                    "prsnTtResrPnt": "string",
                    "prsnTmnExtcPragPnt": "string",
                    "prsnNxmnExtcPragPnt": "string",
                }],
                "cardOilListRnwResDto": [{
                    "oilCoCd": "HDOL",
                    "oilCoNm": "현대 오일 뱅크",
                    "oilJoinYn": "N",
                    "oilCardNo": "8994445600009999",
                    "oilPoint": 0,
                    "failMessage": null,
                }, {
                    "oilCoCd": "SOIL",
                    "oilCoNm": "S-OIL",
                    "oilJoinYn": "N",
                    "oilCardNo": "8976545600009999",
                    "oilPoint": 0,
                    "failMessage": null,
                }, {
                    "oilCoCd": "GSCT",
                    "oilCoNm": "GS 칼텍스",
                    "oilJoinYn": "N",
                    "oilCardNo": "2349859782345897",
                    "oilPoint": 0,
                    "failMessage": null,
                }/*{
                    "oilCoCd": "HDOL",
                    "oilCoNm": "현대 오일 뱅크",
                    "oilJoinYn": "Y",
                    "oilCardNo": "8994445600009999",
                    "oilPoint": 1000,
                },{
                    "oilCoCd": "SOIL",
                    "oilCoNm": "S-OIL",
                    "oilJoinYn": "Y",
                    "oilCardNo": "8976545600009999",
                    "oilPoint": 10000,
                },{
                    "oilCoCd": "GSCT",
                    "oilCoNm": "GS 칼텍스",
                    "oilJoinYn": "Y",
                    "oilCardNo": "2349859782345897",
                    "oilPoint": 100000,
                }*/ ]
            },
            "head": _MOCK_COMMON_HEAD
        }
    },
    "RNW-CRD-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "cardEvListRnwDto": [
                    {
                        "milgMbrNo": "2582700002219001",
                        "crdTypeCd": "EV",
                        "flctMilgAmt": "4786178",
                        "exntMilgAmt": "1727163",
                        "redPoint": "990395853",
                        "credScnCd": "2",
                        "cardImgUrl": "https://m.members.kia.com/kr/common/images/icon/img_kcard_15.png"
                    }
                ]
            }
        }
    },
    "RNW-CRD-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "crdGsctWebCnntRnwDto": {
                    "regWebUrl": "string",
                    "accessToken": "string",
                    "refreshToken": "string",
                    "ccoCd": "9981",
                    "reqDivCode": "N",
                    "frnchseCd": "G998100001",
                    "rtnUrl": "string",
                }
            }
        }
    },
    "RNW-CRD-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "mbrId": "string",
                "cardNo": "string"
            },
        }
    },
    "RNW-CRD-2003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "regYn": "Y"
            },
        }
    },
    "RNW-CRD-2004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "regYn": "Y"
            },

        }
    },
    "RNW-CRD-2005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "mbrId": "string",
                "wthOilCd": "string"
            },
        }
    },
    "RNW-CRD-3001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "agreeYn": "N"
            }
        }
    },
    "RNW-CRD-3002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "agreeYn": "N"
            }
        }
    },

    /* 공통_위치약관확인 */
    "RNW-CMM-8001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "agrYn": "N",
                "newReviseYn": "N"
            }
        }
    },

    /* 공통_마이페이지 */
    "RNW-MYP-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "cardMbrListRnwResDto": [
                    {
                        "milgMbrNo": "2582600002219025",
                        "crdTypeCd": null,
                        "flctMilgAmt": "4786178",
                        "exntMilgAmt": "1727163",
                        "redPoint": "990399603",
                        "credScnCd": "2",
                        "cardImgUrl": "https://m.members.kia.com/kr/common/images/icon/q_members.png"
                    },
                    {
                        "milgMbrNo": "2582700002219001",
                        "crdTypeCd": "K9",
                        "flctMilgAmt": "4786178",
                        "exntMilgAmt": "1727163",
                        "redPoint": "990399603",
                        "credScnCd": "2",
                        "cardImgUrl": "https://m.members.kia.com/kr/common/images/icon/img_kcard_15.png"
                    },
                    {
                        "milgMbrNo": "2582100002219178",
                        "crdTypeCd": "N",
                        "flctMilgAmt": "4786178",
                        "exntMilgAmt": "1727163",
                        "redPoint": "990399603",
                        "credScnCd": "1",
                        "cardImgUrl": "https://m.members.kia.com/kr/common/images/icon/img_redcard_12.png"
                    }
                ]
            }
        }
    },
    "RNW-MYP-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "kiaFamilyListRnwResDto": [
                    {
                        "fmlyNm": "메뉴1",
                        "seqNo": "1",
                        "iconUrl": "http://test",
                        "lnkUrl": "http://test"
                    }
                ]
            }
        }
    },

    /* 내차관리_인사이트 */
    "RNW-MCI-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "rplcRqrmCnt": "0",//교체필요
                "rplcRcmdCnt": "0",//교체권장
                "goodCnt": "0",//양호

            }
        }
    },
    "RNW-MCI-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",

                "avrMnthExp": "100000",
                "ckbExpMnthList": [{
                    "yyyymm": "202201",
                    "mnthExp": "150000"
                },
                {
                    "yyyymm": "202202",
                    "mnthExp": "320000"
                },
                {
                    "yyyymm": "202203",
                    "mnthExp": "290000"
                },
                {
                    "yyyymm": "202204",
                    "mnthExp": "350000"
                },
                {
                    "yyyymm": "202205",
                    "mnthExp": "210000"
                },
                {
                    "yyyymm": "202206",
                    "mnthExp": "220000"
                },]
            }
        }
    },
    "RNW-MCI-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",

                "ckbExpInfo03": {
                    "avrExp": "20",
                    "oilExp": "0",
                    "oilRate": "40",
                    "reprExp": "0",
                    "reprRate": "20",
                    "etcExp": "0",
                    "etcRate": "40",
                },
                "ckbExpInfo06": {
                    "avrExp": "30",
                    "oilExp": "30",
                    "oilRate": "20",
                    "reprExp": "30",
                    "reprRate": "40",
                    "etcExp": "30",
                    "etcRate": "30",
                },
                "ckbExpInfo12": {
                    "avrExp": "60",
                    "oilExp": "60",
                    "oilRate": "20",
                    "reprExp": "60",
                    "reprRate": "30",
                    "etcExp": "60",
                    "etcRate": "50",
                }
            }
        }
    },
    "RNW-MCI-3001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "instPymnSeqNo": "1234567",
                "pymnCnt": "0",
                "remnCnt": "0",
                "mnthPymnAmt": "0",
                "acmlPymnAmt": "0",
                "remnInstAmt": "0",

            }
        }
    },
    "RNW-MCI-3002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "delYn": "Y",

            }
        }
    },
    "RNW-MCI-4001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "insuPymnSeqNo": "1234567",
                "payWayCd": "2000",
                "payAmt": "0",
                "payMnth": "0",
                "dDay": "0",
                "insuStrtDt": "20220223",
                "insuEndDt": "20230102",

            }

        }
    },
    "RNW-MCI-4002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "delYn": "Y",

            }
        }
    },

    /* 내차관리_차계부 */
    "RNW-CKB-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "carTrvgDistRnwResDto": {
                    "trvgDist": "21"
                }
            }
        }
    },
    "RNW-CKB-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "carAddTrvgDistRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbExpForMonthRnwResDto": {
                    "ckbExpSumy": {
                        "viewMnth": "202202",
                        "viewMnthExp": "570000",
                        "viewMnthList": [
                            {
                                "svcCd": "02",
                                "svcNm": "주유",
                                "svcExp": "245000",
                                "svcRate": "43"
                            },
                            {
                                "svcCd": "05",
                                "svcNm": "정비",
                                "svcExp": "225000",
                                "svcRate": "39"
                            },
                            {
                                "svcCd": "D",
                                "svcNm": "용품/기타",
                                "svcExp": "0",
                                "svcRate": "0"
                            }
                        ]
                    },
                    "ckbExpComp": {
                        "viewMnth": "202202",
                        "prevMnth": "202202",
                        "incrRate": "0",
                        "viewMnthList": [
                            {
                                "svcCd": "02",
                                "svcNm": "주유",
                                "svcExp": "245000",
                                "svcPrevExp": "245000",
                                "incrExp": "0"
                            },
                            {
                                "svcCd": "05",
                                "svcNm": "정비",
                                "svcExp": "225000",
                                "svcPrevExp": "225000",
                                "incrExp": "0"
                            },
                            {
                                "svcCd": "D",
                                "svcNm": "용품/기타",
                                "svcExp": "0",
                                "svcPrevExp": "0",
                                "incrExp": "0"
                            }
                        ]
                    }
                }
            }
        }
    },
    "RNW-CKB-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbExpendListRnwResDto": [
                    {
                        "ckbUnqNo": "300000035",
                        "rgstDt": "2022-02-09",
                        "svcCd": "02",
                        "svcNm": "주유",
                        "svcMidNm": null,
                        "svcSmlNm": "-",
                        "expAmt": "35,000",
                        "trvgDist": "20",
                        "oilnQty": "15.00",
                        "litrAmt": "0",
                        "firmNm": "동대문주유소",
                        "etcRqMemo": "주유 후 세차"
                    },
                    {
                        "ckbUnqNo": "300000033",
                        "rgstDt": "2022-02-09",
                        "svcCd": "02",
                        "svcNm": "주유",
                        "svcMidNm": null,
                        "svcSmlNm": "-",
                        "expAmt": "35,000",
                        "trvgDist": "20",
                        "oilnQty": "15.00",
                        "litrAmt": "0",
                        "firmNm": "동대문주유소",
                        "etcRqMemo": "주유만 진행"
                    },
                    {
                        "ckbUnqNo": "300000018",
                        "rgstDt": "2022-02-09",
                        "svcCd": "02",
                        "svcNm": "주유",
                        "svcMidNm": null,
                        "svcSmlNm": "-",
                        "expAmt": "35,000",
                        "trvgDist": "0",
                        "oilnQty": "15.00",
                        "litrAmt": "0",
                        "firmNm": "동대문주유소",
                        "etcRqMemo": "주유만 진행"
                    }
                ]
            }
        }
    },
    "RNW-CKB-2003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbDelExpRnwResDto": {
                    "delYn": "Y",
                }
            }
        }
    },
    "RNW-CKB-2004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbUpdExpRnwResDto": {
                    "updYn": "Y",
                }
            }
        }
    },
    "RNW-CKB-3001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddOilExpRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-3002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddRprExpRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-3003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddEtcExpRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-3004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddInsuRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-3005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddIstmRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-2005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbDelExpRnwResDto": {
                    "delYn": "Y",
                }
            }
        }
    },
    "RNW-CKB-2006": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbMthSumRnwResDto": {
                    "mthSum": "665002",
                }
            }
        }
    },
    "RNW-CKB-4002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbUpdOilExpRnwResDto":
                {
                    "updYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-4003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbUpdRprExpRnwResDto":
                {
                    "updYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-4004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbSchInsuRnwResDto": [
                    {
                        "insuStrtDt": "20220325",
                        "insuEndDt": "20220325",
                        "payWayCd": "2000",
                        "payAmt": "58000",
                        "payMnth": "7",
                        "trvgDist": "20",
                        "oilnQty": "15.06",
                        "litrAmt": "0",
                        "firmNm": "동대문주유소",
                        "memo": "주유 후 세차"
                    }
                ]
            }
        }
    },
    "RNW-CKB-4005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbUpdInsuRnwResDto":
                {
                    "updYn": "Y"
                }
            }
        }
    },
    "RNW-CKB-4006": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbSchIstmRnwResDto": [
                    {
                        "istmStrtDt": "20220325",
                        "istmEndDt": "20220325",
                        "istmMnthCnt": "7",
                        "cmpyNm": "한국케이스마텍",
                        "istmMnthAmt": "58000",
                        "dtlDesc": "세부세부세부/내역내역",
                        "trvgDist": "20",
                        "oilnQty": "15.06",
                        "litrAmt": "0",
                        "firmNm": "동대문주유소",
                        "memo": "주유 후 세차"
                    }
                ]
            }
        }
    },
    "RNW-CKB-4007": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbUpdIstmRnwResDto":
                {
                    "updYn": "Y"
                }
            }
        }
    },

    /* 내차관리_소모품 */
    "RNW-EXC-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbExchCycleListRnwResDto": [
                    {
                        "exchCd": "0001",
                        "exchNm": "엔진오일 및 필터",
                        "exchDist": "0",
                        "exchangeYn": null,
                        "exchStatus": null,
                        "itcgCyclScnCd": null,
                        "percent": "20.00"
                    },
                    {
                        "exchCd": "0002",
                        "exchNm": "에어클리너 필터",
                        "exchDist": "3000",
                        "exchangeYn": "N",
                        "exchStatus": null,
                        "itcgCyclScnCd": "3",
                        "percent": "95.00"
                    },
                    {
                        "exchCd": "0014",
                        "exchNm": "구동벨트",
                        "exchDist": "10000",
                        "exchangeYn": "Y",
                        "exchStatus": null,
                        "itcgCyclScnCd": "1",
                        "percent": "83.00"
                    }
                ]
            }
        }
    },
    "RNW-EXC-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbExchCycleDtlListRnwResDto": [
                    {
                        "exchDt": "20220205",
                        "exchNm": "워셔액"
                    }
                ]
            }
        }
    },
    "RNW-EXC-1003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddExchCycleRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },
    "RNW-EXC-1004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "ckbAddExchRnwResDto": {
                    "rgstYn": "Y"
                }
            }
        }
    },

    /* 내차관리_정비 */
    "RNW-RPR-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "0000",
                "resultMsg": "success",
                "instCd": "R002",//R001:정비중차량  R002:정비예약차량  R003:정비권장차량  R004:디폴트메시지
                "instMsg1": "string",
                "instMsg2": "string",
                "rprCarInstInfo": {//정비중차량
                    "fpWkScnCd": "string",
                    "whotParrDtm": "string",
                    "autoqDetailInfo": {
                        "asnCd": "string",
                        "asnNm": "string",
                        "pbzAdr": "string",
                        "acps1Nm": "string",
                        "repnTn": "string",
                        "bizSbc": "string",
                        "mapXcooNm": "string",
                        "mapYcooNm": "string",
                        "specifics": "string",
                    },
                    "autoCamInfo": {
                        "trtmYmd": "string",
                        "asnNm": "string",
                        "camId": "string",
                        "rgstLftCd": "string",
                        "vin": "string",
                        "atcmId": "string",
                        "atcmEbc": "string",
                        "viewCnt": "string",
                        "repnAsnCd": "string",
                        "trtmSn": "string",
                    }
                },
                "rprPrctCar": {//정비예약차량
                    "prctDtm": "YYYYMMDDHHMI",
                    "rmnDt": "7",
                },
                "rprRcmnCar": {//정비권고차량
                    "rcmdDt": "YYYYMMDDHHMI",
                    "rmnDt": "-30",
                }

            }
        }
    },
    "RNW-RPR-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carServiceInstRnwResDto": {
                    "instCd": "string",
                    "instMsg": "string",
                    "rprCarInstInfo": {
                        "fpWkScnCd": "string",
                        "whotParrDtm": "string",
                        "autoqDetailInfo": {
                            "asnCd": "string",
                            "asnNm": "string",
                            "pbzAdr": "string",
                            "acps1Nm": "string",
                            "repnTn": "string",
                            "bizSbc": "string",
                            "mapXcooNm": "string",
                            "mapYcooNm": "string",
                            "specifics": "string",
                        },
                        "autoCamInfo": {
                            "trtmYmd": "string",
                            "asnNm": "string",
                            "camId": "string",
                            "rgstLftCd": "string",
                            "vin": "string",
                            "atcmId": "string",
                            "atcmEbc": "string",
                            "viewCnt": "string",
                            "repnAsnCd": "string",
                            "trtmSn": "string",
                        }
                    }
                }

            }
        }
    },
    "RNW-RPR-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcGpsTermsYnRnwResDto": {
                    "agrYn": "Y",
                    "newReviseYn": "Y",
                }
            }
        }
    },
    "RNW-RPR-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcMyAutoqRnwResDto": {
                    "ycjExrsYn": "Y",
                    "k9ExrsYn": "Y",
                    "mapXcooNm": "127.0411661",
                    "mapYcooNm": "37.474808",
                    "acps1Cd": "C",
                    "acps1Nm": "종합",
                    "asnCd": "AK1100",
                    "asnNm": "현대강남서비스(주)",
                    "jurdAscCd": "203000",
                    "jurdAscNm": null,
                    "pbzAdr": null,
                    "repnTn": "02 11111900",
                    "distance": "1200",
                    "mobAppPrctTim": "A",
                    "reSerVeYn": "N",
                    "wkPrvs02PsblYn": "N",
                    "gmq": "Y",
                    "bizStrtCtm": "0830",
                    "bizFnhCtm": "1830",
                    "bizSbc": "08:30 ~ 18:30",
                    "specifics": "안녕하세요~ 반가워요~ 잘 있어요~ 또 다시 만나요~"
                }
            }
        }
    },
    "RNW-RPR-2003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqTypeListRnwResDto": [{
                    "serviceNm": "판금/도장",
                    "serviceCd": "string",
                }]
            }
        }
    },
    "RNW-RPR-2004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcNearAutoqRnwResListDto": [
                    {
                        "ycjExrsYn": "Y",
                        "k9ExrsYn": "Y",
                        "mapXcooNm": "127.0411661",
                        "mapYcooNm": "37.474808",
                        "acps1Cd": "C",
                        "acps1Nm": "종합",
                        "asnCd": "AK1100",
                        "asnNm": "현대강남서비스(주)",
                        "jurdAscCd": "203000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 11111900",
                        "distance": "1200",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "Y",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "Y",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1830",
                        "bizSbc": "08:30 ~ 18:30",
                        "specifics": "안녕하세요~ 반가워요~ 잘 있어요~ 또 다시 만나요~"
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0279197",
                        "mapYcooNm": "37.4757969",
                        "acps1Cd": "C",
                        "acps1Nm": "종합",
                        "asnCd": "AK1330",
                        "asnNm": "(주)우림자동차",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 4665",
                        "distance": "1800",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:30 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.048125",
                        "mapYcooNm": "37.48104444444444",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8200",
                        "asnNm": "도곡남부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 1472",
                        "distance": "1900",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1900",
                        "bizSbc": "08:30 ~ 19:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.044393",
                        "mapYcooNm": "37.48974",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0100",
                        "asnNm": "도곡점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8585",
                        "distance": "2800",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0730",
                        "bizFnhCtm": "2100",
                        "bizSbc": "07:30 ~ 21:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0197329",
                        "mapYcooNm": "37.4897017",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX9270",
                        "asnNm": "㈜ 역삼모터스",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 7001",
                        "distance": "3500",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0097764",
                        "mapYcooNm": "37.4889929",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8250",
                        "asnNm": "서초남부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 0427",
                        "distance": "4000",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "126.9980747",
                        "mapYcooNm": "37.4481832",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "GX9040",
                        "asnNm": "과천점",
                        "jurdAscCd": "252000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 6824",
                        "distance": "4300",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0900",
                        "bizFnhCtm": "2000",
                        "bizSbc": "09:00 ~ 20:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0415569",
                        "mapYcooNm": "37.5074685",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0200",
                        "asnNm": "역삼점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8285",
                        "distance": "4800",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.064347",
                        "mapYcooNm": "37.5052572",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0090",
                        "asnNm": "대치점",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8581",
                        "distance": "4900",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0700",
                        "bizFnhCtm": "2200",
                        "bizSbc": "07:00 ~ 22:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "126.9869428",
                        "mapYcooNm": "37.4770466",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8300",
                        "asnNm": "방배중부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8585",
                        "distance": "5100",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1930",
                        "bizSbc": "08:00 ~ 19:30",
                        "specifics": null
                    }
                ]
            }
        }
    },
    "RNW-RPR-2005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcKwdAutoqRnwResListDto": [
                    {
                        "ycjExrsYn": "Y",
                        "k9ExrsYn": "Y",
                        "mapXcooNm": "127.0411661",
                        "mapYcooNm": "37.474808",
                        "acps1Cd": "C",
                        "acps1Nm": "종합",
                        "asnCd": "AK1100",
                        "asnNm": "현대강남서비스(주)",
                        "jurdAscCd": "203000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 11111900",
                        "distance": "1200",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "Y",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1830",
                        "bizSbc": "08:30 ~ 18:30",
                        "specifics": "안녕하세요~ 반가워요~ 잘 있어요~ 또 다시 만나요~"
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0279197",
                        "mapYcooNm": "37.4757969",
                        "acps1Cd": "C",
                        "acps1Nm": "종합",
                        "asnCd": "AK1330",
                        "asnNm": "(주)우림자동차",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 4665",
                        "distance": "1800",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:30 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.048125",
                        "mapYcooNm": "37.48104444444444",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8200",
                        "asnNm": "도곡남부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 1472",
                        "distance": "1900",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0830",
                        "bizFnhCtm": "1900",
                        "bizSbc": "08:30 ~ 19:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.044393",
                        "mapYcooNm": "37.48974",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0100",
                        "asnNm": "도곡점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8585",
                        "distance": "2800",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0730",
                        "bizFnhCtm": "2100",
                        "bizSbc": "07:30 ~ 21:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0197329",
                        "mapYcooNm": "37.4897017",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX9270",
                        "asnNm": "㈜ 역삼모터스",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 7001",
                        "distance": "3500",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0097764",
                        "mapYcooNm": "37.4889929",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8250",
                        "asnNm": "서초남부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 0427",
                        "distance": "4000",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "126.9980747",
                        "mapYcooNm": "37.4481832",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "GX9040",
                        "asnNm": "과천점",
                        "jurdAscCd": "252000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 6824",
                        "distance": "4300",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0900",
                        "bizFnhCtm": "2000",
                        "bizSbc": "09:00 ~ 20:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.0415569",
                        "mapYcooNm": "37.5074685",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0200",
                        "asnNm": "역삼점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8285",
                        "distance": "4800",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1800",
                        "bizSbc": "08:00 ~ 18:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "127.064347",
                        "mapYcooNm": "37.5052572",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX0090",
                        "asnNm": "대치점",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8581",
                        "distance": "4900",
                        "mobAppPrctTim": "A",
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0700",
                        "bizFnhCtm": "2200",
                        "bizSbc": "07:00 ~ 22:00",
                        "specifics": null
                    },
                    {
                        "ycjExrsYn": "N",
                        "k9ExrsYn": "N",
                        "mapXcooNm": "126.9869428",
                        "mapYcooNm": "37.4770466",
                        "acps1Cd": "D",
                        "acps1Nm": "전문",
                        "asnCd": "AX8300",
                        "asnNm": "방배중부점 기아오토큐",
                        "jurdAscCd": "204000",
                        "jurdAscNm": null,
                        "pbzAdr": null,
                        "repnTn": "02 8585",
                        "distance": "5100",
                        "mobAppPrctTim": null,
                        "reSerVeYn": "N",
                        "wkPrvs02PsblYn": "N",
                        "gmq": "N",
                        "bizStrtCtm": "0800",
                        "bizFnhCtm": "1930",
                        "bizSbc": "08:00 ~ 19:30",
                        "specifics": null
                    }
                ]

            }
        }
    },
    "RNW-RPR-2006": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcDetailAutoqRnwResDto": {
                    "ycjExrsYn": "Y",
                    "k9ExrsYn": "Y",
                    "mapXcooNm": "127.0411661",
                    "mapYcooNm": "37.474808",
                    "acps1Cd": "C",
                    "acps1Nm": "종합",
                    "asnCd": "AK1100",
                    "asnNm": "현대강남서비스(주)",
                    "jurdAscCd": "203000",
                    "jurdAscNm": null,
                    "pbzAdr": null,
                    "repnTn": "02 11111900",
                    "distance": "1200",
                    "mobAppPrctTim": "A",
                    "reSerVeYn": "Y",
                    "wkPrvs02PsblYn": "N",
                    "gmq": "Y",
                    "bizStrtCtm": "0830",
                    "bizFnhCtm": "1830",
                    "bizSbc": "08:30 ~ 18:30",
                    "specifics": "안녕하세요~ 반가워요~ 잘 있어요~ 또 다시 만나요~"
                }
            }
        }
    },
    "RNW-RPR-3001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "isRsvYn": "Y",
                "freecareYn": "Y",
                "freecareList": [
                    {
                        "pckgNm": "가나",
                        "cdValNm": "string",
                        "apimOft": "5",
                        "vinCnt": "4",
                        "vin": "string",
                        "dtdYn": "Y",
                        "grnYmd": "string",
                        "rprYn": "string",
                        "trvgDist": "string",
                    },
                    {
                        "pckgNm": "다라",
                        "cdValNm": "string",
                        "apimOft": "5",
                        "vinCnt": "3",
                        "vin": "string",
                        "dtdYn": "Y",
                        "grnYmd": "string",
                        "rprYn": "string",
                        "trvgDist": "string",
                    },
                    {
                        "pckgNm": "마바",
                        "cdValNm": "string",
                        "apimOft": "5",
                        "vinCnt": "1",
                        "vin": "string",
                        "dtdYn": "Y",
                        "grnYmd": "string",
                        "rprYn": "string",
                        "trvgDist": "string",
                    },
                    {
                        "pckgNm": "사아",
                        "cdValNm": "string",
                        "apimOft": "5",
                        "vinCnt": "5",
                        "vin": "string",
                        "dtdYn": "Y",
                        "grnYmd": "string",
                        "rprYn": "string",
                        "trvgDist": "string",
                    }
                ],
                "exchCycleCnt": "3",
                "exchCycleList": [
                    {
                        "exchCd": "0001",
                        "exchNm": "엔진오일 및 필터",
                        "exchDist": "10000",
                        "exchangeYn": "Y",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.13"
                    },
                    {
                        "exchCd": "0002",
                        "exchNm": "에어클리너 필터",
                        "exchDist": "40000",
                        "exchangeYn": "Y",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.04"
                    },
                    {
                        "exchCd": "0003",
                        "exchNm": "공조장치용 에어필터",
                        "exchDist": "15000",
                        "exchangeYn": "Y",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.09"
                    },
                    {
                        "exchCd": "0006",
                        "exchNm": "브레이크 패드(Frt)",
                        "exchDist": "40000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.04"
                    },
                    {
                        "exchCd": "0007",
                        "exchNm": "브레이크패드(Rr.디스크)",
                        "exchDist": "40000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.04"
                    },
                    {
                        "exchCd": "0010",
                        "exchNm": "부동액",
                        "exchDist": "40000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.04"
                    },
                    {
                        "exchCd": "0011",
                        "exchNm": "연료필터",
                        "exchDist": "60000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.03"
                    },
                    {
                        "exchCd": "0012",
                        "exchNm": "타이어 위치교체",
                        "exchDist": "10000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.13"
                    },
                    {
                        "exchCd": "0014",
                        "exchNm": "구동벨트",
                        "exchDist": "70000",
                        "exchangeYn": "N",
                        "exchStatus": "4",
                        "itcgCyclScnCd": "1",
                        "percent": "0.02"
                    }
                ]
            }
        }
    },

    "RNW-RPR-3002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcMyAutoqRnwResDto": {
                    "ycjExrsYn": "Y",
                    "k9ExrsYn": "Y",
                    "mapXcooNm": "127.0411661",
                    "mapYcooNm": "37.474808",
                    "acps1Cd": "C",
                    "acps1Nm": "종합",
                    "asnCd": "AK1100",
                    "asnNm": "현대강남서비스(주)",
                    "jurdAscCd": "203000",
                    "jurdAscNm": null,
                    "pbzAdr": null,
                    "repnTn": "02 11111900",
                    "distance": "1200",
                    "mobAppPrctTim": "A",
                    "reSerVeYn": "N",
                    "wkPrvs02PsblYn": "N",
                    "gmq": "Y",
                    "bizStrtCtm": "0830",
                    "bizFnhCtm": "1830",
                    "bizSbc": "08:30 ~ 18:30",
                    "specifics": "안녕하세요~ 반가워요~ 잘 있어요~ 또 다시 만나요~"
                }
            }
        }
    },
    "RNW-RPR-3003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqYmdRnwResListDto": [
                    {
                        "sumCnt": "1",
                        "ymd": moment().format("YYYYMMDD"),
                        "timeList": [
                            { "goalPrctCt": "18:00", "time": "string" }
                        ]
                    },
                    {
                        "sumCnt": "1",
                        "ymd": COMMON_FUNCTION.TOOL.DATA.addBusinessDays(2, moment()).format("YYYYMMDD"),
                        "timeList": [
                            { "goalPrctCt": "18:00", "time": "string" }
                        ]
                    },
                    {
                        "sumCnt": "1",
                        "ymd": COMMON_FUNCTION.TOOL.DATA.addBusinessDays(3, moment()).format("YYYYMMDD"),
                        "timeList": [
                            { "goalPrctCt": "18:00", "time": "string" }
                        ]
                    }
                ]
            }
        }
    },
    "RNW-RPR-3004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRegRnwResDto": {
                    "regYn": "Y",
                    "prctCdNo": "string",
                }
            }
        }
    },
    "RNW-RPR-4002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRegRnwResDto": {
                    "regYn": "Y",
                    "inetPkupPrctNo": "string",
                }
            }
        }
    },
    "RNW-RPR-5001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRsvListRnwResDto": [{
                    "prctCdNo": "string",
                    "ceqPrctStNm": "string",
                    "asnNm": "string",
                    "prctCdtm": "string",
                    "carRegNo": "string",
                    "mdlNm": "string",
                }]
            }

        }
    },
    "RNW-RPR-5002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRsvDtlRnwResDto": {
                    "prctCdNo": "string",
                    "ceqPrctStNm": "string",
                    "prctCdtm": "string",
                    "asnCd": "string",
                    "asnNm": "string",
                    "cdValSbc": "string",
                    "carRegNo": "string",
                    "mdlNm": "string",
                    "prctSbc": "string",
                }
            }
        }
    },
    "RNW-RPR-5003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRegRnwResDto": {
                    "regYn": "Y",
                    "prctCdNo": "string",
                }
            }
        }
    },
    "RNW-RPR-5004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcDtdRsvListRnwResDto": [{
                    "inetPkupPrctNo": "string",
                    "scnNm": "string",
                    "acqRqYmd": "string",
                    "mdlNm": "string",
                    "carRgstNo": "string",
                }]
            }
        }
    },
    "RNW-RPR-5005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRegRnwResDto": {
                    "inetPkupPrctNo": "string",
                    "hpNo": "string",
                    "scnNm": "string",
                    "mdlNm": "string",
                    "carRgstNo": "string",
                    "vin": "string",
                    "acqPlNm": "string",
                    "dlgPlNm": "string",
                    "acqRqYmd": "string",
                    "etcSbc": "string",
                    "pgsstNm": "string",
                }
            }
        }
    },
    "RNW-RPR-5006": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcAutoqRegRnwResDto": {
                    "regYn": "Y",
                    "prctCdNo": "string",
                }
            }
        }
    },
    "RNW-RPR-6001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcRprHistRnwResDto": {
                    "roNo": "string",
                    "wkStrtCdt": "string",
                    "trvgDist": "string",
                    "timpWkNm": "string",
                    "asnNm": "string",
                    "ceqRqprNm": "string",
                    "repairHistDtlList": [{
                        "wkCd": "string",
                        "wkNm": "string",
                        "wkQty": "string",
                        "dcPhbYn": "string",
                    }]
                }
            }
        }
    },
    "RNW-RPR-6002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carSvcPridRprRnwResDto": {
                    "checkYearCnt": "string",
                    "nextReleasedDt": "string",
                    "dDay": "string",
                    "prodRprList": [{
                        "periodicYear": "string",
                        "periodicDate": "string",
                    }]
                }
            }
        }
    },
    "RNW-RPR-6003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                //작성중
            }
        }
    },
    "RNW-RPR-7001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carCareServiceListRnwResDto": [{
                    "svcNo": "string",
                    "svcStartDtm": "string",
                    "svcEndDtm": "string",
                    "svcNm": "string",
                    "lingUrl": "string",
                    "orgnFileNm": "string",
                    "savedFileNm": "string",
                    "savedFilePath": "string",
                }]
            }
        }
    },
    "RNW-RPR-2007": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carMainAutoqRnwResDto": {
                    "updYn": "string",
                }
            }
        }
    },
    "RNW-RPR-8001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "freeCareYN": "Y",
                "freeCareCnt": "6",
                "freeCareListRnwResDto": [
                    {
                        "pckgNm": "THE K9 브레이크오일",
                        "cdValNm": "브레이크 오일 교환",
                        "apimOft": "1",
                        "vinCnt": "0",
                        "salePckgCd": "31",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "N",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    },
                    {
                        "pckgNm": "THE K9 와이퍼블레이드",
                        "cdValNm": "와이퍼 블레이드",
                        "apimOft": "2",
                        "vinCnt": "0",
                        "salePckgCd": "28",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "N",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    },
                    {
                        "pckgNm": "THE K9 DOOR to DOOR",
                        "cdValNm": "도어 투 도어",
                        "apimOft": "10",
                        "vinCnt": "0",
                        "salePckgCd": "30",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "Y",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    },
                    {
                        "pckgNm": "THE K9 프론트 브레이크 패드",
                        "cdValNm": "브레이크패드(프론트)",
                        "apimOft": "1",
                        "vinCnt": "0",
                        "salePckgCd": "25",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "N",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    },
                    {
                        "pckgNm": "THE K9 네비게이션 업그레이드",
                        "cdValNm": "네비게이션 업그레이드",
                        "apimOft": "4",
                        "vinCnt": "0",
                        "salePckgCd": "29",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "N",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    },
                    {
                        "pckgNm": "THE K9 엔진오일",
                        "cdValNm": "엔진오일",
                        "apimOft": "5",
                        "vinCnt": "0",
                        "salePckgCd": "21",
                        "vin": "KNAS2418BKS002001",
                        "dtdYn": "N",
                        "saleCnt": "20180418",
                        "grnYmd": "2023-04-18 00:00:00",
                        "rprYn": null,
                        "trvgDist": "120000"
                    }
                ]
            }

        },
    },

    /* HOME_인사이트 */
    "RNW-HOM-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "rprInstCd": "MTA001",//MTA001,MTA002,CHR001,CHR002,REF001
                "rprInstMsg1": "차량 주행 전",
                "rprInstMsg2": "차량 정비를 해 주세요.",
                "genInstCd": "WEA006",// ETC001: 생일 ETC002: 새해 ETC003: 성탄절, WEA001 ~ WEA006 : 날씨
                "genInstMsg1": '%사용자명 님',
                "genInstMsg2": "오늘도 안전 운행 하세요 :)",
                "rprCarInstInfo": {
                    "fpWkScnCd": "string",
                    "whotParrDtm": "string",
                    "autoqDetailInfo": {
                        "asnCd": "string",
                        "asnNm": "string",
                        "pbzAdr": "string",
                        "acps1Nm": "string",
                        "repnTn": "string",
                        "bizSbc": "string",
                        "mapXcooNm": "string",
                        "mapYcooNm": "string",
                        "specifics": "string",
                    },
                    "autoCamInfo": {
                        "trtmYmd": "string",
                        "asnNm": "string",
                        "camId": "string",
                        "rgstLftCd": "string",
                        "vin": "string",
                        "atcmId": "string",
                        "atcmEbc": "string",
                        "viewCnt": "string",
                        "repnAsnCd": "string",
                        "trtmSn": "string",
                    }
                }
            }
        }
    },

    /* HOME_미로그인고객 AND HOME_차량미보유고객*/
    "RNW-HOM-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "rspCd": null,
                "rspMessage": null,
                "reqUnqNo": null,
                "newCarListRnwResDto": [
                    {
                        "prContNm": "스팅어",
                        "dispNo": 1,
                        "linkUrl": "https://www.kia.com/kr/vehicles/stingermeister/microsite.html",
                        "irsLinkYn": "N",
                        "mdlCd": null,
                        "mdlGbnCcd": null,
                        "mdlNm": null,
                        "displacement": null,
                        "mileage": null,
                        "gasYn": null,
                        "elecYn": null,
                        "dieselYn": null,
                        "orgnFileNm": "20201103165604706.png",
                        "savedFileNm": "20201103165604706.png",
                        "savedFilePath": "/uploadFiles/tempImage/2020/11/3/16/"
                    },
                    {
                        "prContNm": "K9 PE",
                        "dispNo": 1,
                        "linkUrl": "https://www.kia.com/kr/vehicles/thenewk9/microsite.html",
                        "irsLinkYn": "N",
                        "mdlCd": null,
                        "mdlGbnCcd": null,
                        "mdlNm": null,
                        "displacement": null,
                        "mileage": null,
                        "gasYn": null,
                        "elecYn": null,
                        "dieselYn": null,
                        "orgnFileNm": "20210614152757984.png",
                        "savedFileNm": "20210614152757984.png",
                        "savedFilePath": "/uploadFiles/tempImage/2021/6/14/15/"
                    },
                    {
                        "prContNm": "모하비1",
                        "dispNo": 2,
                        "linkUrl": "https://www.kia.com/kr/vehicles/mohave/features.html",
                        "irsLinkYn": "N",
                        "mdlCd": null,
                        "mdlGbnCcd": null,
                        "mdlNm": null,
                        "displacement": null,
                        "mileage": null,
                        "gasYn": null,
                        "elecYn": null,
                        "dieselYn": null,
                        "orgnFileNm": "2020110316564795.png",
                        "savedFileNm": "2020110316564795.png",
                        "savedFilePath": "/uploadFiles/tempImage/2020/11/3/16/"
                    }
                ]
            }

        }
    },

    /* HOME_차량미보유고객 */
    "RNW-HOM-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "rspCd": "0000",
                "rspMessage": null,
                "reqUnqNo": null,
                "deleteCarListRnwResDto": [
                    {
                        "delDateCount": "19",
                        "vin": "KNACG81AFET000880",
                        "delRgstNo": "103983",
                        "ckRcdNm": "레이",
                        "existNo": "Y",
                        "carNo": "49모3389",
                        "dlvDy": "20131031",
                        "yytp": null,
                        "alpTmScnCd": null,
                        "missnNm": null,
                        "baegi": "0",
                        "useFuel": null,
                        "fmyMgmtAdmsYn": "N"
                    },
                    {
                        "delDateCount": "19",
                        "vin": "KNACG81AFET000880",
                        "delRgstNo": "103984",
                        "ckRcdNm": "레이",
                        "existNo": "N",
                        "carNo": null,
                        "dlvDy": "20131031",
                        "yytp": "201310",
                        "alpTmScnCd": null,
                        "missnNm": null,
                        "baegi": "0",
                        "useFuel": null,
                        "fmyMgmtAdmsYn": "N"
                    }
                ]
            }

        }
    },
    "RNW-HOM-2003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "rspCd": "0000",
                "rspMessage": "정상",
                "reqUnqNo": "1646549190913TTAPP",
                "rcvyYn": "Y"
            }
        }
    },

    /* HOME_차량보유고객 */
    "RNW-HOM-4001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "setupYn": "Y"
            }
        }
    },
    "RNW-HOM-4002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "recallCnt": "1",
                "recallListRnwResDto": [
                    {
                        "priInsINo": "K20006RD",
                        "priInsNm": "K5(DL3)_MDPS 이음 그리스 도포 ",
                        "causPno": "56390L2020",
                        "oldFileName": "K20006RD.pdf",
                        "newFileName": "https://ksw.kia.co.kr/as/comm/selectImageView.do?attcFilNm=1mu112G%2BJ2oxRBVPOY3UkdNr1kUCxWgfkRvCTQRxGy54F6MmGNsZu7eDRinkT7dtZ%2FC1TYE7WfFLAYrnQPAG9g%3D%3D",
                        "priInsTmnCdt": null
                    }
                ]
            }
        }
    },
    "RNW-HOM-4003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "carOwnInfo": {
                    "ownName": "이지은",
                    "ownBrdyDt": "19881117",
                    "ownCmsrNo": "A201706290000753"
                },
                "realDriverList": [{
                    "rdmId": "jmd@ksmartech.com",
                    "inetMbrId": "ljeun@ksmartech.com",
                    "rdmRelCd": "99",
                    "mbrNm": "정목단",
                    "brdyDt": "19990101",
                    "csmrMgmtNo": "string",
                    "chmbOnrAgrYn": "string",
                    "chmbCrorAgrYn": "string",
                    "vin": "KNACC81GFNA153788"
                }]
            }
        }
    },
    "RNW-HOM-4004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "실운행자삭제 성공",
                "delYn": "Y"
            }
        }
    },
    "RNW-HOM-4005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "mbrNm": "신동민",
                "iamMbrId": "enjoymins@kakao.com",
                "csmrMgmtNo": "A202201100000003"
            }
        }
    },
    "RNW-HOM-4006": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "insYn": "Y"
            }
        }
    },
    "RNW-HOM-4007": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "warrantInfoRnwResDto": {
                    "warrantYCnt": "1",
                    "warrantYList": [
                        {
                            "partLigNm": "string",
                            "partLigCd": "string",
                            "carGrnCmplCdt": "20220430",
                            "grnRprTrvgDist": "string",
                            "warrantYN": "string"
                        }
                    ],
                    "warrantNCnt": "2",
                    "warrantNList": [
                        {
                            "partLigNm": "string",
                            "partLigCd": "string",
                            "carGrnCmplCdt": "20210430",
                            "grnRprTrvgDist": "49765",
                            "warrantYN": "string"
                        },
                        {
                            "partLigNm": "string",
                            "partLigCd": "string",
                            "carGrnCmplCdt": "20210612",
                            "grnRprTrvgDist": "49765",
                            "warrantYN": "string"
                        }
                    ]
                }
            }
        }
    },
    "RNW-HOM-5001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carInfoSelectRnwResDto": {
                    "repnCd": "string",
                    "carRgstNo": "string",
                    "whotYmd": "string",
                    "engXhstQty": "string",
                    "fuelNm": "string",
                    "mission": "string",
                    "useGb": "string",
                    "carNm": "string",
                }
            }
        }
    },
    "RNW-HOM-5002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carUseCodeRnwResDto": [{
                    "ccd": "string",
                    "ccdNm": "string",
                }]
            }
        }
    },
    "RNW-HOM-5003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carFuelCodeRnwResDto": [{
                    "ccd": "string",
                    "ccdNm": "string",
                }]
            }
        }
    },
    "RNW-HOM-5004": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carInfoUpdRnwResDto": {
                    "updYn": "string",
                }
            }
        }
    },
    "RNW-HOM-5005": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "ckbCarDelRnwResDto": {
                    "delYn": "string",
                }
            }
        }
    },
    "RNW-HOM-6001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "specGroupListRnwResDto": [
                    {
                        "cateNm": "제원",
                        "specInfoListRnwResDto": [
                            {
                                "optOrder": "1",
                                "cate1": "카테고리1",
                                "cate2": "카테고리2",
                                "optCode": "스펙코드",
                                "optName": "스펙명"
                            }
                        ]
                    }
                ]
            }

        }
    },
    "RNW-HOM-7001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carContInfoRnwResDto": {
                    "contNo": "string",
                    "totSalAmt": "string",
                    "tpAmt": "string",
                    "contDy": "string",
                    "dlvDy": "string",
                    "krspcNm": "string",
                    "empNm": "string",
                }
            }
        }
    },
    "RNW-HOM-7002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carPayInfoRnwResDto": {
                    "carPce": "999000000",
                    "cnsgSalsAmt": "999999",
                    "dcAmt": "-900000",
                    "spntRcpsAmt": "-90000",
                    "alpPRcpsAmt": "-9999",
                    "crdPRcpsAmt": "0",
                    "istmIntRt": "99999",
                    "istmIntVat": "900000",
                    "whotPreRcpsAmt": "100000000",
                    "n1RcpsAmt": "100000000",
                    "istbPrnpAmt": "100000000",
                    "spntAmt": "-90000",
                    "alpPAmt": "-70000",
                    "crdPAmt": "-34500",
                    "istaPrnpAmt": "6999900000",
                    "csmrNm": "이지은",
                    "saleMdlNm": "니로",
                    "whotYmd": "20220331",
                    "slpsNm": "홍길동",
                    "ordCarCsmrNo": "string",
                    "saleCnttNo": "CI322DE000038",
                    "brNm": "가산동",
                    "brTn": "70000000",
                    "dagnNm": "나이스카",
                    "dagnTn": "234832095"
                }
            }
        }
    },

    /* EV_충전소 */
    "RNW-EVC-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "evMyChgrSchRnwResDto": [
                    {
                        "bid": "HE",
                        "sid": "000423",
                        "bName": "한국전기차충전서비스",
                        "name": "하나로마트 양재점",
                        "dAddr": "서울특별시 서초구 청계산로",
                        "dAddrDtl": null,
                        "lat": "37.462411",
                        "lng": "127.042882"
                    },
                    {
                        "bid": "PI",
                        "sid": "000348",
                        "bName": "차지비",
                        "name": "서울시 양재2동 주민센터",
                        "dAddr": "서울특별시 서초구 강남대로12길 44",
                        "dAddrDtl": null,
                        "lat": "37.470644",
                        "lng": "127.041284"
                    },
                    {
                        "bid": "EP",
                        "sid": "190028",
                        "bName": "(주)이카플러그",
                        "name": "관악 리베라CC",
                        "dAddr": "경기도 화성시 중리길 183",
                        "dAddrDtl": "주차장",
                        "lat": "37.190297",
                        "lng": "127.112820"
                    }
                ]
            }
        }
    },
    "RNW-EVC-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "evMyChgrRegRnwResDto": {
                    "regDelYn": "Y",
                }
            }
        }
    },
    "RNW-EVC-2001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "evChgrListRnwResDto": [{
                    "bid": "string",
                    "sid": "string",
                    "bName": "string",
                    "name": "string",
                    "dAddr": "string",
                    "dAddrDtl": "string",
                    "bCall": "string",
                    "useTime": "string",
                    "chgrType": ["string", "string"],
                    "status": "string",
                    "dist": "string",
                }]
            }
        }
    },
    "RNW-EVC-2002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "evChgrDtlRnwResDto": {
                    "bid": "CV",
                    "sid": "000001",
                    "bName": "대영채비(주)",
                    "name": "사천종합운동장",
                    "dAddr": "경상남도 사천시 사천읍 구암두문로 86",
                    "dAddrDtl": "string",
                    "bCall": "1522-2573",
                    "useTime": "24시간 이용가능",
                    "dist": "225.8",
                    "rpdChgrCnt": "1",
                    "slwChgrCnt": "0",
                    "dcCmbCnt": "1",
                    "dcDmCnt": "1",
                    "acCnt": "1",
                    "acSlwCnt": "0",
                    "myChgrYn": "N",
                },
                "chargerList": [{
                    "cid": "01",
                    "fee": "string",
                    "reservYn": "N",
                    "chgrType": "06",
                    "status": "2",
                    "updateTime": "string",
                }]
            }
        }
    },

    /* 기아스토리 */
    "RNW-KAS-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "evtInfoListRnwResDto": [{
                    "evtNo": "string",
                    "evtClsCcd": "string",
                    "evtStartDtm": "string",
                    "evtEndDtm": "string",
                    "evtNm": "string",
                    "state": "string",
                    "lingUrl": "string",
                    "orgnFileNm": "string",
                    "savedFileNm": "string",
                    "savedFilePath": "string",
                }]
            }
        }
    },
    "RNW-KAS-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "srvyListRnwResDto": [{
                    "srvyNo": "string",
                    "srvyStartDtm": "string",
                    "srvyEndDtm": "string",
                    "srvyDesc": "string",
                    "qCnt": "string",
                    "ansCnt": "string",
                    "state": "string",
                    "dDay": "string",
                }]
            }
        }
    },
    "RNW-KAS-1003": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "kiaNewsHeadRnwResDto": [{
                    "seq": "string",
                    "startDtm": "string",
                    "startH": "string",
                    "startM": "string",
                    "endDtm": "string",
                    "endH": "string",
                    "endM": "string",
                    "linkUrl": "string",
                    "title": ["string", "string"],
                    "evtNo": "string",
                    "dispNo": "string",
                    "irsLinkYn": ["string", "string"],
                    "linkUrlGbnCcd": "string",
                    "useYn": "string",
                    "ccdNm": "string",
                    "savedFileNm": "string",
                    "savedFilePath": "string",
                }],
                "kiaNewsListRnwResDto": [{
                    "seq": "string",
                    "startDtm": "string",
                    "startH": "string",
                    "startM": "string",
                    "endDtm": "string",
                    "endH": "string",
                    "endM": "string",
                    "linkUrl": "string",
                    "title": ["string", "string"],
                    "evtNo": "string",
                    "dispNo": "string",
                    "irsLinkYn": ["string", "string"],
                    "linkUrlGbnCcd": "string",
                    "useYn": "string",
                    "ccdNm": "string",
                    "savedFileNm": "string",
                    "savedFilePath": "string",
                }]
            }
        }
    },

    /* 차량구매 */
    "RNW-CRS-1001": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "populCarListRnwResDto": [{
                    "prContNm": "더 뉴 카니발",
                    "dispNo": 1,
                    "linkUrl": "https://www.naver1.com",
                    "irsLinkYn": "N",
                    "mdlCd": "21",
                    "mdlGbnCcd": "RV",
                    "mdlNm": "더 뉴 카니발",
                    "displacement": "1",
                    "mileage": "1",
                    "gasYn": "Y",
                    "elecYn": "N",
                    "dieselYn": "N",
                    "orgnFileNm": "2021081114425923.png",
                    "savedFileNm": "2021081114425923.png",
                    "savedFilePath": "/uploadFiles/tempImage/2021/8/11/14/"
                },
                {
                    "prContNm": "더 뉴 카니발",
                    "dispNo": 1,
                    "linkUrl": "https://www.naver1.com",
                    "irsLinkYn": "N",
                    "mdlCd": "21",
                    "mdlGbnCcd": "RV",
                    "mdlNm": "더 뉴 카니발",
                    "displacement": "1",
                    "mileage": "1",
                    "gasYn": "Y",
                    "elecYn": "N",
                    "dieselYn": "N",
                    "orgnFileNm": "2021081114425923.png",
                    "savedFileNm": "2021081114425923.png",
                    "savedFilePath": "/uploadFiles/tempImage/2021/8/11/14/"
                }]
            }
        }
    },

    "RNW-CRS-1002": {
        response: {
            "head": _MOCK_COMMON_HEAD,
            "body": {
                "resultCode": "200",
                "resultMsg": "success",
                "carMdlListRnwResDto": [{
                    "cateCd": "string",
                    "ccdNm": "string",
                    "carMdlList": [{
                        "dispNo": "string",
                        "mdlCd": "string",
                        "mdlNm": "string",
                        "linkUrl": "string",
                        "mdlYearCd": "string",
                        "sptdAppOsCcd": "string",
                        "sptdAppInfo": "string",
                        "orgnFileNm": "string",
                        "savedFileNm": "string",
                        "savedFilePath": "string",
                    }]
                }]
            }
        }
    },

    /** !START: AS-IS API 되도록 직접 연결 사용하기 */
    "getResCheckService": {
        response: {
            body: {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.호출[1]회",
                "data": "gwFyti1eSn3bgbXVrRQXKuG3OYKB7Ue4By13rrNAGjcX42YuzosW4992mUtefKGcL5FFlE0tTL4cY+tIMFTLnJzp4hryv+Aalimksk/hJOqE7IHX5EwN3omYlsABCsSkFmb4rzmDK8LAuSG6wOI1FA=="
                /* 복호화 : {"resultCode":"200","message":"Success","sendCode":"W110i5","data":"01","serviceJoinDate":null}*/
            }
        }
    },
    "couponSelect": {
        response: {
            body: {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "couponListResDto": [{
                    "regResult": "string",
                    "cponNo": "string",
                    "mbrId": "string",
                    "cponStartDt": "20220323",
                    "cponEndDt": "20230423",
                    "cponNm": "mock쿠폰",
                    "cponDownYn": "N",
                    "cponRec": "string",
                    "cponDesc": "string",
                    "cponType": "1",
                    "cponPri": "3000",
                    "seqNo": "1",
                    "limitYncponTit": "string",
                    "cponLoc": "string",
                    "evtNo": "string",
                }, {
                    "regResult": "string",
                    "cponNo": "string",
                    "mbrId": "string",
                    "cponStartDt": "20220323",
                    "cponEndDt": "20230423",
                    "cponNm": "mock쿠폰2",
                    "cponDownYn": "N",
                    "cponRec": "string",
                    "cponDesc": "N",
                    "cponType": "3",//1,2,가 아니면 다운로드임
                    "cponPri": "30",
                    "seqNo": "2",
                    "limitYncponTit": "string",
                    "cponLoc": "string",
                    "evtNo": "string",
                }, {
                    "regResult": "string",
                    "cponNo": "string",
                    "mbrId": "string",
                    "cponStartDt": "20220323",
                    "cponEndDt": "20230423",
                    "cponNm": "mock쿠폰2",
                    "cponDownYn": "Y",
                    "cponRec": "string",
                    "cponDesc": "string",
                    "cponType": "3",//1,2,가 아니면 다운로드임
                    "cponPri": "30",
                    "seqNo": "2",
                    "limitYncponTit": "string",
                    "cponLoc": "string",
                    "evtNo": "string",
                }]
            }
        }
    },
    "couponDetailSelect": {
        response: {
            body: {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "regResult": "string",
                "cponNo": "string",
                "mbrId": "string",
                "cponStartDt": "20220323",
                "cponEndDt": "20230423",
                "cponNm": "mock쿠폰2",
                "cponDownYn": "N",
                "cponPrec": "string",
                "cponRec": "string",
                "cponDesc": "string",
                "cponType": "3",//1,2,가 아니면 다운로드임
                "cponPri": "30",
                "seqNo": "2",
                "limitYn": "string",
                "cponTit": "couponTypeTitle",
                "cponLoc": "string",
                "evtNo": "string",
            }

        }
    },
    "cponReg": {
        response: {
            body: {
                "resultCode": "200",
                "resultMsg": "정상적으로 처리 되었습니다.",
                "regResult": "0005",//쿠폰모두 소진
                // "regResult":"???",//쿠폰발급
            }
        }
    },
    /** !END: AS-IS API 되도록 직접 연결 사용하기 */

    /** !START: AS-IS DATA-HUB API */
    "carMaster": {
        response: {
            master: true,
            carId: "c10b0af1-d029-4e35-a693-81c15ddbd3ef"
        }
    },
    "registerVehicle": {
        response: {
            cars: [{
                "carId": "c10b0af1-d029-4e35-a693-81c15ddbd3ef",
                "carGrantType": 2,
                "carName": "벨농이 테스트"
            },],
        },
    },
    "vehicle": {
        response: {
            "cars": [
                {
                    "carId": "e285f0f7-ab4d-4ed4-95fd-525c6468650e", // 제네시스 APP에서 사용할 carId 값
                    "carName": "벨농이 테스트",
                    "carType": "HEV",
                    "carGrantType": 2,
                    "masterCarId": "c10b0af1-d029-4e35-a693-81c15ddbd3ef", // GCS에서 사용 하는 carId 값
                    "createDate": "20200730T151624.098",
                    "carShare": 0,
                    "enable": 4,
                    "vehicleName": "벨로스터(JS N)",
                    "genType": "GEN2",
                    "tmuModel": "MTS-L687K",
                    "carUserProfile": true,
                    "vehicleType": 0,
                    "licensePlateNum": "-",
                    "index": 0,
                    "subscribeDate": "",
                    "telecomCd": "KTF",
                    "detailInfo": {
                        "bodyType": "1",
                        "saleCarmdlCd": "JSV",
                        "inColor": "NNB",
                        "outColor": "MZH",
                        "saleCarmdlEnNm": "VELOSTER"
                    }
                }
            ]
        }

    },
    "agreements": {
        response: {
            "status": "success",
            "result_code": "0",
            "result_message": "success",
            "data": {
                "id": 15,
                "userId": null,
                "carId": "76268074-79f5-4df7-ae5e-9e69591bb3a4",
                "ccsSubAgreeYn": 1,
                "ccsSubAgreeUpdateDate": "2021-02-18T01:28:44.000Z",
                "ubiSubAgreeYn": 1,
                "ubiSubAgreeUpdateDate": "2021-02-18T01:28:44.000Z",
                "expandableAgreeYn": 0,
                "expandableAgreeUpdateDate": null,
                "consignAgreeYn": 0,
                "consignAgreeUpdateDate": "2021-02-18T01:28:44.000Z",
                "expired": null,
                "created": "2021-02-18T01:28:44.000Z",
                "updated": "2021-02-18T01:28:44.000Z",
                "ubiAgreeYn": 1,
                "ubiSupportYn": 1,
                "breakPadSupportYn": 0,
                "engineOilSupportYn": 0,
                "result": 1
            }
        }
    },
    "agreementsWeb": { response: {} },
    "web": { response: {} },
    "safeDriveWeb": { response: {} },
    "odometer": {
        response: {
            "odometers": [
                {
                    "date": "20200115",
                    "timestamp": "20200114152139",
                    "value": 12320.2,
                    "unit": 1
                }
            ],
            "msgId": "655f3b1c-d19e-4e59-9706-4a7d82df3502"
        }
    },
    "dte": {
        response: {
            "timestamp": "20200114152139",
            "value": 32.3,
            "unit": 1,
            "msgId": "714dd6b9-af57-4c25-9630-0f0eef9175f9",
            // "phevTotalValue": 50,
            // "phevTotalUnit": 1,
        }
    },
    "target": { response: {} },
    "detail": { response: {} },
    "evStatus": { response: {} },
    "reserveData": {
        "status": "success",
        "result_code": "0",
        "result_message": "success",
        "response": {
            data: [{
                serviceId: "245e2b00-0772-4a7d-88ba-974bde7912db",
                reserveStartDate: "20220410234955",
                productName: "차량 도어 제어"

            }, {
                serviceId: "599de56f-a9d1-4d57-b358-bab6623a36a8",
                reserveStartDate: "20220410234955",
                productName: "차량 도어 제어"

            }, {
                serviceId: "599de56f-a9d1-4d57-b358-bab6623a36a8",
                reserveStartDate: "20220410234955",
                productName: "차량 도어 제어"
            }]
        }
    },
    "dkcWeb": { response: {} },
    "fuelLevel": {
        response: {
            "timestamp": "20200114152139",
            "fuelLevel": 82,
            "msgId": "11e77efa-aff0-4b3c-a5a0-c4cde4674963"
        }
    },
    "parklocation": {
        response: {
            "lat": 37.46386944,
            "lon": 127.0429888,
            "type": "0",
            "timestamp": "20200114152139",
            "msgId": "11e77efa-aff0-4b3c-a5a0-c4cde4674963"
        }
    },
    "dtc": {
        response: {
            "dtcList": [/*{
                "timestamp": "20200114152139",
                "dtcType": "에어백 제어 시스템",
                "description": "시동을 키고 6초 동안 경고등이 켜지지 않거나, 6초 후에도 경고등이 꺼지지 않거나 주행 중에 경고등이 켜지면 에어백 및 프리텐셔너 시트벨트 장치에 이상이 있는 것이므로 가까운 자사 직영 서비스센터나 지정정비센터에서 점검을 받으십시오.",
                "dtcCnt": 2
            }*/],
            "msgId": "11e77efa-aff0-4b3c-a5a0-c4cde4674963"
        }
    },
    "evBattery": {
        response: {
            "soc": 100,
            "timestamp": "20200701101011",
            "msgId": "bc0b86cb-f9bc-4013-b9ca-e353894a341a"
        }
    },
    "evDte": {
        response: {
            "dte": 168,
            "type": 2,
            "distance": {
                "value": 75,
                "unit": 1
            },
            "timestamp": "20200701101011",
            "msgId": "bc0b86cb-f9bc-4013-b9ca-e353894a341a"
        }
    },
    "evCharging": {
        response: {
            "batteryPlugin": 1,
            "batteryCharge": true,
            "soc": 51,
            "targetSOC": {
                "plugType": 0,
                "targetSOClevel": 80,
            },
            "remainTime": {
                "value": 17,
                "unit": 1
            },
            "timestamp": "20200701101011",
            "msgId": "bc0b86cb-f9bc-4013-b9ca-e353894a341a"
        }
    },
    "ubiDetail": {
        response: {
            "agreeDate": "2020.11.06 05:34:31",
            "scoreDate": "2020.11.18 11:17:04",
            "safetyDrvScore": 60,
            "prevSafetyDrvScore": 72,
            "safetyDrvScoreDiff": -12,
            "isDiscountYn": "Y",
            "distribution": 10,
            "modelDistribution": 21,
            "insightMsg": "최고의 모범 안전 운전자입니다.\r\n안전운전 유지하시고 자동차 보험 혜택을 받아보세요!\r\n\(최대 12% 할인\)",
            "brstAccGrade": "NORMAL",
            "brstAccCount": 3,
            "brstAccDelCount": 0,
            "brstDecGrade": "NORMAL",
            "brstDecCount": 7,
            "brstDecDelCount": 0,
            "nightDrvGrade": "EXCELLENCE",
            "nightDrvCount": 0,
            "nightDrvDelCount": 0,
            "rangeDrvDist": 360,
            "daysFromFirstTrip": 90,
            "safetyDrvScore100": 74,
            "safetyDrvScore300": 87,
            "safetyDrvScore500": 87,
            "safetyDrvScore700": 87,
            "safetyDrvScore1000": 100,
            "brstAccCntDecrease": 0,
            "brstDecCntDecrease": 5,
            "msgId": "11e77efa-aff0-4b3c-a5a0-c4cde4674963"
        }
    },
    /** !END: AS-IS DATA-HUB API */
    /** !START: ROUTO API 통신이상 없음 그냥 가이드임 */
    "destination": {
        "ResultCode": 0,
        "RPOption": {
            "RouteOption": 1,
            "GuideOption": 1
        },
        "RouteSummary": {
            "TotalDistance": 223,
            "TotalTime": 199
        },
        "RouteLink": [
            {
                "compl": 1,
                "eIdx": 2,
                "envir": 1,
                "facil": 1,
                "sIdx": 1,
                "type": 7
            },
            {
                "compl": 1,
                "eIdx": 4,
                "envir": 1,
                "facil": 2,
                "sIdx": 3,
                "type": 4
            },
            {
                "compl": 1,
                "eIdx": 6,
                "envir": 1,
                "facil": 1,
                "sIdx": 5,
                "type": 7
            }
        ],
        "RouteGuide": [
            {
                "Idx": 0,
                "dir": 21,
                "facil": 0,
                "linkIdx": 0,
                "name": "startPoint",
                "ngDist": 42,
                "ngTime": 37
            },
            {
                "Idx": 1,
                "dir": 21,
                "facil": 1,
                "linkIdx": 0,
                "ngDist": 97,
                "ngTime": 87
            },
            {
                "Idx": 2,
                "crossCnt": 1,
                "dir": 23,
                "facil": 2,
                "linkIdx": 1,
                "ngDist": 23,
                "ngTime": 20
            },
            {
                "Idx": 4,
                "dir": 23,
                "facil": 1,
                "linkIdx": 2,
                "name": "goalPoint",
                "ngDist": 103,
                "ngTime": 92
            }
        ],
        "RouteShape": [
            {
                "x": 127.04266357421875,
                "y": 37.464359283447266
            },
            {
                "x": 127.042905474992,
                "y": 37.46403406280354
            },
            {
                "x": 127.04371282694446,
                "y": 37.46463457530278
            },
            {
                "x": 127.04371282694446,
                "y": 37.46463457530278
            },
            {
                "x": 127.043874885725,
                "y": 37.4644671262
            },
            {
                "x": 127.043874885725,
                "y": 37.4644671262
            },
            {
                "x": 127.04301526991814,
                "y": 37.4638386778048
            },
            {
                "x": 127.0429916381836,
                "y": 37.463871002197266
            }
        ]
    }
    /** !END: ROUTO API */
}

var MockupAPIResponseProvider = function (targetAPI, delay, isToReject) {
    if (!delay) delay = COMMON_FUNCTION.TOOL.SECURITY.getRandom() * 300;
    var targetPath = targetAPI.apiId;
    return new Promise(function (resolve, reject) {
        setTimeout(function () {
            if (isToReject) reject();
            else {
                if (_MOCK_RES[targetPath]) {
                    resolve(_MOCK_RES[targetPath].response);
                } else reject(new Error("Target Mockup API not found at targetPath: " + targetPath));
            }
            ;
        }, 0)
    })
}
