function doNavigator(status, result){    
    clearSTTTimeout();
    customPopup.remove($('#sttPopUp')); //팝업삭제
    
    if(typeof result == "string" && result.indexOf("Plese Connect to Internet") != -1){
        MPopup.instance("인터넷을 확인 부탁드립니다.");
        return;
    }
    
    //STT 실행 결과로 네비게이터 실행
    M.plugin('page_navigator').search({
        message : result.message,
        input : "입력",
        callback : function(status, result){
            naviCommon(status, result);
        }
    });
}

/*   
 *   naviCommon : 네비게이터 콜백 함수 (**함수명 변경 금지**)
 *
 *   M.plugin('navigator').search(""); 형태로 callback 없이 api 호출시 
 *   라이브러리 단에서 자동으로 naviCommon 함수를 호출한다.
 *   
 */
var naviCommon = function (status, result){
    //결과에 대한 처리 샘플, 일반 페이지 이동 모드 일 때
    if(result.result == 'SUCCESS'){
        //결과값을 찍기 위한 샘플코드
        var resultData = result.data;
        var menuArray = resultData.menu;
        var itemArray = resultData.item;
        menuArray = _.uniq(menuArray, 'value');
        
        //메뉴이동이 필요할 경우
        if(menuArray.length > 0){
            if(menuArray.length > 1){
                var list = new Array();
                for(var key in menuArray){
                    var pageName = menuArray[key].value;
                    list.push({
                        title : (gaSendUrl[pageName] ? gaSendUrl[pageName].pageNm : menuArray[key].key),
                        value : key
                    });
                }

                MPopup.listSingle({
                    title : "어디로 이동 하길 원하십니까?",
                    list : list
                }, function(index, rowInfo){
                    if(index == 1){
                        checkPage(menuArray[rowInfo.value]);
                    }
                });
            }else{
                checkPage(menuArray[0]);
            }
        }else{
            MPopup.instance("원하시는 화면을 찾을 수 없습니다.");
        }
    }
}

var checkPage = function(menu){
    var menuValue = menu.value;
    var menuattr = menu.attr;
    var scenes = menu.scenes;
    var fillers = menu.fillers;
    var isWeb = false;
    var param = {};
    
    if(!isEmpty(CONSTANT.LINK_URL[menuValue]) && CONSTANT.LINK_URL[menuValue].TYPE == "AUTON"){
        param.rUrl = CONSTANT.LINK_URL[menuValue].URL;
        menuValue = "KIA_MOB_600_1000";
    }else if(!isEmpty(CONSTANT.LINK_URL[menuValue])){
        isWeb = true;
        menuValue = CONSTANT.LINK_URL[menuValue].URL;
    }

    if(!isWeb){
        if(PGV.currentPage ==  menuValue + ".html") return false;

        var _startIdx = menuValue.indexOf("_RNW_");
        menuValue = "../" + menuValue.substr(_startIdx+5, 3) + "/" + menuValue + ".html";
    }

    //menu.dat의 attr 값을 이용해 로그인 필요 페이지 여부 구분, 1이면 필요, 0이면 불필요
    if(menuattr == '1'){
        if(PGV.loginInfo){
            movePage(menuValue, isWeb, param);
        }else{ //필요하다면 로그인 페이지로
            MPopup.confirm({
                message : "로그인이 필요한 메뉴입니다.\n로그인 하시겠어요?",
                callback : function(idx){
                    if(idx == 1){ // 로그인 눌렀을때
                        //ccsp로그인
                        var param = {
                            returnLink : menuValue,
                            returnParams : {}
                        }
                        ccspLogin(param);
                        return;
                    }else{
                        return false;
                    }
                }
            });
        }
    }else{
        movePage(menuValue, isWeb, param);
    }
}

var movePage = function(url, isWeb, param){
    var _param = param || {};

    if(isWeb){
        MPage.activity({
            className : "WebviewActivity",
            param : {
                method : CONSTANT.NET_MTHD.GET,
                requestURL : url,
                postData : _param
            }
        });
    }else{
        MPage.html({
            url : url,
            param : _param
        });
    }
}
