/**
 * @파일명 : wnInterface.extends.js
 * @작성자 : 최정동
 * @생성일 : 2018. 7. 16. 오후 3:57:31
 * @메뉴명 :
 */

function checkPermission() {	//필수권한 체크
	if(getOSType().toLowerCase() == "android"){
		return WN2Common('exWNcheckPermission');
	}else{
		return 	"true";
	}
}

function checkPermissionAlertDialog() {	//필수권한 체크 시스템 팝업
	return WN2Common('exWNcheckPermissionAlertDialog');
}

function checkLocationPermission() {	//위치권한 체크
	return WN2Common('exWNcheckLocationPermission');
}

function reqLocationPermission() {	//위치권한 요구
	WN2Common('exWNreqLocationPermission');
}

function exWNEncryptString(src , key, ivkey){	// storage key,value 암호화
	if(arguments.length == 1){
		return WN2Common('exWNEncryptString', src, "", "");
	}else if(arguments.length == 2){
		return WN2Common('exWNEncryptString', src, key, "");
	}else if(arguments.length == 3){
		return WN2Common('exWNEncryptString', src, key, ivkey);
	}
}

function exWNEncryptStringBw(src , key, flag){	// storage key,value 암호화

	//if(MInfo.device().os.name.toLowerCase() == 'ios'){
	if(PGV.device.os.name.toLowerCase() == 'ios' || PGV.device.os.name.toLowerCase() == 'ipados'){
		return WN2Common('exWNEncryptStringBw', src, key); // 간편결제 때문에 추가 20190619
	}else{
		return WN2Common('exWNEncryptString', src, key, "");
	}
}

function exWNDecryptString(src, key, ivkey){	// storage key,value 복호화
	if(arguments.length == 1){
		return WN2Common('exWNDecryptString', src, "", "");
	}else if(arguments.length == 2){
		return WN2Common('exWNDecryptString', src, key, "");
	}else if(arguments.length == 3){
		return WN2Common('exWNDecryptString', src, key, ivkey);
	}
}

function exWNEncryptStringWithAutoN(src , key){	// storage key,value 암호화
	if(arguments.length == 1){
		return WN2Common('exWNEncryptStringWithAutoN', src, "");
	}else if(arguments.length == 2){
		return WN2Common('exWNEncryptStringWithAutoN', src, key);
	}
}

function exWNDecryptStringWithAutoN(src , key){	// storage key,value 암호화
	if(arguments.length == 1){
		return WN2Common('exWNDecryptStringWithAutoN', src, "");
	}else if(arguments.length == 2){
		return WN2Common('exWNDecryptStringWithAutoN', src, key);
	}
}
function exWNShowIndicator_back(msg){
	var loadingBar =null;
	if(exWNIsLiveIndicator() == "N"){
		var _msg = "";
		if(arguments.length == 1){
			_msg = msg;
		}
		commonLoadingBar();
		// $("body").append('<div class="loadingbar"><div class="loading-tie"><span></span><span></span><span></span></div></div>');
	}
	//프로그래스 바 타임 아웃
	clearTimeout(PGV.indicatorTimeout);
	PGV.indicatorTimeout = setTimeout(function(){
		exWNHideIndicator();
	}, CONSTANT.INDICATORTIMEOUT);
}

function exWNShowIndicator(msg){

	getCurrTimeKoLog("show");
	var loadingBar =null;
	if(exWNIsLiveIndicator() == "N"){
		var _msg = "";
		if(arguments.length == 1){
			_msg = msg;
		}
		commonLoadingBar();
		// $("body").append('<div class="loadingbar"><div class="loading-tie"><span></span><span></span><span></span></div></div>');
	}
	//프로그래스 바 타임 아웃
	clearTimeout(PGV.indicatorTimeout);
	PGV.indicatorTimeout = setTimeout(function(){
		exWNHideIndicator();
	}, CONSTANT.INDICATORTIMEOUT);
}

function exWNHideIndicator(){
	$('body').removeClass('js-overflow-hidden');
	$("div.loadingbar").remove();
	getCurrTimeKoLog("hide");
//	WN2Common("exWNHideIndicator");
}
function exWNIsLiveIndicator(){
	if($(".loadingbar").is(":visible")){
		return "Y";
	}else{
		return "N";
	}
}
function exWNIsLiveIndicator_back(){
	if($(".loadingbar").length > 0){
		if($(".loadingbar").css('display')==="none"){
			exWNHideIndicator();
			return "N";
		}else{
			return "Y";
		}
	}else{
		return "N";
	}
//	return WN2Common("exWNIsLiveIndicator");
}

function exWNGetGpsAuthCheck(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		return WN2Common("exWNGetGpsAuthCheck");
	} else{
		return "Y";
	}
}

function exWNMoveToSetting(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		WN2Common("exWNMoveToSetting");
	}
}

function exWNMoveToSettingMain(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		WN2Common("exWNMoveToSettingMain");
	}
}

function exWNShareFile(pathList){
    //if(MInfo.device().os.name != "pc"){
    if(PGV.device.os.name != "pc"){
        WN2Common("exWNShareFile", pathList);
    }
}

function exWNSystemGpsCheck(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		return WN2Common("exWNSystemGpsCheck");
	} else{
		return "Y";
	}
}

function exWNSystemNotiCheck(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		return WN2Common("exWNSystemNotiCheck");
	} else{
		return "Y";
	}
}

function exWNNetworkStatus(){
	//if(MInfo.device().os.name != "pc"){
	if(PGV.device.os.name != "pc"){
		return WN2Common("exWNNetworkStatus");
	} else{
		return "WIFI";
	}
}

function isAvailableFIDO() {	//fido사용 가능 단말인지 체크
    return WN2Common('exWNisAvailableFIDO');
}
//오토캠
function autoCamPlay(userId, userPw, camId, resultCallback) {
	//if(MInfo.device().os.name.toLowerCase() != 'ios'){
	if(PGV.device.os.name.toLowerCase() == 'android'){
		exWNShowIndicator();
		var callback = resultCallback||function(){};
		M.callback.set('autoCamPlay.onResult', callback);
		return WN2Common('exWNAutoCamLogin', userId, userPw, camId);
	}	
    
}

function onAutoCamPlay(code, msg, endYn){
 	M.callback.batch('autoCamPlay.onResult', code, msg, endYn);
 }
//오토캠 끝

function registFIDO(userId, authcode, resultCallback) {	//fido 등록
	if(userId != "" && authcode != ""){
		var callback = resultCallback||function(){};
		M.callback.set('registFIDO.onResult', callback);
		WN2Common('exWNregistFIDO', userId, authcode);
	}else{
		onRegistFIDO(9999, "파라미터를 확인해주세요.", "");
	}
}

function onRegistFIDO(code, errMessage, token){
	M.callback.batch('registFIDO.onResult', code, errMessage, token);
}

function deregistFIDO(userId, authcode, resultCallback) {	//fido 등록 해제 
	if(userId != "" && authcode != ""){
		var callback = resultCallback||function(){};
		M.callback.set('deregistFIDO.onResult', callback);
		WN2Common('exWNderegistFIDO', userId, authcode);
	}else{
		onDeregistFIDO(9999, "파라미터를 확인해주세요.");
	}
}

function onDeregistFIDO(code, errMessage){
	M.callback.batch('deregistFIDO.onResult', code, errMessage);
}

function authFIDO(userId, authcode, resultCallback) {	//fido 인증
	if(userId != "" && authcode != ""){
		var callback = resultCallback||function(){};
		M.callback.set('authFIDO.onResult', callback);
		WN2Common('exWNauthFIDO', userId, authcode);
	}else{
		onAuthFIDO(9999, "파라미터를 확인해주세요.", "");
	}
}

function onAuthFIDO(code, errMessage, token){
	M.callback.batch('authFIDO.onResult', code, errMessage, token);
}

function setServerUrlFIDO(serverurl, requrl, resurl, appversion) { //fido 서버주소 설정
	WN2Common('exWNsetServerUrlFIDO', serverurl, requrl, resurl, appversion);
}

function getFIDOFacetId(){	//fido FacetId 가져오기
	return WN2Common('exWNgetFIDOFacetId');
}

function getFCMToken(_token){	//FCM Token 가져오기
	var token = null;
	var _appOsCcd = wnIf.device == DT_ANDROID ? "AOS" : "IOS";
	if(_appOsCcd == "AOS"){
		if(isEmpty(_token)){
			WN2Common('exWNgetFCMToken');
			return;
		}else{
			token = _token;
		}
	}else{
		token = WN2Common('exWNgetFCMToken');
	}
	
	
	MData.global("FCMToken", token);
	return token;
}

function getSupportType(){ // 지문인지 faceId인지 확인 
	return WN2Common('exWNGetSupportType');
}

function exWNOpenKakaoNavigate(name, lat, lng){
	WN2Common('exWNOpenKakaoNavigate', name, lat, lng);
}

function exWNAutoCamLogin(info) {
    WN2Common('exWNAutoCamLogin', info);
}

var ExAjax = new function() {
    
    this.cbfuncs = {};
    
    this.ajax = function(params) {
        var _type = (params.type == undefined || params.type == '') ? 'GET' : params.type;
        var _url  = params.url;
        if(params.url == undefined || params.url == '') {
            throw new Exception('url is null');
        }
        var _enc     = params.encoding == undefined ? 'UTF-8' : params.encoding;
        if(_enc != 'UTF-8' && _enc != 'EUC-KR') _enc = 'UTF-8';  
        var _header  = params.header  == undefined ? {} : params.header;
        var _body    = params.body    == undefined ? '' : params.body;
        var _success = params.success == undefined ? function(){} : params.success;
        var _fail    = params.fail    == undefined ? function(){} : params.fail;
        
        var _s_cb_key = this.cbKeygen(_success);
        var _f_cb_key = this.cbKeygen(_fail);
        
        var _params = {
            type     : _type,
            url      : _url,
            header   : _header,
            body     : _body,
            encoding : _enc,
            success  : _s_cb_key,
            fail     : _f_cb_key,
       };
       WN2Common("exWNAjax", (JSON.stringify(_params)));
    };
    this.cbKeygen = function (cbfunc) {
        var key = '';
        while (true) {
			key = getRandom(17)+"";
            if (this.cbfuncs[key] == undefined) break;
        }
        this.cbfuncs[key] = cbfunc;
        
        return key;
    }
};

//ios Bar style Check
function exWNSetLightBarStyle(flag) {
    if(PGV.device.os.name.toLowerCase() == 'ios' || PGV.device.os.name.toLowerCase() == 'ipados'){
	    WN2Common('exWNSetLightBarStyle', flag);
	}
};

/**
 * NFC 모듈 활성화 후 NFC 권한 확인
 * @return NFC Permission : 권한 거부에 대한 처리
 * @Author 2021.06 by Neighbor System
 **/
function exWNNFCModuleInit() {
    if(PGV.device.os.name.toLowerCase() == 'android'){
        return WN2Common('exWNNFCModuleInit')
    }
}

/**
 * NFC 활성화를 설정할 수 있는 페이지로 이동
 * @Author 2021.06 by Neighbor System
 **/
function exWNNFCEnableSetting(){
    return WN2Common('exWNNFCEnableSetting')
}

/**
 * NFC 권한 처리를 위한 설정화면 이동
 * @Author 2021.06 by Neighbor System
 **/
function exWNShowPermissionSetting(){
    return WN2Common('exWNShowPermissionSetting')
}

/**
 * NFC 정보 설정 및 등록
 * @Author 2021.06 by Neighbor System
 **/
function exWNCardAuthenticate(cardNo, type){
    return WN2Common('exWNCardAuthenticate', cardNo, type)
}

/**
 * NFC 종료
 * @Author 2021.06 by Neighbor System
 **/
function exWNNFCDisable(){
    return WN2Common('exWNNFCDisable')
}

function exWNStopVibration(){
    return WN2Common('exWNStopVibration')
}

/**
 * TMap 연동

 * @Author 2021.06 by Neighbor System
 **/
function exWNTMapNavigate(name, lng, lat){

    return WN2Common('exWNTMapNavigate', name, lng, lat)
}

// sdk ver
function exWNTMapNavigateSdk(key, name, lng, lat){

    return WN2Common('exWNTMapNavigate', key, name, lng, lat)
}
//iOS QR스캔 플러그인 사용 시 카메라 권한 체크가 되지 않아 별도 인터페이스 구형
function exWNCameraPermissionCheckForiOS() {	// iOS 카메라 권한상태 체크
	return WN2Common('exWNCameraPermissionCheckForiOS');
}

/***
 * 스미싱 문자 접근
 * Notification 접근 권한 체크 설정페이지 메소드
 * @returns {*|string}
 */
function exWNshowNotificationPermission() {
	return WN2Common('exWNshowNotificationPermission');
}
/***
 * 스미싱 문자 접근
 * Notification 접근 권한 체크 메소드
 * @returns {*|string}
 */
function exWNcheckNotificationPermission() {
	return WN2Common('exWNcheckNotificationPermission');
}
