
(function(window, undefined) {
	var thisFileName = "mcore.extends.js";

	var isRNW = window.location.href.indexOf('/html_rnw')>-1;
	if(!isRNW){
		var importFiles = [
				"wnInterface.extends.js",
				"libs/jquery/jquery.min.js",
//	"libs/jquery/jquery.tap.js",
				"libs/date/moment.min.js",
				"libs/underscore/underscore.js",
				"libs/encoding/base64.js",
				"libs/amchart/amcharts.js",
				"libs/amchart/serial.js",
				"common/config.js",
				"common/constant.js",
				"common/common.js",
				"common/common_util.js",
				"common/common_event.js",
				"common/mcore_api.js",
				"common/interface.js",
				"common/google_analytics.js",
				"common/push.manager.js",
				"common/navigatorCommon.js"
			];

		introFiles = [
			//"wnInterface.extends.js",
			"mcore.addon.zip.min.js",
			"libs/jquery/jquery.min.js",
			"libs/date/moment.min.js",
			"libs/encoding/base64.js",
			"common/config.js",
			"common/constant.js",
			"common/common_login.js",
//	"common/common_util.js",
//	"common/mcore_api.js",
			"common/interface.js",
			"common/google_analytics.js",
			"common/push.manager.js",
		];

// 각 화면별 스크립트 한번에 import 하도록 설정
		var _strIdx = window.location.href.indexOf('/html');
		var _endIdx = window.location.href.indexOf(".html");
		var _pageName = window.location.href.substring(_strIdx+6, _endIdx);
		importFiles.push("ui/" + _pageName + ".js");

		if (_pageName == "000/KIA_MOB_000_1000") {
			introFiles.push("ui/" + _pageName + ".js");
			M.ScriptLoader.writeScript( introFiles, M.ScriptLoader.scriptPath(thisFileName) );
		} else {
			M.ScriptLoader.writeScript( importFiles, M.ScriptLoader.scriptPath(thisFileName) );
		}
	}
	else{ /**========================<< MyKia rnw 2022 >>=============================**/
		//todo 확인하기 'doc'일때만 real이라고 생각해야 하는가? 'app'인데 real인 경우가 있는가?
//		var isDEV = M.info.app().manifest.resource.target=='doc'?false:true;
		var isDEV = false;  // 개발/운영 분기 처리
		var _strIdx = window.location.href.indexOf('/html_rnw');
		var _endIdx = window.location.href.indexOf(".html");
		var _pageName = window.location.href.substring(_strIdx+10, _endIdx);
		//인트로 페이지 이면

		var configJs = isDEV?"common_rnw/config_dev.js":"common_rnw/config.js";
		if (_pageName == "000/KIA_RNW_010_0000") {
			introFiles = [
				"common_rnw/polyfill.js",
				"mcore.addon.zip.min.js",
				"libs/jquery/jquery.min.js",
				"libs/date/moment.min.js",
				"libs/encoding/base64.js",
				"common_rnw/path_manager.js",
				configJs,
				"common_rnw/constant.js",
				"common_rnw/interface.js",
				"common_rnw/interface_specs.js",
				"common_rnw/google_analytics.js",
				"common_rnw/push.manager.js",
				"ui_rnw/000/intro_mfunc_wrapper.js",//todo html 로 빼도 됨. 퍼블 나오면
				"ui_rnw/000/intro_login.js",//todo html 로 빼도 됨. 퍼블 나오면
				"ui_rnw/ui_rnw.js",
			];
			if(isDEV){
				introFiles.push("common_rnw/constant_dev.js");
			}
			introFiles.push("common_rnw/constant_links.js");//외부링크(상위constant,constant_dev종속)
			introFiles.push("ui_rnw/" + _pageName + ".js");

			M.ScriptLoader.writeScript( introFiles, M.ScriptLoader.scriptPath(thisFileName) );
		} else {
			var importFiles = [
				"common_rnw/polyfill.js",
				"wnInterface.extends.js",
				"libs/jquery/jquery.min.js",
				"libs/date/moment.min.js",
				"libs/underscore/underscore.js",
				"libs/encoding/base64.js",
				"libs/amchart/amcharts.js",
				"libs/amchart/serial.js",
				"libs/swiper/swiper.min.js",
				"common_rnw/path_manager.js",
				configJs,
				"common_rnw/constant.js",
				"common_rnw/common.js",
				"common_rnw/common_util.js",
				"common_rnw/common_event.js",
				"common_rnw/interface.js",
				"common_rnw/interface_specs.js",
				"common_rnw/_mock_response.js",
				"common_rnw/mcore_api.js",
				"common_rnw/google_analytics.js",
				"common_rnw/push.manager.js",
				"common_rnw/navigatorCommon.js",
				"libs/gsap/TweenMax.min.js",
				"libs/gsap/TimelineMax.min.js"
			];
			if(isDEV){
				importFiles.push("common_rnw/constant_dev.js");//dev 요소로 덮어쓰기
			}
			importFiles.push("common_rnw/constant_links.js");//외부링크(상위constant,constant_dev종속)
			if(_pageName == "100/KIA_RNW_110_0000"
				||_pageName == "100/KIA_RNW_120_0000"
				||_pageName == "100/KIA_RNW_120_0000_2"
				||_pageName == "100/KIA_RNW_120_0000_3"
			){//home의 경우 bottomTab관련 포함시키기
				importFiles.push("ui_rnw/bottomTabNavigation/bottomTabNavigation.js");
			}
			importFiles.push("ui_rnw/" + _pageName + ".js");
			M.ScriptLoader.writeScript( importFiles, M.ScriptLoader.scriptPath(thisFileName) );

		}
	}


})(window);
