/**

@파일명 : KIA_MOB_000_1020.js==>KIA_RNW_030_0000.js
@작성자 : 최정동
@생성일 : 2018. 8. 21. 오후 9:17:04
@메뉴명 : App 안내 팝업(온보딩화면)
@DESC : 온보딩팝업을 보지 않은 경우
*/
var CurrPage;
var KIA_RNW_030_0000 ={
    init: function(){
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");
        CurrPage.setSwiper();
        CurrPage.setEventListner();
    },
    setEventListner: function(){


        // 시작하기 및 건너뛰기 버튼 클릭 시
        $(document).on("click", "#moveBeforeMainBtn, .btn-jump", function(){
            M.data.storage("checkOnBoarding", "Y");
            if(!isEmpty(MData.storage("accessToken")) ){
                autoLoginFunction();
            }else{
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_110_0000.path,
                    action:"CLEAR_TOP"
                });
            }

        });
    },
    setSwiper: function(){
        PGV.swiper = new Swiper('.slider-app-visual', {
            slidesPerView:1,
            loop:false,
            speed:300,
            //grabCursor:true,
            touchRatio: $('.slider-app-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
            pagination: {
                el: '.app-visual-cont .swiper-pagination',
                clickable: true,
            },
            navigation: {
                nextEl:'.btn-swiper-next',
            },
            slideToClickedSlide:true,
            // autoplay: {
            // 	delay:4000,
            // 	disableOnInteraction: false, // 사용자가 슬라이드 수동전환 하는경우 자동재생 멈추게 한다:true
            // },
            on: {
                activeIndexChange : function(){
                    var $len = $('.slider-app-visual .swiper-slide').length;

                    if(this.realIndex == $len - 1){
                        $('.pg-appinfo .btn-Mykia-start').show();
                        $('.pg-appinfo .btn-swiper-next').hide();
                        $('div.header button.btn-jump').hide();
                    }else{
                        $('.pg-appinfo .btn-swiper-next').show();
                        $('.pg-appinfo .btn-Mykia-start').hide();
                        $('div.header button.btn-jump').show();
                    }
                }
            },
        });
    }
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady : function(event){
        console.log("onReady page : "+PGV.currentPage);
        KIA_RNW_030_0000.init();
    },
    onHide : function(event){},
    onRestore : function(event){},
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy : function(event){},
    onPause : function(event){},
    onResume : function(event){}
};
