/**

@파일명 : KIA_RNW_0D2_2300.js 
@작성자 : 케이스마텍 추헌남
@생성일 : 2022.03.14
@메뉴명 : GNB_바코드팝업_제휴사 연동 안내 팝업_주유 정보 연동 약관 동의 팝업(현대오일뱅크,s-oil)
@DESC : 권한 확인 중
*/
var agreementMng;
var KIA_RNW_0D2_2300 = {
    init: function () {
        agreementMng = this;
        stackRemove("KIA_RNW_0D2_2300.html");
        console.log("page : " + PGV.currentPage + "initiolizing START");
        $('#service3rdLinkBtn').removeClass('disabled').addClass('disabled');
        var toLinkService = MData.param("toLinkService");
        MData.removeParam("toLinkService");
        agreementMng.toLinkService = toLinkService;
        agreementMng.setEventListner();
    },
    toLinkService:null,
    setEventListner: function () {
        // 전체 동의
        $('#chkAll').on('click', function (e) {
            fnSetToggleTerms();
        });
        function fnSetToggleTerms() {
            if ($('#chkAll').is(':checked')) {
                $("ul.terms-list").find('input.mykia-input').prop("checked",true);
                $("div.receive-box").find('input.mykia-input').prop("checked",true);
                $('#service3rdLinkBtn').removeClass('disabled');
            }
            else {
                $("ul.terms-list").find('input.mykia-input').prop("checked",false)
                $("div.receive-box").find('input.mykia-input').prop("checked",false);
                $('#service3rdLinkBtn').removeClass('disabled').addClass('disabled');
            }
            return true;
        }

        //todo 약관관리에 관한 결정에 따라 코딩해야 함.
        /**
         * 약관상세보기
         */
        $("button.btn-arrow-right").on("click", function(){
            var agreementName = $(this).parent('li').find('input.mykia-input').attr('name');
            var serviceName = agreementMng.toLinkService.cd;
            var agreementPath = agreementMng.toLinkService.agreementDetail[agreementName].path;
            MPage.html({url: agreementPath});
        });
        /**
         * 약관체크시
         */
        var _$agreeEl = $("ul.terms-list,div.receive-box").find("input.mykia-input");
        _$agreeEl.on("click", function(){

            /** 마케팅정보활용동의 체크박스 **/
            var id = $(this).attr("id");
            if(id==="trmsAgmtYn04"){
                var isChecked = $(this).is(":checked");
                $("div.receive-box").find('input.mykia-input').prop("checked",isChecked);
            }
            var _$marketingEls =$("div.receive-box").find("input.mykia-input");
            var totalMarketingAgreeElCnt = _$marketingEls.length;//3
            var totalMktCheckedTotalCnt = _$marketingEls.parent().find(":checked").length;
            if(totalMktCheckedTotalCnt===totalMarketingAgreeElCnt){
                $('#trmsAgmtYn04').prop('checked', true);
            }else{
                $('#trmsAgmtYn04').prop('checked', false);
            }

            /** 전체동의 체크박스 **/
            var totalBoxesCnt = _$agreeEl.length;
            var checkedTotalCnt = _$agreeEl.parent().find(":checked").length;
            if(checkedTotalCnt===totalBoxesCnt){
                $('#chkAll').prop('checked', true);
            }else{
                // if(checkedTotalCnt===0){
                $('#chkAll').prop('checked', false);
            }

            /** 연동버튼 활성화 **/
            var totalMandatoryCnt = _$agreeEl.parent().find(".input-mandatory").length;
            var checkedMandatoryCnt = _$agreeEl.parent().find(".input-mandatory:checked").length;

            if (checkedMandatoryCnt === totalMandatoryCnt){
                $('#service3rdLinkBtn').removeClass('disabled');
            }
            else{
                $('#service3rdLinkBtn').removeClass('disabled').addClass('disabled');
            }
        })

        /**
         * 약관동의 버튼 클릭시
         */
        $('#service3rdLinkBtn').on("click", function(){
            var isEnable = !$(this).hasClass('disabled');
            if (isEnable) {
                var sendData ={mbrId : PGV.loginInfo.mbrId};

                var _$allCheckEl = $("input.mykia-input");
                $.each(_$allCheckEl,function(index, item){
                    var name = $(item).attr("name");
                    if(name!=='trmsAgmtYn04'){
                        var value = $(item).is(":checked")?"Y":"N";
                        sendData[name] = value;
                    }
                });
                var _$marketingEl = $("input.mykia-input.marketing");
                sendData["trmsAgmtYn04"] = "N";
                $.each(_$marketingEl, function(index, item) {
                    if($(item).is(":checked")) {
                        sendData["trmsAgmtYn04"] = "Y";
                        return false;
                    }
                })
                //서버에 요청하기
                if(!isEmpty(agreementMng.toLinkService)){

                    var options = {
                        isMock: false,
                        path: _API.SVR.CMM.crd.hydOilBankJoin,//toLinkService.agreeAction
                        sendData: sendData,
                    };
                    MNet.httpSendAsync(options)
                        .then(
                            function (response){
                                var msg = "";
                                // TODO: toLinkService가 무엇인지 모르겠음!!!
                                if (response.resultCode==="200"){
                                    if(response.regYn==="N"){
                                        agreementMng.toLinkService.result ="fail";
                                        msg= "제휴서비스 연동에 실패하였습니다.";
                                    } else if(response.regYn==="Y"){
                                        msg = response.resultMsg;
                                        agreementMng.toLinkService.result ="success";
                                        MPage.html({
                                            url : PATH_MANAGER.KIA_RNW_0D2_2400.path,
                                            param: {"toLinkService":agreementMng.toLinkService}
                                        });
                                    } else if(response.regYn==="P") {
                                        msg = response.resultMsg;
                                        agreementMng.toLinkService.result ="success";
                                        MPage.html({
                                            url : PATH_MANAGER.KIA_RNW_0D2_2400_2.path,
                                            param: {"toLinkService":agreementMng.toLinkService}
                                        });
                                    }
                                }else{
                                    //todo 실패는 없는건가?
                                    agreementMng.toLinkService.result ="fail";
                                    msg= "제휴서비스 연동에 실패하였습니다.";
                                }
                                MPopup.instance(msg);
                                exWNHideIndicator();
                            }
                        )
                    // .then(function(){
                    //     setTimeout(function(){
                    //         MPage.back({param:{"toLinkService":toLinkService}});
                    //     }, 300);
                    // })
                    ;

                }
            }else{
                //필수항목중 선택되지 않는 것이 있다.
            }
        });

    },
    handleConfirmButton: function(){
        console.log("yes");
    }
}

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */
var MStatus = {
    onReady: function (event) {
        console.log("onReady page : " + PGV.currentPage);
        KIA_RNW_0D2_2300.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {
        var closePage = MData.param("closePage");
        MData.removeParam("closePage");
        if(closePage){
            var toLinkService = MData.param("toLinkService");
            MData.removeParam("toLinkService");
            var param = {"toLinkService":toLinkService,linkStatusChangedYn:"Y"};
            MPage.back({param: param});
        }
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
