/**
@파일명 : KIA_RNW_0D3_0100.js
@작성자 : 케이스마텍 추헌남
@생성일 : 2022.03.24 
@메뉴명 : 스토어 QR 코드 페이지
@DESC : 권한 확인 중
*/

var KIA_RNW_0D3_0100 = {
    init: function () {
        var parentThis = this;
        parentThis.setQRcode();
    },
    setQRcode:function(){
        MNet.httpSendAsync({
            indicatorYn : "N",
            path: _API.SVR.CMM.myp.mypage.dcsComExpBase,
            sendData: {
                apiId:"RNW-MYP-1003",
                mbrId: PGV.loginInfo.mbrId
            },
            isMock: false
        }).then(function(response){
            if(!isEmpty(response.resultCode)) {
                if (response.resultCode == "200") {
                    new QRCode(document.getElementById("qrArea"), {
                        text: response.qrCdVal,
                        width: 224,
                        height: 224
                    });
                } else {
                    MPopup.alert({
                        message : "QRcode 생성에 실패하였습니다.",
                        buttons : ["확인"],
                        callback : function(idx){
                            MPage.back();
                        }
                    });
                }
            }else{
                MPopup.alert({
                    message : "QRcode 생성에 실패하였습니다.",
                    buttons : ["확인"],
                    callback : function(idx){
                        MPage.back();
                    }
                });
            }
        });
    }
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        // console.log("onReady page : " + PGV && PGV.currentPage || "");
        KIA_RNW_0D3_0100.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {exWNHideIndicator()},
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    onBack : function(){
        if(!($('#popup_0F0_0000:visible').length > 0)){
            MPage.back()
        }
    },
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) {exWNHideIndicator()}
}; 
