/**

 @파일명 : KIA_RNW_0D3_1800.js
 @작성자 : 케이스마텍 추헌남
 @생성일 : 2022.03.17
 @메뉴명 : TaaS 약관 동의
 @DESC : 권한 확인 중
 */
var CurrPage;
var KIA_RNW_0D3_1800 = {
    hasKiaMembersCards: false,
    init: function () {
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");
        CurrPage.setEventListner();
    },
    notiSetting: null,
    setEventListner: function () {
        $('#infoViewBtn').on('click', function(e){
            MPage.html({
                path: PATH_MANAGER.KIA_RNW_0D3_1811.path
            });
        });

        $('#chkOption1').on('click', function(e) {
            if($('#chkOption1').is(':checked')) {
                $('#isAgree').removeClass("disabled");
            }else{
                $('#isAgree').addClass("disabled");
            }
        });

        $('#isAgree').on('click', function(e) {
            var getCurrentScopeSelectCar = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();
            var options = {
                indicatorYn:"N",
                isMock: false,
            };
            MNet.httpSendAsync({
                path: _API.SVR.HOME.carinfo.TaaSAgreeYnReg,
                sendData: {
                    apiId: "RNW-HOM-8002",
                    mbrId: PGV.loginInfo.mbrId,
                    vin: getCurrentScopeSelectCar.vin,
                    agreeYn: "Y"
                },indicatorYn : "N"
            })
            .then(
                function (response) {
                if (response.resultCode == "200") {
                    var popFunc = function (item) {
                        var lastNum = item.indexOf("todayDt");
                        lastNum = lastNum+9;
                        var frontItem = item.substring(0,lastNum);
                        var backItem = item.substring(lastNum);
                        var toDate = moment().format("(YYYY년 MM월 DD일)");

                        item = frontItem+toDate+backItem;

                        var popId = "#popup_0D3_1810";
                        if ($(popId).length < 1) {
                            var screenHtml = $("<div></div>");
                            screenHtml.append(item);
                            $('body').append(screenHtml.find(popId));
                        }

                        RNW_UI.popupLayer({selId: popId});
                        $(".btn-primary").click(function () {
                            $("#popup_0D3_1810").remove();
                            MData.global("taasYn","taasY");
                            MPage.back();
                        });
                    };
                    $.get(PATH_MANAGER.KIA_RNW_0D3_1810.path, popFunc);
                } else {
                    MPopup.alert(response.resultMsg);
                    return;
                }
            });

        });
    }
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        console.log("onReady page : " + PGV.currentPage);
        KIA_RNW_0D3_1800.init();
    },
    onHide: function (event) { },
    onRestore: function (event) { },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    onBack : function(){MPage.back()},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
};
