/**
@파일명 : KIA_RNW_0D3_2500.js 
@작성자 : 케이스마텍 추헌남
@생성일 : 2022.03.29
@메뉴명 : M Point 조회
@DESC : 권한 확인 중
*/

var pageInit = function(){
    /**
     * 초기화
     */
    // 전체 메뉴 스택정리
    var backFlag = MData.param("backFlag");
    if(backFlag != "Y"){
        garbageCollector();
    }

    stackRemove(PATH_MANAGER.KIA_RNW_0D3_1500.nameWithHtml);       // [KIAVIK-573] 약관 전체보기 후 뒤로가면 페이지 사라져서 NO_HISTORY 대신 stackRemove 사용

            // // 적립/사용/만료 선택 버튼 클릭 시
            // $(document).on("click", "#mPointUseDivBtn", function(){
            //     var $this = $(this);
            //     MPopup.listSingle({
            //         list : PGV.mPointUseDivArr,
            //         title : "선택",
            //         selected : $this.attr("data-select-idx")
            //     }, function(buttonIdx, rowInfo, setting){
            //         if(buttonIdx == 1){
            //             if(rowInfo.title == "적립"){
            //                 //screenViewGa(gaSendUrl["KIA_MOB_520_1012"].pageNm);
            //             }else if(rowInfo.title == "사용"){
            //                 //screenViewGa(gaSendUrl["KIA_MOB_520_1011"].pageNm);
            //             }else{
            //                 //screenViewGa(gaSendUrl["KIA_MOB_520_1013"].pageNm);
            //             }
            //             $this.html('<option value="">' + rowInfo.title + '</option>');
            //             $this.attr("data-select-idx", rowInfo.index);
            //             initDetailMpoint();
            //         }
            //     });
            // });
        
            // // 날짜 조회 구분 선택 버튼 클릭 시
            // $(document).on("click", "#mPointUseDateBtn", function(){
            //     var $this = $(this);
            //     MPopup.listSingle({
            //         list : PGV.mPointUseDateArr,
            //         title : "선택",
            //         selected : $this.attr("data-select-idx")
            //     }, function(buttonIdx, rowInfo, setting){
            //         if(buttonIdx == 1){
            //             $this.html('<option value="">' + rowInfo.title + '</option>');
            //             $this.attr("data-select-idx", rowInfo.index);
            //             initDetailMpoint();
            //         }
            //     });
            // });
        
        /*
            // 세이브-오토 가족합산 신청 버튼 클릭 시
            $(document).on("click", "#saveAutoFamilyAddBtn", function(){
                var _url = "https://www.hyundaicard.com/cpp/bv/CPPBV0202_01.hc";
                MPage.activity({
                    className : "WebviewActivity",
                    param : {
                        method : CONSTANT.NET_MTHD.GET,
                        requestURL : _url
                    }
                });
            });
        */
    PGV.mPointInfo = null;		// M포인트 정보
    PGV.page = "001";			// 포인트 적립/사용/만료 페이지 번호
    PGV.pageEndCd = "E";			// 페이지 끝 여부 (A:조회할 데이터 있음, E:조회할 데이터 없음)

    // screenViewGa(gaSendUrl["KIA_MOB_520_1010"].pageNm);//2020 공통으로 변경

    // 적립/사용/만료 구분 팝업 array
    PGV.mPointUseDivArr =
    [
        {title:"적립", value:"1"},
        {title:"사용", value:"2"},
        {title:"만료", value:"3"}
    ];

    // 조회날짜 구분 팝업 array
    PGV.mPointUseDateArr =
    [
        {title:"최근 3개월", value:"10001"},
        {title:"최근 6개월", value:"10002"}
    ];

    $("#mPointUseDivBtn").attr("data-select-idx", 0);
    $("#mPointUseDateBtn").attr("data-select-idx", 0);


    // M포인트 신용회원여부, 약관동의여부 체크 및 M포인트 정보 조회
    selectMpoint();

    selectSaveAutoPoint();

    selectAccountPoint();
    /**
     * 화면 이벤트
     */
    setEvent();

};

function setEvent() {
    /* !!! 케이스마텍 추헌남 - scroll-loading이 css 구조상 동작하지 않아 대체 */
    $(window).scroll(function(){
        var remainingScrollBottom = $(document).height() - $(window).height() - $(window).scrollTop();
        if(Math.round(remainingScrollBottom) === 0){
            console.log("called");
            selectMoreListData();
        }
    })

    /* !!! 케이스마텍 추헌남 - select 동작 무효화처리 */
    $(document).on("mousedown", "#mPointUseDivBtn, #mPointUseDateBtn", function(e){
        e.preventDefault();
    });

    // 적립/사용/만료 선택 버튼 클릭 시
    $(document).on("click", "#mPointUseDivBtn", function(){
        var $this = $(this);
        MPopup.listSingle({
            list : PGV.mPointUseDivArr,
            title : "선택",
            selected : $this.attr("data-select-idx")
        }, function(buttonIdx, rowInfo, setting){
            if(buttonIdx == 1){
                if(rowInfo.title == "적립"){
                    screenViewGa(gaSendUrl["KIA_MOB_520_1012"].pageNm);
                }else if(rowInfo.title == "사용"){
                    screenViewGa(gaSendUrl["KIA_MOB_520_1011"].pageNm);
                }else{
                    screenViewGa(gaSendUrl["KIA_MOB_520_1013"].pageNm);
                }
                $this.html('<option value="">' + rowInfo.title + '</option>');
                $this.attr("data-select-idx", rowInfo.index);
                initDetailMpoint();
            }
        });
    });

    // 날짜 조회 구분 선택 버튼 클릭 시
    $(document).on("click", "#mPointUseDateBtn", function(){
        var $this = $(this);
        MPopup.listSingle({
            list : PGV.mPointUseDateArr,
            title : "선택",
            selected : $this.attr("data-select-idx")
        }, function(buttonIdx, rowInfo, setting){
            if(buttonIdx == 1){
                $this.html('<option value="">' + rowInfo.title + '</option>');
                $this.attr("data-select-idx", rowInfo.index);
                initDetailMpoint();
            }
        });
    });

/*
    // 세이브-오토 가족합산 신청 버튼 클릭 시
    $(document).on("click", "#saveAutoFamilyAddBtn", function(){
        var _url = "https://www.hyundaicard.com/cpp/bv/CPPBV0202_01.hc";
        MPage.activity({
            className : "WebviewActivity",
            param : {
                method : CONSTANT.NET_MTHD.GET,
                requestURL : _url
            }
        });
    });
*/
}

/**
 * M포인트 신용회원여부, 약관동의여부 체크 및 M포인트 정보 조회
 */
var selectMpoint = function(){
    MNet.httpSendAsIs({
        path : inf.hyundai.selectMpoint.url,
        sendData : {
            ci : PGV.loginInfo.ci,					// ci
            mbrId : PGV.loginInfo.mbrId				// 로그인 아이디
        },
        callback : selectMpointCallback
    });
};


/**
 * M포인트 신용회원여부, 약관동의여부 체크 및 M포인트 정보 조회 콜백
 */
var selectMpointCallback = function(receivedData){
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;

    if(code == "200"){
        if(receivedData.rsltCd == "0000"){			// 신용회원인 경우
            PGV.mPointInfo = receivedData;
            if(receivedData.mPointAgreeYn == "Y"){		// 약관 동의가 되어 있는 경우
                // 데이터 세팅
                setMPointMain();

            }else{		// 약관 정보가 동의 되어 있지 않은 경우
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_0D3_1500.path,
                    //action : "NO_HISTORY",
                    animate : "MODAL_UP",
                    param : {
                        prevPage : PATH_MANAGER.KIA_RNW_0D3_2500.nameWithHtml
                    }
                });
            }
        }else{		// 신용회원이 아닌 경우
            notAgreeMpt("N");
            MPopup.alert({
                message : "M포인트 조회 서비스는 KIA MEMBERS 신용카드를 보유하신 고객님들께만 제공됩니다.",
                callback : function(idx){
                    MPage.back();
                }
            });
        }
    }else{
        MPopup.alert(msg);
    }
};


/**
 * 상단 포인트 정보 세팅
 */
var setMPointMain = function(){

    $("#prsnRemPnt").html(comma.add(PGV.mPointInfo.prsnRemPnt));		// 사용가능 포인트
    //$("#prsnTtResrPnt").html(comma.add(PGV.mPointInfo.prsnTtResrPnt) + "<em>p</em>");	// 적립포인트
    //$("#prsnUsePnt").html(comma.add(PGV.mPointInfo.prsnUsePnt) + "<em>p</em>");		// 사용포인트
    $("#prsnExtcPnt").html(comma.add(PGV.mPointInfo.prsnExtcPnt));		// 만료 포인트


    // 적립/사용/만료 내역 초기화
    initDetailMpoint();
};


/**
 * 적립/사용/만료 내역 초기화
 */
var initDetailMpoint = function(){

    PGV.page = "001";			// 포인트 적립/사용/만료 페이지 번호
    PGV.pageEndCd = "E";			// 페이지 끝 여부 (A:조회할 데이터 있음, E:조회할 데이터 없음)

    $("#pointListYesDataWrap").empty();

    // 적립/사용/만료 데이터 조회
    selectDetailMpoint();
};


/**
 * 적립/사용/만료 데이터 조회
 */
var selectDetailMpoint = function(){
    MNet.httpSendAsIs({
        path : inf.hyundai.detailMpoint.url,
        sendData : {
            ci : PGV.loginInfo.ci,					// ci
            page : PGV.page,							// 페이지
            mbrId : PGV.loginInfo.mbrId,				// 로그인 아이디
            varClsf : PGV.mPointUseDivArr[$("#mPointUseDivBtn").attr("data-select-idx")].value,	// 조회구분 (1:적립, 2:사용, 3:만료)
            varDate : PGV.mPointUseDateArr[$("#mPointUseDateBtn").attr("data-select-idx")].value	// 조회날짜 (10001:3개월, 10002:6개월)
        },
        callback : selectDetailMpointCallback
    });
};

/**
 * 적립/사용/만료 데이터 조회 콜백
 */
var selectDetailMpointCallback = function(receivedData){
    exWNHideIndicator();
    console.log(receivedData);
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;

    PGV.pageEndCd = receivedData.ctnTrxCd;

    if(code == "200" && receivedData.rsltCd == "0000"){
        var strBuff = '';
        var sub01List = receivedData.sub01;
        console.log(sub01List);

        if(sub01List.length > 0){
            for(var i=0; i<sub01List.length; i++){
                var varClsf = "";
                var minusState = "+ ";
                if (sub01List[i].varClsf == "사용" || sub01List[i].varClsf == "만료") {
                    varClsf = " point-txt";
                    minusState = "- ";
                }
                // strBuff += '    <li>';
                // strBuff += '        <p class="sub-tit4" id="">'+DateUtil.getYMD(sub01List[i].pntVarDt)+' | <span id="">'+sub01List[i].nomlCancClsf+'</span></p>';
                // if(isEmpty(sub01List[i].usplNm) == false){
                //     strBuff += '    <p class="sub">' + sub01List[i].usplNm + '</p>';
                // }
                // strBuff += '<span class="point'+varClsf+'" id="">'+comma.add(sub01List[i].varPnt)+'</span>';
                // strBuff += '</li>';

                strBuff +=
                    '<li>' +
                        '<div class="div-table">' +
                            '<div class="div-table-cell cell-01">' +
                                '<div class="info"><span>' + DateUtil.getYMD(sub01List[i].pntVarDt) + '</span><span>본인</span><span>' + sub01List[i].nomlCancClsf + '</span></div>' + //??? 케이스마텍 추헌남 - 본인은 어떻게 확인?
                                '<p>' + (sub01List[i].usplNm || "&nbsp;") + '</p>' +
                            '</div>' +
                            '<div class="div-table-cell cell-02">' +
                                '<span>' + minusState + comma.add(sub01List[i].varPnt) + 'P</span>' +
                            '</div>' +
                        '</div>' +
                    '</li>';

            }

            $("#pointListYesDataWrap").append($(strBuff));

            $("#pointListNoDataWrap").addClass("none");
            $("#pointListYesDataWrap").removeClass("none");
        }else{
            $("#pointListYesDataWrap").addClass("none");
            $("#pointListNoDataWrap").removeClass("none");
            var idx = $("#mPointUseDivBtn").attr("data-select-idx");
            if(idx == 0){
                $("#noDataTxt").html('<p>적립내역이 없습니다.</p>');
            }else if(idx == 1){
                $("#noDataTxt").html('<p>사용내역이 없습니다.</p>');
            }else if(idx == 2){
                $("#noDataTxt").html('<p>만료내역이 없습니다.</p>');
            }else{
                $("#noDataTxt").html('<p>내역이 없습니다.</p>');
            }
        }
    }else{
        $("#pointListYesDataWrap").addClass("none");
        $("#pointListNoDataWrap").removeClass("none");
    }
};

/**
 * 세이브 오토 데이터 조회
 */
var selectSaveAutoPoint = function(){
    //screenViewGa(gaSendUrl["KIA_MOB_520_1020"].pageNm);
    MNet.httpSendAsIs({
        path : inf.hyundai.saveAutoPoint.url,
        sendData : {
            ci : PGV.loginInfo.ci,					// ci
            mbrId : PGV.loginInfo.mbrId				// 로그인 아이디
        },
        callback : selectSaveAutoPointCallback
    });
};

/**
 * 세이브 오토 데이터 조회 콜백
 */
var selectSaveAutoPointCallback = function(receivedData){
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;

    if(code == "200" && receivedData.rsltCd == "0000"){
        $("#saveAutoDate").html(DateUtil.getYMD(receivedData.spAplDt) + "~" +DateUtil.getYMD(receivedData.spXpirPragDt));		// 신청일 ~ 만기예정일
        $("#saveSpAplAmt").html(comma.add(receivedData.spAplAmt));		// 신청금액
        $("#saveSpRdemPnt").html(comma.add(receivedData.spRdemPnt));		// 상환포인트

        $("#saveAutoWrap").removeClass("none");
    }else{
        if(receivedData.rsltCd == "0102"){		// 세이브오토 이용내역이 없는 경우
            $("#saveAutoWrap").addClass("none");
        }else{
            $("#saveAutoWrap").addClass("none");
            MPopup.alert(msg);
        }
    }
};

/**
 * 신차구매통장 데이터 조회
 */
var selectAccountPoint = function(){
    //screenViewGa(gaSendUrl["KIA_MOB_520_1030"].pageNm);
    MNet.httpSendAsIs({
        path : inf.hyundai.accountPoint.url,
        sendData : {
            ci : PGV.loginInfo.ci,					// ci
            mbrId : PGV.loginInfo.mbrId				// 로그인 아이디
        },
        callback : selectAccountPointCallback
    });
};

/**
 * 신차구매통장 데이터 조회 콜백
 */
var selectAccountPointCallback = function(receivedData){
    exWNHideIndicator();
    var code = receivedData.resultCode;
    var msg = receivedData.resultMsg;

    if(code == "200" && receivedData.rsltCd == "0000"){
        $("#mcpbRemPnt").html(comma.add(receivedData.mcpbRemPnt));					// 통장포인트
        $("#mcpbAplDt").html(DateUtil.getYMD(receivedData.mcpbAplDt) + " ~ " + DateUtil.getYMD(receivedData.mcpbXpirPragDt)); // 신청일자 ~ 만기예정일자

        $("#accountPointWrap").removeClass("none");
    }else{
        if(receivedData.rsltCd == "0102"){		// 통장이용 내역이 없는 경우
            $("#accountPointWrap").addClass("none");
        }else{
            MPopup.alert(msg);
        }
    }
};


/**
 * 하단 스크롤시 더보기 이벤트
 */
var selectMoreListData = function(){
    if(PGV.pageEndCd == "A"){
        PGV.page = zeroPad(parseInt(PGV.page) + 1, 3);
        selectDetailMpoint();
    }
};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        // console.log("onReady page : " + PGV && PGV.currentPage || "");
        pageInit();
    },
    onHide: function (event) { },
    onRestore: function (event) {
        // M 포인트 약관 동의하고 돌아온 경우
		if(isEmpty(MData.param("mPointIndividualInfoSave")) == false){
			if(MData.param("mPointIndividualInfoSave") == "Y"){
                var curFunction = setMPointMain;
				curFunction && setMPointMain();
			}
			MData.removeParam("mPointIndividualInfoSave");
		}
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
