/**
@파일명 : KIA_RNW_0D3_4000.js 
@작성자 : 케이스마텍 정목단
@생성일 : 2022.04.01
@메뉴명 : 서비스 이용 약관
@DESC : 권한 확인 중
*/

var KIA_RNW_0D3_4000 = {
    init: function () {
        var legacy= new this.legacyInit();
        legacy.pageInit();
    },
    legacyInit: function(){
        this.pageInit = function(){
            /**
             * 초기화
             */

            /**
             * 화면 이벤트
             */
            //이용약관
            $(document).on("click", "#termsUse", function(){
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_0D3_4100.path,
                    animate : 'MODAL_UP'
                });
            });
            //개인 정보 처리 방침
            $(document).on("click", "#privacyPolicy", function(){
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_0D3_4200.path,
                    animate : 'MODAL_UP'
                });
            });
            // 위치기반서비스 이용약관 버튼 클릭 시
            $(document).on("click", "#locTermsViewBtn", function(){
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_0D3_4300.path,
                    animate : "MODAL_UP"
                });
            });

        };
    }

}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        // console.log("onReady page : " + PGV && PGV.currentPage || "");
        KIA_RNW_0D3_4000.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {

    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
