/**
@파일명 : KIA_RNW_0D3_4100.js 
@작성자 : 케이스마텍 정목단
@생성일 : 2022.04.01
@메뉴명 : 서비스 이용 약관
@DESC : 권한 확인 중
*/

var KIA_RNW_0D3_4100 = {
    init: function () {
        var legacy= new this.legacyInit();
        legacy.pageInit();
    },
    legacyInit: function(){
        /**
         * @파일명 : KIA_MOB_000_1102.js
         * @작성자 : 이현석
         * @생성일 : 2018. 8. 10. 오후 1:33:25
         * @메뉴명 : 이용약관
         */
        this.pageInit =function(){
            /**
             * 초기화
             */

            /**
             * 화면 이벤트
             */
            PGV.dateList = [
                {title : "2023년 10월 15일 ~ 현재", value: "01"},
                {title : "2023년 06월 01일 ~ 2023년 10월 14일", value: "02"},
                {title : "2022년 10월 04일 ~ 2023년 05월 31일", value: "03"},
                {title : "2022년 05월 30일 ~ 2022년 10월 03일", value: "04"},
                {title : "2021년 12월 21일 ~ 2022년 05월 29일", value: "05"},
                {title : "2021년 08월 03일 ~ 2021년 12월 20일", value: "06"},
                {title : "2021년 04월 05일 ~ 2021년 08월 02일", value: "07"},
                {title : "2021년 01월 15일 ~ 2021년 04월 04일", value: "08"},
                {title : "2018년 11월 05일 ~ 2021년 01월 14일", value: "09"}
            ];

            $("#selectDateBtn").text("2023년 10월 15일 ~ 현재");
            PGV.selNum = 0;

            setEvent();

        };

        function setEvent() {
            $(document).on("click", "#selectDateBtn", function(){
                var $this = $(this);
                MPopup.listSingle({
                    list : PGV.dateList ,
                    title : "이용약관",
                    selected : PGV.selNum
                }, function(buttonIdx, rowInfo, setting){
                    if(buttonIdx == 1){
                        $this.text(rowInfo.title);
                        PGV.selNum = rowInfo.index;
                        modificationCheck(rowInfo.value);
                    }
                });
            });
        }

        var modificationCheck = function(num){
            for (var i = 0; i < PGV.dateList.length; i++){
                var curNode = PGV.dateList[i];
                if(curNode.value === num){
                    $("#content_" + curNode.value).removeClass("none");
                }
                else{
                    $("#content_" + curNode.value).addClass("none");
                }
            }
        }

    }

}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
    onReady: function (event) {
        // console.log("onReady page : " + PGV && PGV.currentPage || "");
        KIA_RNW_0D3_4100.init();
    },
    onHide: function (event) { },
    onRestore: function (event) {

    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
