/**
 @파일명 : KIA_RNW_120_0000_2.js
 @작성자 : 정목단
 @생성일 : 2022.04.06
 @메뉴명 : HOME 탭 (계약차량만 존재함)
 @DESC : 로그인[O]   계약차량만보유[O]
 */


/****************
 *  ----------------------------------------------------------------------------------------
 *  */
var loginHome;
var intro_selectCar=null;
var KIA_RNW_120_0000_2 = function () {
    var that = this;
    that.gVals = {};
    that.init = function () {
        // 초기화
        that.gVals={};
        if(isEmpty(CMM_HOME))CMM_HOME = new cmmHome();
        that.gVals = CMM_HOME.homePgvObj;
        intro_selectCar = MData.param("intro_selectCar");
        var changCar = that.gVals.car.selectCar;
        var thenIndex=1;
//        var getBenefitCheck = function (){
//            return new Promise(function(resolve){
//                MNet.httpSendAsIs({
//                    path : _API.SVR.EVENT.eventEligibilityYn.url,
//                    sendData : {
//                        mbrId: PGV.loginInfo.mbrId,
//                        campCode : "C-003930",
//                        apiId : _API.SVR.EVENT.eventEligibilityYn.apiId
//                    },
//                    callback : function(receivedData){
//                        if(receivedData.resultCode == "200"){
//                            if(receivedData.eligYn == "Y"){
//                                that.gVals.benefitCar.benefitYn = "Y";
//                                resolve(receivedData.eligYn);
//                            }else{
//                                that.gVals.benefitCar.benefitYn = "N";
//                                resolve(false);
//                            }
//                        }else{
//                            that.gVals.benefitCar.benefitYn = "N";
//                            resolve(false);
//                        }
//                    }
//                });
//            });
//        };

        eventLog("signedHomeCommonStart", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_start");
        CMM_HOME.signedHomeCommonStart(intro_selectCar)/* 위치,날씨,홈로드검증 */
            .then(/** 날씨 슬라이더 로드, 차량정보 */
                function(ownCarListInfo){
                    uiSliders();
                    if(!isEmpty(ownCarListInfo)){
                        var defaultCar = null;
                        if (!isEmpty(intro_selectCar)) {
                            // if (!isEmpty(PGV.passData) && !isEmpty(PGV.passData.car.selectCar)) {
                            defaultCar = intro_selectCar;// 탭이동으로 기존 메인에서 선택된 차량이 있을 경우
                        } else {
                            if(!isEmpty(changCar)) {
                                defaultCar = changCar;
                            }else{
                                defaultCar = ownCarListInfo.unDeliveryCarInfoListResDto[0];
                            }
                        }
                        that.gVals.car.selectCar=defaultCar;
                        CMM_HOME.uiSelectCarInfo(defaultCar,"#homeSelectedCarSection");
                    }
                    eventLog("signedHomeCommonStart", PATH_MANAGER[PGV.currentPage.split(".")[0]].desc, "api_end");
                }
            )
//            .then(getBenefitCheck)
//            .then(
//                function(benefitCheck){
//                    if(benefitCheck == "Y"){
//                        uiSliders();
//                    }
//                }
//            )
            .then(
                function () {
                    /** todo intro에서 받은 출력팝업 확인해서 팝업띄우기. */
                    var passData = toAddPassData(that.gVals);
                    M.data.global("passData",passData);
                    PGV.passData = passData;
                }
            )
            .then(function(){
                MyKiaBottomTab = new MyKiaBottomTabInit();
            })
            .then(CMM_HOME.initBottomTab)//bottomTabNavigationInit
            .then(CMM_HOME.popupManage)/** 팝업콘트롤 */
            .then(function(){
                getPushDataWhenClosedApp();
            })
            .catch(
                function (e) {
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk( e);
                }
            );
    };
    that.setEventListner= function(){
        CMM_HOME.setUiEventListner();

//        $("#callBenefit").on("click",function (){
//            MPage.html({
//                url : PATH_MANAGER.KIA_RNW_411_1000.path,
//                param : {
//                    evtNo : "492",		// 이벤트 번호
//                    eventType : "ing"	// 이벤트 타입 (진행 : ing, 종료 : end)
//                }
//            });
//        });


        //내 차 정보 클릭시
        if(!isEmpty($("#myCarInfoBtn"))){

            $("#myCarInfoBtn").off().on("click",function(){
                MPage.html({
                    path: PATH_MANAGER.KIA_RNW_127_0000.path,
                    param: {
                        passCar: that.gVals.car.selectCar
                    }
                })
            });
        }
    };

    var createdBenefitSlider = function(){
        $('.main-visual-cont').addClass("main-visual-benefit");
        var msgHtml = '';
        msgHtml = '           <h1>장기 대기 고객을 위한<br>혜택을 확인 해주세요.</h1>';
        var url = "../../img/rnw/main/home/home_benefit.png";
        var html = '             <div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
        html += '                  <div class="main-visual-box"> ';
        html += '                    <div class="group-01"> ';
        html += msgHtml;
        html += '                    </div> ';
        html += '                    <div class="group-02"> ';
        /** 버튼이나 충전아이콘영역 */
        html += '                    <a href="javascript:void(0);" id="callBenefit">기아 베네핏 플러스 혜택 자세히 보기</a>';
        html += '                    </div> ';
        html += '                  </div> ';
        html += '                </div>';

        return html;

    }
    /** 날씨 슬라이더 생성  */
    var htmlWeatherSlider = function (weatherInfo) {
        var weatherFcstResDto = weatherInfo.fcstResDto;
        var weatherSnrsResDto = weatherInfo.snrsResDto;
        var weatherAirPltnResDto = weatherInfo.airPltnResDto;
        var weatherCase = {};
        var weatherVerifyIcon=null;
        if (!isEmpty(weatherFcstResDto)) {
            weatherVerifyIcon = CMM_HOME.verifyWeatherCase((weatherFcstResDto.pty || "x"), (weatherFcstResDto.rn1 || "x"), (weatherFcstResDto.sky || "x"));
        }
        var W_INSIGHT = null;
        var wkeys = Object.keys(CMM_HOME.dict.insight.W_INSIGHT);
        if (isEmpty(weatherCase.title)) {
            W_INSIGHT = CMM_HOME.dict.insight.W_INSIGHT["WEA006"];
        } else {
            for (var i = 0; i < wkeys.length; i++) {
                var obj = CMM_HOME.dict.insight.W_INSIGHT[wkeys[i]];
                if (obj.desc === weatherCase.desc) {
                    W_INSIGHT = obj;
                    break;
                }
            }
        }
        W_INSIGHT.title = weatherVerifyIcon.title;
        W_INSIGHT.ico_class = weatherVerifyIcon.ico_class;
        that.gVals.main.weatherInfo.case = W_INSIGHT;
        var weatherInfo = that.gVals.main.weatherInfo;
        var imgCount = isEmpty(weatherInfo) || isEmpty(weatherInfo.case) ? 3 : weatherInfo.case.imgCount;
        var randNumSuffix = (getRandom(2) % imgCount) + 1;
        var imgName = (!isEmpty(weatherInfo) && !isEmpty(weatherInfo.case)) ? weatherInfo.case.cd + "_" + randNumSuffix : "WEA006_" + randNumSuffix;
        var url = "../../img/rnw/main/home/" + imgName + ".jpg";
        /***
         * 날씨정보 오류시 처리 4case[날씨,미세먼지](11,10,01,00) 퍼블->KIA_RNW_110_0000.html 확인
         * */
        var weatherCase = that.gVals.main.weatherInfo.case;
        var html = '<div class="swiper-slide" style="background-image:url(\'' + url + '\');">';
        html += CMM_HOME.htmlWeatherMainVisualBox(weatherInfo);

        return html;
    };


    var uiSliders = function(homeInsight) {
        var htmlWeatherSliderDiv = htmlWeatherSlider(that.gVals.main.weatherInfo);
        var targetDiv = document.querySelector("#sliderTarget");
        $(targetDiv).html("");
        var sliderDiv;
//        if(that.gVals.benefitCar.benefitYn == "Y"){
//            sliderDiv = createdBenefitSlider;
//        }else{
//            sliderDiv = htmlWeatherSliderDiv;
//        }

        sliderDiv = htmlWeatherSliderDiv;
        $(targetDiv).append($(sliderDiv));
    }
}

// function initBottomTab() {
//     return MyKiaBottomTab.activate({
//         afterInit: function () {
//
//             exWNHideIndicator();
//             COMMON_FUNCTION.TOOL.UI.enableWebviewLinkListeners();
//             COMMON_FUNCTION.TOOL.UI.enableScreenIdListeners();
//             COMMON_FUNCTION.TOOL.GNB.setEventListeners();
//             COMMON_FUNCTION.TOOL.UI.ringTheBells();
//             // CMM_HOME.uiBottomMenu();
//             loginHome.setEventListner();
//         },
//         afterOpenedTheTab: function () {
//             console.log("heyyy afterOpenedTheTab");
//             try{
//                 if(MyKiaBottomTab.currentPage==="home"){
//                     var openNewPage = MData.param("hasToHomeReload")=="true";
//                     // MData.removeParam("hasToHomeReload");
//                     var changeSelectCar = MData.param("changeSelectCar") || null;
//                     if(openNewPage&&!isEmpty(changeSelectCar)){
//                         var _path = PATH_MANAGER.KIA_RNW_120_0000_3.path;
//                         if(changeSelectCar.contNo){
//                             _path= PATH_MANAGER.KIA_RNW_120_0000_2.path;
//                         }
//                         MPage.html({
//                             path: _path,
//                             param: {intro_selectCar: changeSelectCar}
//                         });
//                     }else{
//                         loginHome.setEventListner();
//                     }
//
//                 }
//                 exWNHideIndicator();
//                 $(window).off("scroll");
//                 $('body').removeClass('js-filter-list-fixed');
//                 $(".wrapper").removeClass("donemove");
//                 customPopup.remove($("div.popup-layer"));
//                 console.log("heyyy afterInit");
//                 COMMON_FUNCTION.TOOL.UI.enableWebviewLinkListeners();
//                 COMMON_FUNCTION.TOOL.UI.enableScreenIdListeners();
//                 COMMON_FUNCTION.TOOL.GNB.setEventListeners();
//                 COMMON_FUNCTION.TOOL.UI.ringTheBells();
//                 // CMM_HOME.uiBottomMenu();
//                 loginHome.setEventListner();
//             }catch(e){
//                 console.error(e);
//             }
//         }
//     });
// }

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MyKiaBottomTab = null;
var MStatus = {
    onReady: function (event) {
        CMM_HOME = new cmmHome();
        loginHome = new KIA_RNW_120_0000_2();
        loginHome.init();
        COMMON_FUNCTION.TOOL.DATA.setMyKiaRenewalStorage();
        garbageAllRmv(); // 2024.04.11 HOME 로딩 시 garbage stack 제거
    }, onHide: function (event) {
    }, onRestore: function (event) {
        console.log("heyyy :onRestore");
        var hasToHomeReload = (((MData.param("hasToHomeReload")).toLowerCase() === 'true') || false);
        MData.removeParam("hasToHomeReload");
        if(hasToHomeReload){
            var isUserCarsChanged = MData.param("isUserCarsChanged")=="true";
            MData.removeParam("isUserCarsChanged");
            if(isUserCarsChanged){
                MPage.html({
                    url : PATH_MANAGER[PGV.currentPage.split('.')[0]].path
                });
            }else{

                var changeSelectCar = MData.param("changeSelectCar") || null;
                // MData.removeParam("changeSelectCar");
                loginHome.gVals.car.selectCar = changeSelectCar;
                MyKiaBottomTab.open("home",hasToHomeReload);
            }
        }
        var tabLevel1 = MData.param("tabLevel1")||null;// 메뉴이동 뎁스 1,
        MData.removeParam("tabLevel1");
        var tabLevel2 = MData.param("tabLevel2")||null;
        MData.removeParam("tabLevel2");
        if(!isEmpty(tabLevel1)){
            COMMON_FUNCTION.TOOL.NAVIGATOR_TABULAR.openSubtabGlobally(MyKiaBottomTab, tabLevel1, tabLevel2);
        }
        var readNoti = MData.param("readNoti") || null;// 메뉴이동 뎁스 1,
        MData.removeParam("readNoti");
        if(!isEmpty(readNoti)&&readNoti=="Y") COMMON_FUNCTION.TOOL.UI.ringTheBells();
        getPushDataWhenNotMorpheusView();
        loginHome.init();
    }, // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
    // onBack : function(){},
    onDestroy: function (event) {
    }, onPause: function (event) {
    }, onResume: function (event) {
    }
}



