/**
 * @파일명 : KIA_MOB_500_1022.js==>KIA_RNW_127_7100.js
 * @작성자 : 이현석
 * @생성일 : 2018. 8. 9. 오후 7:40:55
 * @메뉴명 : 실운행자 등록_2
 */
var carInfo = MData.param("carInfoParam");
MData.removeParam("carInfoParam");
var pageInit = function(){
	/**
	 * 초기화
	 */	
	
	$("#realDriverRelation").html('<p class="sub-tit">실운행자 <span>'+carInfo.driverNm+'</span> (<span>'+carInfo.driverId.split("@")[0]+'</span>) 님과의<br>관계를 선택해 주세요</p>');
	//$(".pl50").text(''+carInfo.driverNm+'님을 실운행자로 등록하는 것에 동의합니다.');
	/**
	 * 화면 이벤트
	 */
	setEvent();

};

var setEvent = function() {
    
    $(document).on("click", "input", function(){
        if($('#agreeMyInfoChk').is(':checked') && $('input[name="relationtype"]').is(':checked')){
            $("#enrollBtn").prop("disabled", false);
        }else{
            $("#enrollBtn").prop("disabled", true);
        }
    });
    
    
	$(document).on("click", 'input[name="relationtype"]', function(){
		var that = $(this);
		carInfo.relationType = that.attr('id');
	});
	// 개인정보 제 3자 제공정의 
	$(document).on("click", "#agreeMyInfoChk", function(){
		if($("#agreeMyInfoChk").prop('checked')){
			PGV.chkYN = "Y";
		};
	});

	// 개인 정보 제 3자 제공 정의	
	$(document).on("click", "#allShowBtn", function(){
		MPage.html({
			url : PATH_MANAGER.KIA_RNW_127_7110.path,//"../900/KIA_MOB_900_1008.html",
			animate : "MODAL_UP"
		});
	});

	$(document).on("click", "#enrollBtn", function(){
        if($('input[name="relationtype"]:checked').val() == undefined){
            MPopup.alert("실운행자와의 관계를 선택해 주세요.");
            return;
        }
        if(!$("#agreeMyInfoChk").prop('checked')){
            MPopup.alert("개인정보 제 3자 제공동의에 동의해 주세요.");
            return;
        }
        var _rdmRelCd = realDriveFlag(carInfo.relationType);

		insertRealDriver(_rdmRelCd);
	});
	
	$(document).on("click", "#cancelBtn", function(){
		$(".btn-close").trigger("click");
	});
}
//실운행자 등록 09.05 변경 확인 
var insertRealDriver = function(_rdmRelCd) {
	MNet.httpSendAsIs({ //TODO: 추후 사용자 정보 값을 서버에서 받으면 입력 vin
		path : inf.car.reqRealDriver.url,
		sendData : {
			csetIfTypeCd : "04",
			csetIfValue : PGV.loginInfo.csmrMgmtNo, // 차주 고객관리 번호 
			mbrId : PGV.loginInfo.mbrId,
			rdmCsmrMgmtNo : carInfo.driverCsmrMgmtNo, // 실운행자의 고객 관리 번호 
			rdmId : carInfo.driverId,  
			rdmRelCd : _rdmRelCd,
			vin : carInfo.vin			// TODO : carInfo.vin
		},
		callback : insertRealDriverCallBack
	});
};
//실운행자 등록 콜백
var insertRealDriverCallBack = function(receivedData) {
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	if(code == "200"){
	    MPage.html({
            url : PATH_MANAGER.KIA_RNW_127_7200.path,//"../500/KIA_MOB_500_1023.html",
            animate : "MODAL_UP",
            param : {
                realDriverRegistFlag : "Y",
                carInfo : carInfo
            }
        });
	}else{ 
		MPopup.alert(msg);
		return false;
	}
};

var realDriveFlag = function(flag){
	//(01:부모, 02:배우자, 03:자녀, 36:공동명의인, 99:기타, 98:가족)
	var codeNm = "";
	if(flag== "parent"){
		codeNm = "01";
		return codeNm;
	}else if(flag== "spouse"){
		codeNm = "02";
		return codeNm;
	}else if(flag== "children"){
		codeNm = "03";
		return codeNm;
	}else if(flag== "co_owner"){
		codeNm = "36";
		return codeNm;
	}else if(flag== "etc"){
		codeNm = "99";
		return codeNm;
	}else{
		codeNm = "98";
		return codeNm;
	}
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};
