/**

@파일명 : KIA_RNW_127_7200.js
@작성자 : 케이스마텍 추헌남
@생성일 : 2022.02.28 
@메뉴명 : 실운행자 등록 - 관계 선택 팝업 > 실운행자 등록 완료
@DESC : 권한 확인 중
*/
var CurrPage;

var KIA_RNW_127_7200 = {
    init: function() {
        var pageInit = function () {
            PGV.realDriverRegistFlag = MData.param("realDriverRegistFlag");
            PGV.carInfo = MData.param("carInfo");

            stackRemove("KIA_RNW_127_7100.html");//관계선택 팝업
            stackRemove("KIA_RNW_127_7000.html");//실운행자 등록

            setConfirmView();
            setEvent();
        };

        var setEvent = function () {
            $("#confirmBtn").on("click", function () {
                // TODO : 실운행자 등록 목록 확인 필요
                var myCarInfoPage = PATH_MANAGER.KIA_RNW_127_0000;
                stackRemove(myCarInfoPage.nameWithHtml);//내차정보
                MPage.html({
                    url: myCarInfoPage.path,
                    //action:"CLEAR_TOP",
                    animate: "MODAL_DOWN",
                    param: {
                        realDriverRegistFlag: "Y",
                        popupFlag: "Y",
                        selectVinNumber: PGV.carInfo.vin,
                        passCar:PGV.carInfo
                    }
                });
            });
        };

        var setConfirmView = function () {
            $("#agreeFinText").html(PGV.carInfo.driverNm + ' (' + PGV.carInfo.driverId.split("@")[0] + ') 님을<br>실운행자로 등록하였습니다');
        }

        pageInit();
    }
}

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */
var MStatus = {
    onReady: function (event) {
        console.log("onReady page : " + PGV.currentPage);
        KIA_RNW_127_7200.init();
    },
    onHide: function (event) { },
    onRestore: function (event) { },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 
