/**
@파일명 : KIA_RNW_127_8000.js
@작성자 : 케이스마텍 정목단
@생성일 : 2022.04.16
@메뉴명 : 보증기간안내
@DESC : 로그인[O]	차량보유[O]
*/ 
var CurrPage; 
var KIA_RNW_127_8000 ={ 
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START");
        CurrPage.warranty = MData.param("warranty");
        MData.removeParam("warranty");
        var yetList = CurrPage.warranty.warrantInfoYListRnwResDto;
        var overList = CurrPage.warranty.warrantInfoNListRnwResDto;
        var jobList = [CurrPage.uiYetList(yetList),CurrPage.uiOverList(overList)];
        Promise.allSettled(jobList)
            .then(
                function(values){
                    if(values[0].status==="fulfilled"&&values[1].status==="fulfilled"){
                        $("section.section-01").removeClass("none");
                        CurrPage.setEventListner();
                    }
            });
    },
    setEventListner: function(){
        exWNHideIndicator();
    },
    uiYetList: function (list) {
        if(!isEmpty(list)){
            for(var i=0;i<list.length;i++){
                var itemHtml=CurrPage.htmlItem(list[i]);
                $("#yetListTarget table tbody").append($(itemHtml));
            }
            $("#yetListCntTarget").text(list.length+"건");
            $("#yetListTarget").removeClass("none");
            $("#yetListTitle").removeClass("none");
        }else{
        }
    },
    uiOverList: function (list) {
        if(!isEmpty(list)){
            for(var i=0;i<list.length;i++){
                var itemHtml=CurrPage.htmlItem(list[i]);
                $("#overListTarget table tbody").append($(itemHtml))
            }
            $("#overListCntTarget").text(list.length+"건");
            $("#overListTarget").removeClass("none");
            $("#overListTitle").removeClass("none");
        }else{

        }

    },
    htmlItem: function(data){
        return '<tr>' +
            '    <td class="text-align-left">'+data.partLigNm+'</td>' +
            '    <td>'+moment(data.carGrnCmplCdt).format("YYYY.MM.DD")+'</td>' +
            '    <td>'+comma.add(data.grnRprTrvgDist)+'km</td>' +
            '</tr>';
    }
}

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_127_8000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
