/**

@파일명 : KIA_RNW_233_0000.js 
@작성자 : 박민기
@생성일 : 2022.04.11 
@메뉴명 :  
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/

var CurrPage; 
var KIA_RNW_233_0000 ={ 
    // chcd: {},
    cycleList : {},
    cycleChangeList : {},
    currentSelectCarVin: {}, // 소모품 탭의 선택 차량 vin
    // prevCdList : {},
    // defaultList : [
    //     {title:'엔진오일 및 필터', cd:'0001', value:"15,000"},
    //     {title:'에어클리너 필터', cd:'0002', value:"40,000"},
    //     {title:'공조장치용 에어필터', cd:'0003', value:"15,000"},
    //     {title:'점화플러그', cd:'0004', value:"0"},
    //     {title:'자동변속기 오일', cd:'0005', value:"0"},
    //     {title:'브레이크 패드(Frt)', cd:'0006', value:"40,000"},
    //     {title:'브레이크 패드(Rr.디스크)', cd:'0007', value:"40,000"},
    //     {title:'브레이크 패드(Rr.드럼)', cd:'0008', value:"0"},
    //     {title:'브레이크 오일', cd:'0009', value:"0"},
    //     {title:'부동액', cd:'0010', value:"40,000"},
    //     {title:'연료필터', cd:'0011', value:"60,000"},
    //     {title:'타이어 위치교체', cd:'0012', value:"10,000"},
    //     {title:'타이밍 벨트', cd:'0013', value:"0"},
    //     {title:'구동 벨트', cd:'0014', value:"70,000"},
    //     {title:'수동변속기 오일', cd:'0015', value:"0"}
    // ],
    init: function(){ 
        // todo 키보드 엔터키 등에 대한 처리
        // todo 기본값이 없는 소모품은 0으로 처리해도 되는건가?

        CurrPage = this; 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START"); 

        // CurrPage.chcd = MData.param("selectedChCd");
        // MData.removeParam("selectedChCd");
        CurrPage.cycleList =  MData.param("cycleList");
        MData.removeParam("cycleList");

        // CurrPage.cycleList.map(function(item){
        //     // 매뉴얼 기본값인 경우 세팅
        //     if( item.itcgCyclScnCd == "1") item.exchDist = CurrPage.getDefault(item.exchCd);

        //     return item;
        // });

        CurrPage.cycleChangeList = JSON.parse(JSON.stringify(CurrPage.cycleList));

        CurrPage.showDtlList( CurrPage.cycleList );

        CurrPage.currentSelectCarVin =  MData.param("currentSelectCarVin");
        MData.removeParam("currentSelectCarVin");

        CurrPage.setEventListner();

        var defaultBtn = true;
        // 모든 값이 매뉴얼기준이면 매뉴얼라디오 버튼을 기본값으로
        for( var i=0; i<CurrPage.cycleChangeList.length; i++ )
        {
            if( CurrPage.cycleChangeList[i].itcgCyclScnCd != "1" )
            {
                defaultBtn = false;
                break;
            }
        }

        if( defaultBtn )
        {
            CurrPage.radioChanged( "radioOption1-2" );
            var target = $(".content.content-mycar.supplySet #radioOption1-2");
            target.prop('checked',true);
            
        }
        else
        {
            CurrPage.radioChanged( "radioOption1-1" );
            var target = $(".content.content-mycar.supplySet #radioOption1-1");
            target.prop('checked',true);
        }
    }, 
    showDtlList: function(datas)
    {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("showDtlList");
        var _target = $("#cycleList");
        _target.html('');
        datas.forEach(function (data,idx){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("itms");
            var _item = CurrPage.getExchItem(data);
            _target.append(_item);
        });
    },
    comma: function(str) {
        str = String(str);
        return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g, '$1,');
    },
    uncomma: function(str) {
        str = String(str);
        str = str.replace(/[^\d]+/g, '');
        if( !str.trim() ) str = str.trim(); // 빈값은 그대로 둠
        else str = Number(str).toString(); // leading zero 제거
        return str;
    },
    // inputNumberFormat: function(obj) {
    //     obj.value = CurrPage.comma(CurrPage.uncomma(obj.value));
    // },
    // inputOnlyNumberFormat: function(obj) {
    //     obj.value = CurrPage.onlynumber(CurrPage.uncomma(obj.value));
    // },
    onlynumber: function(str) {
	    str = String(str);
	    return str.replace(/(\d)(?=(?:\d{3})+(?!\d))/g,'$1');
	},
    validateInput: function(str) {
        str = CurrPage.comma(CurrPage.uncomma(str));
        if( str == "" ) str = "0";
        str = CurrPage.comma(Number(CurrPage.uncomma(str)).toString());
        return str;
    },
    saveChange: function(chcd, str) {
        for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
        {
            if( CurrPage.cycleChangeList[i].exchCd == chcd )
            {
                CurrPage.cycleChangeList[i].itcgCyclScnCd = "3";
                CurrPage.cycleChangeList[i].exchDist = CurrPage.uncomma(str);
                return;
            }
        }
    },
    checkChanged: function()
    {
        var changed = false;
        for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
        {
            CurrPage.cycleChangeList[i].changed = false;

            if( CurrPage.uncomma(CurrPage.cycleList[i].exchDist) != CurrPage.uncomma(CurrPage.cycleChangeList[i].exchDist) )
            {
                CurrPage.cycleChangeList[i].changed = true;
                changed = true;
            }
            // 값이 같은데 3에서 1로 바뀐 경우 의미 있음
            // 1에서 3으로 바뀌었는데 거리 변경이 없는 경우는 바뀐게 아님
            else if( CurrPage.cycleList[i].itcgCyclScnCd == "3" && CurrPage.cycleChangeList[i].itcgCyclScnCd == "1" )
            {
                CurrPage.cycleChangeList[i].changed = true;
                changed = true;
            }

            // todo 값이 없는 상태에서 변경된 경우
        }

        return changed;
    },
    getExchItem: function (data) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("_233_0000_Func> _$getExchItemDiv : "+data);

        var html = '<li>' +
        '    <h6 class="text-scale-06"><b>'+data.exchNm+'</b></h6>'  +
        '    <div class="form-field">'  +
        '        <div class="input-cont js-input--clear">'  +
        '           <input type="text" placeholder="" inputmode="numeric" maxlength="10" pattern="[0-9]*" value="'+CurrPage.validateInput(data.exchDist)+'" code="'+data.exchCd+'" >'+
        '           <button type="button" class="btn-input-clear js-input-clear-btn">'  +
        '                <i class="ico-input-clear"></i>'  +
        '            </button>'  +
        '            <span class="unit">Km</span>'  +
        '        </div>'  +
        '    </div>'  +
        '</li>';
        // var html = '<tr><td>'+data.exchDt+'</td><td class="text-align-left">'+data.exchNm+'</td>';
		return html;
        // return $('<tr></div>').html(html);
    },
    getDefault:function(exchCd)
    {
        var exchDist = 0;
        switch(exchCd){
            case "0001":
            exchDist = 10000;
            break;
            case "0002":
            exchDist = 40000;
            break;
            case "0003":
            exchDist = 15000;
            break;
            case "0004":
            exchDist = 100000;
            break;
            case "0005":
            exchDist = 100000;
            break;
            case "0006":
            exchDist = 40000;
            break;
            case "0007":
            exchDist = 40000;
            break;
            case "0008":
            exchDist = 40000;
            break;
            case "0009":
            exchDist = 40000;
            break;
            case "0010":
            exchDist = 40000;
            break;
            case "0011":
            exchDist = 60000;
            break;
            case "0012":
            exchDist = 10000;
            break;
            case "0013":
            exchDist = 80000;
            break;
            case "0014":
            exchDist = 70000;
            break;
            default:
            break;
        }
        return exchDist;
        /*for( var i=0; i<CurrPage.defaultList.length; i++ )
        {
            if( CurrPage.defaultList[i].cd == cd ) 
            {
                return CurrPage.defaultList[i].value;
            }
        }
        return 0;*/
    },
    radioChanged: function( id )
    {
        var target = $(".content.content-mycar.supplySet");
        
        if( id == "radioOption1-1")
        {
            $(target).find(".supplySet-body .info-cont p").last().html("직접 입력하신 거리 기준으로 소모품 교체 주기를 설정합니다.");
            $(target).find('input[type="text"]').attr('disabled',false);
            for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
            {
                CurrPage.cycleChangeList[i].itcgCyclScnCd = CurrPage.cycleList[i].itcgCyclScnCd;//CurrPage.prevCdList[i]; // 이전값으로 복귀   
                CurrPage.cycleChangeList[i].exchDist = CurrPage.cycleList[i].exchDist;
                $('#cycleList input[code="'+CurrPage.cycleChangeList[i].exchCd+'"]')
                .val( CurrPage.validateInput(CurrPage.cycleList[i].exchDist) );
            }
        }
        else
        {
            $(target).find(".supplySet-body .info-cont p").last().html("차량 매뉴얼을 기준으로 소모품 교체 권장 주기를 설정합니다.");
            $(target).find('input[type="text"]').attr('disabled',true);
            // CurrPage.prevCdList = [];

            for( var i=0; i< CurrPage.cycleChangeList.length; i++ )
            {
                // CurrPage.prevCdList.push(CurrPage.cycleChangeList[i].itcgCyclScnCd); // 복귀시 필요한 정보
                CurrPage.cycleChangeList[i].itcgCyclScnCd = "1";
                CurrPage.cycleChangeList[i].exchDist = CurrPage.getDefault(CurrPage.cycleChangeList[i].exchCd);
                $('#cycleList input[code="'+CurrPage.cycleChangeList[i].exchCd+'"]')
                .val( CurrPage.validateInput(CurrPage.getDefault(CurrPage.cycleChangeList[i].exchCd)) );
            }
        }
    },
    setEventListner: function(){
        // do something.. 
        // $(".btn-close").on("click", function(){
        //     COMMON_FUNCTION.TOOL.DEBUG.showTalk("Close btn");
        //     MPage.back({
        //         animate : "MODAL_DOWN"
        //     });
        // });
        // COMMON_FUNCTION.TOOL.DEBUG.showTalk("setEventListner");

        // $(document).on("click", ".btn-close", function(){
        //     COMMON_FUNCTION.TOOL.DEBUG.showTalk("close");
        //     MPage.back();
        //     // {
        //     //     animate : "MODAL_DOWN"
        //     // }
        // });

        // $(document).on("click", ".btn-primary", function(){
        //     CurrPage.search();
        // });

        // $('input[type="text"]').on('paste',function(e){
        //     COMMON_FUNCTION.TOOL.DEBUG.showTalk("paste");
        //     e.target.value = CurrPage.validateInput(e.target.value);
        //     CurrPage.saveChange( e.target.getAttribute('code'), e.target.value);
        // });

        var target = $(".content.content-mycar.supplySet");

        $(target).find('input[type="radio"]').off('change').on('change',function(e){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk(this.id);
            var radio = $(this);
            if( radio.prop('checked') )
            {
                CurrPage.radioChanged(this.id);
            }
        });

        $(target).find('input[type="text"]').off('input paste').on('input paste',function(e){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("input,paste");
            
            if( typeof e.target.oldval == "undefined" ) e.target["oldval"] = 0;
 
            var cursor = e.target.value.length - e.target.selectionEnd; // 현재 커서 위치, 뒤에서부터

            if( cursor < 0 ) cursor = 0;
            if( e.target.oldval.length-1 == e.target.value.length &&
                CurrPage.uncomma(e.target.oldval) == CurrPage.uncomma(e.target.value) )
            {
                var str1 = e.target.oldval;
                var str2 = e.target.value;
                // 쉼표가 지워진 경우
                var pos = 0;
                for( ; pos < str2.length; pos++ )
                {
                    if( str1.charAt(pos) !=str2.charAt(pos) ) break;
                }
                
                e.target.value = str2.slice(0,pos-1) + str2.slice(pos);
            }
        
            e.target.value = CurrPage.validateInput(e.target.value);
            if( e.type == "input")
            {
                cursor = e.target.value.length-cursor;
                if( cursor < 0 ) cursor = 0;
                e.target.setSelectionRange( cursor, cursor );
            }

            e.target.oldval = e.target.value;

            CurrPage.saveChange( e.target.getAttribute('code'), e.target.value);
        });

        $(target).find(".btn-primary").off("click").on("click", function(){
            if( CurrPage.checkChanged() )
            {
                var sendData = {
                    mbrId: PGV.loginInfo.mbrId,
                    vin: CurrPage.currentSelectCarVin,
                    exchCycleList : []
                    // trvgDist :trvgDist
                };

                // sendData.exchCycleList

                // sendData.exchCycleList = JSON.parse(JSON.stringify(CurrPage.cycleChangeList));
                CurrPage.cycleChangeList.map(function(item){
                    // delete item.exchNm;
                    var changed = item.changed;
                    // delete item.changed;
                    // delete item.exchNm;

                    if( changed )
                    sendData.exchCycleList.push({
                        exchCd : item.exchCd,
                        exchDist : CurrPage.uncomma(item.exchDist),
                        partTrtmYn : isEmpty(item.partTrtmYn)?"N":item.partTrtmYn,
                        itcgCyclScnCd : item.itcgCyclScnCd
                    });

                    return item;
                    //  {
                    //     exchCd : item.exchCd,
                    //     exchDist : item.exchDist,
                    //     partTrtmYn : item.partTrtmYn,
                    //     itcgCyclScnCd : item.itcgCyclScnCd
                    // };
                });

                COMMON_FUNCTION.TOOL.DEBUG.showTalk("sendData : " + JSON.stringify(sendData));
                
                MNet.httpSendAsync({
                    path: _API.SVR.MYCAR.ckb.insertCycle,
                    sendData : sendData,
                    indicatorYn:"Y",
                    isMock: false
                }).then(
                    function(response){
                        exWNHideIndicator();
                        COMMON_FUNCTION.TOOL.DEBUG.showTalk(response);
                        if(response.resultCode==="200")
                        {
                            M.pop.instance('설정이 완료되었습니다.');
                            MPage.back({param: {"isRefresh": "Y"}});
                        }
                        else
                        {
                            M.pop.instance('설정에 실패하였습니다.');
                            MPage.back();
                        }
                    }
                ).catch(function(){
                    exWNHideIndicator();
                    M.pop.instance('설정에 실패하였습니다.');
                    MPage.back();
                });
                
            }
            else
            {
                M.pop.instance('변경된 내용이 없습니다.');
                // MPage.back();
            }
        });
    } 
} 

// KIA_RNW_233_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_233_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
