/**

@파일명 : KIA_RNW_250_0000.js 
@작성자 : 박민기
@생성일 : 2022.04.13
@메뉴명 : 고급차 특화 서비스
@DESC : 전체메뉴노출[X]	미로그인[X]	차량미보유[X]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/

var CurrPage; 
var KIA_RNW_250_0000 ={ 
    // chcd: {},
    freeCare : null,
    carInfo : null,
    saleCdt : "",
    init: function(){ 
        // todo 오류는 아니지만, httpSendAsyncAsIs에서 catch를 쓰면 안됨. 원래 이런가?
        // todo 프리미엄 케어 예약 웹은 접속은 되는데, 정상인지 확인 필요
        CurrPage = this; 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START"); 

        CurrPage.freeCare= null;
        // 차량 선택을 밖에서 했으므로 바로 적용
        CurrPage.carInfo = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();
        CurrPage.makeCarInfo();

        // 리스너는 API 호출 후에 설정
        // CurrPage.setEventListner();
    }, 
    
    makeCarInfo: function() {
        if (isEmpty(CurrPage.carInfo)) {
            return;
        }

        if (CurrPage.carInfo.carAlias) {
            $(".text-title:first").find('b:first').text(CurrPage.carInfo.carAlias);
            // infoView.find(".tit").text(CurrPage.carInfo.carAlias);
        } else {
            $(".text-title:first").find('b:first').text("애칭을지어주세요.");
            // infoView.find(".tit").text("애칭을지어주세요.");
        }

        $(".text-info:first").find('span:eq(0)').text(CurrPage.carInfo.mdlNm);
        $(".text-info:first").find('span:eq(1)').text(CurrPage.carInfo.carRgstNo);
        // infoView.find(".sub-tit2").html(getCarRgstNoText(CurrPage.carInfo.carRgstNo));

        var carFlag = "";
        var carInfoBg = "";

        if(CurrPage.carInfo.mdlNm.indexOf("K9") == -1){
            carFlag = "N";
            carInfoBg = "background-image:url('../../img/rnw/main/mycar/img_highcar_stinger.png')";
            // "../../img/common/img_exclusivecar_top_stinger.png";
            // brandImg = "../../img/common/thumb_vip_brandstory_stinger.png";
        }else{
            carFlag = "Y";
            carInfoBg = "background-image:url('../../img/rnw/main/mycar/img_highcar_k_9.png')";
            //carInfoBg = "../../img/common/img-exclusivecar-top-thek-9.png";     // [KIAVIK-601] K9 배너 변경
            // brandImg = "../../img/common/thumb_vip_brandstory_k9.png";
        }

        // $("#carInfoBg").attr("src", carInfoBg);
        // //$("#brandStoryImg").attr("src", brandImg);        // [KIAVIK-601] 고급차 특화서비스 스토리 영역 삭제
        // //$("#brandStoryBtn").attr("carFlag",carFlag);
        $("#btnPrem").attr("carFlag",carFlag);
        $("#btnAuto").attr("carFlag",carFlag);
        $("#btnCare").attr("carFlag",carFlag);
        $(".bg-cont:last").attr("style", carInfoBg );
        // <div class="bg-cont" style="background-image:url('../../img/rnw/main/mycar/img_highcar_stinger.png');"></div>

        var sendData = {
            mbrId: PGV.loginInfo.mbrId,
            vin: CurrPage.carInfo.vin
        }

        var options = {
            isMock: false, path: _API.SVR.MYCAR.recall.freeCareList, sendData: sendData,
        };

        MNet.httpSendAsync(options).then(
            function (response) {
                exWNHideIndicator();
                if (response.resultCode === "200" )
                {
                    // if( response.freeCareYN == "Y" )
                    {
                        CurrPage.freeCare = JSON.stringify(response);
                        var list = response.freeCareListRnwResDto;
                        var availableCount = list.length; // (Number(response.freeCareCnt) || 0);
    
                        for (var i = 0; i < list.length; i++) {
                            var item = list[i];
                            var availCnt = item.apimOft - item.vinCnt;
                
                            if(availCnt===0 || (typeof item.rprYn=='string'&& !isEmpty(item.rprYn.trim()))){
                                availableCount--;
                            }
                        }

                        $(".justify-content-between:first").find('b:first').text("" + availableCount + "건");
                    }
                }
                else
                {
                    M.pop.instance( !isEmpty(response.resultMsg)? response.resultMsg:response.errorMessage );
                }
        }).catch(function(){
            exWNHideIndicator();
        }).finally(function(){
            MNet.httpSendAsyncAsIs({
                path : inf.recall.freeCareGrnMonths.url,
                sendData : {
                    vin : [ CurrPage.carInfo.vin ], 
                    flagYn : "Y" // 고급차 
                }
            }).then(function(receivedData){
                exWNHideIndicator();
                COMMON_FUNCTION.TOOL.DEBUG.showTalk(receivedData);
                var code = receivedData.resultCode;
                var msg = !isEmpty(receivedData.resultMsg)? receivedData.resultMsg:receivedData.errorMessage; //receivedData.resultMsg;
                var list = receivedData.freeCareGrnMonthsListResDto;
                if(code == "200"){
                    if(list.length > 0){
                        /*for(var i = 0; i < list.length; i++) {
                            var obj = list[i];
                            PGV.myLuxuryCarList[i].freeCareGrnMonths = {}; // 테스트를 위해서 현재 k9 차량은 데이터가 안나옴 
                            for (var j = 0; j < PGV.myLuxuryCarList.length; j++) {
                                if(obj.vin == PGV.myLuxuryCarList[j].vin){
                                    PGV.myLuxuryCarList[j].freeCareGrnMonths = obj;
                                }
                            }
                        }
                        makeCarInfo(PGV.myLuxuryCarList[0]);*/
                        CurrPage.saleCdt = list[0].saleCdt;
                    }
                }else{
                    M.pop.instance(msg);
                }
            }).finally(function(){
                exWNHideIndicator();
                CurrPage.setEventListner();
            });
        });
    },
    setEventListner: function(){
        $("#highcar .btn-prev").off().on("click",function(e){
            MPage.back();
        });

        $("#conciergeBtn").off("click").on("click", function(){
            var that = $(this);
            var telNum = null;
            if(!isEmpty(that.attr("data-call-num"))){
                telNum = extractNumber(CONSTANT.CALL[that.attr("data-call-num")].NUM);
            }else{
                telNum = extractNumber(that.text());
            }
            
            MSys.call(telNum);
        });

        $("#btnPrem").off("click").on("click", function(){

            var $this = $(this);
            PGV.premiumCareFlag = $this.attr("carFlag");
            // var carInfo = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();// PGV.myLuxuryCarList[0];//$(".mycarlist").attr("data-select-idx")];
            // premiumCareReserve(carInfo.vin);
            MNet.httpSendAsyncAsIs({
                path : inf.common.encBase64.url,
                isMock : false,
                indicatorYn : "Y",
                sendData : {
                    str : CurrPage.carInfo.vin
                }
                // ,
                // callback : premiumCareReserveCallback
            }).then(
                function(receivedData){
                    exWNHideIndicator();
                    COMMON_FUNCTION.TOOL.DEBUG.showTalk(receivedData);
                    var str = receivedData.str;
                    if(!isEmpty(str)){
                        var url = "";
                        // var carInfo = COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar();//PGV.myLuxuryCarList[0];//$(".mycarlist").attr("data-select-idx")];
                        var params = {};
                        if(PGV.premiumCareFlag == "Y"){
                            url = CONSTANT.LINK_URL["KIA_RNW_251_0000"].URL; //k9
                        }else{
                            url = CONSTANT.LINK_URL["KIA_RNW_251_1000"].URL; //스팅어
                        }
                        var vinCode = str;
                        var reqUrl = url +"csmr_mgmt_no="+PGV.loginInfo.csmrMgmtNo+ "&vin="+vinCode+ "&whot_ymd=" + CurrPage.saleCdt;//carInfo.freeCareGrnMonths.saleCdt; 
                        MPage.activity({
                            className : "WebviewActivity",
                            param : {
                                method : CONSTANT.NET_MTHD.GET, 
                                requestURL : reqUrl
                            }
                        });
                        // return false;
                    }
                    else{
                        M.pop.instance('예약에 실패하였습니다.');
                    }
                }
            );
            // .catch(function(){
            //     M.pop.instance('예약에 실패하였습니다.');
            //     // MPage.back();
            //     // CurrPage.doEnd();
            // });
        });

        $( "#btnAuto").off("click").on("click", function(){
            var carInfo = CurrPage.carInfo;//COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar(); //PGV.myLuxuryCarList[0]; //$(".mycarlist").attr("data-select-idx")];
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_243_1000.path,
                animate : 'SLIDE_LEFT',
                param : {
                    carList : { "myCarInfoListResDto" : [carInfo]},
                    defaultSelectCar: carInfo,
                    currentScopeSelectCar: carInfo //CurrPage.currentScopeSelectCar
                }
            });
            // PGV.flagBtn = "reserveAutoQ";
            // selectIsRsvYnInfo(carInfo.vin);
            // M.data.global("page_title", "고급차 AUTO Q 예약");
            // MPage.html({
            //     url: _url,
            //     param: {
            //         // selectedFreeCareList: PGV.selectedFreeCareList,
            //         // titleText: "Y",
            //         // carInfo: PGV.carInfo,
            //         // reserveData: PGV.reserveData
            //     }
            // });
        }
        );

        $(document).off("click").on("click", "#btnCare", function(){
            var param = {
                carInfo : CurrPage.carInfo, //COMMON_FUNCTION.TOOL.DATA.getCurrentScopeSelectCar(), //PGV.myLuxuryCarList[0],
                freeCare: CurrPage.freeCare? CurrPage.freeCare : null 
            };

            MPage.html({
                url : PATH_MANAGER.KIA_RNW_252_0000.path,
                animate : 'SLIDE_LEFT',
                param : param
            });
        }
        );
    } 
} 

// KIA_RNW_233_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_250_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
