/**
 @파일명 : KIA_RNW_252_0000.js
 @작성자 : 박민기
 @생성일 : 2022.04.13
 @메뉴명 : 프리케어 상세
 @DESC : 권한 대기중
 */

var CurrPage;

var KIA_RNW_252_0000 = {
    // freeCare: null,
    currentScopeSelectCar:{},
    init: function() {
   
        CurrPage = this;

        if( MData.param("freeCare") )
        {
            try{
                // CurrPage.freeCare = JSON.parse(MData.param("freeCare"));
                if( typeof MData.param("freeCare") == "string" )
                CurrPage.makeFreeCareView(JSON.parse(MData.param("freeCare")));
                else
                CurrPage.makeFreeCareView(JSON.parse(JSON.stringify(MData.param("freeCare"))));
                
            }catch(e){
                // CurrPage.freeCare = null;
            }
        }
        CurrPage.currentScopeSelectCar = MData.param("carInfo");
        // restore 케이스가 있어서 삭제하지 않음
        // MData.removeParam("freeCare");
        // MData.removeParam("carInfo");
        
        CurrPage.setEvent();
    },
    makeFreeCareView: function(freeCare) {
        if (isEmpty(freeCare)) {
            return;
        }

        // CurrPage.freeCare = freeCare;
    
        var careBuff2 = "";
        var deliBuff = "";
        var list = freeCare.freeCareListRnwResDto;
        //신규  api 있음...by 정목단.
        // if(isEmpty(list)) list = freeCare.freeCareListRnwResDto;
        var availableCount = list.length; // (Number(response.freeCareCnt) || 0);
    
        for (var i = 0; i < list.length; i++) {
            var careBuff = "";
            var item = list[i];
            var availCnt = item.apimOft - item.vinCnt;
            var exprTxt = "";
            if(!isEmpty(item.grnYmd) && moment(item.grnYmd).format("YYYYMMDD") != "99991231"){
                exprTxt += moment(item.grnYmd).format("YYYY.MM.DD");
            }
            if(!isEmpty(item.trvgDist) && item.trvgDist != "0"){
                if(!isEmpty(exprTxt)){
                    exprTxt += " 또는 ";
                }
                exprTxt += comma.add(item.trvgDist)+"km";
            }

            if(availCnt===0 || (typeof item.rprYn=='string'&& !isEmpty(item.rprYn.trim()))){
                availableCount--;
            }

            if( item.pckgNm.includes("도어") || item.pckgNm.toUpperCase().includes("DOOR") ) item.pckgNm = "K딜리버리 서비스 ";

            if( item.pckgNm.includes("딜리버리") ) careBuff += '<div class="info-cont c-bg-gray">';
            careBuff += '<div class="free-detail">'+
                '<dl>';
            careBuff += '<dt>'+item.pckgNm;//
            if( item.pckgNm.includes("딜리버리") ) careBuff += '<button type="button" id="delivery"><i class="ico-info-regular"></i></button>';
            careBuff += '</dt>';

            if((typeof item.rprYn=='string'&& !isEmpty(item.rprYn.trim()))){
                var start = item.rprYn.indexOf("("), end = item.rprYn.indexOf(")");
                var rprType = item.rprYn.substring(start+1, end);
                careBuff += '<dd class="gray">'+rprType+'만료</dd>';
            }else{
                if( availCnt===0 )
                {
                    careBuff += '<dd class="gray">소진</dd>';
                }
                else
                {
                    careBuff += '<dd>잔여 '+availCnt+'/'+item.apimOft+'</dd>';
                }
            }
            careBuff += '</dl>';
            if( item.pckgNm.includes("딜리버리") )
            {
                careBuff += '<span class="txt">정비 진행 시 예약 일시 선택 후</br>신청 가능하며, 잔여 횟수는 편도 기준입니다.';
            }
            else if(!isEmpty(exprTxt)){
                careBuff += '<span>';
                careBuff += exprTxt+" 만료";
            }
            careBuff += '</span></div>';
            if( item.pckgNm.includes("딜리버리") ) careBuff += '</div>';

            if( item.pckgNm.includes("딜리버리") ) deliBuff = careBuff;
            else careBuff2 += careBuff;
        }

        // 딜리버리는 따로 마지막에 출력
        careBuff2 += deliBuff;
        
        $("#freeCareDetail .btn-num:first").find('em:first').text("" +availableCount + "종");

        if( availableCount > 0 ) $('#freeCareDetail #btnNext')[0].className = "btn-primary";

        // $("#availableCount").text(availableCount+"건");
        $("#freeCareDetail .div-body:first").html(careBuff2);
        // if (availableCount > 0) {
        //     $(".accordion").addClass("on");
        // }
    
        // $(".content").removeClass("none");
    
    },
    setEvent: function(){
        $("#freeCareDetail #delivery").off("click").on("click", function(){
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_252_1000.path,
                animate : 'MODAL_DOWN'
            });
        });

        $("#freeCareDetail .free-info").off("click").on("click", function(){
            var _url = CONSTANT.LINK_URL.KIA_RNW_252_2000.URL;
			MPage.activity({
				className : "WebviewActivity",
				param : {
					method : CONSTANT.NET_MTHD.GET,
					requestURL : _url
				}
			});
        });

        $("#freeCareDetail #btnNext").off("click").on("click", function(e){
            if( !e.target.className.includes("disabled") )
            {
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_243_1000.path,
                    animate : 'SLIDE_LEFT',
                    param : {
                        carList : { "myCarInfoListResDto" : [CurrPage.currentScopeSelectCar]},
                        defaultSelectCar: CurrPage.currentScopeSelectCar,
                        currentScopeSelectCar: CurrPage.currentScopeSelectCar
                    }
                });
                /*var thisBtn = this;
                var pageName = $(thisBtn).data("pageLink");
                var _url = PATH_MANAGER[pageName].path;
                var _param = null;
                switch (pageName) {
                    case "KIA_RNW_243_1000": // 정비 예약 v
                        _param = {defaultSelectCar: CurrPage.currentScopeSelectCar};
                        break;
                    default:
                        break;
                }
                var options = {url: _url};
                if (!isEmpty(_param)) options = options.param = _param;*/
                // MPage.html(options);
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk("goNext");
                // var param = {
                // };

                // MPage.html({
                //     url : PATH_MANAGER.KIA_RNW_232_1000.path,
                //     animate : 'SLIDE_LEFT',
                //     param : param
                // });
            }
        });

        // if(!isEmpty($(["data-page-link"]))) {
        //     $('[data-page-link]').off("click").on("click", function () {
        //         var thisBtn = this;
        //         var pageName = $(thisBtn).data("pageLink");
        //         var _url = PATH_MANAGER[pageName].name;
        //         var _param = null;
        //         switch (pageName) {
        //             case "KIA_RNW_243_1000": // 정비 예약 v
        //                 _param = {defaultSelectCar: CurrPage.currentScopeSelectCar};
        //                 break;
        //             default:
        //                 break;
        //         }
        //         var options = {url: _url};
        //         if (!isEmpty(_param)) options = options.param = _param;
        //         MPage.html(options);
        //     });
        // };
        // COMMON_FUNCTION.TOOL.UI.enableScreenIdListeners();
    }
}


/** 
 * 모피어스 화면 상태 이벤트 함수 
 */
var MStatus = {
    onReady: function (event) {
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : " + PGV.currentPage);
        KIA_RNW_252_0000.init();
    },
    onHide: function (event) { },
    onRestore: function (event) { 
        // console.log("onRestore page : " + PGV.currentPage);
        // 링크 타고 나갔다가 복귀시 사라지는 현상이 있어서 처리
        KIA_RNW_252_0000.init();
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy: function (event) { },
    onPause: function (event) { },
    onResume: function (event) { }
}; 