/**

@파일명 : KIA_RNW_400_0000.js 
@작성자 : 박민기
@생성일 : 2022.01.26 
@메뉴명 : 기아스토리
@DESC : 전체메뉴노출[O]	미로그인[O]	차량미보유[O]	계약차량보유[O]	내연보유[O]	EV보유[O] 
*/ 
var KiaStory;
var KIA_RNW_400_0000 ={ 
    init: function(){
        KiaStory = this;
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START : KIA_RNW_400_0000"); 

        // MNet.httpSendAsIs({
        //     path : inf.event.eventAllList,
        //     sendData : {
        //         currentPageNo : String(1),
        //         pageSize : String(100),
        //         evtCd :'JOIN',
        //         state :'ALL'   // 전체 : ALL, 진행 : Y, 종료 : N
        //     },
        //     callback : function(response)
        //     {
        //         COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(response));
        //     }
        // });

        KiaStory.gnbButtons();
        exWNShowIndicator();
        KiaStory.getEventList()
        .then(function(response){
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk("res");
            // COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(response));
            // exWNHideIndicator();
            if(response.resultCode==="200"){
                if(!isEmpty(response.eventMainInfoListRnwResDto))
                KiaStory.setJoinEventList(response.eventMainInfoListRnwResDto);

                if(!isEmpty(response.insuranceMainInfoListRnwResDto))
                KiaStory.setPartEventList(response.insuranceMainInfoListRnwResDto);
            }
            // else{
            //     // ExchMng.uiExchCycle(null);
            //     M.pop.instance( !isEmpty(response.resultMsg)? response.resultMsg:response.errorMessage );
            // }
        }).then(function() {
            KiaStory.getSurveyList().then(function (response) {
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk("res");
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(response));
                // exWNHideIndicator();
                if (response.resultCode === "200") {
                    if (!isEmpty(response.srvyListRnwResDto))
                        KiaStory.setSurveyList(response.srvyListRnwResDto);
                }
                // else{
                //     M.pop.instance( !isEmpty(response.resultMsg)? response.resultMsg:response.errorMessage );
                //     // ExchMng.uiExchCycle(null);
                // }
            })
        }).then(function() {
            KiaStory.getKiaChannel().then(function (response) {
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(response));
                KiaStory.setKiaChannel(response);
            });
            exWNHideIndicator();
        });

        KiaStory.setEventListner();
    }, 
    gnbButtons: function () {/*  미사용 각 페이지의 스크롤 이벤트 리스너 등록과 관계있음. 실행후에 스크롤 이벤트 실행되어야 함.*/
        // return new Promise(function (resolve) {
        var _$targetHeader = $('.pg-kiastory .header').last();
        _$targetHeader.find('.main-logo').siblings().remove();
        if (isEmpty(PGV) || isEmpty(PGV.loginInfo)) {
            var html = '';
            html += '<div class="div-login">';
            html += '<button type="button" class="btn-login" id="mykia-main-login">';
            html += '<em class="text-underline">로그인</em>';
            html += '</button>';
            html += '</div>';
            _$targetHeader.find('div.inner-cont').append($(html));
            // resolve();
        } else {
            var html = '';
            html += '<div class="pull-right">';
            html += '    <ul>';
            html += '        <li><button type="button" class="btn-barcode">바코드</button></li>';
            html += '        <li><button type="button" class="btn-alarm">알람</button></li><!-- .btn-alarm.on : 알람 활성화 -->';
            html += '        <li><button type="button" class="btn-mypage">마이페이지</button></li>';
            html += '    </ul>';
            html += '</div>';
            _$targetHeader.find('div.inner-cont').append($(html));
            // resolve();
        }

        COMMON_FUNCTION.TOOL.GNB.setEventListeners();
        COMMON_FUNCTION.TOOL.UI.ringTheBells();
        // });
    },
    getKiaChannel: function()
    {
        var sendData = {
        };

        // if(typeof PGV === "object" && typeof PGV.loginInfo ==="object" && && !isNull(PGV.loginInfo) ){
        //     sendData["mbrId"]= PGV.loginInfo.mbrId;
        // }

        return COMMON_FUNCTION.TOOL.OPTIMIZE.memoize.httpSendAsync({
            path: _API.SVR.STORY.kianews.kiaSelect,
            indicatorYn:"N",
            sendData: sendData,
            isMock: false,
        })
    },
    setKiaChannel: function(receivedData)
    {
        var code = receivedData.resultCode;
        var msg = receivedData.resultMsg;

        // exWNHideIndicator();
        if(code == "200"){
            // var newsMainList = receivedData.kiaNewsHeadRnwResDto;
            var newsList = receivedData.kiaNewsListRnwResDto;

            var _sliderVisual = new Swiper('.content-kiastory .section-03 .slider-middle-visual', {
				//slidesPerView:4.3,
				slidesPerView:'auto', // 20220608//(Ina)수정
                loop:false,
                speed:300,
                touchRatio: $('.slider-middle-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
            });	

            var eventIngList = "";
            if(newsList.length > 0){
                for(var i=0; i< newsList.length; i++){

    
                    var obj = newsList[i];
                    var imgPath = CONSTANT.IMG_URL_PREFIX + obj.savedFilePath + obj.savedFileNm;
                    var category = "";
                    var categoryIcon = "";
                    var url ="";
                    eventIngList += '<li'
                    if(obj.irsLinkYn == "N"){ // 이벤트 인경우
                        eventIngList += ' type="button" data-promote-idx="' + obj.irsLinkYn + '" data-brand-url="' + obj.evtNo + '" data-news="Y">';
                    }else{
                        eventIngList += ' type="button" data-promote-idx="' + obj.irsLinkYn + '" data-brand-url="' + obj.linkUrl + '" data-news="Y">';
                    }

                    switch(obj.ccdNm.toUpperCase()) {
                        case "캬TV BY 기아":
                        case "캬TV BY 기아자동차":
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_youtube.png"
                            break;
                        case "인스타그램":
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_instagram.png"
                            break;
                        case "PLAY KIA":
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_playkia.png"
                            break;
                        case "카피엔스":      
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_carpience.png"
                            break;
                        case "페이스북":      
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_facebook.png"
                            break;
                        case "기아":      
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_kiacom.png"
                            break;
                        case "기아멤버스":      
                            categoryIcon = "../../img/rnw/main/kiastory/thumb_chkia_redmem.png"
                            break;
                        default:
                            break;
                    }

                    // <li>
                    //     <div class="img-box2"><img src="../../img/rnw/main/kiastory/img_channel_banner1.jpg" alt=""></div>
                    //     <div class="info">
                    //         <div class="img-box">
                    //             <img src="../../img/rnw/main/kiastory/thumb_chkia_youtube.png" alt="">
                    //         </div>
                    //         <strong class="text-scale-05">텔루라이드-이제 들여올때가 되지 않았을까요?</strong>
                    //         <span class="text-scale-07">캬TV by 기아</span>
                    //     </div>
                    // </li>

                    eventIngList += '<div class="img-box2"><img src=\"'+imgPath+'\" alt=""></div>';
                    eventIngList += '<div class="info">';
                    eventIngList += '   <div class="img-box">';
                    eventIngList +=	'        <img src="' + categoryIcon + '" alt="">';
                    eventIngList +=	'   </div>';
                    eventIngList +=	'   <strong class="text-scale-05">'+obj.title+'</strong>'
                    eventIngList += '   <span class="text-scale-07">'+obj.ccdNm+'</span>'
                    eventIngList += '</div>';
                    eventIngList += '</li>';
                }
            }
            // $("#newsListWrap").removeClass("none");
            $("#ksNewsListWrap:last").html(eventIngList);
            $("#ksNewsListWrap:last").off("click").on("click","li",function(e){
                var $this = $(this);
                var _url = $this.attr("data-brand-url");
                switch ($this.attr("data-promote-idx")) {
                case "Y":		// 외부
                    // 멤버스 일 경우 웹뷰로(자동로그인) 그 외의 주소일 경우 외부 브라우저로 실행
                    var membersDomain = CONSTANT.RED_URL_PREFIX.split("://")[1];
                    if (_url.indexOf(membersDomain) > -1) {
                        MPage.activity({
                            className : "WebviewActivity",
                            param : {
                                method : CONSTANT.NET_MTHD.GET,
                                requestURL : _url
                            }
                        });
                    } else {
                        MApps.browser(_url);
                    }
                    break;
                case "N":		// 내부
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_411_1000.path,
                        param : {
                            evtNo : _url,		// 이벤트 번호
                            eventType : "ing"	// 이벤트 타입 (진행 : ing, 종료 : end, 당첨자 : pick)
                        }
                    });
                    break;
                default:
                    break;
                }
            });

            // $("#newsListWrap").on("click",".middle-visual-box",function(e){

            // });
            
        }else{
            M.pop.instance( !isEmpty(receivedData.resultMsg)? receivedData.resultMsg:receivedData.errorMessage );
        }
    },
    getSurveyList: function()
    {
        var sendData = {
            // mbrId:  PGV.loginInfo.mbrId,
            evtFlag : 'ING' // ALL, ING, END
        };

        if(typeof PGV === "object" && typeof PGV.loginInfo ==="object" && !isNull(PGV.loginInfo)){
            sendData["mbrId"]= PGV.loginInfo.mbrId;
        }

        return COMMON_FUNCTION.TOOL.OPTIMIZE.memoize.httpSendAsync({
            path: _API.SVR.STORY.survey.surveyList,
            indicatorYn:"N",
            sendData: sendData,
            isMock: false,
        })
    },
    showLogin:function()
    {
        COMMON_FUNCTION.TOOL.POPUP.toggle(PATH_MANAGER.KIA_RNW_080_0000.path, null, [null, function(){
            ccspLogin();
        }]);
        // var msg = "로그인 후 이용이 가능합니다.\n로그인 하시겠어요?"
        // var _returnUrl = PATH_MANAGER.KIA_RNW_120_0000.path;
        // var _params = {};
        // MPopup.confirm({
        //     message : msg,
        //     buttons : ["취소", "로그인"],
        //     callback : function(idx){
        //         if(idx == 1){ // 로그인 눌렀을때
        //             var param = {
        //                 returnLink : _returnUrl,
        //                 returnParams : _params
        //             }
        //             ccspLogin(param);
        //             return false;
        //         }else{
        //             return false;
        //         }
        //     }
        // });
    },
    setSurveyList: function(datas)
    {
        var _target = $("#surveyList");
        $("#surveyList").html('');

        if( $(datas).length > 0 ) 
        {
            _target.css('display','block');
            $('.content-kiastory .section-02 .nodata-area').first().css("display","none");

            $(datas).each(function (idx,data){
                // COMMON_FUNCTION.TOOL.DEBUG.showTalk("asdf : " + idx);
                // ExchMng.itemList.push( {exchCd:data.exchCd, exchNm: data.exchNm} );

                if( idx < 3 ) // 최대 3개까지만 노출
                {
                    // COMMON_FUNCTION.TOOL.DEBUG.showTalk("asdf2");
                    var _$itemDiv = KiaStory._$getSurveyDiv(data);
                    // COMMON_FUNCTION.TOOL.DEBUG.showTalk( _$itemDiv );
                    _target.append(_$itemDiv);
                }
            });

            // 제목이 너무 길면 ... 처리(임시)
            $("#surveyList").find('strong').css({
                'overflow': 'hidden',
                'text-overflow': 'ellipsis',
                'display': '-webkit-box',
                '-webkit-line-clamp': '1',
                '-webkit-box-orient': 'vertical'
            });

            _target.find(".div-item").off("click").on("click",function(e)
            {
                if(!isNull(PGV.loginInfo)){ // 로그인시
                    var sn = e.target.getAttribute("sn");
                    if( isEmpty(sn) ) sn = $(e.target).closest(".div-item").attr('sn');
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_421_0000.path,
                        param : {
                            srvyNo : sn //PGV.notiNo		// 설문 번호
//                    MPage.activity({
//                        className: "WebviewActivity",
//                        param: {
//                            method: CONSTANT.NET_MTHD.GET,
//                            requestURL: CONSTANT.LINK_URL.KIA_RNW_420_0000.URL
                        }
                    });
                }else{ //미 로그인시
                    KiaStory.showLogin();
                }   
            });
        }
    },
    getEventList: function(){
        var sendData = {
            // mbrId:  PGV.loginInfo.mbrId,
            /*evtCd : cd, // JOIN, PARTNER
            evtStatCd : st, // 전체 : ALL, 진행 : Y, 종료 : N
            evtGubun : "1", //관리자 (홈화면: 1, 이벤트: 0)
            evtOrderCd: "1" // 날짜정렬: 0, 노출순서 정렬: 1*/
        };

        if(typeof PGV === "object" && typeof PGV.loginInfo ==="object" && !isNull(PGV.loginInfo) ){
            sendData["mbrId"]= PGV.loginInfo.mbrId;
        }

        return COMMON_FUNCTION.TOOL.OPTIMIZE.memoize.httpSendAsync({
            path: _API.SVR.STORY.event.BeforeLoginV2,
            indicatorYn:"N",
            sendData: sendData,
            // {
            //     mbrId:  PGV.loginInfo.mbrId,
            //     evtCd : cd, // JOIN, PARTNER
            //     evtStatCd : st, // 전체 : ALL, 진행 : Y, 종료 : N
            // },
            isMock: false,
        })
	},
    setJoinEventList: function(datas)
    {
        var _target = $('.content-kiastory .group-01 .main-visual-cont').first();
        _target.html('');

        if( $(datas).length > 0 )
        {
            var html = '';
    
            html += ' <div class="slider-cont">'+
            '<div class="slider-main-visual swiper-container">'+
            '<div class="swiper-wrapper">';
        
            $(datas).each(function (idx,data){
                var _$itemDiv = KiaStory._$getEventDiv(data);
                html +=  _$itemDiv;   
            });

            html += '</div></div><div class="swiper-pagination"></div></div>';

            _target.html( html );
            $('.content-kiastory .group-01 .nodata-area').first().css("display","none");
            _target.css("display","block");

            _target.find(".swiper-slide").off("click").on("click", function(e)
            {
                KiaStory.eventClickListener(e.target);
            } );  

            var _sliderVisual = new Swiper('.content-kiastory .group-01 .slider-main-visual', {
                slidesPerView:1,
                loop:false,
                speed:300,
                touchRatio: $('.content-kiastory .group-01 .slider-main-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
                pagination: {
                    el: '.content-kiastory .group-01 .main-visual-cont .swiper-pagination',
                    clickable: true,
                },
            });	
        }
    },
    setPartEventList: function(datas)
    {
        var _target = $('.content-kiastory .group-02 .main-visual-cont').first();
        _target.html('');

        if( $(datas).length > 0 )
        {
            var html = '';
    
            html += ' <div class="slider-cont">'+
            '<div class="slider-main-visual swiper-container">'+
            '<div class="swiper-wrapper">';
        
            $(datas).each(function (idx,data){
                var _$itemDiv = KiaStory._$getEventDiv(data);
                html +=  _$itemDiv;   
            });

            html += '</div></div><div class="swiper-pagination"></div></div>';

            _target.html( html );
            $('.content-kiastory .group-02 .nodata-area').first().css("display","none");
            _target.css("display","block");

            _target.find(".swiper-slide").off("click").on("click", function(e)
            {
                KiaStory.eventClickListener(e.target);
            } );  

            var _sliderVisual = new Swiper('.content-kiastory .group-02 .slider-main-visual', {
                slidesPerView:1,
                loop:false,
                speed:300,
                touchRatio: $('.content-kiastory .group-02 .slider-main-visual .swiper-slide').length > 1 ? true : false, // 슬라이드 영역 1개일경우 드래그 금지
                pagination: {
                    el: '.content-kiastory .group-02 .main-visual-cont .swiper-pagination',
                    clickable: true,
                },
            });	
        }
    },
    _$getEventDiv: function (data) {
        // COMMON_FUNCTION.TOOL.DEBUG.showTalk("_230_0000_Func> _$getJoinEventDiv : "+data);
        // [{"evtNo":502,"evtClsCcd":"JOIN","evtStartDtm":"2022-04-12 00:00:00","evtEndDtm":"2022-04-30 00:00:00","evtNm":"모하비여행 테스트","state":"Y","linkUrl":"/uploadFiles/totalInfo/2022/4/12/14/html/travelPick_event.html","irsLinkYn":"N","orgnFileNm":"20220412134703831.jpg","savedFileNm":"20220412134703831.jpg","savedFilePath":"/uploadFiles/tempImage/2022/4/12/13/"}]
        var obj = data;
        var linkdata = "";

        if(obj.irsLinkYn == "Y"){ // 배너만으로 이동 이벤트 추가 20190729
            linkdata += ' data-evt-no="web" data-web-url= "'+obj.lingUrl+'" ';
        }else{
            linkdata +=	' data-evt-no="'+obj.evtNo+'" ';
        }
        
        var startTime = obj.evtStartDtm.split(" ")[0];
        var endTime = obj.evtEndDtm.split(" ")[0];
        var imgPath = CONSTANT.IMG_URL_PREFIX + obj.savedFilePath + obj.savedFileNm;
        var dday = dDayDiff(moment().format("YYYY-MM-DD"), moment(obj.evtEndDtm).format("YYYY-MM-DD"));

        var html =
        '<div class="swiper-slide" ' +linkdata+' >'+
        '    <div class="main-visual-box">' +
        '        <div class="img-box">' +
        '            <img src="'+imgPath+'" alt="">' +
        '        </div>' +
        '        <div class="info">' +
        '            <strong>'+ obj.evtNm +'</strong>'+
        '            <span class="text-scale-07"><em>'+ (dday < 0 ? '(종료)' : ('D-'+(dday == 0 ? 'day' : dday))) +'</em>'+startTime+' ~ '+endTime+'</span>'+
        '        </div>' +
        '    </div>' +
        '</div>';

        // '<div class="swiper-slide" ' +linkdata+' style="background-image:url(\'' + imgPath + '\');" >'+
        // '    <div class="main-visual-box">'+
        // '        <div class="info">'+
        // '            <strong>'+ obj.evtNm +'</strong>'+
        // '            <span class="text-scale-07"><em>'+ (dday < 0 ? '(종료)' : ('D-'+(dday == 0 ? 'day' : dday))) +'</em>'+startTime+' ~ '+endTime+'</span>'+
        // '        </div>'+
        // '    </div>'+
        // '</div>';
                                                
        return html;//.html(html);
    },
    _$getSurveyDiv: function (data) {
        // KiaStory.setPartEventList(response.evtInfoListRnwResDto);
        var obj = data;
  
        var startTime = obj.srvyStartDtm.split(" ")[0];
        var endTime = obj.srvyEndDtm.split(" ")[0];
        // var imgPath = CONSTANT.IMG_URL_PREFIX + obj.savedFilePath + obj.savedFileNm;
        // var dday = dDayDiff(moment().format("YYYY-MM-DD"), moment(obj.evtEndDtm).format("YYYY-MM-DD"));

        // todo : 링크
        var html = 
        '<div class="div-item" sn=\"'+obj.srvyNo+'\">'+
        '<div class="info">'+
        '    <strong class="text-scale-06">'+obj.srvyNm +'</strong>'+
        '    <span class="text-scale-07"><em>D-'+obj.dDay+' </em>'+startTime+' ~ '+endTime+'</span>'+
        '</div>'+
        '<button type="button" class="btn-arrow-right" >'+
        '    <i class="ico-arrow-right"><em class="blind">자세히보기</em></i>'+
        '</button>'+
        '</div>';

        // COMMON_FUNCTION.TOOL.DEBUG.showTalk(html);
                                                
        return $(html);//.html(html);
    },
    // $(document).on("click", ".evtlist > li button, .end-evtlist > li button",
    eventClickListener:function(target)
    {
		var that = $(target);
		var _evtNo = that.data('evtNo');
        var url = that.data("webUrl");
        if( isEmpty(_evtNo) ) 
        {
            // 페이지뷰가 코드를 휘젓기 때문에 이런 코드가 필요함
            that = $(target).closest(".swiper-slide");
            _evtNo = that.data('evtNo');
            url = that.data("webUrl");
        }
        if(_evtNo == "web"){
            // var url = that.attr("data-web-url");
			if(url == 'https://www.kseries-10th-anniversary.com/'){
				MApps.browser(url);
			}else if(url == PATH_MANAGER.KIA_RNW_440_0000.name){ 
				MPage.html({
					url : PATH_MANAGER.KIA_RNW_440_0000.path
				});
			}else if(url.indexOf("https://givecard.kakaomobility.com") > -1){     // 20211216 이벤트 임의 수정 (음주운전예방 browser실행)
                MApps.browser(url);
            }else{
				var carNlifeChek = that.attr("data-web-url").split("@");
				if(!isEmpty(carNlifeChek[0]) && carNlifeChek[0] == "carnLife"){     // 카앤라이프일경우 이벤트 등록 형식 carnLife@/a/M070100@621
					MPage.html({
						url : PATH_MANAGER.KIA_RNW_810_0000.path,
						param : {
							rUrl : CONSTANT.AUTON_URL_PREFIX + carNlifeChek[1],
							evtCd : isEmpty(carNlifeChek[2]) ? "" : carNlifeChek[2],
							evtYN : "N"
						}
					});
				}else if(!isEmpty(carNlifeChek[0]) && carNlifeChek[0] == "notiNo"){
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_620_0000.path,
                        param : {
                            notiNo : carNlifeChek[1]
                        }
                    });
                }else if(!isEmpty(carNlifeChek[0]) && carNlifeChek[0] == "surveyNo"){
                    // 20200617 이벤트목록 > 설문조사로 바로 넘어가는 영역 추가
                    if(!isNull(PGV.loginInfo)){ // 로그인시
	                    	MNet.httpSendAsIs({
	                    		path : inf.survey.selectSurveyCheck.url,
	                    		sendData : {
	                    			mbrId : PGV.loginInfo.mbrId,
	                    			srvyNo : carNlifeChek[1]
	                    		},
	                    		callback : function(receivedData){
	                    			exWNHideIndicator();
	                    			var code = receivedData.resultCode;
	                    			var msg = receivedData.resultMsg;
	                    			
	                    			if(code == "200"){
	                    				PGV.currentDate = moment().format("YYYYMMDD");
	                    				if(PGV.currentDate > parseDate(receivedData.srvyEndDtm)){
	                    					M.pop.instance("설문이 종료되어 참여할 수 없습니다.");
	                    				}else if(receivedData.ansCnt > 0){
	                    					M.pop.instance("설문은 한 번만 참여 가능합니다.");
	                    				}else{	                        					
	                    					MPage.html({
	                    						url : PATH_MANAGER.KIA_RNW_421_0000.path,
	                    						param : {
	                    							srvyNo : carNlifeChek[1],
	                    							evtType : "banner",
	                    							evtNo : _evtNo
	                    						}
	                    					});
	                    				}
	                    			}else{
	                    				M.pop.instance( !isEmpty(receivedData.resultMsg)? receivedData.resultMsg:receivedData.errorMessage );
	                    			}
	                    		}
	                    	});
                    }else{ //미 로그인시
                        KiaStory.showLogin();
                        return false;
                        // var msg = "로그인 후 이용이 가능합니다.\n로그인 하시겠어요?"
                        // var _returnUrl = PATH_MANAGER.KIA_RNW_120_0000.path;
                        // var _params = {};
                        // MPopup.confirm({
                        //     message : msg,
                        //     buttons : ["취소", "로그인"],
                        //     callback : function(idx){
                        //         if(idx == 1){ // 로그인 눌렀을때
                        //             //ccsp로그인
                        //             if(CONSTANT.IS_CCSP){
                        //                 var param = {
                        //                     returnLink : _returnUrl,
                        //                     returnParams : _params
                        //                 }
                        //                 ccspLogin(param);
                        //             }else{
                        //                 MPage.html({
                        //                     /* !!! 케이스마텍 추헌남 - 로그인 AS-IS 페이지 CCSP 때문에 어차피 접근이 안되는거라 일단 남겨뒀습니다. */
                        //                     url : "../000/KIA_MOB_000_1300.html",
                        //                     param : {
                        //                         returnLink : _returnUrl,
                        //                         returnParams : _params
                        //                     }
                        //                 });
                        //             }
                        //             return false;
                        //         }else{
                        //             return false;
                        //         }
                        //     }

                        // });
                    }
				}else{
					MPage.activity({
						className : "WebviewActivity",
						param : {
							method : CONSTANT.NET_MTHD.GET,
							requestURL : url
						}
					});
				}
			}
			return false;
		}else{
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_411_1000.path,
                param : {
                    evtNo : _evtNo,		// 이벤트 번호
                    eventType : "ing" //  : "end"	// 이벤트 타입 (진행 : ing, 종료 : end)
                }
            });
		}
	},
    fnMove: function(x){
        // var off_top = $(".content-kiastory").find('.section-0'+x).first().offset().top;
        // $('html, body').animate({scrollTop:off_top - 100},400);
        var $offset = $('.content-kiastory .section-0' + x).offset();
        var $headerHeight = $('.pg-kiastory .header').outerHeight();
        var $tabsContHeight = $('.pg-kiastory .tabs-cont').outerHeight();
        //var $topHeight = fnCheckDevice() == 'android' ? ($headerHeight + $tabsContHeight) : (($headerHeight + $tabsContHeight) * 2.8);
        var $topHeight = ($headerHeight + $tabsContHeight);

        //$('html,body').animate({scrollTop:$offset.top - 99},400);
        // 스크롤시 탭 번쩍임 현상 수정
        $(window).off("scroll");
        $('html,body').animate({
            scrollTop:$offset.top - $topHeight, 
            }, {
                duration:400,
                complete:function(){
                    // 스크롤시 탭 번쩍임 현상 수정
                    KiaStory.setScrollEvent();
                }
            });

    },
    setScrollEvent: function()
    {
        // 동적으로 좌표를 받도록 수정
        $(window).off("scroll").on("scroll", function(e) {

            var nScrollPos = [];
            var nScrollPosNum = 0;
            var $winTop = $(window).scrollTop();
            // var $headerHeight = $('.header').outerHeight();

            $('.content-kiastory [class^="section-"]').each(function(idx, item) {
                nScrollPos[nScrollPosNum] = $(item).offset().top - 360;
                nScrollPosNum++;
            });

            var $nowTop = $(this).scrollTop();

            for (var i = 0; i< nScrollPos.length; i++) {
                if ($nowTop > nScrollPos[i]) {
                    $('.content-kiastory [class^="section-"]').eq(i).addClass('active--scroll');
                }else{
                    $('.content-kiastory [class^="section-"]').eq(i).removeClass('active--scroll');
                }
            }

            // 220421 앵커 영역 추가 (s)
            //tab scroll시 active
            var $active = $('.content-kiastory .active--scroll').length - 1;
            $('.content-kiastory .tabs-cont li').removeClass('active');
            $('.content-kiastory .tabs-cont li').eq($active).addClass('active');
            // 220421 앵커 영역 추가 (s)           
            
            $winTop = $nowTop;

            // if ($nowTop > $headerHeight) {
            // 상시고정
            // $('body').addClass('js-mycar-tabs-fixed');
			// }
			// else {
			// 	$('body').removeClass('js-mycar-tabs-fixed');
			// }
            
        });    
    },
    setEventListner: function(){
        // do something.. 

        $("#btnAllJoinEvent").off("click").on('click', function(){
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_411_0000.path,
                param : {
                    evtType : "JOIN"
                }
            });
        });

        $("#btnAllPartEvent").off("click").on('click', function(){
            MPage.html({
                url : PATH_MANAGER.KIA_RNW_411_0000.path,
                param : {
                    evtType : "PARTNER"
                }
            });
        });

        $("#btnAllSrvy").off("click").on('click', function(){
            if(!isNull(PGV.loginInfo)){ // 로그인시
                MPage.activity({
                    className: "WebviewActivity",
                    param: {
                        method: CONSTANT.NET_MTHD.GET,
                        requestURL: CONSTANT.LINK_URL.KIA_RNW_420_0000.URL
                    }
                });
            }else{ //미 로그인시
                KiaStory.showLogin();
            } 
        });

        $("#btnComm").off("click").on('click', function(){
            if(!isNull(PGV.loginInfo)){ // 로그인시
                MPage.activity({
                    className: "WebviewActivity",
                    param: {
                        method: CONSTANT.NET_MTHD.GET,
                        requestURL: CONSTANT.LINK_URL.KIA_RNW_420_0000.URL
                    }
                });
            }else{ //미 로그인시
                KiaStory.showLogin();
            } 
        });


//        $("#btnAR").off("click").on('click', function(){
//            MPage.html({
//                url : PATH_MANAGER.KIA_RNW_440_0000.path,
//                param : {
//                }
//            });
//        });

        $("#btnEXP").off("click").on('click', function(){
            MPage.activity({
                className : "WebviewActivity",
                param : {
                    method : CONSTANT.NET_MTHD.GET,
                    requestURL : CONSTANT.LINK_URL.KIA_RNW_450_0000.URL
                }
            });
        });

        $("#btn360").off("click").on('click', function(){
            MPage.activity({
                className : "WebviewActivity",
                param : {
                    method : CONSTANT.NET_MTHD.GET,
                    requestURL : CONSTANT.LINK_URL.KIA_RNW_460_0000.URL
                }
            });
        });

        $(".middle-visual-box[data-channel-url]").off("click").on("click", function(){	//전체 버튼
            var _url = $(this).data('channelUrl');
            MPage.activity({
                className : "WebviewActivity",
                param : {
                    method : CONSTANT.NET_MTHD.GET,
                    requestURL : _url
                }
            });
        });

        $(".middle-visual-box[data-browser-url]").off("click").on("click", function(){	//전체 버튼
            var _url = $(this).data('browserUrl');
			MApps.browser(_url);
        });

        // 스토리화면 탭은 항상 고정
        $('body').addClass('js-mycar-tabs-fixed');

        KiaStory.setScrollEvent();
        // 220421 앵커 영역 추가 (e)
    } 
} 

KIA_RNW_400_0000.init(); 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
// var MStatus = { 
//     onReady : function(event){ 
//         COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
//         KIA_RNW_400_0000.init(); 
//     }, 
//     onHide : function(event){}, 
//     onRestore : function(event){}, 
//     // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
//     // onBack : function(){}, 
//     onDestroy : function(event){}, 
//     onPause : function(event){}, 
//     onResume : function(event){} 
// }; 
