/**

@파일명 : KIA_MOB_320_1013.js ==>KIA_RNW_411_1300.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 :  12월 출석체크 이벤트 추정. 미사용 추정.
@DESC : 전체메뉴노출	[O]   계약차량보유	[O]   내연보유	[O]   EV보유	[O] ) 
*/ 
var CurrPage;
var KIA_RNW_411_1300 ={
    init: function(){
        CurrPage = this;
        console.log("page : " + PGV.currentPage + "initiolizing START");

        var pageInit = function(){
        	/**
        	 * 초기화
        	 */

        	PGV.evtNo = MData.param("evtNo"); //  상세 페이지 불러 오기
        	PGV.eventType = MData.param("eventType") || "ing"; //  이벤트 타입 (진행 : ing, 종료 : end, 당첨자 : pick)
        	PGV.currentDate = moment().format("YYYYMMDDHH");
        	PGV.quizYn = "N";
            PGV.loginYn = "N";

        	if(PGV.eventType == "ing"){
        		$("#evtTitleText").text("진행중인 이벤트");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1010"].pageNm); //진행중인
        	}else if(PGV.eventType == "end"){
        		$("#evtTitleText").text("종료 이벤트");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1110"].pageNm); //종료
        	}else if(PGV.eventType == "msg"){
        		$("#evtTitleText").text("");
        	}else{
        		$("#evtTitleText").text("당첨자 발표");
        		screenViewGa(gaSendUrl["KIA_MOB_320_1210"].pageNm); //당첨자
        	}
        	evtChk();
        	selectDetailEvent();

        	/**
        	 * 화면 이벤트
        	 */
        	setEvent();
        };


        var setEvent = function() {

        };

        var evtChk = function(){
        	MNet.httpSend({
        		path : inf.event.getEventDate.url,
        		sendData : {
        		},
        		callback : evtChkCallback
        	});
        }

        var evtChkCallback = function(receivedData){
        	exWNHideIndicator();
        	var code = receivedData.resultCode;
        	var msg = receivedData.resultMsg;
        	if(code == "200"){
        		var serverTime = receivedData.curDtm;
        		if(serverTime.length == 14){ //.slice(0,10)
        			PGV.currentDate = serverTime.slice(0,10);
        		}else{
        			PGV.currentDate = moment().format("YYYYMMDDHH");
        		}
        	}else{
        		PGV.currentDate = moment().format("YYYYMMDDHH");
        	}
        };

        /**
         * 상세 이벤트 조회
         */
        var selectDetailEvent = function(){
        	var _inf = inf.event.detailEvent.url;
        	if(PGV.eventType == "pick"){
        		_inf = inf.event.pickdetailEvent.url;
        	}

        	MNet.httpSend({
        		path : _inf,
        		sendData : {
        			evtNo : PGV.evtNo
        		},
        		callback : selectDetailEventCallback
        	});
        };

        /**
         * 상세 이벤트 조회 콜백
         */
        var selectDetailEventCallback = function(receivedData){
        	exWNHideIndicator();
        	var code = receivedData.resultCode;
        	var msg = receivedData.resultMsg;

        	if(code == "200"){
        		var startTime = receivedData.evtStartDtm.split(" ")[0];
        		var endTime = receivedData.evtEndDtm.split(" ")[0];
        		$("#titleHtml").html(receivedData.evtNm);
        		$("#dateHtml").html(startTime+' ~ '+endTime);
        		var nowTm = moment(PGV.currentDate).format("YYYYMMDD");
        		var chkEndTm = moment(endTime).format("YYYYMMDD");

                $("#htmlTypeWrap").remove();
                $("#linkTypeWrap").remove();
                $("#eventDeatail").removeClass("fix").addClass("scroll");
        		if(nowTm >= chkEndTm && PGV.eventType == "msg"){
        			PGV.eventType = "end";
        			$("#evtTitleText").text("종료 이벤트");
        			screenViewGa(gaSendUrl["KIA_MOB_320_1110"].pageNm); //종료
        		}else if(PGV.eventType != "end"){
        			PGV.eventType = "ing";
        			$("#evtTitleText").text("진행중인 이벤트");
        			screenViewGa(gaSendUrl["KIA_MOB_320_1010"].pageNm); //진행중인
        		};
        		setIosEvt();
        	}else{
        		MPopup.alert(msg);
        	}
        };

        var setIosEvt = function(){

            if(PGV.eventType == "end"){
                $(document).on("click", "#checkBtn", function(){
                    $("#checkLayerPopWrap").removeClass("none");
                    $("#endPop").removeClass("none");
                });
                return;
            }

            // 출석체크 그려주기
            if(isEmpty(PGV.loginInfo)){
                COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
                /*
                MPopup.confirm({
                    message : "이벤트 응모는 로그인 후 이용이 가능합니다.\n로그인 하시겠어요?",
                    callback : function(idx){
                        if(idx == 1){ // 로그인 눌렀을때
                            //ccsp로그인
                            if(CONSTANT.IS_CCSP){
                                var param = {
                                    backFlag : "Y",
                                    returnLink : "",
                                    returnParams : {}
                                }
                                ccspLogin(param);
                            }else{
                                MPage.html({
                                    url : "../000/KIA_MOB_000_1300.html",
                                    param : {
                                        backFlag : "Y",
                                        returnLink : "",
                                        returnParams : {}
                                    }
                                });
                            }
                            return;
                        }else{
                            return false;
                        }
                    }
                });
                */
            }else{
                selectCheckAvailDate();
            }

             var backBtns = document.querySelectorAll("[data-action-back]");
                for(var i=0; i<backBtns.length; i++){
                    backBtns[i].addEventListener("click", function(e){
                        if($(this).data('actionBack') == "checkAlreadyOkBtn"){
                            $("#checkLayerPopWrap").addClass("none");
                            //$("#checkCompletePop").addClass("none");
                            $("#checkPop01").addClass("none");
                            $("#checkPop02").addClass("none");
                            $("#checkPop03").addClass("none");
                            $("#checkPop04").addClass("none");
                            $("#checkPop05").addClass("none");
                            $("#checkAlreadyPop").addClass("none");
                            $("#checkFinshPop").addClass("none");
                            $("#checkLuckyFinishPop").addClass("none");
                            $("#checkEndPop").addClass("none");
                        }else{
                            MPage.back();
                        }
                    }, false);
                }

                $(document).on("click", "#checkBtn", function(){
                    if(PGV.eventType == "end"){
                        $("#checkLayerPopWrap").removeClass("none");
                        $("#endPop").removeClass("none");
                        return;
                    };
                    if(isEmpty(PGV.loginInfo)){
                        COMMON_FUNCTION.TOOL.UI.showNotiLoginPopup();
                        /*
                        MPopup.confirm({
                            message : "이벤트 응모는 로그인 후 이용이 가능합니다.\n로그인 하시겠어요?",
                            callback : function(idx){
                                if(idx == 1){ // 로그인 눌렀을때
                                    //ccsp로그인
                                    if(CONSTANT.IS_CCSP){
                                        var param = {
                                            backFlag : "Y",
                                            returnLink : "",
                                            returnParams : {}
                                        }
                                        ccspLogin(param);
                                    }else{
                                        MPage.html({
                                            url : "../000/KIA_MOB_000_1300.html",
                                            param : {
                                                backFlag : "Y",
                                                returnLink : "",
                                                returnParams : {}
                                            }
                                        });
                                    }
                                    return;
                                }else{
                                    return false;
                                }
                            }
                        });
                        */
                        return;
                    }
                });

            $("#checkCompleteOkBtn").on("click", function(){
                $("#checkLayerPopWrap").addClass("none");
                $("#checkCompletePop").addClass("none");
            });

        }

        var selectCheckAvailDate = function(){
            PGV.loginYn = "Y";
        	MNet.httpSend({
        		path : inf.event.selectAttendance.url,
        		sendData : {
        			mbrId : PGV.loginInfo.mbrId,
        			evtNo : PGV.evtNo
        		},
        		callback : function(receivedData){
        			exWNHideIndicator();
        			if(receivedData.resultCode == "200"){
        				makeCalendar(receivedData);
        			}else{
        				MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
        			}
        		}
        	});
        }

        var makeCalendar = function(checkDateObj){
                var evtStrtDtm = checkDateObj.evtStrtDtm;       // 출석체크 시작 날짜
                var evtEndDtm = checkDateObj.evtEndDtm;         // 출석체크 종료 날짜
                var curDtm = checkDateObj.curDtm;               // 서버 기준 오늘 날짜
                var atdnYmdList = checkDateObj.atdnYmdList;     // 사용자가 실제 출석체크한 날짜
                var luckyDateArr = ["20200803","20200810","20200817","20200824","20200831"];
                var noDateArr = [];
                var today = null; // 오늘 날짜
                var calendar = new Calendar(evtStrtDtm.substr(0,4), evtStrtDtm.substr(4,2), '1');
                var getArrCalendar = calendar.getArrCalendar();
                var strBuff = '';
                for(var i=0; i<getArrCalendar.length; i++){
                    strBuff += '<tr>';
                    for(var j=0; j<getArrCalendar[i].length; j++){
                        var tdClass = '';
                        if(j == 0){
                            tdClass = "sun";
                        }
                        if(j == 6){
                            tdClass = "sat";
                        }

                        if(getArrCalendar[i][j] != null){
                            var btnClass = '';
                            var disabledTxt = '';
                            var btnClassAction = '';
                            var _idx = _.findIndex(atdnYmdList, {atdnYmd : evtStrtDtm.substr(0,6) + "" + zeroPad(getArrCalendar[i][j], 2)});
                            console.log("idx : " + _idx);
                            if(_idx > -1){
                                var yyyymmddNumber = Number(evtStrtDtm.substr(0,6) + "" + zeroPad(getArrCalendar[i][j], 2));
                                if(luckyDateArr.indexOf(String(yyyymmddNumber)) > -1){
                                    btnClass = "on";
                                    btnClassAction = ' check2'; // ' luck-day'
                                }else{
                                    btnClassAction = ' check1';
                                }
                            }else{
                                var yyyymmddNumber = Number(evtStrtDtm.substr(0,6) + "" + zeroPad(getArrCalendar[i][j], 2));

                                if(luckyDateArr.indexOf(String(yyyymmddNumber)) > -1){
                                    btnClassAction = ' check2'; // ' luck-day'
                                }else if(noDateArr.indexOf(String(yyyymmddNumber)) > -1){
                                    btnClassAction = ' no-day'; // ' no-day'
                                }

                                if(Number(evtStrtDtm) <= yyyymmddNumber && Number(evtEndDtm) >= yyyymmddNumber){   //이벤트 기간내에있다면 off클래스를 넣지않음
                                    btnClass = "";
                                }else{
                                    btnClass = "off";
                                    disabledTxt = "disabled";
                                }
                            }
                            strBuff += '<td class="' + tdClass + '"><button type="button" class="' + btnClass + btnClassAction +'" ' + disabledTxt + ' data-enable-date="' + evtStrtDtm.substr(0,6) + "" + zeroPad(getArrCalendar[i][j], 2) + '">' + getArrCalendar[i][j] + '</button></td>';
                        }else{
                            strBuff += '<td></td>';
                        }
                    }
                    strBuff += '</tr>';
                }


                // 오늘 날짜가 출석체크 날짜 안에 없거나 오늘 출석체크 한 경우 출석체크하기 버튼 disabled
                if(Number(evtStrtDtm) > curDtm || Number(evtEndDtm) < curDtm){
                    $("#checkBtn").prop("disabled", true);
                }


                $(document).on("click", "#checkBtn", function(){
                    if(PGV.eventType == "end"){
                        $("#checkLayerPopWrap").removeClass("none");
                        $("#endPop").removeClass("none");
                        return;
                    }else if(PGV.quizYn == "Y"){
                    	$("#checkLayerPopWrap").removeClass("none");
                        if(luckyDateArr.indexOf(curDtm) > -1){ // 럭키데이 출석 체크 한경우
                        		$("#checkLuckyFinishPop").removeClass("none");
                    		}else{
                    			$("#checkAlreadyPop").removeClass("none");
                    		}
                        return;
                    }

                    if(_.findIndex(atdnYmdList, {atdnYmd : curDtm}) > -1){      // 이미 출석체크를 한 경우
                        $("#checkLayerPopWrap").removeClass("none");
                        if(luckyDateArr.indexOf(curDtm) > -1){ // 럭키데이 출석 체크 한경우
                        		$("#checkLuckyFinishPop").removeClass("none");
                    		}else{
                    			$("#checkAlreadyPop").removeClass("none");
                    		}
                    }else{
                   		today = curDtm;
                   		PGV.quizYn = "Y";
                        checkRegEvt(today, luckyDateArr);
                    }
                });

                $("#calendarTb").html(strBuff);
            };

            var Calendar = function ( pYear, pMonth, pDay ) {
                // date 객체 초기화
                this.date = new Date();

                // 당일 날짜 할당
                this.date = new Date(pYear, parseInt(pMonth) - 1, pDay);
                // 1일 요일 구하기
                this.date.setDate(1);
                this.firstDay = this.date.getDay();

                // 마지막 날 요일 구하기
                this.date.setMonth(this.date.getMonth() + 1);
                this.date.setDate(0);
                this.lastDay = this.date.getDay();
                this.lastDate = this.date.getDate();

                // 해당 월의 주 개수
                this.nWeek = Math.ceil( (this.lastDate + this.firstDay) / 7 );      //  ( [해당 일 최종 일] + [첫번째 요일 번호(0~6)] )  / 요일 수
            };

            Calendar.prototype = {
                arrDayName: new Array( "일", "월", "화", "수", "목", "금", "토"),
                arrCalendar: new Array(),   // 캘린더 배열
                date: null,
                year: 0,
                month: 0,
                day: 0,
                firstDay: 0,         // 1일에 대한 요일
                lastDate: 0,        //  마지막 날
                lastDay: 0,         //  마지막 날(30, 31)에 대한 요일
                nWeek: 0,           //  현재 달의 주 개수
                getArrCalendar: function(){
                    this.arrCalendar = [];

                    // 이전 달 날짜 입력(첫 행)
                    this.date.setDate( 1 - this.firstDay );
                    for ( var _weekCount = 0; _weekCount < this.nWeek; _weekCount++ ) {
                        this.arrCalendar[_weekCount] = new Array(this.arrDayName.length);
                        for ( var _dayCount  = 0;  _dayCount < this.arrDayName.length; _dayCount++ ) {
                            if((_weekCount == 0 && _dayCount < this.firstDay) || (_weekCount == this.nWeek-1 && _dayCount > this.lastDay)){
                                this.arrCalendar[_weekCount][_dayCount] = null;
                            }else{
                                this.arrCalendar[_weekCount][_dayCount] = this.date.getDate();
                            }
                            this.date.setDate(this.date.getDate() + 1);
                        }
                    }

                    var calendarList = this.arrCalendar
                         ,returnObj = new Array();


                    for ( var i = 0; i < calendarList.length; i++ ) {
                        returnObj.push(this.arrCalendar[i]);
                    }
                    return returnObj;
                }
            };

            var zeroPad = function(str, length){
        		str += '';
        		return str.length < length ? zeroPad("0"+str, length) : str;
        	};

        	var checkRegEvt = function(today, luckyDateArr){
        		MNet.httpSend({
        		path : inf.event.attendanceEvent.url,
        		sendData : {
        			mbrId : PGV.loginInfo.mbrId,
        			evtNo : PGV.evtNo
        		},
        		callback : function(receivedData){
        			exWNHideIndicator();
        			if(receivedData.resultCode == "200"){
        			    var rdmN = Math.floor(COMMON_FUNCTION.TOOL.SECURITY.getRandom()*5)+1;
        				$("#checkBtn").off("click");
        				selectCheckAvailDate();
        				$("#checkLayerPopWrap").removeClass("none");
        	            if(luckyDateArr.indexOf(today) > -1){ // 럭키 데이인경우
        	            		  $("#checkFinshPop").removeClass("none");
        	            }else{
        	            		 $("#checkPop0"+rdmN).removeClass("none");
        	            }
        			}else{
        				MPopup.instance(CONSTANT.NETWORK_ERR_MSG);
        			}
        		}
        	});
        }

        pageInit();
    },
     setEventListner: function(){
         // do something..
     }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_411_1300.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){
        if(!isEmpty(PGV.loginInfo)){
            if(PGV.loginYn != "Y"){
                selectCheckAvailDate();
            }
        }
    },
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
