/**

@파일명 : KIA_MOB_360_1010.js=>KIA_RNW_421_0000.js
@작성자 : 박민기
@생성일 : 2022.01.26 
@메뉴명 : 설문 상세 
@DESC : 전체메뉴노출	[O]   계약차량보유	[O]   내연보유	[O]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_421_0000 ={ 
    init: function(){ 
        CurrPage = this; 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START"); 
        //1. todo 
        var pageInit = function(){
        	/**
        	 * 초기화
        	 */
        	// 로그인 체크
        	if(isEmpty(PGV.loginInfo)){
        		MPopup.alert({
                    message : "로그인 후 이용하실 수 있습니다.",
                    callback : function(){
                        MPage.back();
                    }
                });
            }
        	PGV.srvyNo = MData.param("srvyNo");
        	MData.removeParam("srvyNo"); //< 새로고침할때 데이터 사라져서 불편 배포할때 풀 것
        	PGV.evtNo = "";
        	PGV.evtType = "";
        	if(MData.param("evtNo") != ""){
        		if(MData.param("evtNo") != "web"){
        			PGV.evtNo = MData.param("evtNo");
        		}
        	   PGV.evtType = MData.param("evtType");
        	   MData.removeParam("evtNo");
        	   MData.removeParam("evtType");
        	}
            PGV.currentDate = moment().format("YYYYMMDD");

            PGV.surveyTotal = 0;    // 문항 개수
            PGV.srvyTargetNo = "";

            PGV.srvyNm = "";

        	/**
        	 *  상세 내용 호출
        	 */
        	selectSrvyInfo();


        	/**
        	 * 화면 이벤트
        	 */
        	setEvent();
        };

        var setEvent =function() {
            // 가상키보드 화면 밀림 방지
            $(document).on("blur",'.survey-view textarea, .survey-view input[type="text"]', function(){
                window.scrollTo(document.body.scrollLeft, document.body.scrollTop);
            });

        	    //장문형 질문 답변 textarea
            $(document).on('keyup','.long-ans textarea',function (e){
                var content = $(this).val();
                var cnt = $(this).siblings('.long-ans-cnt');

                if(content.length > 50){
                    $(this).css('height', '12rem');
                } else {
                    $(this).css('height', '6rem');
                }

                var maxChar = $(this).data("max-char");
                if (content.length > maxChar){
                    $(this).val(content.substring(0, maxChar));
                    content = $(this).val();
                }
                $(cnt).text(content.length + " / " + maxChar + "자");    //글자수 실시간 카운팅

                checkProgressValue();
            });

            $(document).bind('input paste',function(e){
                $(e.target).trigger('keyup');
            });

            // radio 클릭
            $(document).on("click", "input[type=radio]", function() {
                checkProgressValue();
            });

            // checkbox 클릭
            $(document).on("click", "input[type=checkbox]", function() {
                checkProgressValue();
            });

            // 셀렉박스 선택시
            $(document).on("click",".btn-select",function(){
                var $this = $(this);
                var selList = $(this).parent().children("ul").children("li");
                var selArray = new Array();

                if(selList.length > 0){
                    for(var i=0; i<selList.length; i++){
                        selArray.push({
                            title : selList.eq(i).children("button:eq(0)").text(),
                            value : selList.eq(i).data("ansNo")
                        });
                    }
                }

                var list = [{
                    title : "선택",
                    value : ""
                }].concat(selArray);

                MPopup.listSingle({
                    list : list,
                    title : "답변 선택",
                    selected : $this.data("qansNo") || 0
                }, function(buttonIdx, rowInfo, setting){
                    if(buttonIdx == 1){
                        $this.html(rowInfo.title);
                        $this.val(rowInfo.value);
                        $this.data("qansNo",rowInfo.index);

                        checkProgressValue();
                    }
                });
            });

            // 제출버튼
            $("#submitBtn").click(function(){
                var data = new Array();
                var returnNow = false;

                $('.surv-item').removeClass("no-ans");
                $('.surv-item').removeClass("cnt-ans");
                $('.surv-item').each(function(e){
                    var ans = "", etcAns = "", etcYn = "", qNo = e , necs = "N";
                    // 필수체크
                    if($(this).hasClass("necs-q")){
                        necs = "Y";
                    }
                    switch($(this).data("qstType")){
                        case 1:
                        //radio
                            ans = $(this).find('input[name="'+e+'"]:checked').parent().data("ansNo");
                            if(necs=="Y" && ans==undefined){
                                $(this).addClass("no-ans");
                            }else if(ans!=undefined){
                                if($(this).find('input[name="'+e+'"]:checked').parent().find('input[type=text]').hasClass('etc-ans')){
                                    etcAns = $(this).find('input[name="'+e+'"]:checked').parent().find('input[type=text]').val();
                                    data.push({
                                        answer : ans,
                                        etcAnswer : etcAns,
                                        etcYn : "Y",
                                        qNo : qNo
                                    });
                                }else{
                                    data.push({
                                        answer : ans,
                                        etcAnswer : etcAns,
                                        etcYn : "N",
                                        qNo : qNo
                                    });
                                }
                            }
                        break;
                        case 2:
                        //checkbox
                            var $this = $(this).find('input[type="checkbox"]:checked');
                            var min = $(this).find('ul').data("minNum"), max = $(this).find('ul').data("maxNum");
                            min = Number(min);
                            max = Number(max);
                            var cnt = 0;
                            if(necs=="Y" && $this.length <= 0){
                                $(this).addClass("no-ans");
                            }else if($this.length > 0){
                                $this.each(function(e){
                                    ans = $(this).parent().data("ansNo");
                                    if($(this).parent().find('input[type=text]').hasClass('etc-ans')){
                                        etcAns = $(this).parent().find('input[type=text]').val();
                                        data.push({
                                            answer : ans,
                                            etcAnswer : etcAns,
                                            etcYn : "Y",
                                            qNo : qNo
                                        });
                                    }else{
                                        data.push({
                                            answer : ans,
                                            etcAnswer : etcAns,
                                            etcYn : "N",
                                            qNo : qNo
                                        });
                                    }
                                    cnt++;
                                });
                            }
                            if(necs=="Y"){
                                if(min != 0 && cnt < min) $(this).addClass("cnt-ans");       // 필수인 경우만 체크하도록 변경 < 문구 별도로 표시되도록 퍼블 추가
                                if(max != 0 && cnt > max) $(this).addClass("cnt-ans");
                            }
                        break;
                        case 3:
                        //selectbox
                            ans = $(this).find('.btn-select').data("qansNo");
                            if(necs=="Y" && ans=="0"){
                                $(this).addClass("no-ans");
                            }else if(ans!="0"){
                                data.push({
                                    answer : Number(ans)-1,
                                    etcAnswer : etcAns,
                                    etcYn : "N",
                                    qNo : qNo
                                });
                            }
                        break;
                        case 4:
                        //textarea
                            ans = $(this).find("textarea").val();
                            if(necs=="Y" && ans==""){
                                $(this).addClass("no-ans");
                            }else if(ans!=""){
                                data.push({
                                    answer : ans,
                                    etcAnswer : etcAns,
                                    etcYn : "N",
                                    qNo : qNo
                                });
                            }
                        break;
                        default:
                        break;
                    }

                    if($(this).hasClass("no-ans") || $(this).hasClass("cnt-ans")){
                        $(this).get(0).scrollIntoView(true);
                        returnNow = true;
                        return false;
                    }
                });
                //COMMON_FUNCTION.TOOL.DEBUG.showTalk(data);

                if(returnNow){
                    return;
                }

                registSrvy(data);
            });
        };

        var checkProgressValue = function() {
            var i = 0;
            var count = 0;
            $('.surv-item').each(function(e){
                var ans = "";
                switch($(this).data("qstType")){
                    case 1:
                    //radio
                        ans = $(this).find('input[name="'+e+'"]:checked').parent().data("ansNo");
                        if(ans!=undefined){
                            count++;
                        }
                    break;
                    case 2:
                    //checkbox
                        var $this = $(this).find('input[type="checkbox"]:checked');
                        if($this.length > 0){
                            count++;
                        }
                    break;
                    case 3:
                    //selectbox
                        ans = $(this).find('.btn-select').data("qansNo");
                        if (ans != "0") {
                            count++;
                        }
                    break;
                    case 4:
                    //textarea
                        ans = $(this).find("textarea").val();
                        if(ans!=""){
                            count++;
                        }
                    break;
                }

                var rate = (count / PGV.surveyTotal) * 100;
                $(".progressbar").width(Math.round(rate) + "%"); // 설문 진행률 표시
            });
        }

        /**
         *  상세 내용 호출
         */
        var selectSrvyInfo = function(){
            MNet.httpSendAsIs({
                path : inf.survey.surveyInfo.url,
                sendData : {
                    srvyNo : PGV.srvyNo,
                    mbrId : PGV.loginInfo.mbrId
                },
                callback : selectSrvyInfoCallback
            });
        };

        /**
         *  상세 내용 호출 콜백
         */
        var selectSrvyInfoCallback = function(receivedData){
            exWNHideIndicator();
            var code = receivedData.resultCode;
            var msg = receivedData.resultMsg;

            COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(receivedData));

            if(code == "200"){
                //        console.log("receivedData : ", receivedData);
                makeSrvyInfo(receivedData);
            }else{
                MPopup.alert({
                    message : msg,
                    callback : function(){
                        MPage.back();
                    }
                });
            }
        };

        var makeSrvyInfo = function(data){
            var srvyNm = isEmpty(data.srvyNm)?"":data.srvyNm;
            PGV.srvyNm = srvyNm;
            var srvyDesc = (data.srvyDesc == null) ? "" : data.srvyDesc;
            var srvyStartDtm = data.srvyStartDtm;
            var srvyEndDtm = data.srvyEndDtm;
            var ansCnt = data.ansCnt;
            var list = data.surveyQListResDto;
            var strInf = "";
            var evtNo = data.evtNo;
            var evtStartDtm = data.evtStartDtm;
            var evtEndDtm = data.evtEndDtm;
            var srvySuccesYn = data.srvySuccesYn;
            var srvyTargetYn = data.srvyTargetYn;
            var srvyTargetNo = data.srvyTargetNo;

            if (srvyTargetYn == "Y") {
                if (srvyTargetNo != "" && srvyTargetNo != undefined && srvyTargetNo != null)
                PGV.srvyTargetNo = data.srvyTargetNo;
            }
            //COMMON_FUNCTION.TOOL.DEBUG.showTalk(JSON.stringify(data));
            if(srvySuccesYn != "Y"){
                MPopup.alert({
                    message : data.srvyFailMsg,     // "해당회원은 설문가능 대상자가 아닙니다."
                        callback : function(){
                            MPage.back();
                        }
                });
            }else if(PGV.currentDate > parseDate(srvyEndDtm)){
                MPopup.alert({
                    message : "설문이 종료되어 참여할 수 없습니다.",
                    callback : function(){
                        MPage.back();
                    }
                });
            //}else if(ansCnt != "" && ansCnt != "null" &&  ansCnt != null){
            }else if(ansCnt > 0){
                MPopup.alert({
                    message : "설문은 한 번만 참여 가능합니다.",
                        callback : function(){
                            MPage.back();
                        }
                });
            }else if(!isEmpty(evtNo)){       // KIAVIK-517 연계된 이벤트 정보가 있을 경우 안내 팝업
                if(PGV.currentDate >= parseDate(evtStartDtm) && PGV.currentDate <= parseDate(evtEndDtm) && evtNo != PGV.evtNo) {
                    MPopup.confirm({
                    message : '현재 본 설문과 관련하여\n진행중인 이벤트가 있습니다.\n이벤트 페이지를 통해 설문 응답을 할 시\n이벤트 응모가 가능합니다.\n이벤트 페이지로 이동하시겠습니까?',
                    buttons : ["취소", "확인"],
                        callback : function(idx){
                            if(idx == 1){ // 확인
                                MPage.html({
                                    url : PATH_MANAGER.KIA_RNW_721_1000_1.path,
                                    animate : "SLIDE_LEFT",
                                    param : {
                                        evtNo : evtNo,
                                    }
                                });
                            }
                        }
                    });
                }
            }

            strInf += '<h2>' + srvyNm + '</h2>';
            strInf += '<p class="sub">' + srvyDesc;
            strInf += '<br><em class="point-txt">필수항목 *</em>';
            strInf += '</p>';

            $(".surv-info").append(strInf);

            var strbuff = "";

            PGV.surveyTotal = list.length;

            for(var i=0; i < list.length; i++){
                var ansType = "";
                var srvyListObj = list[i];
                if(srvyListObj.compYn == "Y"){
                    strbuff += '<div class="surv-item necs-q" data-qst-no="' + srvyListObj.qNo + '" data-qst-type="' + srvyListObj.objtYn + '">';
                }else{
                    strbuff += '<div class="surv-item" data-qst-no="' + srvyListObj.qNo + '" data-qst-type="' + srvyListObj.objtYn + '">';
                }
                strbuff += '    <p class="surv-q"><span class="surv-num">' + (Number(srvyListObj.qNo)+1) + '.</span><span class="surv-title">' + srvyListObj.qCont + '</span><span class="necs-point"></span></p>';

                // 설문타입 radio/checkbox/selectbox/textarea
                switch(srvyListObj.objtYn){
                    //  radio
                    case "1":
                        ansType = "radio";
                        strbuff += '    <ul class="surv-list">';
                        for(var j=0; j<srvyListObj.surveyAListResDto.length; j++){
                            strbuff += '        <li data-ans-no="' + j + '">';
                            if(srvyListObj.surveyAListResDto[j].etcYn == "Y"){
                                strbuff += '            <input type="' + ansType + '" name="' + srvyListObj.qNo + '" id="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><label for="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><input type="text" class="etc-ans" title="" placeholder="기타 답변 입력"></label>';
                            }else{
                                strbuff += '            <input type="' + ansType + '" name="' + srvyListObj.qNo + '" id="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><label for="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '">' + srvyListObj.surveyAListResDto[j].aCont + '</label>';
                            }
                            strbuff += '        </li>';
                        }
                        strbuff += '    </ul>';
                        break;
                    // checkbox
                    case "2":
                        ansType = "checkbox";
                        if(srvyListObj.chkMin != "0" || srvyListObj.chkMax != "0"){
                            var minmaxTxt = '';
                            minmaxTxt += '(';
                            minmaxTxt += srvyListObj.chkMin != "0" ? '최소 '+srvyListObj.chkMin+'개 이상' : '';
                            if(srvyListObj.chkMin != "0" && srvyListObj.chkMax != "0") minmaxTxt += ', ';
                            minmaxTxt += srvyListObj.chkMax != "0" ? '최대 '+srvyListObj.chkMax+'개 이하' : '';
                            minmaxTxt += ')';
                            strbuff += '    <p class="surv-q"><span class="chkbx-minmax">'+minmaxTxt+'</span></p>';
                        }
                        strbuff += '    <ul class="surv-list" data-min-num="' + srvyListObj.chkMin + '" data-max-num="' + srvyListObj.chkMax + '">';
                        for(var j=0; j<srvyListObj.surveyAListResDto.length; j++){
                            strbuff += '        <li data-ans-no="' + j + '">';
                            if(srvyListObj.surveyAListResDto[j].etcYn == "Y"){
                                strbuff += '            <input type="' + ansType + '" id="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><label for="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><input type="text" class="etc-ans" title="" placeholder="기타 답변 입력"></label>';
                            }else{
                                strbuff += '            <input type="' + ansType + '" id="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '"><label for="sv' + srvyListObj.qNo + '-' + srvyListObj.surveyAListResDto[j].aNo + '">' + srvyListObj.surveyAListResDto[j].aCont + '</label>';
                            }
                            strbuff += '        </li>';
                        }
                        strbuff += '    </ul>';
                        break;
                    // selectbox
                    case "3":
                        ansType = "selectbox";
                        strbuff += '    <div class="ipt-slct drop-ans">';
                        strbuff += '        <button type="button" class="btn-select" data-qans-no="0">선택</button>';
                        strbuff += '        <ul>';
                        for(var j=0; j<srvyListObj.surveyAListResDto.length; j++){
                            strbuff += '        <li data-ans-no="' + j + '"><button type="button">' + srvyListObj.surveyAListResDto[j].aCont + '</li>';
                        }
                        strbuff += '        </ul>';
                        strbuff += '    </div>';
                        break;
                    // textarea
                    case "4":
                        ansType = "textarea";

                        if (srvyListObj.contNumYn == "Y") { // 숫자만 입력 가능(contNumYn == Y)
                            if (srvyListObj.contCharYn == "Y") { // 입력 길이 제한(contCharYn == Y) ===> contCharNum만큼 제한
                                strbuff += '    <div class="long-ans" data-ans-no="0">';
                                strbuff += '        <textarea inputmode="numeric" placeholder="최대 ' + srvyListObj.contCharNum + '자까지의 숫자만 입력할 수 있습니다." data-max-char=' + srvyListObj.contCharNum + ' onkeydown="return onlyNumber(event)" onkeyup="removeChar(event)"></textarea>';
                                strbuff += '        <p class="long-ans-cnt">0 / ' + srvyListObj.contCharNum + '자</p>';
                                strbuff += '    </div>';
                            } else { // 입력 길이 제한 X ===> 기본 250자
                                strbuff += '    <div class="long-ans" data-ans-no="0">';
                                strbuff += '        <textarea inputmode="numeric" placeholder="최대 250자까지의 숫자만 입력할 수 있습니다." data-max-char="250" onkeydown="return onlyNumber(event)" onkeyup="removeChar(event)"></textarea>';
                                strbuff += '        <p class="long-ans-cnt">0 / 250자</p>';
                                strbuff += '    </div>';
                            }
                        } else {
                            if (srvyListObj.contCharYn == "Y") { // 입력 길이 제한(contCharYn == Y) ===> contCharNum만큼 제한
                                strbuff += '    <div class="long-ans" data-ans-no="0">';
                                strbuff += '        <textarea placeholder="최대 ' + srvyListObj.contCharNum + '자까지 입력할 수 있습니다." data-max-char=' + srvyListObj.contCharNum + '></textarea>';
                                strbuff += '        <p class="long-ans-cnt">0 / ' + srvyListObj.contCharNum + '자</p>';
                                strbuff += '    </div>';
                            } else { // 입력 길이 제한 X ===> 기본 250자
                                strbuff += '    <div class="long-ans" data-ans-no="0">';
                                strbuff += '        <textarea placeholder="최대 250자까지 입력할 수 있습니다." data-max-char="250"></textarea>';
                                strbuff += '        <p class="long-ans-cnt">0 / 250자</p>';
                                strbuff += '    </div>';
                            }
                        }
                        break;
                    default:
                        break;
                }
                if(PGV.srvyNo == "52"){   // qNo 0부터 시작  운영 surveyNo@52 개발테스트 209
                    switch(srvyListObj.qNo){
                        case "10":
                            strbuff += '<div class="guide-txt">다음은 귀하가 평소 찾아보시는 차량 정보와 관련한 질문입니다.</div>';
                            break;
                        case "13":
                            strbuff += '<div class="guide-txt">다음은 귀하의 차량 관련 경험과 만족도를 알아보기 위한 질문입니다.</div>';
                            break;
                        default:
                            break;
                    }
                }
                // 11번 뒤 14번 뒤 마지막 3개
                strbuff += '</div>';
            }
            if(PGV.srvyNo == "52"){     //  운영 surveyNo@52 개발테스트 209
                strbuff += '<div>';
                strbuff += '    <p class="mrl24 mt18 txtbasic">지금까지 모든 설문에 응답해 주셔서 감사합니다.</p>';
                strbuff += '</div>';
            }
            $(".data-box").append(strbuff);
            PGV.srvyNo == "52" ? $("#notiBox").removeClass('none') : $("#notiBox").addClass('none');       // 운영 surveyNo@52

        };

        /**
         * 설문응모
         */
        var registSrvy = function(data){
            MNet.httpSendAsIs({
                path : inf.survey.surveyReg.url,
                sendData : {
                    evtNo : PGV.evtNo,
                    srvyNo : PGV.srvyNo,
                    mbrId : PGV.loginInfo.mbrId,
                    surveyUserReqListDto : data,
                    srvyTargetNo : PGV.srvyTargetNo
                },
                callback : registSrvyCallback
            });
        };

        /**
         * 설문응모 콜백
         */
        var registSrvyCallback = function(receivedData){
            exWNHideIndicator();
            var code = receivedData.resultCode;
            var msg = receivedData.resultMsg;

            if(code == "200"){
                if(!isEmpty(PGV.evtNo)){
                    evtApply();
                }else{
                    //제출완료시
                    MPage.html({
                        url : PATH_MANAGER.KIA_RNW_422_0000.path, 
                        action : "NO_HISTORY",
                        params : {
                            srvyNm : PGV.srvyNm
                        }
                    });
                }
            }else{
            		MPopup.alert(msg);
            }
        };

        /**
         * 이벤트 등록
         */
        var evtApply = function(){
        	MNet.httpSendAsIs({
        		path : inf.quiz.quizReg.url,
        		sendData : {
        			mbrId : PGV.loginInfo.mbrId,
        			evtNo : PGV.evtNo	// 이벤트번호
        		},
        		callback : evtApplyCallback
        	});
        };

        /**
         * 이벤트 콜백 전문
         */
        var evtApplyCallback = function(receivedData){
        	exWNHideIndicator();
        	var code = receivedData.resultCode;
        	var msg = receivedData.resultMsg;
        	if(code == "200"){
        		//제출완료시
                MPage.html({
                    url : PATH_MANAGER.KIA_RNW_422_0000.path,
                    action : "NO_HISTORY",
                    params : {
                        evtNo : PGV.evtNo,
                        evtType : PGV.evtType,
                        srvyNm : PGV.srvyNm
                    }
                });
        	}else{
        		MPopup.alert(msg);
        	}
        };

        function onlyNumber(event){
            event = event || window.event;
            var keyID = (event.which) ? event.which : event.keyCode;
            if ( (keyID >= 48 && keyID <= 57) || (keyID >= 96 && keyID <= 105) || keyID == 8 || keyID == 46 || keyID == 37 || keyID == 39 )
                return;
            else
                return false;
        }

        function removeChar(event) {
            event = event || window.event;
            var keyID = (event.which) ? event.which : event.keyCode;
            if ( keyID == 8 || keyID == 46 || keyID == 37 || keyID == 39 )
                return;
            else
                event.target.value = event.target.value.replace(/[^0-9]/g, "");
        }

        pageInit();
    }, 
    setEventListner: function(){
        // do something.. 
    } 
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_421_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
