/**

@파일명 : KIA_RNW_440_0000.js
@작성자 : 박민기
@생성일 : 2022.01.26 
@메뉴명 : PLAY AR(증강현실) 체험
@DESC : 전체메뉴노출	[O]   계약차량보유	[O]   내연보유	[O]   EV보유	[O] ) 
*/ 
var CurrPage;
var KIA_RNW_440_0000 ={
    init: function(){
        CurrPage = this;
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("page : " + PGV.currentPage + "initiolizing START");

        var pageInit = function(){
        	// 전체 메뉴 스택정리
        	var backFlag = MData.param("backFlag");
        	if(backFlag != "Y"){
        		garbageCollector();
        	}
        /*
        	if(getOSType().toLowerCase() == "android"){
        		$("#appDownWrap").removeClass('none');
        		$("#googlePlayDiv").removeClass("none");
        		$("#appManualWrap").removeClass("none");
        	}
        	else{
        		$("#appDownWrap").removeClass('none');
        		$("#appStoreDiv").removeClass("none");
        		$("#appManualWrap").removeClass("none");
        	}
        */
        	/**
        	 * 화면 이벤트
        	 */
        	setEvent();

        };

        var setEvent = function() {

            $(document).on("click", "#installBtn", function(){
                if(getOSType().toLowerCase() == "android"){
        		    M.apps.store(CONSTANT.AR_ANDROID_PACKAGE);
        		} else {
        		    M.apps.store(CONSTANT.AR_PLAY_IOS_STORE_ID);
        		}
        	});
        /*
        	//구글 플레이
        	$(document).on("click", "#googlePlayBtn", function(){
        		M.apps.store(CONSTANT.AR_ANDROID_PACKAGE);
        	});

        	//앱스토어
        	$(document).on("click", "#appStoreBtn", function(){
        		//MPopup.alert("서비스 준비중입니다.");
        		M.apps.store(CONSTANT.AR_PLAY_IOS_STORE_ID);
        	});
        */
            // 유투브 메뉴얼
            $(document).on("click", "#youtubeShowBtn", function(){
                _url = CONSTANT.LINK_URL.KIA_RNW_441_0000.URL;//"https://www.youtube.com/embed/4OyzviAHfH4";
                //MApps.browser(_url);
                MPage.activity({
                    className : "WebviewActivity",
                    param : {
                        method : CONSTANT.NET_MTHD.GET,
                        requestURL : _url
                    }
                });
            });
        }

        pageInit();
    },
    setEventListner: function(){
        // do something.. 
    }
}

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        COMMON_FUNCTION.TOOL.DEBUG.showTalk("onReady page : "+PGV.currentPage); 
        KIA_RNW_440_0000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
