/**
 * @파일명 : KIA_MOB_550_1000.js==> 미사용혹은 KIA_RNW_250_0000.js 페이지 랜딩 확인시 삭제
 * @작성자 : 이현석
 * @생성일 : 2018. 10. 23. 오후 3:43:04
 * @메뉴명 : 고급차 특화 서비스 홈 
 */
var pageInit = function(){
	/**
	 * 초기화
	 */
	PGV.myLuxuryCarList = [];
	PGV.myCarListPopData = [];
	PGV.selectedFreeCareList = [];	//선택된 프리케어 리스트
	PGV.topSwiper = null;
	PGV.flagBtn = "";
	PGV.premiumCareFlag = null;
	//Swiper

	//dhyang
	PGV.finishLoading = false;
	
	/**
	 * 화면 이벤트
	 */
    $(".mycarlist").attr("data-select-idx", 0);

	selectCsmrLuxuryCarInfo();
	setEvent();
	// screenViewGa(gaSendUrl["KIA_MOB_550_1000"].pageNm);//2020 공통으로 변경
};

var setEvent =function() {
/*
	//전문 auto Q 검색
	$(document).on("click", "#searchAutoQ", function(){
		var carInfo = PGV.myLuxuryCarList.length > 1 ? PGV.myLuxuryCarList[PGV.topSwiper.activeIndex] : PGV.myLuxuryCarList[0];
		PGV.flagBtn = "searchAutoQ";
		selectIsRsvYnInfo(carInfo.vin);
	});
*/
	//전문 auto Q 예약 
	$(document).on("click", "#reserveAutoQ", function(){
		var carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];
		PGV.flagBtn = "reserveAutoQ";
		selectIsRsvYnInfo(carInfo.vin);
	});
/*
	//Smart one Stop 서비스 
	$(document).on("click", ".type-01", function(){
		var carInfo = PGV.myLuxuryCarList.length > 1 ? PGV.myLuxuryCarList[PGV.topSwiper.activeIndex] : PGV.myLuxuryCarList[0];
		PGV.flagBtn = "smartoneStop";
		selectIsRsvYnInfo(carInfo.vin);
		
	});
*/
	//프리미엄케어 예약 
	$(document).on("click", "#premiumCareBtn", function(){
		var $this = $(this);
		PGV.premiumCareFlag = $this.attr("carFlag");
		var carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];
		premiumCareReserve(carInfo.vin)
	});

	//브랜드 스토리
	$(document).on("click", "#brandStoryBtn", function(){
		var $this = $(this);
		var _url = ""
		var flag = $this.attr("carFlag");
		var params = {};
		if(flag == "Y"){
			_url = CONSTANT.LINK_URL["KIA_MOB_550_1001"].URL; //k9
		}else{
			_url = CONSTANT.LINK_URL["KIA_MOB_550_1002"].URL; //스팅어
		}
		
		MPage.activity({
			className : "WebviewActivity",
			param : {
				method : "GET", // 방식 확인 해야 됨
				requestURL : _url,
				postData : params
			}
		});
		
	});

    $(document).on("click", "#useFreeCareBtn", function(){
        var carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];
        PGV.flagBtn = "freeCare";
        selectIsRsvYnInfo(carInfo.vin);
    });

	//프리케어 및 정비예약 
	$(document).on("click", "[data-select-btn]", function(){
		PGV.selectedFreeCareList = [];
		var $this = $(this);
		var carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];
		var msgFlag = "N"
		if($this.data("selectBtn") == "freeCare"){
			PGV.flagBtn = "freeCare";
			selectIsRsvYnInfo(carInfo.vin);
		}else{
			var selecetedIndex = $this.parent().data('index');
			PGV.selectedFreeCareList.push(carInfo.freeCareGrnMonths.freeCareListResDto[selecetedIndex]);
			for (var i = 0; i < PGV.selectedFreeCareList.length; i++) {
				var obj = PGV.selectedFreeCareList[i];
				if(parseInt(obj.apimOft) == parseInt(obj.vinCnt)){
					msg = "선택하신 항목의 프리케어 잔여량이 없습니다.\n프리케어 사용없이 예약화면으로 이동합니다."
					msgFlag = "Y"
					break;
				}
			}
			if(msgFlag == "Y"){
				MPopup.alert({
					message : msg,
					callback : function(){
						movePage(carInfo);
						return;
					}
				});
			}else{
				movePage(carInfo);
				return;
			}	
		}
		
	});

	$(document).on("click", "#conciergeBtn", function(){
		var that = $(this);
		var telNum = null;
		if(!isEmpty(that.attr("data-call-num"))){
			telNum = extractNumber(CONSTANT.CALL[that.attr("data-call-num")].NUM);
		}else{
			telNum = extractNumber(that.text());
		}
		
		MSys.call(telNum);
	});


	// 상단 차량 선택 시
	$(document).on("click", ".mycarlist", function(){
		if(PGV.myLuxuryCarList.length > 1){
			var $this = $(this);
			if(PGV.myCarListPopData.length == 0){
				var tmpArr = [];
				for(var i=0; i<PGV.myLuxuryCarList.length; i++){
					var tmpObj = {};

                    tmpObj.title = getCarRgstNoText(PGV.myLuxuryCarList[i].carRgstNo);
                    if(!isEmpty(PGV.myLuxuryCarList[i].mdlNm)){
                        tmpObj.title += '(' + PGV.myLuxuryCarList[i].mdlNm + ')';
                    }
                    tmpObj.value = PGV.myLuxuryCarList[i].vin;


					tmpArr.push(tmpObj);
				}

				PGV.myCarListPopData = tmpArr;
			}
			MPopup.listSingle({
				list : PGV.myCarListPopData,
				title : "차량 선택", // 08/31 기획추가
				selected : $this.attr("data-select-idx")
			}, function(buttonIdx, rowInfo, setting){
				if(buttonIdx == 1){
					$this.attr("data-select-idx", rowInfo.index);

					var carInfo = PGV.myLuxuryCarList[rowInfo.index];

                    makeCarInfo(carInfo);

				}
			});
		}
	});

    //탭 콘텐츠 펼침
    $('.accordion .title').on('click', function(){
        $(this).parent('.accordion').toggleClass('on');
    });
};
var movePage = function(_carInfo){
	screenViewGa(gaSendUrl["KIA_MOB_550_1202"].pageNm); // 고급차 AUTO Q 예약
	MPage.html({
		url : "../550/KIA_MOB_550_1210.html",
		animate : "MODAL_UP",
		param : {
			selectedFreeCareList : PGV.selectedFreeCareList,
			titleText : "Y",
			carInfo : _carInfo
		}
	});
	
}

/**
 * 프리미엄 케어 예약 차대번호 암호화
 */
var premiumCareReserve = function(vin){
	MNet.httpSend({
		path : inf.common.encBase64.url,
		sendData : {
			str : vin
		},
		callback : premiumCareReserveCallback
	});
};


/**
 * 프리미엄 케어 예약 차대번호 암호화 콜백 전문
 */
var premiumCareReserveCallback = function(receivedData){
	exWNHideIndicator();
	var str = receivedData.str;
	if(!isEmpty(str)){
		var url = "";
		var carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];
		var params = {};
		if(PGV.premiumCareFlag == "Y"){
			url = CONSTANT.LINK_URL["KIA_MOB_550_1003"].URL; //k9
		}else{
			url = CONSTANT.LINK_URL["KIA_MOB_550_1004"].URL; //스팅어
		}
		var vinCode = str;
		var reqUrl = url +"csmr_mgmt_no="+PGV.loginInfo.csmrMgmtNo+ "&vin="+vinCode+ "&whot_ymd=" + carInfo.freeCareGrnMonths.saleCdt; 
		MPage.activity({
			className : "WebviewActivity",
			param : {
				method : "GET", 
				requestURL : reqUrl
			}
		});
		return false;
	}
};

/**
 * 럭셔리 차종 조회 
 */
var selectCsmrLuxuryCarInfo = function(){
	MNet.httpSend({
		path : inf.carinfo.csmrLuxuryCarAliasInfo.url,
		sendData : {
			csmrMgmtNo : PGV.loginInfo.csmrMgmtNo,	// 04:고객관리번호
			mbrId : PGV.loginInfo.mbrId //고객 id 변경 20181202
		},
		callback : selectCsmrLuxuryCarInfoCallback
	});
};


/**
 * 럭셔리 차종 조회 콜백 전문
 */
var selectCsmrLuxuryCarInfoCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	var csmrLuxuryCarInfoList = receivedData.csmrLuxuryCarInfoListResDto;
	var list = [];
	var vinArry = [];
	if(code == "200"){
		for (var i = 0; i < csmrLuxuryCarInfoList.length; i++) {
			var obj = csmrLuxuryCarInfoList[i];
			if(obj.luxuryYn == "Y"){
				list.push(obj);
				vinArry.push(obj.vin);
			}
			
		}
		PGV.myLuxuryCarList = list;
		selectFreeCareGrnMonths(vinArry);
		return false;
	}else{
		MPopup.alert(msg);
		return false;
	}
};

/**
 * 메인 화면 정보 전문
 */
var selectFreeCareGrnMonths = function(list){
	MNet.httpSend({
		path : inf.recall.freeCareGrnMonths.url,
		sendData : {
			vin : list, 
			flagYn : "Y" // 고급차 
		},
		callback : selectFreeCareGrnMonthstCallback
	});
};


/**
 * 메인 화면 정보 콜백 전문
 */
var selectFreeCareGrnMonthstCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	var list = receivedData.freeCareGrnMonthsListResDto;
	if(code == "200"){
		if(list.length > 0){
			for(var i = 0; i < list.length; i++) {
				var obj = list[i];
				PGV.myLuxuryCarList[i].freeCareGrnMonths = {}; // 테스트를 위해서 현재 k9 차량은 데이터가 안나옴 
				for (var j = 0; j < PGV.myLuxuryCarList.length; j++) {
					if(obj.vin == PGV.myLuxuryCarList[j].vin){
						PGV.myLuxuryCarList[j].freeCareGrnMonths = obj;
					}
				}
			}
			makeCarInfo(PGV.myLuxuryCarList[0]);
			return false;
		}
	}else{
		MPopup.alert(msg);
		return false;
	}
};

/**
 * 정비 예약 여부 조회 
 */
var selectIsRsvYnInfo = function(vin){
	MNet.httpSend({
		path : inf.carservice.isRsvYnInfo.url,
		sendData : {
			csmrMgmtNo : PGV.loginInfo.csmrMgmtNo,
			vin : vin
		},
		callback : selectIsRsvYnInfoCallback
	});
};


/**
 * 정비 예약 여부 조회 콜백 전문
 */
var selectIsRsvYnInfoCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	var reData = receivedData;
	var reserve = receivedData.isRsvYn; // 정비 여부
 	var dtod = receivedData.isDtdRsvYn; // D2D 여부 
	if(code == "200"){
		var _carInfo = PGV.myLuxuryCarList[$(".mycarlist").attr("data-select-idx")];

		if(PGV.flagBtn == "freeCare"){ // 프레케어화면
			screenViewGa(gaSendUrl["KIA_MOB_550_1100"].pageNm); // 프레케어
			MPage.html({
				url : "../550/KIA_MOB_550_1100.html",
				animate : "MODAL_UP",
				param : {
					carInfo : _carInfo,
					qltyFlag : "Y",
					reserveYn : reserve,
					dtodYn : dtod,
					reserveData : reData
				}
			});
		}else if(PGV.flagBtn == "searchAutoQ"){
			screenViewGa(gaSendUrl["KIA_MOB_550_1201"].pageNm); // 고급차 AUTO Q 검색
			MPage.html({
				url : "../510/KIA_MOB_510_1100.html",
				animate : "MODAL_UP",
				param : {
					viewFlag : 'location',
					carInfo : _carInfo,
					reserveYn : reserve,
					backFlag : 'Y',
					qltyFlag : "Y",
					reserveData : reData
				}
			});
		}else if(PGV.flagBtn == "reserveAutoQ"){ // 정비예약 화면 예약이 되어 있으면 예약 내역으로 안되어 있으면 예약화면으로 이동 
			if(reserve == "Y"){
				screenViewGa(gaSendUrl["KIA_MOB_550_1211"].pageNm); //AUTO Q 예약 내역
				MPage.html({
                    url : "../550/KIA_MOB_550_1211.html",
                    animate : "MODAL_UP",
                    param : {
                        dtdFlag : dtod
                    }
                });
			}else{
				screenViewGa(gaSendUrl["KIA_MOB_550_1202"].pageNm); // 고급차 AUTO Q 예약
				MPage.html({
                    url : "../550/KIA_MOB_550_1210.html",
                    animate : "MODAL_UP",
                    param : {
                        titleText : "Y",
                        reserveYn : reserve,
                        carInfo : _carInfo,
                        reserveData : reData
                    }
                });
			}
		}else if(PGV.flagBtn == "smartoneStop"){
			if(!isEmpty(MData.storage("stratPopupFlag"))){
				screenViewGa(gaSendUrl["KIA_MOB_550_1310"].pageNm); // Smart One Stop 인덱스
				MPage.html({
					url : "../550/KIA_MOB_550_1310.html",
					param : {
						carInfo : _carInfo,
						reserveData : reData
					}
				});
			}else{
				screenViewGa(gaSendUrl["KIA_MOB_550_1300"].pageNm); // Smart One Stop 서비스
				MPage.html({
					url : "../550/KIA_MOB_550_1300.html",
					param : {
						carInfo : _carInfo,
						reserveData : reData
					}
				});
			}
		}

		return false;
	}else{
		MPopup.alert(msg);
		return false;
	}
};

var makeCarInfo = function(carInfo) {
    if (isEmpty(carInfo)) {
        return;
    }

    var infoView = $(".mycar-info");
    var imgUrl = "";
    if(!isEmpty(carInfo.savedFilePath) && !isEmpty(carInfo.savedFileNm)){
        imgUrl = CONSTANT.IMG_URL_PREFIX + carInfo.savedFilePath + carInfo.savedFileNm;
    } else {
        imgUrl = CONSTANT.KIA_VIK_DEFAULT_CAR_IMG;
    }
    if (!isEmpty(imgUrl)) {
        $("#mycarProfileImg").attr("src", imgUrl);
    }
    if (carInfo.dispNo == 1) {
        $(".badge").removeClass("none");
    } else {
        $(".badge").addClass("none");
    }

    if (PGV.myLuxuryCarList.length == 1) {
        $(".arrow").addClass("none");
    } else {
        $(".arrow").removeClass("none");
    }

    if (carInfo.carAlias) {
        infoView.find(".tit").text(carInfo.carAlias);
    } else {
        infoView.find(".tit").text("애칭을지어주세요.");
    }
    infoView.find(".sub-tit2").html(getCarRgstNoText(carInfo.carRgstNo));


    var brandImg = "";
    var carInfoBg = "";

    if(carInfo.mdlNm.indexOf("K9") == -1){
        carFlag = "N";
        carInfoBg = "../../img/common/img_exclusivecar_top_stinger.png";
        brandImg = "../../img/common/thumb_vip_brandstory_stinger.png";
    }else{
        carFlag = "Y";
        carInfoBg = "../../img/common/img-exclusivecar-top-thek-9.png";     // [KIAVIK-601] K9 배너 변경
        brandImg = "../../img/common/thumb_vip_brandstory_k9.png";
    }

    $("#carInfoBg").attr("src", carInfoBg);
    //$("#brandStoryImg").attr("src", brandImg);        // [KIAVIK-601] 고급차 특화서비스 스토리 영역 삭제
    //$("#brandStoryBtn").attr("carFlag",carFlag);
    $("#premiumCareBtn").attr("carFlag",carFlag);
    $("#conciergeBtn").attr("carFlag",carFlag);

    makeFreeCareView(carInfo.freeCareGrnMonths);
}

var makeFreeCareView = function(freeCare) {
    if (isEmpty(freeCare)) {
        return;
    }

    var careBuff = "";
    var list = freeCare.freeCareListResDto;
    var availableCount = list.length;

    for (var i = 0; i < list.length; i++) {
        var item = list[i];
        var availCnt = item.apimOft - item.vinCnt;
        var exprTxt = "";
        if(!isEmpty(item.grnYmd) && moment(item.grnYmd).format("YYYYMMDD") != "99991231"){
            exprTxt += moment(item.grnYmd).format("YYYY-MM-DD");
        }
        if(!isEmpty(item.trvgDist) && item.trvgDist != "0"){
            if(!isEmpty(exprTxt)){
                exprTxt += " 또는 ";
            }
            exprTxt += comma.add(item.trvgDist)+"km";
        }

        if(availCnt===0 || (typeof item.rprYn=='string'&& !isEmpty(item.rprYn.trim()))){ // rprYn 서비스만료(기간), 서비스만료(거리) 텍스트 노출, 아닐시 null 로 내려옴
            careBuff += '<li class="done">';
            availableCount--;
        }else{
            careBuff += '<li class="">';
        }
        careBuff += '   <div class="listbox">';
        careBuff += '       <p class="sub-tit">'+item.cdValNm+'</p>';
        careBuff += '       <div class="caregage">';
        careBuff += '           <div class="caregage-value" style="width:'+(((item.apimOft - item.vinCnt)*100)/item.apimOft)+'%"></div>';
        careBuff += '       </div>';
        if((typeof item.rprYn=='string'&& !isEmpty(item.rprYn.trim()))){
            var start = item.rprYn.indexOf("("), end = item.rprYn.indexOf(")");
            var rprType = item.rprYn.substring(start+1, end);
            careBuff += '       <span class="sub-tit6">'+rprType+'만료</span>';
        }else{
            careBuff += '       <span class="sub-tit6">'+((availCnt===0)?'소진':(availCnt+'/'+item.apimOft+'회'))+'</span>';
        }
        careBuff += '       <p class="subinfo">';
        if(!isEmpty(exprTxt)){
            careBuff += exprTxt+" 만료";
        }
        careBuff += '       </p>';
        careBuff += '   </div>';
        careBuff += '</li>';
    }

    $("#availableCount").text(availableCount+"건");
    $("#freeCareList").html(careBuff);
    if (availableCount > 0) {
        $(".accordion").addClass("on");
    }

    $(".content").removeClass("none");

};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){
		
	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};
