/**

@파일명 : KIA_RNW_540_0000.js 
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : 충전 예약 현황 
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_540_0000 ={ 
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START"); 

        var pageInit = function(){
        	/**
        	 * 초기화
        	 */
        //    selectEvChargeRsvList();
             listInit();
        	/**
        	 * 화면 이벤트
        	 */
        	setEvent();

        };

        var listInit = function(){
            PGV.totCnt = 1;
            PGV.currentPageNo = 1;
            PGV.pageSize = 10;
            // 전체, 이용 취소 여부
            PGV.schType = $('input:radio[name=aqtype]:checked').val();


            $("#aqDataDiv ul").empty();

            list();
        }

        var list = function(){

            //파라미터 암호화
            var encCi = CONFIG.IS_DEV? exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_DEV_CRTEC_KEY, CONSTANT.STRAFFIC_DEV_IV_KEY)
                               : exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_REAL_CRTEC_KEY, CONSTANT.STRAFFIC_REAL_IV_KEY);

            var param  = { ci : encCi
                      , reservationStatus : PGV.schType
                      , currentPageNo : PGV.currentPageNo
                      , recordsPerPage : PGV.pageSize};
            evChrgrResvReqList(param
                , function(receivedData){
        //console.log(receivedData);
                    PGV.totCnt = receivedData.responseListLength;

                    var reservationInfoList = receivedData.reservationInfoList;

                    if(!isEmpty(reservationInfoList) && reservationInfoList.length > 0){
                        var strBuffer = '';
                        for(var i=0; i < reservationInfoList.length; i++){
                            var obj = reservationInfoList[i];

                            // 예약상태코드
                            if (obj.reservationStatusCode == '88' || obj.reservationStatusCode == '08' || obj.reservationStatusCode == '18'){
                                obj.reservationTy = 2;
                                obj.reservationStatusCodeName = "취소("+obj.reservationStatusCodeName+")";
                            }else if(obj.reservationStatusCode == '01' || obj.reservationStatusCode == '21'){
                              obj.reservationTy = 1;
                              obj.reservationStatusCodeName = "이용("+obj.reservationStatusCodeName+")";
                          }else {
                                obj.reservationTy = 3;
                                obj.reservationStatusCodeName = "이용("+obj.reservationStatusCodeName+")";
                            }

                            // 충전타입
                            var evType = combEvChargerType(obj.connectType);
                            strBuffer += '<li class="aq-box arrow">';
                            strBuffer += '    <div class="btn-atqlst  ' + (obj.reservationTy == 2 ? "cancel" : "") + '">';
                            strBuffer += '        <div class="rsv-detail ">';
                            strBuffer += '            <span class="aq-badge">'+obj.reservationStatusCodeName+'</span>';
                            strBuffer += '            <div class="ttl">'+obj.name+'</div>';
                            strBuffer += '            <ul class="repair-info">';
                            strBuffer += '                <li>';
                            strBuffer += '                    <span class="rp-tit">방문일정</span>';
                            strBuffer += '                    <p class="rp-cnt">'+obj.reservationDate +changeDate(obj.reservationDate.replaceAll("-",""))+' '+obj.reservationTime+'</p>';
            //                strBuffer += '                    <p class="rp-cnt">'+obj.prctCdt.replace(/(\d{4})(\d{2})(\d{1,2})(\d*)/, '$1-$2-$3')+changeDate(obj.prctCdt)+' '+obj.prctCtm.replace(/(\d{2})(\d{2})(\d*)/, '$1:$2')+'</p>';
                            strBuffer += '                </li>';
                            strBuffer += '            </ul>';
                            strBuffer += '        </div>';
                            strBuffer += '        <div class="hide">';
                            strBuffer += '            <ul class="repair-info">';
                            strBuffer += '                <li >';
                            strBuffer += '                    <span class="rp-tit">충전기번호</span>';
                            strBuffer += '                    <p class="rp-cnt" >'+obj.cid+'</p>';
                            strBuffer += '                </li>';
                            strBuffer += '                <li >';
                            strBuffer += '                    <span class="rp-tit">주소</span>';
                            strBuffer += '                    <p class="rp-cnt" >'+obj.daddr+'</p>';
                            strBuffer += '                </li>';
                            strBuffer += '                <li class=" imgLi">';
                            strBuffer += '                    <span class="rp-tit">충전타입</span>';
                            strBuffer += '                    <ul>';
                            strBuffer += '                        <li class="'+(evType[0] == true || obj.reservationTy == 2? "" : "nope")+'"><img src="../../img/char12_on.png">'+EV_CHARGER_TYPE[0]+'</li>';
                            strBuffer += '                        <li class="'+(evType[1] == true || obj.reservationTy == 2? "" : "nope")+'"><img src="../../img/char14_on.png">'+EV_CHARGER_TYPE[1]+'</li>';
                            strBuffer += '                        <li class="'+(evType[2] == true || obj.reservationTy == 2? "" : "nope")+'"><img src="../../img/char11_on.png">'+EV_CHARGER_TYPE[2]+'</li>';
                            strBuffer += '                        <li class="'+(evType[3] == true || obj.reservationTy == 2? "" : "nope")+'"><img src="../../img/char13_on.png">'+EV_CHARGER_TYPE[3]+'</li>';
                            strBuffer += '                    </ul>';
                            strBuffer += '                </li>';
                            strBuffer += '                <li >';
                            strBuffer += '                    <span class="rp-tit">운영 시간</span>';
                            strBuffer += '                    <p class="rp-cnt" >'+obj.useStartTime.replace(/(\d{2})(\d{2})(\d*)/, '$1:$2')+'~'+obj.useEndTime.replace(/(\d{2})(\d{2})(\d*)/, '$1:$2')+' </p>';
                            strBuffer += '                </li>';
                            strBuffer += '            </ul>';
                            strBuffer += '            ' + (obj.reservationTy == 1 ? '<a href="javascript:void(0)" class="fold" onClick="javascript: cancleResv(\''+obj.reservationNo+'\')">예약취소</a>' : "") ;
                            strBuffer += '        </div>';
                            strBuffer += '    </div>';
                            strBuffer += '</li>';

                        }
                        $('#noDataDiv').addClass('none');	//예약내역이 없을경우
                        $('#aqDataDiv').removeClass('none');

                        $('.aq-list').append(strBuffer);
                    }else{
                        $('#aqDataDiv').addClass('none');
                        $('#noDataDiv').removeClass('none');	//예약내역이 없을경우
                    }
                },function(code, msg){
                    MPopup.alert(msg);
                });


        }

        var setEvent = function() {
        	//예약목록 전체/이용/취소 클릭시
        	$(document).on('click', 'input:radio[name=aqtype]', function(e){
        	    listInit();
        	});

            //예약내역 리스트 버튼 클릭시(예약정보 상세보기)
            $(document).on("click", ".rsv-detail", function(){
                var $this = $(this);
                var $parent = $($this.parents()[1]);
                if($parent.hasClass('on'))
                    $parent.removeClass("on");
                else
                    $parent.addClass("on");
            });

            // 새로고침
            $(document).on("click", ".btn-rfrs", function(){
                listInit();
            });
        };

        // 충전기 예약 취소
        var cancleResv = function(resvNo){

            if(resvNo == null || resvNo == undefined || resvNo == 'null'){
                MPopup.alert("충전예약번호가 존재하지 않습니다.")
                return;
            }

            var param = { reservationNo : resvNo };
            canclEvChrgrResv(param, function(receivedData){
                console.log(receivedData);
                MPopup.alert({
                    message : "충전기 예약 취소요청되었습니다."
                    , callback : function(index){listInit();}
                });
            }, function(code, msg){
                MPopup.alert(msg);
            })
        }

        /**
         * 하단 스크롤시 더보기 이벤트
         */
        var selectMoreListData = function(){
            var totalPageCnt = Math.ceil(PGV.totCnt/PGV.pageSize);	// 전체 페이지 수
            console.log("더보기");

        	if(totalPageCnt > PGV.currentPageNo){
                PGV.currentPageNo = PGV.currentPageNo + 1;
                list();
        	}

        };

        pageInit();
    }, 
    setEventListner: function(){
        // do something.. 
    } 
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_540_0000.init(); 
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
