/**

@파일명 : KIA_RNW_5E1_0000.js
@작성자 : 
@생성일 : 2022.01.26 
@메뉴명 : 결제카드 등록 팝업 
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] ) 
*/ 
var CurrPage; 
var KIA_RNW_5E1_0000 ={
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START");

        //소스점검 수정
        $("form[name=tranMgr]").prop('action', "https://web.nicepay.co.kr/billing/step1.jsp");

        var pageInit = function(){
        	/**
        	* 초기화
        	*/
        	var passData = MData.global("passData");
            var carInfo = passData.car.myCarInfoListResDto[0].mdlNm;   //차종
            if(isEmpty(carInfo)){
                carInfo = "-";
            }

            $("#BuyerName").val(PGV.loginInfo.mbrNm);		//이름
            $("#BuyerTel").val(PGV.loginInfo.hpno);        //전화번호

            //iframe 호출
            document.tranMgr.submit();

            //나이스페이 충전카드 등록 결과 받기
            window.addEventListener("message", function(event){
                var result = JSON.parse(event.data);
                console.log(JSON.stringify(result));
                if(result.resultCode == "F100"){    //성공
                    if(!isEmpty(MData.param("isChgCard"))){    //카드 변경
                        //간편 결제 재등록
                        MPage.html({
                            url : PATH_MANAGER.KIA_RNW_571_0000.path,
                            param : {
                                billkey : result.billkey,
                                cardNo : result.CardNo,
                                cardName : result.cardName,
                                cardCode : result.cardCode,
                                cardCl : result.CardCl,
                                vehicleType : carInfo
                            }
                        });
                    }else{      //카드 등록
                        var _param = {
                            billkey : result.billkey,
                            cardNo : result.CardNo,
                            cardName : result.cardName,
                            cardCode : result.cardCode,
                            cardCl : result.CardCl,
                            vehicleType : carInfo
                        };
                        if(!isEmpty(MData.param("evtYn"))){
                            _param = $.extend(_param, {evtYn : MData.param("evtYn")});
                        }
                        MPage.html({
                            url: PATH_MANAGER.KIA_RNW_5E4_0000.path,
                            param : _param
                        });
                    }
                }else{      //실패
                    //나이스페이 최초 화면 리로드
                    MPopup.confirm({
                        title : '알림',
                        message : result.resultMsg,
                        buttons : ["확인"],
                        callback : function(idx){
                            document.tranMgr.submit();
                        }
                    });
                }
            });
        };

        pageInit();

    }, 
    setEventListner: function(){
        // do something.. 
    }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_5E1_0000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
