/**

@파일명 : KIA_RNW_5F1_0000.js
@작성자 : 
@생성일 : 2022.06.21
@메뉴명 : 구독형 충전요금제 약관 동의
@DESC : 전체메뉴노출	[X]   계약차량보유	[X]   내연보유	[X]   EV보유	[O] )
*/ 
var CurrPage; 
var KIA_RNW_5F1_0000 ={
    init: function(){ 
        CurrPage = this; 
        console.log("page : " + PGV.currentPage + "initiolizing START"); 
        //1. todo 
        //2. todo 
        //3. todo
        CurrPage.setEventListner();
    }, 
    setEventListner: function(){
        // do something..

        // 전체 동의
        $('#chkAll').on('click', function(e) {
            CurrPage.fnSetTerms();
        });
        // SK일렉링크 충전 로밍 제휴서비스 이용약관 (필수)
        $('#chkOption1').on('click', function(e) {
            CurrPage.fnViewAgreeYn();
        });
        // SK일렉링크 충전 로밍서비스 제 3자 제공 동의 (필수)
        $('#chkOption2').on('click', function(e) {
            CurrPage.fnViewAgreeYn();
        });
        // SK일렉링크 충전 로밍 서비스 포인트 정산 제 3자 제공 동의 (필수)
        $('#chkOption3').on('click', function(e) {
            CurrPage.fnViewAgreeYn();
        });
        // SK일렉링크 충전 로밍 서비스 제 3자 제공 동의 (선택)
        $('#chkOption4').on('click', function(e) {
            CurrPage.fnViewAgreeYn();
        });

        //동의확인
        $('#agreeBtn').on('click', function(e) {
            regEvMng(function(receivedData){
                exWNHideIndicator();
                var code = receivedData.resultCode;
                var msg = receivedData.resultMsg;

                if(code == "200"){
                    PGV.loginInfo.evMemRegYn = "Y";
                    MData.global('loginInfo', PGV.loginInfo);

                    var encCi = CONFIG.IS_DEV? exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_DEV_CRTEC_KEY, CONSTANT.STRAFFIC_DEV_IV_KEY)
                                : exWNEncryptString(PGV.loginInfo.ci, CONSTANT.STRAFFIC_REAL_CRTEC_KEY, CONSTANT.STRAFFIC_REAL_IV_KEY);

                    MPage.activity({
                        className: "WebviewActivity",
                        param : {
                            method : CONSTANT.NET_MTHD.GET,
                            requestURL : CONSTANT.LINK_URL.KIA_RNW_500_1000.URL + encCi
                        }
                    });

                }else{
                    // 실제 sscharge에 카드는 있지만 vik에 가입여부업데이트 오류
                    console.log("evMngReg error code=" + code + ", msg=" + msg);
                    MPopup.confirm({
                        title : '알림',
                        message : CONSTANT.NETWORK_ERR_MSG,
                        buttons : ["확인"]
                    });
                }
            });
        });
    },
    fnSetTerms: function(){
        if ($('#chkAll').is(':checked')) {
            $('#chkOption1, #chkOption2, #chkOption3, #chkOption4').prop('checked', true);
            $("#agreeBtn").removeClass('disabled');
        }
        else {
            $('#chkOption1, #chkOption2, #chkOption3, #chkOption4').prop('checked', false);
            $("#agreeBtn").addClass('disabled');
        }
    },
    fnViewAgreeYn: function(){

        var chk1 = $("#chkOption1").is(":checked");
        var chk2 = $("#chkOption2").is(":checked");
        var chk3 = $("#chkOption3").is(":checked");
        var chk4 = $("#chkOption4").is(":checked");

        if (chk1 && chk2 && chk3 && chk4) {
            $('#chkAll').prop('checked', true);
            $("#agreeBtn").removeClass('disabled');
        }else{
            (chk1 && chk2 && chk3) && $("#agreeBtn").removeClass('disabled') || $("#agreeBtn").addClass('disabled')
            $('#chkAll').prop('checked', false);
        }
    }
} 

/** 
 * 모피어스 화면 상태 이벤트 함수 
 */ 
var MStatus = { 
    onReady : function(event){ 
        console.log("onReady page : "+PGV.currentPage); 
        KIA_RNW_5F1_0000.init();
    }, 
    onHide : function(event){}, 
    onRestore : function(event){}, 
    // onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용 
    // onBack : function(){}, 
    onDestroy : function(event){}, 
    onPause : function(event){}, 
    onResume : function(event){} 
}; 
