/**
 * @파일명 : AS-IS : KIA_MOB_700_1010.js / RENEWAL : KIA_RNW_611_0000.js
 * @작성자 : 최정동, (리뉴얼) 케이스마텍 추헌남
 * @생성일 : 2022.03.17
 * @메뉴명 : FAQ 상세
 */

 var pageInit = function(){
	/**
	 * 초기화
	 */
//예전 부터 사용 안함 (2020.11.20 dhyang)
//	$("#faqType").html(MData.param("gbnNm"));			// faq 구분명
//	$("#faqQuestion").html(MData.param("qst"));			// faq 질문
	
	//selectFaqDetail();
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
    console.log("???");
	
	// 고객센터
	$(".btn-line").eq(0).data("tel", CONSTANT.CALL.CALL_2.NUM);
	$(".btn-line").eq(1).data("tel", CONSTANT.CALL.CALL_3.NUM);

	//screenViewGa(gaSendUrl["KIA_MOB_700_1010"].pageNm);//2020 공통으로 변경
};

function setEvent() {
	// 컨텐츠내의 a태그 return;
	$(document).on("click", "a", function(e){
		e.preventDefault();
		//console.log(url);
		var url = $(this).attr("href");
		if(url.indexOf("KIA_RNW_") > -1){		// 내부 링크인 경우
			var fullUrl = "../" + url.split("_")[2] + "/" + url + ".html";
			MPage.html({
				url : fullUrl
			});
		}else{
			MPage.activity({
				className : "WebviewActivity",
				param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, url)
			});
		}
		return false;
	});
	
//	// 컨텐츠 내의 URL 클릭 시
//	$(document).on("click", ".tag-url", function(){
//		var _url = $(this).text();
//		MPage.activity({
//			className : "WebviewActivity",
//			param : {
//				method : CONSTANT.NET_MTHD.GET,
//				requestURL : _url
//			}
//		});
//	});
	
	// 1:1문의하기 버튼 클릭 시
	$(document).on("click", "#inquiryBtn", function(){
		if(PGV.loginInfo){
			var _url = CONSTANT.LINK_URL.KIA_MOB_750_1004.URL;
			PGV.code = "online"
			MPage.activity({
				className : "WebviewActivity",
				param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.GET, _url)
			});
		}else{
			MPopup.confirm({
				message : "1:1 문의는 로그인 후 이용이 가능합니다.\n로그인 하시겠어요?",
				callback : function(idx){
					if(idx == 1){ // 로그인 눌렀을때
						//ccsp로그인 !!! 케이스마텍 추헌남 - 무조건 ccsp라서 else에는 접근하지 않음
						if(CONSTANT.IS_CCSP){ 
							var param = {
								backFlag : "Y",
								returnLink : "",
								returnParams : {}
								}
							ccspLogin(param);
						}else{
							MPage.html({
								url : "../000/KIA_MOB_000_1300.html",
								param : {
									backFlag : "Y",
									returnLink : "",
									returnParams : {}
								}
							});
						} 		
						return;
					}else{ 
						return false;
					}
				}
			});
		}
	});
/*
	// KIA RED 고객센터, UVO 관련문의 전화번호 클릭 시
	$(document).on("click", ".type-tel", function(){
		//MSys.call($(this).data("tel"));
		MSys.call($(this).text());
	});
*/
};

/**
 * FAQ 상세 내용 조회
 */
 /*
var selectFaqDetail = function(){
	MNet.httpSend({
		path : inf.faq.detail.url,
		sendData : {
			faqSn : MData.param("faqSn")
		},
		callback : selectFaqDetailCallback
	});
};
*/

/**
 * FAQ 상세 내용 콜백
 */
 /*
var selectFaqDetailCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;

	if(code == "200"){
		console.log(receivedData);
		if(receivedData.ans.indexOf("tag-jumping") > -1){
			console.log($("#faqType").text() + " -> " + $("#faqQuestion").text());
		}
		$("#faqContentWrap").html(receivedData.ans);
	}else{
		MPopup.alert(msg);
	}
};
*/

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};