/**
 * @파일명 : KIA_MOB_600_1000.js / 리뉴얼 - KIA_RNW_810_0000.js
 * @작성자 : 박서희 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2022-03-25
 * @메뉴명 : 카 앤 라이프
 */
 var pageInit = function(){
	var htmlString =
		'<form method="post" style="display: none;" target="iframeWrap" name="ifrmeAgent" id="ifrmeAgent" action="">' +
                '<textarea name="kiaData" id="kiaData"></textarea>' +
		'</form>';
	$(".content.scroll").append($(htmlString));
	$("form#ifrmeAgent").on("load", function(){
		calcHeight();
	})
	/**
	 * 초기화
	 */
	// 전체 메뉴 스택정리
	var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}
	
	// 로그인이 되어있거나 오토엔에서 마이페이지, 결제 등 로그인이 필요하여 요청한 경우

	if(wnIf.device == DT_IOS){
		$(".iframe-wrap").addClass("ios");
		// 카앤라이프 뒤로가기 배포건 20190510
		$(".fix-wrap").removeClass("none");
		$(".footer").addClass("foot-navi");
		var footerData = '<button type="button" class="btn-fnavi prev">이전화면</button> <button type="button" class="btn-fnavi next">다음화면</button>'
		$(".footer").html(footerData);
		carnLifeBtnEvt();
	}

	if(CONFIG.IS_DEV){ // 2019년 09 17 오토엔 요청으로 변경 
		$("#ifrmeAgent").attr("action", "https://devcarnlife.auton.kr/login"); //개발
	}else{
		$("#ifrmeAgent").attr("action", "https://carnlife.auton.kr/login"); //운영
	}
	
	PGV.rUrl = MData.param("rUrl");
	MData.removeParam("rUrl");

	PGV.evtYN = MData.param("evtYN");
	MData.removeParam("evtYN");

	PGV.evtCd = MData.param("evtCd");
	MData.removeParam("evtCd");

	selectInfo();
	// var listArray = [
	// 	{ title : '그램', value : '56025'},
 //        { title : '공기청정기', value : '56000'},
 //        { title : '거치대', value : '56034'},
 //        { title : '접이식', value : '55997'},
 //        { title : '햇빛가리개', value : '56005'}
	// 	];
	// MPopup.listSingle({
	// 	list : listArray,
	// 	title : "화끈한 빅 테스트",
	// 	buttons : ['취소', '테스트 실행'],
	// 	selected : 0
	// }, function(buttonIdx, rowInfo, setting){ //
	// 	if(buttonIdx == 1){
	// 		MPopup.instance(rowInfo.title);
	// 		PGV.rUrl = "https://carnlife.auton.kr/a/P000000"
	// 		PGV.evtCd = rowInfo.value;
	// 		MData.global("autonPath", "https://carnlife.auton.kr/product/category/product_view/" + PGV.evtCd);
	// 		selectInfo();
	// 	}else{
	// 		selectInfo();
	// 	}
		
	// });

	/**
	 * 화면 이벤트
	 */	
};

var selectInfo = function(){
	if(PGV.loginInfo){
		selectMbrUnqNo();
	}else{
		submitData();
	}
}

/**
 * 회원고유 번호 조회 전문
 */
var selectMbrUnqNo = function(){	
	MNet.httpSendAsIs({
		path : inf.common.mbrUnqNo.url,
		sendData : {
			csetIfTypeCd : "04",						// 승인 IF 구분코드 (01:카드번호, 02:CI, 03:회원고유번호, 04:고객관리번호) 04로 고정!! 08/22 -lhs
			csetIfValue : PGV.loginInfo.csmrMgmtNo 		// 04:고객관리번호
		},
		callback : selectMbrUnqNoCallback
	});
};

/**
 * 회원고유 번호 조회 콜백 전문
 */
var selectMbrUnqNoCallback = function(receivedData){
	exWNHideIndicator();
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;
	
	if(code == "200"){
		PGV.loginInfo.mbrUnqNo = receivedData.mbrUnqNo;
		selectContInfoList();
		return false;
	}else{
		if(PGV.carnlifeNeedLogin){
			PGV.carnlifeNeedLogin = false;
//			var msg = "기아멤버스 카드회원만 이용 가능한 메뉴입니다. 카드회원으로 추가 가입하시겠습니까?";
//			MPopup.confirm({
//				message : msg,
//				buttons : ["취소", "가입하기"],
//				callback : function(idx){
//					if(idx == 1){ // 가입하기 눌렀을때
//						PGV.carnlifeNeedKiaRedMembersLogin = true;
//						var _url = CONSTANT.LINK_URL.KIA_RNW_0D2_3000.URL;
//						MPage.activity({
//							className : "WebviewActivity",
//							param : {
//								method : CONSTANT.NET_MTHD.POST,
//								requestURL : _url,
//								postData : {
//									mbrId : PGV.loginInfo.mbrId
//								}
//							}
//						});
//					}else{
//						submitData();
//					}
//				}
//			});
			
			// 카드 회원이 아닌 경우에도 로그인 될 수 있도록 처리 - CJD 2018.11.06
			submitData();
		}else{
			// 회원 고유 번호가 없는 경우에도 서비스 이용하도록 처리
			submitData();
		}
//		MPopup.alert(msg);
		return false;
	}
};

var submitData = function(){
	exWNHideIndicator();
	// var carList = [{										//보유차량 리스트 -> 선택			main/mainList
	// 	           "carName" : "쏘나타(LF) PHEV", 			//차종명 					main/mainList
	// 	           "ContractNo" : "E3716GF000029",			//계약번호						main/mainList
	// 	           "whotYmd" : "2016-06-25 00:00:00.0",		//출고일자					main/mainList
	// 	           "vin" : "KMHE5412BHA043152"				//차대번호					main/mainList
	// 	          },{
	// 	           "carName" : "포터II(M5)",
	// 	           "ContractNo" : "F1415M5000098",
	// 	           "whotYmd" : "2015-07-20 00:00:00.0",
	// 	           "vin" : "KMFZSZ7KBGU237104"
	// 	       }];
		       
	var param = {
		rUri : PGV.rUrl,				//리턴 URL -> 선택
		mbrNm : "", 						//이름
		birthYmd : "",					//생년원일 (법인일 경우 공란) -> 선택
		hpNo : "",							//휴대폰 번호 (법인일 경우 담당자의 휴대폰번호)
		adrZip : "",						//우편번호 (법인일 경우 법인 주소)
		adr : "",						//주소
		dtlAdr : "", 					//상세주소	
		mbrType : "", 									//회원유형 (일반 : R01, VVIP : R12, 법인 : R90) 			//R01
		ci : "", 								//CI
		mbrUnqNo : "", 					//기아멤버스 포인트 결제 시스템 회원 고유 번호 		//main/mainList
		carList : "",
		loginyn : "N"
	};

	if(PGV.loginInfo){
		param = Object.assign(param, {
			mbrNm : PGV.loginInfo.mbrNm || "", 						//이름
			birthYmd : PGV.loginInfo.bthYmd || "",					//생년원일 (법인일 경우 공란) -> 선택
			hpNo : PGV.loginInfo.hpno || "",							//휴대폰 번호 (법인일 경우 담당자의 휴대폰번호)
			adrZip : PGV.loginInfo.homeZip || "",						//우편번호 (법인일 경우 법인 주소)
			adr : PGV.loginInfo.homeAdr || "",						//주소
			dtlAdr : PGV.loginInfo.homeDtlAdr || "", 					//상세주소	
			mbrType : "R01", 									//회원유형 (일반 : R01, VVIP : R12, 법인 : R90) 			//R01
			ci : PGV.loginInfo.ci || "", 								//CI
			mbrUnqNo : PGV.loginInfo.mbrUnqNo || "", 					//기아멤버스 포인트 결제 시스템 회원 고유 번호 		//main/mainList     8자리
			carList : isEmpty(PGV.loginInfo.myCarInfoList) ? "" : PGV.loginInfo.myCarInfoList,
			loginyn : "Y",
			crdType: MData.global("crdType") || ""
		});		
	}

	if(PGV.evtYN == "Y"){
		param = Object.assign(param, {
			subUri : "39143?from=VIK" // 이벤트
		});	
	}else if(PGV.evtYN == "B"){
         param = Object.assign(param, {
             subUri : PGV.evtCd // [KIAVIK-346] 기아브랜드관 추가
         });
    }else if(PGV.rUrl == "https://carnlife.auton.kr/a/A020100" && PGV.evtYN == "N"){
         param = Object.assign(param, {
             subUri : PGV.evtCd // [KIAVIK-346] 기아브랜드관 추가
         });
    }else if(PGV.rUrl == "https://carnlife.auton.kr/a/A050300" && PGV.evtYN != "Z"){
		param = Object.assign(param, {
			subUri : "1329,1828" // 카&라이프TV
		});	
	}else if(PGV.rUrl == "https://carnlife.auton.kr/a/P000000" && !isEmpty(PGV.evtCd)){
		param = Object.assign(param, {
			subUri : PGV.evtCd // 화끈한 이벤트 
		});	
	}else if(PGV.rUrl == "https://carnlife.auton.kr/a/A050300" && PGV.evtYN == "Z"){
		param = Object.assign(param, {
			subUri : "1874,1874" // 오토엔 상품 이벤트 
		});
	}else if(PGV.rUrl == "https://carnlife.auton.kr/a/M070100"  && PGV.evtYN == "N"){
		param = Object.assign(param, {
			subUri : PGV.evtCd // 317 오토엔 상품 이벤트 371 무상항균이벤트 442 타이거즈관 621 설프라이즈
		});
	}

//	console.log("param : ", param);
//	console.log("param String : ", JSON.stringify(param));

    // 2022.03.10 aes 암호화 로그인 안했을때 verify 안붙도록 변경
    var _path = inf.common.encAESService.url;
    if(PGV.loginInfo){
        _path = checkVerifyUrl(inf.common.encAESService.url);
    }

    // 2022.02.09 carnlife aes 암호화 서버로 보내도록 변경
    // 서버에서 ci 조회해서 파라메터에 포함할경우 PGV.loginInfo.mbrId 포함, 이때는 encParam에 ci 넣지 말것
    // 클라이언트에서 ci 포함해서 보내줄땐 mbrId : ""로 보냄
    MNet.httpSendAsIs({
        path : _path,
        indicatorYn : "N",
        sendData : {
            encParam : JSON.stringify(param),
            mbrId : "",
            svcPath : "AUTON"       //  AUTON : 카앤라이프, RED : 멤버스, KIA : 기아, STRAFFIC : STraffic, DKC : 디지털키 등
        },
        callback : function(receivedData){
            var code = receivedData.resultCode;
            var msg = receivedData.resultMsg;
            console.log("encParam : ", receivedData.encParam);

            if(code=="200"){
                var encParam = receivedData.encParam;
//                if(wnIf.device == DT_IOS){
//
//                } else {
//                    $("#kiaData").val(encParam);
//                    document.ifrmeAgent.submit();
//                }
                    MPage.activity({
                        className : "WebviewActivity",
                        param : COMMON_FUNCTION.TOOL.DATA.getWebviewActivityParam(CONSTANT.NET_MTHD.POST, "https://carnlife.auton.kr/login", {kiaData : encodeURIComponent(encParam)})
                    });
            }else{
                console.log("code : "+code+", msg : "+msg);
                MPopup.instance(msg);
            }
        }
    });

}

/**
 * 서비스 복호화 샘플
 */
/*
    MNet.httpSendAsIs({
        path : checkVerifyUrl(inf.common.decAESService.url),
        indicatorYn : "N",
        sendData : {
            decParam : JSON.stringify(param),
            svcPath : "AUTON"       //  AUTON : 카앤라이프, RED : 멤버스, KIA : 기아, STRAFFIC : STraffic, DKC : 디지털키 등
        },
        callback : function(receivedData){
            var code = receivedData.resultCode;
            var msg = receivedData.resultMsg;
            console.log("decParam : ", receivedData.decParam);

            if(code=="200"){
                var decParam = receivedData.decParam;
            }
        }
    });
*/

/**
 * 내차 보유차량 리스트 조회
 */
var selectContInfoList = function(){
	var sendData = {
		csetIfTypeCd: "04",					// 04로 고정!! 08/22 -lhs
		csetIfValue: PGV.loginInfo.csmrMgmtNo,		//  PGV.loginInfo.csmrMgmtNo
	};

	MNet.httpSendAsIs({
		path : inf.car.contInfo.url,
		sendData : sendData,
		callback : selectContInfoListCallback,
		errorCallback : selectContInfoListCallback
	});
};

/**
 * 내차 보유차량 리스트 조회 콜백
 */
var selectContInfoListCallback = function(receivedData){
	var code = receivedData.resultCode;
	var msg = receivedData.resultMsg;

	if(code == "200"){
		if(receivedData.carContInfoListResDto.length > 0){		// 차량이 있는 경우
			PGV.loginInfo.myCarInfoList = new Array();
			for(var i = 0 ; i < receivedData.carContInfoListResDto.length ; i++){
				var data = receivedData.carContInfoListResDto[i];
				if(data.dlvDy != null && data.vin != null){     // 20200922 차량 whotYmd 또는 vin 값 둘중 하나 null일 경우 제외
				    PGV.loginInfo.myCarInfoList.push({
                        carName : data.krspcNm,
                        ContractNo : data.contNo,
                        whotYmd : data.dlvDy,
                        vin : data.vin
                    });
				}
			}
		}

		submitData();
	}else{
		submitData();
	}
};
// 카앤라이프 페이지 동작 
var carnLifeBtnEvt = function(){
	// 뒤로가기 
	$(document).on("click", ".prev", function(){	
		M.onBack();
	});
	// 앞으로가기 
	$(document).on("click", ".next", function(){
		var iframeWrap = document.getElementById("iframeWrap").contentWindow;
		var h = window.history;
		
		h.forward();
		return;
		
	});
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){
		if(MData.param("requestAutonLogin") == "Y" || PGV.carnlifeNeedKiaRedMembersLogin){
			if(MData.param("rUrl") != ""){
				PGV.rUrl = MData.param("rUrl");
				MData.removeParam("rUrl");
			}
			selectInfo();
		}else{
			PGV.carnlifeNeedLogin = false;
			MPage.back();
//			if(wnIf.device == DT_IOS){
//                MPage.back();
//            }
		}
		PGV.carnlifeNeedKiaRedMembersLogin = false;
	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};
