/**
 * @파일명 : KIA_MOB_560_1100.js / 리뉴얼 - KIA_RNW_931_0000.js
 * @작성자 : 최정동 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2018. 9. 28. 오전 11:56:45 / 리뉴얼 - 2022.04.01
 * @메뉴명 : 차량관리 > 매뉴얼 > 사용설명서
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */	
	
	/**
	 * 화면 이벤트
	 */
	setEvent();
	//screenViewGa(gaSendUrl["KIA_MOB_560_1100"].pageNm);//2020 공통으로 변경
};

var setEvent =function() {
	// 상단 판매/단종 탭 클릭 시
	$(document).on("click", "#typeTabWrap > li > button", function(){
		if($(this).hasClass("on") == false){
			$("#typeTabWrap > li").removeClass("on");
			$(this).parent().addClass("on");
			
			carTypeInit();
			carNameInit();
			carYearInit();
		}
	});
	
	// 차종 버튼 클릭 시
	$(document).on("click", "#carTypeSelectBtn", function(){
		// TODO : 현재 선택 차종에서 다른 차종으로 변경 시에만 차량명 조회 (data-select-idx 비교하기)
	});
	
	// 차량명 버튼 클릭 시
	$(document).on("click", "#carNameSelectBtn", function(){
		// TODO : 현재 차량명에서 다른 차량명으로 변경 시에만 차량연식 조회 (data-select-idx 비교하기)
	});
	
	// 차량연식 버튼 클릭 시
	$(document).on("click", "#carYearSelectBtn", function(){
		// TODO : data-select-idx이 0이 아닌경우(연신선택)에만 searchBtn disabled 제거
	});
	
	// 검색 버튼 클릭 시
	$(document).on("click", "#searchBtn", function(){
		
	});
};

/**
 * 차종 초기화
 */
var carTypeInit = function(){
	$("#carTypeSelectBtn").html("승용");
	$("#carTypeSelectBtn").attr("data-select-idx", 0);
};

/**
 * 차량명 초기화
 */
var carNameInit = function(){
	$("#carNameSelectBtn").html("차량명선택");
	$("#carNameSelectBtn").attr("data-select-idx", 0);
};

/**
 * 연식 초기화
 */
var carYearInit = function(){
	$("#carYearSelectBtn").html("연식선택");
	$("#carYearSelectBtn").attr("data-select-idx", 0);
};

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};