/**
 * @파일명 : KIA_MOB_560_1000.js / 리뉴얼 - KIA_RNW_932_0000.js
 * @작성자 : 박서희 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2018. 8. 22. 오전 10:29:35 / 리뉴얼 - 2022.04.01
 * @메뉴명 : 차량매뉴얼
 */
 var pageInit = function(){
	// 전체 메뉴 스택정리
	var backFlag = MData.param("backFlag");
	if(backFlag != "Y"){
		garbageCollector();
	}
	// screenViewGa(gaSendUrl["KIA_MOB_560_1000"].pageNm); //2020 공통으로 변경
	var os = PGV.device.os.name.toLowerCase();
	if(os == "android"){
		$("#googlePlayBtn").removeClass("none");
	}else{
		$("#appStoreBtn").removeClass("none");
	}

	/**
	 * 화면 이벤트
	 */	
	setEvent(os);
	
	// TODO : 추후 메뉴 오픈시 스팅어 적용하려면 CK,J로 내려와야함
};

var setEvent = function(os) {
	//구글 플레이
/*	$(document).on("click", "#googlePlayARBtn", function(){
		M.apps.store(CONSTANT.AR_VR_ANDROID_PACKAGE);
	});*/
	$(document).on("click", "#googlePlayManualBtn", function(){
    		M.apps.store(CONSTANT.AR_MANUAL_ANDROID_PACKAGE);
    	});

	//앱스토어
/*	$(document).on("click", "#appStoreARBtn", function(){
		// MPopup.alert("서비스 준비중입니다.");
		// TODO : AR/VR앱 오픈되면 주석 해제
		M.apps.store(CONSTANT.AR_VR_IOS_STORE_ID);
	});*/
	$(document).on("click", "#appStoreManualBtn", function(){
    		// MPopup.alert("서비스 준비중입니다.");
    		// TODO : AR/VR앱 오픈되면 주석 해제
    		M.apps.store(CONSTANT.AR_MANUAL_IOS_STORE_ID);
    	});
	
	// AR 버튼 클릭시 (다른 앱으로 이동)
	$(document).on("click", ".btn-caritem", function(){
		// TODO : 앱 설치 되어 있는지 체크하는 로직 추가
		var mdlCd = $(this).attr("data-mdl-cd");
		var mdlYear = $(this).attr("data-mdl-year");
		var sptdApp = $(this).attr("data-app-info");
		var scheme = "";
		var storeId = "";
		
		if(os == "android"){
			scheme = (sptdApp == CONSTANT.AR_MANUAL_INFO) ? CONSTANT.AR_MANUAL_ANDROID_PACKAGE : CONSTANT.AR_VR_ANDROID_PACKAGE;
			if(MApps.info(scheme).installed == false){
				M.apps.store(scheme);
			}
		}else{
			if(os == 'ios'){	//차량메뉴얼이 경우 ios는 버젼체크
				if(Number(PGV.appInfo.app.version.replaceAll('\\.','')) <= 100){	//앱버젼이 1.0.0보다 작거나 같다면
					MPopup.alert({
						message : '기아AR메뉴얼을 실행 하기위해서는\n앱 업데이트 필요합니다.\n업데이트 하시겠습니까?',
						buttons : ['아니요', '예'],
						callback : function(index){
							if(index == 1){
								M.apps.store(CONSTANT.IOS_STORE_ID);
							}
						}
					});
					return false;
				}
			}
			scheme = (sptdApp == CONSTANT.AR_MANUAL_INFO)?CONSTANT.AR_MANUAL_IOS_SCHEME : CONSTANT.AR_VR_IOS_SCHEME;
			storeId = (sptdApp == CONSTANT.AR_MANUAL_INFO)?CONSTANT.AR_MANUAL_IOS_STORE_ID : CONSTANT.AR_VR_IOS_STORE_ID;
			if(MApps.info(scheme).installed == false){
				M.apps.store(storeId);
			}

            //차세대 오너스 매뉴얼 scheme 지원 되지 않아서 무조건 Store로 이동 후 랜딩.
			if (sptdApp != CONSTANT.AR_MANUAL_INFO) {
			    M.apps.store(storeId);
			    return;
			}
		}
		
		if(scheme == ""){
			MPopup.alert("서비스 준비중입니다.");
			return;
		}
		
		MApps.open(scheme, {
			modelCode : mdlCd,
			modelYear : mdlYear
		});
	});

};

/**
 * 차량 목록 조회     [KIAVIK-534] 2021.05.25 기아 오너스 매뉴얼 화면 변경으로 사용하지 않아 inf.carmgmt.carAllModel.url api 조회 삭제처리
 */


/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};