/**
 * @파일명 : KIA_MOB_750_2100.js / 리뉴얼 - KIA_RNW_933_0000.js
 * @작성자 : 정재익 / 리뉴얼 - 케이스마텍 추헌남
 * @생성일 : 2021. 11. 26. 오전 10:22:48 / 리뉴얼 - 2022.04.01
 * @메뉴명 : Kia EV시뮬레이터
 */
 var pageInit = function(){
	/**
	 * 초기화
	 */
	 var backFlag = MData.param("backFlag");
    if(backFlag != "Y"){
		garbageCollector();
	}

	setEvent();
};

function setEvent() {
    $(document).on("click", "[name='app-install']", function(){
        var scheme = "";
        var appOs = PGV.device.os.name.toLowerCase();
        if (appOs == "android") {
            scheme = CONSTANT.EV_SIMULATOR_PACKAGE;
        } else {
            scheme = CONSTANT.EV_SIMULATOR_IOS_STORE_ID;
        }
        if (!isEmpty(scheme)) {
            M.apps.store(scheme);
        }
    });
}

/**
 * 모피어스 화면 상태 이벤트 함수
 */
var MStatus = {
	onReady : function(event){
		pageInit();
	},

	onHide : function(event){

	},

	onRestore : function(event){

	},
	
	// onBack : 하드웨어 백키시 이벤트로 mcore_api.js 에서 공통으로 처리, 백키 이벤트시 이벤트 처리해야 되는 경우 주석을 풀고 사용
//	onBack : function(){
//
//	},

	onDestroy : function(event){

	},

	onPause : function(event){

	},

	onResume : function(event){

	}
};